<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl Configuration - Manual</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<script type="text/JavaScript" src="../../resources/js/rounded_corners.js"></script>
<!-- insert_curly -->
</head>

<BODY  TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%">
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP ALIGN=CENTER>
<H1><FONT COLOR="#209090">Editing the configuration file</FONT></H1>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP BGCOLOR="#39FFFF">
</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
This page is here to help you building manually your configuration
file. If you have a web server running, use the administration
interface as it's really easier to do that way.
<P>
There is an <A HREF="http://www.w3perl.com/config/">online tool</A> available on my website in case you would like
to build your configuration file with a web interface.
<P>
Building manually your configuration file could be painful and many 
mistakes can be done (including typos !). So I recommend using one
of the default configuration files as a template.
<BR>
First locate the config.pl file. Windows users should find it
in C:\Program Files\W3Perl\config.pl
<P>
Never comment any variable. If you don't know which values
to put, don't change anything. The scripts need to initialize these
variables to run.
</BLOCKQUOTE>
<P>
</TD>
</TR>
<TR>
<TD BGCOLOR="#AAAAAA" ALIGN=LEFT COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=LEFT BGCOLOR="#39FFFF">

<TABLE BORDER=0 WIDTH=106 CELLPADDING=0 CELLSPACING=0>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
<TD WIDTH=100 VALIGN=MIDDLE BGCOLOR="#DDDDDD" ALIGN=CENTER>
<BR>
<B>Platform specific</B>
<BR><BR>
</TD>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
</TR>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=106 COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
</TABLE>

</TD>

<TD VALIGN=TOP>
<BR>
<BLOCKQUOTE>

<!--
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#080;">$url_users</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_2">2</a>    <span style="color:#080;">$geoipcity</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_3">3</a>    <span style="color:#080;">$geoipcity_file</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span></P>
-->

<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#080;">$type_serveur</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>  <span style="color:#069;font-style:italic;"># (0 = Unix ; 1 = Windows; 2 = Domino)</span>
<br><a name="line_2">2</a>    <span style="color:#080;">$dirsep</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">/</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>      <span style="color:#069;font-style:italic;"># path separator (Unix = '/' ; NT = '/' ; Acorn = '.' ; Mac = ':')</span>
<br><a name="line_3">3</a>    <span style="color:#080;">$dirsepurl</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">/</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>   <span style="color:#069;font-style:italic;"># URL separator (same on all platform)</span>
<br><a name="line_4">4</a>    
<br><a name="line_5">5</a>    <span style="color:#080;">$htmlext</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">.html</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># html file extension</span>
<br><a name="line_6">6</a>    <span style="color:#080;">$gifext</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">.gif</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>   <span style="color:#069;font-style:italic;"># gif file extension</span>
<br><a name="line_7">7</a>    <span style="color:#080;">$plext</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">.pl</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>     <span style="color:#069;font-style:italic;"># perl file extension</span>
<br><a name="line_8">8</a>    <span style="color:#080;">$zipext</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">.gz</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>    <span style="color:#069;font-style:italic;"># compression suffix</span>
<br><a name="line_9">9</a>    <span style="color:#080;">$carext</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">.</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>     <span style="color:#069;font-style:italic;"># caractere extension</span></P>
</div>
</TD>
</TR>
</TABLE>

<P>

In the first section, you just have to change
<pre>
- $type_serveur
</pre>according to your OS.
<BR>Others don't need to be changed.
<P>


<TABLE BORDER=0>
<TR>
<TH COLSPAN=2 BGCOLOR="#FFCC99">
System used
</TH>
</TR><TR>
<TH BGCOLOR="#FFCC99" VALIGN=TOP>
$type_serveur
</TH>
<TD  BGCOLOR="#FFCC99" COLSPAN=2>
Select on which OS you're running W3Perl
</TD>
</TR><TR>
<TD BGCOLOR="#FFEECC"></TD>
<TD BGCOLOR="#FFEECC">

<TABLE BORDER=0 WIDTH="100%">
<TR>
<TD ALIGN=CENTER BGCOLOR="#FFDDBB">Value</TD>
<TD ALIGN=CENTER BGCOLOR="#FFDDBB">Comment</TD>
</TR><TR>
<TD ALIGN=CENTER>0</TD>
<TD>Unix</TD>
</TR><TR>
<TD ALIGN=CENTER>1</TD>
<TD>Windows</TD>
</TR><TR>
<TD ALIGN=CENTER>2</TD>
<TD>Lotus Domino</TD>
</TR>
</TABLE>

</TD>
</TR>
</TABLE>

<P>
</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD BGCOLOR="#AAAAAA" ALIGN=LEFT COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=LEFT BGCOLOR="#39FFFF">


<TABLE BORDER=0 WIDTH=106 CELLPADDING=0 CELLSPACING=0>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
<TD WIDTH=100 VALIGN=MIDDLE BGCOLOR="#DDDDDD" ALIGN=CENTER>
<BR>
<B>Logfiles</B>
<BR><BR>
</TD>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
</TR>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=106 COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
</TABLE>
</TD>

<TD VALIGN=TOP>
<BR>
<BLOCKQUOTE>

<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Logfile format</DIV>
<BR>
<P>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#069;font-style:italic;">### Logfile format (http://www.w3perl.com/docs/logformat.html)</span>
<br><a name="line_2">2</a>    <span style="color:#069;font-style:italic;"># CLF : Common Log File</span>
<br><a name="line_3">3</a>    <span style="color:#069;font-style:italic;"># ECLF : Extended Common Log File (combined)</span>
<br><a name="line_4">4</a>    <span style="color:#069;font-style:italic;"># ECLFIO : Extended Common Log File with mod_logio (combinedio)</span>
<br><a name="line_5">5</a>    <span style="color:#069;font-style:italic;"># NECLF : New Extended Common Log File</span>
<br><a name="line_6">6</a>    <span style="color:#069;font-style:italic;"># IIS : IIS format (IIS)</span>
<br><a name="line_7">7</a>    <span style="color:#069;font-style:italic;"># W3C : W3C format (IIS)</span>
<br><a name="line_8">8</a>    <span style="color:#069;font-style:italic;"># FTP : FTP</span>
<br><a name="line_9">9</a>    <span style="color:#069;font-style:italic;"># Proxy : Squid format</span>
<br><a name="line_10">10</a>   <span style="color:#069;font-style:italic;"># Sendmail : Sendmail/Mail format</span>
<br><a name="line_11">11</a>   <span style="color:#069;font-style:italic;"># Postfix : Postfix/Mail format</span>
<br><a name="line_12">12</a>   <span style="color:#069;font-style:italic;"># Exim : Exim/Mail format</span>
<br><a name="line_13">13</a>   <span style="color:#069;font-style:italic;"># RealServer : RealServer</span>
<br><a name="line_14">14</a>   <span style="color:#080;">$logfile_format</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">ECLF</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span></P>
</div>
</TD>
</TR>
</TABLE>

<P>


First define your logfile format. If you don't know anything about
logfile format, just extract few lines from your logfile and compare them
with <A HREF="logfile.html">those lines</A>.
<P>
Windows users running an IIS server can choose between :
<UL>
<LI> IIS format
<LI> W3C format (default)
<LI> CLF format
</UL>
Note that W3C format entries are automatically detect.
<P>
<TABLE BORDER=0>
<TR>
<TH COLSPAN=2 BGCOLOR="#FFCC99">
Logfile format
</TH>
</TR><TR>
<TH BGCOLOR="#FFCC99" VALIGN=TOP>
$struct_logfile
</TH>
<TD  BGCOLOR="#FFCC99" COLSPAN=2>
Define the logfile format
</TD>
</TR><TR>
<TD BGCOLOR="#FFEECC"></TD>
<TD BGCOLOR="#FFEECC">

<TABLE BORDER=0 WIDTH="100%">
<TR>
<TD ALIGN=CENTER BGCOLOR="#FFDDBB">Value</TD>
<TD ALIGN=CENTER BGCOLOR="#FFDDBB">Comment</TD>
</TR><TR>
<TD ALIGN=LEFT>%host %null %login %date %hourshift %method %page %protocol %status %requetesize</TD>
<TD ALIGN=RIGHT>Common Log File</TD>
</TR><TR>
<TD ALIGN=LEFT>%host %login %date %hour %null %null %null %null %null %requetesize %status %null %method %page</TD>
<TD ALIGN=RIGHT>IIS</TD>
</TR><TR>
<TD ALIGN=LEFT>%hour %host %method %page %status</TD>
<TD ALIGN=RIGHT>W3C</TD>
</TR><TR>
<TD ALIGN=LEFT>%date %transfert_time %host %requetesize %page %null %null %direction %null %login %method %null %null %status</TD>
<TD ALIGN=RIGHT>FTP</TD>
</TR>
</TABLE>
</TD>
</TR>
</TABLE>

<P>
<DIV STYLE='border-top: 1px dotted #000000; height: 1px;'></DIV>
<P>

<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Logfile structure</DIV>
<BR>
<P>
<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#069;font-style:italic;">### Default logfile format string</span>
<br><a name="line_2">2</a>    <span style="color:#069;font-style:italic;"># This is the default value</span>
<br><a name="line_3">3</a>    <span style="color:#069;font-style:italic;"># but if you have changed your server configuration, alter this string</span>
<br><a name="line_4">4</a>    <span style="color:#069;font-style:italic;"># W3C format is automatically extracted from logfile.</span>
<br><a name="line_5">5</a>    <span style="color:#069;font-style:italic;"># You can also define your own logfile format here</span>
<br><a name="line_6">6</a>    <span style="color:#069;font-style:italic;"># If you leave this field blank, default value will be used</span>
<br><a name="line_7">7</a>    <span style="color:#080;">$struct_logfile</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">%host %null %login %date %hourshift %method %page %protocol %status %requetesize %referer %agent</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span></P>
</div>
</TD>
</TR>
</TABLE>

<P>
If you have changed the default value from your server configuration
file, put here your modification in the logfile format you are using.
<P>
<DIV STYLE='border-top: 1px dotted #000000; height: 1px;'></DIV>
<P>

<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Log filename</DIV>
<BR>
<P>
<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#069;font-style:italic;">### Logfile filename (http://www.w3perl.com/docs/logfiles.html)</span>
<br><a name="line_2">2</a>    <span style="color:#069;font-style:italic;"># Fields allowed : </span>
<br><a name="line_3">3</a>    <span style="color:#069;font-style:italic;"># %year         [xxxx]</span>
<br><a name="line_4">4</a>    <span style="color:#069;font-style:italic;"># %smallyear    [xx]</span>
<br><a name="line_5">5</a>    <span style="color:#069;font-style:italic;"># %month        [01-12]</span>
<br><a name="line_6">6</a>    <span style="color:#069;font-style:italic;"># %smallmonth   [1-12]</span>
<br><a name="line_7">7</a>    <span style="color:#069;font-style:italic;"># %lettermonth  [Jan-Dec]</span>
<br><a name="line_8">8</a>    <span style="color:#069;font-style:italic;"># %day          [01-31]</span>
<br><a name="line_9">9</a>    <span style="color:#069;font-style:italic;"># %smallday     [1-31]</span>
<br><a name="line_10">10</a>   <span style="color:#069;font-style:italic;"># %hour         [0-23]</span>
<br><a name="line_11">11</a>   <span style="color:#069;font-style:italic;"># %min          [0-59]</span>
<br><a name="line_12">12</a>   <span style="color:#069;font-style:italic;"># %sec          [0-59]</span>
<br><a name="line_13">13</a>   <span style="color:#069;font-style:italic;"># %rotate [1-]</span>
<br><a name="line_14">14</a>   <span style="color:#069;font-style:italic;"># %prefixlog is access.log</span>
<br><a name="line_15">15</a>   <span style="color:#069;font-style:italic;"># If you are using compressed logfiles, don't add suffix here</span>
<br><a name="line_16">16</a>   <span style="color:#080;">$struct_compressed_logfile</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">%prefixlog.%rotate</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
</div>
</TD>
</TR>
</TABLE>


<P>

Then you'll need to inform the script about your log filename.
The <A HREF="multiple.html">list</A> of keywords is
available here. 
<P>

<TABLE BORDER=0>
<TR>
<TH COLSPAN=2 BGCOLOR="#FFCC99">
Log filename
</TH>
</TR><TR>
<TH BGCOLOR="#FFCC99" VALIGN=TOP>
$struct_compressed_logfile
</TH>
<TD  BGCOLOR="#FFCC99" COLSPAN=2>
Define the log filename
</TD>
</TR><TR>
<TD BGCOLOR="#FFEECC"></TD>
<TD BGCOLOR="#FFEECC">

<TABLE BORDER=0 WIDTH="100%">
<TR>
<TD ALIGN=CENTER BGCOLOR="#FFDDBB">Value</TD>
<TD ALIGN=CENTER BGCOLOR="#FFDDBB">Comment</TD>
</TR><TR>
<TD ALIGN=LEFT>%year.%month.%day.%prefixlog</TD>
<TD ALIGN=RIGHT>ex : 1998.03.20.access_log</TD>
</TR><TR>
<TD ALIGN=LEFT>%prefixlog</TD>
<TD ALIGN=RIGHT>ex : access</TD>
</TR><TR>
<TD ALIGN=LEFT>%prefixlog.%year-%lettermonth.log</TD>
<TD ALIGN=RIGHT>ex : access.2006-Mar.log</TD>
</TR>
</TABLE>

</TD>
</TR>
</TABLE>

<P>
<DIV STYLE='border-top: 1px dotted #000000; height: 1px;'></DIV>
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Virtual hosts</DIV>
<BR>
<P>
<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#069;font-style:italic;">### Virtual server within CLF or ECLF (one logfile for several web server)</span>
<br><a name="line_2">2</a>    <span style="color:#080;">$virtualfilter</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>  <span style="color:#069;font-style:italic;"># select which virtual server you want to parse</span>
<br><a name="line_3">3</a>    <span style="color:#080;">$virtualCLF</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>        <span style="color:#069;font-style:italic;"># set to 1 if %virtualhost is hidden in %page (%page value begin with http://)</span>
</div>
</TD>
</TR>
</TABLE>


<P>

If you are using only one logfile for several websites, virtual host is
included in the logfile so you can retrieve accesses for each websites.
<BR>
<UL>
<LI><B> NECLF (New Extended Common Log File)</B>
<BR>
Virtual hosts are stored as a separate field
<P>
A typical logfile entries look like :
<BR>
server.freshmeat.com - - [01/Jan/97:23:12:24 +0000] (www.iap.fr) "GET /fr/docs/config.html HTTP/1.0" 200 1220 "http://www.w3perl.com/" "Mozilla/5 (X11; I; Linux)"
<BR>
pc202.club-internet.fr - - [01/Jan/97:23:12:24 +0000] (www.obspm.fr) "GET /index.html HTTP/1.0" 200 1220 "http://www.w3perl.com/" "Mozilla/4.01 (X11; I; SunOS)"
<BR>
where www.obspm.fr and www.iap.fr are the virtual hosts.
<P>
Select $virtualfilter = "www.obspm.fr" to parse only this virtual host
and bypass other virtual host.
<P>
<LI><B> CLF (Common Log File)</B>
<BR>
Use $virtualCLF = 1 if virtual host is hidden in a Common Log File
like :
<BR>
server.freshmeat.com - - [01/Jan/97:23:12:24 +0000] "GET http://www.iap.fr/fr/docs/config.html HTTP/1.0" 200 1220 "http://www.w3perl.com/" "Mozilla/5 (X11; I; Linux)"
<P>
</UL>


<P>
<DIV STYLE='border-top: 1px dotted #000000; height: 1px;'></DIV>
<P>

<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Logfile date format</DIV>
<BR>
<P>
<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#069;font-style:italic;">### Date format - IIS server only</span>
<br><a name="line_2">2</a>    <span style="color:#069;font-style:italic;"># Fields allowed : </span>
<br><a name="line_3">3</a>    <span style="color:#069;font-style:italic;"># %year [YY] or [YYYY]</span>
<br><a name="line_4">4</a>    <span style="color:#069;font-style:italic;"># %month [00-12]</span>
<br><a name="line_5">5</a>    <span style="color:#069;font-style:italic;"># %day [00-31]</span>
<br><a name="line_6">6</a>    <span style="color:#080;">$date_format</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span></P>
</div>
</TD>
</TR>
</TABLE>

<P>

IIS users have to specify the date format used as it had change over
IIS version.
<BR>
If you choose the IIS format, use %day%month%year<BR>
If you choose the default W3C format, leave blank as there is no date
entries in the log, but if you add the 'date' field use %year%month%day
<BR>
If you are using an older IIS version than 5.1, launch the IIS
administration interface and watch by yourself the date format used.
<P>
<DIV STYLE='border-top: 1px dotted #000000; height: 1px;'></DIV>
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Remote logfile</DIV>
<BR>
<P>
<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#069;font-style:italic;">### Remote log files</span>
<br><a name="line_2">2</a>    <span style="color:#069;font-style:italic;"># If you want to retrieve external log</span>
<br><a name="line_3">3</a>    <span style="color:#080;">$retrieve_external_log</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_4">4</a>    <span style="color:#080;">$wget_bin</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_5">5</a>    <span style="color:#080;">$wget_user</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_6">6</a>    <span style="color:#080;">$wget_pass</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">'</span><span style="color:#00a;"></span><span style="color:#00a;">'</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># simple quote is needed here to avoid perl to evaluate expr</span>
<br><a name="line_7">7</a>    <span style="color:#080;">$remote_host_log</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_8">8</a>    <span style="color:#080;">$remote_host_port</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">80</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_9">9</a>    <span style="color:#080;">$remote_host_dir</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span></P>
</div>
</TD>
</TR>
</TABLE>

<P>

If set to 1, the logfiles will be downloaded from a remote server. 
<BR>
Then the following informations should be filled :
<P>
<TABLE BORDER=0 CELLSPACING=3>
<TR>
<TD ALIGN=CENTER BGCOLOR="#FFCC99">Variable</TD>
<TD ALIGN=CENTER BGCOLOR="#FFCC99">Description</TD>
<TD ALIGN=CENTER BGCOLOR="#FFCC99">Comment</TD>
</TR>
<TR>
<TD ALIGN=LEFT BGCOLOR="#FFDDBB">
$wget_bin
</TD>
<TD ALIGN=LEFT BGCOLOR="#FFEECC">
The path to the wget tool
</TD>
<TD ALIGN=LEFT BGCOLOR="#FFEECC">
wget binary is already installed with W3Perl for Windows
</TD>
</TR>
<TR>
<TD ALIGN=LEFT BGCOLOR="#FFDDBB">
$wget_user
</TD>
<TD ALIGN=LEFT BGCOLOR="#FFEECC">
user remote account
</TD>
<TD ALIGN=LEFT BGCOLOR="#FFEECC">
If logfiles are in a restricted area
</TD>
</TR>
<TR>
<TD ALIGN=LEFT BGCOLOR="#FFDDBB">
$wget_pass
</TD>
<TD ALIGN=LEFT BGCOLOR="#FFEECC">
user remote password
</TD>
<TD ALIGN=LEFT BGCOLOR="#FFEECC">
If logfiles are in a restricted area
</TD>
</TR>
<TR>
<TD ALIGN=LEFT BGCOLOR="#FFDDBB">
$wget_host_log
</TD>
<TD ALIGN=LEFT BGCOLOR="#FFEECC">
remote host
</TD>
<TD ALIGN=LEFT BGCOLOR="#FFEECC">
the host where the logfiles are stored
</TD>
</TR>
<TR>
<TD ALIGN=LEFT BGCOLOR="#FFDDBB">
$wget_host_port
</TD>
<TD ALIGN=LEFT BGCOLOR="#FFEECC">
remote port number
</TD>
<TD ALIGN=LEFT BGCOLOR="#FFEECC">
default is 80 for a web server
</TD>
</TR>
<TR>
<TD ALIGN=LEFT BGCOLOR="#FFDDBB">
$wget_host_dir
</TD>
<TD ALIGN=LEFT BGCOLOR="#FFEECC">
remote directory
</TD>
<TD ALIGN=LEFT BGCOLOR="#FFEECC">
directory where the logfiles are stored
</TD>
</TR>
</TABLE>





<P>
</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD BGCOLOR="#AAAAAA" ALIGN=LEFT COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=LEFT BGCOLOR="#39FFFF">


<TABLE BORDER=0 WIDTH=106 CELLPADDING=0 CELLSPACING=0>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
<TD WIDTH=100 VALIGN=MIDDLE BGCOLOR="#DDDDDD" ALIGN=CENTER>
<BR>
<B>Path</B>
<BR><BR>
</TD>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
</TR>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=106 COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
</TABLE>
</TD>

<TD VALIGN=TOP>
<BR>
<BLOCKQUOTE>
<P>


<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#069;font-style:italic;">## Output path</span>
<br><a name="line_2">2</a>    <span style="color:#080;">$path</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">/var/www/stats/</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_3">3</a>    
<br><a name="line_4">4</a>    <span style="color:#069;font-style:italic;">## Path where the package have been installed</span>
<br><a name="line_5">5</a>    <span style="color:#080;">$pathinit</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">/var/www/w3perl/</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_6">6</a>    
<br><a name="line_7">7</a>    <span style="color:#069;font-style:italic;">## Path where your HTML documents are stored</span>
<br><a name="line_8">8</a>    <span style="color:#080;">$pathserver</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">/var/www/</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_9">9</a>    
<br><a name="line_10">10</a>   <span style="color:#069;font-style:italic;">## Absolute URL where your HTML documents are located (usually /)</span>
<br><a name="line_11">11</a>   <span style="color:#080;">$linkpathserver</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">/</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_12">12</a>   
<br><a name="line_13">13</a>   <span style="color:#069;font-style:italic;">## URL where your stats will be output (see $path to extract URL)</span>
<br><a name="line_14">14</a>   <span style="color:#080;">$linkpath_url</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">/stats/</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_15">15</a>   
<br><a name="line_16">16</a>   <span style="color:#069;font-style:italic;">## Cgi-bin path</span>
<br><a name="line_17">17</a>   <span style="color:#080;">$cgipath</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">/usr/lib/cgi-bin/</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_18">18</a>   
<br><a name="line_19">19</a>   <span style="color:#069;font-style:italic;">## Path where log files are located on your server</span>
<br><a name="line_20">20</a>   <span style="color:#080;">$fileroot</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">/var/www/apache2/logs/</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_21">21</a>   
<br><a name="line_22">22</a>   <span style="color:#069;font-style:italic;">## $prefixlog is the name of your log file (located in $fileroot)</span>
<br><a name="line_23">23</a>   <span style="color:#069;font-style:italic;">## $referlog, $agentlog and $errorlog are the name of your referer,</span>
<br><a name="line_24">24</a>   <span style="color:#069;font-style:italic;">## your agent log and error file if you have one.</span>
<br><a name="line_25">25</a>   <span style="color:#069;font-style:italic;">## If you have the extented common log file,</span>
<br><a name="line_26">26</a>   <span style="color:#069;font-style:italic;">## $agentlog and $referlog have the same value as $prefixlog.</span>
<br><a name="line_27">27</a>   <span style="color:#080;">$prefixlog</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">access.log</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_28">28</a>   <span style="color:#080;">$referlog</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_29">29</a>   <span style="color:#080;">$agentlog</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_30">30</a>   <span style="color:#080;">$errorlog</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">error.log</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_31">31</a>   
<br><a name="line_32">32</a>   <span style="color:#069;font-style:italic;">## Fly path (graphic tool)</span>
<br><a name="line_33">33</a>   <span style="color:#080;">$FLY</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">/usr/local/bin/fly</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_34">34</a>   
<br><a name="line_35">35</a>   <span style="color:#069;font-style:italic;">## Gunzip or unzip path (decompression tool)</span>
<br><a name="line_36">36</a>   <span style="color:#080;">$GZIP</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">/bin/gzip -dc</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span></P>
</div>
</TD>
</TR>
</TABLE>

<P>

<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Output path : $path</DIV>
<P>
The output path where w3perl will generate the reports. Can be anywhere. Just make
sure W3Perl is able to write in the specified directory<br>
(Eg : $path = "/export/home/www/htdocs/stats/")
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;W3Perl install path : $pathinit</DIV>
<P>
The W3Perl directory path (where the package have been installed)<br>
(Eg : $pathinit = "/export/home/www/htdocs/w3perl/")
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Server path : $pathserver</DIV>
<P>
The location where you can find your server's files<br>
(Eg : $pathserver = "/var/www/html/")
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;URL path to server document root : $linkpathserver</DIV>
<P>
The relative path where your server's documents are stored<br>
Usually $linkpathserver is / except for personal pages<br>
(Eg : $linkpathserver = "/")
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;URL path to w3perl output : $linkpath_url</DIV>
<P>
URL where your stats will be output (remove $pathserver from $path to extract URL if $path and $pathserver share the same root directory)<br>
(Eg : $linkpath_url = "/stats/")
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;CGI Path : $cgipath</DIV>
<P>
The cgi-bin directory path<br>
If you don't know the value, don't change anything.<br>
(Eg : $cgipath = "/var/home/www/cgi-bin/")
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Logfile path : $fileroot</DIV>
<P>
The path where logfiles are stored<br>
(Eg : $fileroot = "/export/home/www/apache/logs/";
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Log core filename : $prefixlog</DIV>
<P>
The name of your logfiles (found in $fileroot). If you are using split
logfiles, give the constant string ('access' for 'access.200610.gz')
<br>usually 'access_log' for NCSA server, 'httpd-log' for CERN server,
Windows users can have 'ex' for W3C format (IIS), 'in' for IIS format
(IIS) or 'nc' for CLF format<br>
(Eg : $prefixlog = "access_log")
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Referer logfile : $referlog</DIV>
<P>
The name of your referer log (found in $fileroot)
<br>if you don't have such file on your server, leave blank.<br>
(Eg : $referlog = "referer_log")
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Agent logfile : $agentlog</DIV>
<P>
The name of your agent log (found in $fileroot)
<br>if you don't have such file on your server, leave blank.<br>
(Eg : $agentlog = "agent_log")
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Error logfile : $errorlog</DIV>
<P>
The name of your error log (found in $fileroot)
<br>if you don't have such file on your server, leave blank.<br>
(Eg : $errorlog = "error_log")
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Fly path : $FLY</DIV>
<P>
Path to the fly tool
<br>Execute 'whereis &lt;command&gt;' or 'which &lt;command&gt;' to find the path.<br>
(Eg : $FLY = "/usr/local/bin/fly" on Unix or $FLY = "C:/Program Files/W3Perl/fly.exe" on Windows)
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Compression tool path : $GZIP</DIV>
<P>
Path to your compression tool if you are using compressed logfiles.
<br>Execute 'whereis &lt;command&gt;' or 'which &lt;command&gt;' to find the path.<br>
Don't delete the flag option which allow decompression with pipe !<br>
(Eg : $GZIP = "/opt/bin/gzip -dc" or $GZIP = "/usr/bin/bzip2 -dc" on Unix or $GZIP = "D:/bin/unzip -p" on Windows)
<BR>
<BR>
</BLOCKQUOTE>
</TD>
</TR>



<TR>
<TD BGCOLOR="#AAAAAA" ALIGN=LEFT COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=LEFT BGCOLOR="#39FFFF">


<TABLE BORDER=0 WIDTH=106 CELLPADDING=0 CELLSPACING=0>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
<TD WIDTH=100 VALIGN=MIDDLE BGCOLOR="#DDDDDD" ALIGN=CENTER>
<BR>
<B>Export</B>
<BR><BR>
</TD>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
</TR>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=106 COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
</TABLE>
</TD>

<TD VALIGN=TOP>
<BR>
<BLOCKQUOTE>

<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#069;font-style:italic;">### PDF</span>
<br><a name="line_2">2</a>    <span style="color:#080;">$enable_pdf</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_3">3</a>    <span style="color:#080;">$HTMLDOC</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>   <span style="color:#069;font-style:italic;"># Convert html to pdf</span>
<br><a name="line_4">4</a>    
<br><a name="line_5">5</a>    <span style="color:#069;font-style:italic;">### Email</span>
<br><a name="line_6">6</a>    <span style="color:#080;">$enable_email</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>   <span style="color:#069;font-style:italic;"># email report</span>
<br><a name="line_7">7</a>    <span style="color:#080;">$emailadr</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>               <span style="color:#069;font-style:italic;"># your email here</span>
<br><a name="line_8">8</a>    <span style="color:#080;">$email_smtp</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">localhost</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>   <span style="color:#069;font-style:italic;"># smtp server to send email</span>
<br><a name="line_9">9</a>    <span style="color:#080;">$email_smtp_port</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">25</span><span style="color:#00b;">;</span>  <span style="color:#069;font-style:italic;"># smtp server port</span>
<br><a name="line_10">10</a>   <span style="color:#080;">$email_html</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>       <span style="color:#069;font-style:italic;"># send html report</span>
<br><a name="line_11">11</a>   <span style="color:#080;">$email_pdf</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>         <span style="color:#069;font-style:italic;"># send pdf report</span>
<br><a name="line_12">12</a>   <span style="color:#080;">$email_daily</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>     <span style="color:#069;font-style:italic;"># daily email report</span>
<br><a name="line_13">13</a>   <span style="color:#080;">$email_weekly</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>   <span style="color:#069;font-style:italic;"># weekly email report</span>
<br><a name="line_14">14</a>   <span style="color:#080;">$email_monthly</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># monthly email report</span></P>
</div>
</TD>
</TR>
</TABLE>

<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;PDF</DIV>
<P>
If you want PDF report, you should enable PDF output using $enable_pdf = 1;
<BR>
Then you should give the HTMLDOC path.

<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Email</DIV>
<P>
To get email reports, you should first install the Mime:: perl module.
<BR>
Set the $enable_email to 1 and fill the following fields :
<BR>
- Email address where report will be send. If you need to send to several users, create an email alias.
<BR>
- Your SMTP server you can use to send email.
<BR>
- Your SMTP server port (usually 25).
<BR>
- Enable $email_html if you want to send html report
<BR>
- Enable $email_pdf if you want to include PDF file as an attachment.
<BR>
- Last 3 fields will activate how often you want to receive report, dayly or/and weekly or/and monthly
<BR>.

</BLOCKQUOTE>
</TD>
</TR>


<TR>
<TD BGCOLOR="#AAAAAA" ALIGN=LEFT COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=LEFT BGCOLOR="#39FFFF">


<TABLE BORDER=0 WIDTH=106 CELLPADDING=0 CELLSPACING=0>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
<TD WIDTH=100 VALIGN=MIDDLE BGCOLOR="#DDDDDD" ALIGN=CENTER>
<BR>
<B>Filter</B>
<BR><BR>
</TD>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
</TR>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=106 COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
</TABLE>
</TD>

<TD VALIGN=TOP>
<BR>
<BLOCKQUOTE>

<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#069;font-style:italic;">## WWW server address (just the name, don't add http://)</span>
<br><a name="line_2">2</a>    <span style="color:#080;">$localhost</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">www.iap.fr</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>

<br><a name="line_3">3</a>
<br><a name="line_4">4</a>   <span style="color:#069;font-style:italic;">## Local host address (just the name, don't add http://)</span>
<br><a name="line_5">5</a>   <span style="color:#069;font-style:italic;">## Same as $localserver if the scripts are run on the server</span>

<br><a name="line_6">6</a>    <span style="color:#080;">$localserver</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">127.0.0.1</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_7">7</a>   <span style="color:#080;">$localserver_port</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">80</span><span style="color:#00b;">;</span>     <span style="color:#069;font-style:italic;"># Port number</span>


</div>
</TD>
</TR>
</TABLE>

<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Your name server : $localserver</DIV>
<P>
Name of your server where the logfiles come from. 
Don't add any protocol in front of the name or port number after. Domain name will be extracted from this field except if you give an IP address.
<br>
(Eg : $localserver = "www.orstom.fr")

<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Local host : $localhost</DIV>
<P>
Local host where the stats are running. If they are computed on the server, give the server name.
<BR>Best is to download the logfiles on a different host to avoid using server's CPU. Note it can be done
automatically if the logfiles are located in a private URL.
<br>
(Eg : $localhost = "127.0.0.1")

<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Local host port number : $localhost_port</DIV>
<P>
Default web server are running on port 80 but if you are using another port number, change this value.
<br>
(Eg : $localhost_port = 80)
<P>

<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>



 <P class="codiceEx"><a name="line_1">1</a>    <span style="color:#069;font-style:italic;">## Directory filter</span>


<br><a name="line_2">2</a>    <span style="color:#080;">$tri</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">/</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>

<br><a name="line_3">3</a>   
<br><a name="line_4">4</a>    <span style="color:#069;font-style:italic;">## Filtering only one country - use country extension</span>
<br><a name="line_5">5</a>    <span style="color:#080;">$country_filtering</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_6">6</a>    
<br><a name="line_7">7</a>   <span style="color:#069;font-style:italic;">## Hosts to filter</span>
<br><a name="line_8">8</a>   <span style="color:#069;font-style:italic;">## '.ens.fr' reject the ens.fr domain</span>
<br><a name="line_9">9</a>   <span style="color:#069;font-style:italic;">## '.fr' reject all french hosts</span>
<br><a name="line_10">10</a>   <span style="color:#f70;">@nolog</span> <span style="color:#0b0;">=</span> <span style="color:#00b;">(</span><span style="color:#00b;">)</span><span style="color:#00b;">;</span>
<br><a name="line_11">11</a>   
<br><a name="line_12">12</a>   <span style="color:#069;font-style:italic;">## full detailled stats for these html pages (URL from your Document root)</span>
<br><a name="line_13">13</a>   <span style="color:#f70;">@selection</span> <span style="color:#0b0;">=</span> <span style="color:#00b;">(</span><span style="color:#00b;">)</span><span style="color:#00b;">;</span>
<br><a name="line_14">14</a>   
<br><a name="line_15">15</a>   <span style="color:#069;font-style:italic;">## Subdirectories with graphical stats output</span>
<br><a name="line_16">16</a>   <span style="color:#069;font-style:italic;">## (URL from your Document root)</span>
<br><a name="line_17">17</a>   <span style="color:#f70;">@selecrepert</span> <span style="color:#0b0;">=</span> <span style="color:#00b;">(</span><span style="color:#00b;">)</span><span style="color:#00b;">;</span>
<br><a name="line_18">18</a>   
<br><a name="line_19">19</a>   <span style="color:#069;font-style:italic;">## Excluding subdirectories from your report</span>
<br><a name="line_20">20</a>   <span style="color:#069;font-style:italic;">## (URL from your Document root)</span>
<br><a name="line_21">21</a>   <span style="color:#f70;">@excluderepert</span> <span style="color:#0b0;">=</span> <span style="color:#00b;">(</span><span style="color:#00b;">)</span><span style="color:#00b;">;</span>
<br><a name="line_22">22</a>   
<br><a name="line_23">23</a>   <span style="color:#069;font-style:italic;">## Virtual server to exclude (available for NECLF)</span>
<br><a name="line_24">24</a>   <span style="color:#f70;">@excludevirtual</span> <span style="color:#0b0;">=</span> <span style="color:#00b;">(</span><span style="color:#00b;">)</span><span style="color:#00b;">;</span>
<br><a name="line_25">25</a>   
<br><a name="line_26">26</a>   <span style="color:#069;font-style:italic;">## Status code to exclude (status 400 and beyond are filtered by default)</span>
<br><a name="line_27">27</a>   <span style="color:#f70;">@excludestatuscode</span> <span style="color:#0b0;">=</span> <span style="color:#00b;">(</span><span style="color:#00b;">)</span><span style="color:#00b;">;</span>
<br><a name="line_28">28</a>   
<br><a name="line_29">29</a>   <span style="color:#069;font-style:italic;">## RSS file</span>
<br><a name="line_30">30</a>   <span style="color:#f70;">@rss_file</span> <span style="color:#0b0;">=</span> <span style="color:#00b;">(</span><span style="color:#00b;">)</span><span style="color:#00b;">;</span>
</div>
</TD>
</TR>
</TABLE>

<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;URL filtering : $tri</DIV>
<P>
Use '/' to scan everything from your root server. Otherwise, set a directory and only URL starting with this
value will be scanned. Useful if you want to scan only part of your server.
(Eg : $tri = "/subdirectory/")
<P>

<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Country filtering : $country_filtering</DIV>
<P>
To skip log entries from a country. Use country extension<br>
(Eg : $contry_filtering = ".com" to exclude all hosts from .com)
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Hosts filtering : $nolog</DIV>
<P>
To skip log entries from some servers or domains<br>
(Eg : @nolog = ('194.51.174','.grolier.') exclude 194.51.174.* and all grolier hosts)
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Extra report for some pages : @selection</DIV>
<P>
If you need very detailed stats for some files ... don't specify too much !<br>
(Eg : @selection = ('/raydream/index.html','/download/package.tar.gz');)
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Directories report : @selecrepert</DIV>
<P>
Graphic stats for some subdirectories, should be in the same depth level. Usually give main subdirectories.
<br>
(Eg : @selecrepert = ('/raydream/','/astro/','/uk/','/fr/');)
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Directories filtering : @excluderepert</DIV>
<P>
To skip entries from these subdirectories<br>
(Eg : @excluderepert = ('/private/');)

<P>
<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#069;font-style:italic;">## Global variables</span>
<br><a name="line_2">2</a>   <span style="color:#080;">$precision</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">3</span><span style="color:#00b;">;</span>     <span style="color:#069;font-style:italic;"># level of accuracy (from 1 (basic) to 4 (huge))</span>
<br><a name="line_3">3</a>   <span style="color:#080;">$show_all</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>       <span style="color:#069;font-style:italic;"># will also display all items</span>
<br><a name="line_4">4</a>   <span style="color:#080;">$locallog</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>      <span style="color:#069;font-style:italic;"># local access log (0 = no = exclude local log)</span>
<br><a name="line_5">5</a>   <span style="color:#080;">$localonly</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>     <span style="color:#069;font-style:italic;"># only local access log (1 = yes = only local log)</span>
<br><a name="line_6">6</a>   <span style="color:#080;">$zip</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>           <span style="color:#069;font-style:italic;"># compressed log files (1 = yes)</span>
<br><a name="line_7">7</a>   <span style="color:#080;">$zipcut</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">3</span><span style="color:#00b;">;</span>        <span style="color:#069;font-style:italic;"># split log files : 0 => no ; 1 => monthly ; 2 => daily ; 3 => apache rotation</span>
<br><a name="line_8">8</a>   <span style="color:#080;">$topten</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">10</span><span style="color:#00b;">;</span>       <span style="color:#069;font-style:italic;"># Show only  best items</span>
<br><a name="line_9">9</a>   <span style="color:#080;">$seuilpage</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">10</span><span style="color:#00b;">;</span>    <span style="color:#069;font-style:italic;"># Show pages with more than  requests</span>
<br><a name="line_10">10</a>   <span style="color:#080;">$seuilsite</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">10</span><span style="color:#00b;">;</span>    <span style="color:#069;font-style:italic;"># Show hosts with more than  requests</span>
<br><a name="line_11">11</a>   <span style="color:#080;">$seuilscript</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">10</span><span style="color:#00b;">;</span>  <span style="color:#069;font-style:italic;"># Show scripts with more than  requests</span>
<br><a name="line_12">12</a>   <span style="color:#080;">$seuilrepert</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">100</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># displaying directories with more than  requests</span>
<br><a name="line_13">13</a>   <span style="color:#080;">$optdirsize</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">4</span><span style="color:#00b;">;</span>    <span style="color:#069;font-style:italic;"># directories traffic graphs [html pages ( 1 : total, 2 : external, 3 : local), all files ( 4 : total, 5 : external, 6 : local)]</span>
<br><a name="line_14">14</a>   <span style="color:#080;">$nbdays</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">50</span><span style="color:#00b;">;</span>       <span style="color:#069;font-style:italic;"># number of days to display for graphs</span>
<br><a name="line_15">15</a>   

<br><a name="line_50">50</a>   <span style="color:#f70;">@extension</span> <span style="color:#0b0;">=</span> <span style="color:#00b;">(</span><span style="color:#00a;">'</span><span style="color:#00a;">html</span><span style="color:#00a;">'</span><span style="color:#0b0;">,</span><span style="color:#00a;">'</span><span style="color:#00a;">php</span><span style="color:#00a;">'</span><span style="color:#00b;">)</span><span style="color:#00b;">;</span>    <span style="color:#069;font-style:italic;"># html pages extensions to parse, ('') mean html files have no extension</span>
<br><a name="line_51">51</a>   <span style="color:#f70;">@extensionimage</span> <span style="color:#0b0;">=</span> <span style="color:#00b;">(</span><span style="color:#00a;">'</span><span style="color:#00a;">gif</span><span style="color:#00a;">'</span><span style="color:#0b0;">,</span><span style="color:#00a;">'</span><span style="color:#00a;">jpg</span><span style="color:#00a;">'</span><span style="color:#0b0;">,</span><span style="color:#00a;">'</span><span style="color:#00a;">png</span><span style="color:#00a;">'</span><span style="color:#00b;">)</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># images extensions to parse</span>
<br><a name="line_52">52</a>   
<br><a name="line_53">53</a>   <span style="color:#080;">$reverse_dns</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># Reverse IP to name (slow down computing by a large amount)</span>
<br><a name="line_54">54</a>   <span style="color:#080;">$reverse_geo</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># Map IP to country code (need to get one of the following perl module installed)</span>
<br><a name="line_55">55</a>   <span style="color:#080;">$netgeo</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># Map IP to country code (Geo::IP perl module)</span>
<br><a name="line_56">56</a>   <span style="color:#080;">$geoip_free</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># Map IP to country code (Geo::IPfree the perl module)</span>
<br><a name="line_57">57</a>   <span style="color:#080;">$titlename</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>   <span style="color:#069;font-style:italic;"># convert URL to title (0 =  no)</span>
<br><a name="line_58">58</a>   <span style="color:#080;">$defaulthomepage</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">index.html</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># request on '/' means request on 'index.html'</span>
<br><a name="line_59">59</a>   
<br><a name="line_60">60</a>   <span style="color:#069;font-style:italic;">## $localdomainename is your domain name</span>
<br><a name="line_61">61</a>   <span style="color:#069;font-style:italic;">## add your IP adresses if your hosts don't have a DNS</span>
<br><a name="line_62">62</a>   <span style="color:#069;font-style:italic;">## ^ mean 'begin with', $ mean 'end with', put \ before any dot (using regex)</span>
<br><a name="line_63">63</a>   <span style="color:#069;font-style:italic;">## Ex : ^145.238.44.* (all hosts inside 145.238.44. are domain hosts)</span>
<br><a name="line_64">64</a>   <span style="color:#080;">$localdomainename</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">iap.fr</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_65">65</a>   <span style="color:#080;">$localdomaine</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">iap.fr</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_66">66</a>   
<br><a name="line_67">67</a>   <span style="color:#080;">$tildealias</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>   <span style="color:#069;font-style:italic;"># your aliases for users HTML directory</span>
<br><a name="line_68">68</a>   <span style="color:#080;">$exclude_frame</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># set to 1 to exclude framed page</span>
<br><a name="line_69">69</a>   <span style="color:#080;">$exclude_robot</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># set to 1 to exclude robot </span>
<br><a name="line_70">70</a>   <span style="color:#080;">$exclude_refererspam</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># set to 1 to exclude referer spammer </span>
<br><a name="line_71">71</a>   
<br><a name="line_72">72</a>   <span style="color:#069;font-style:italic;"># Spip engine used ?</span>
<br><a name="line_73">73</a>   <span style="color:#080;">$spip</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># set to 1 if you are using a spip engine</span>
</div>
</TD>
</TR>
</TABLE>





<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Report level : $precision</DIV>
<P>
Set the level of <A HREF="accuracy.html">report</A>. Default is 3<br>
(Eg : $precision = from 1 to 4)
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Local domain report : $locallog</DIV>
<P>
If you want to log your domain server also.<br>
(Eg : $locallog = 1 will also compute log for your domain)
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Local domain only : $localonly</DIV>
<P>
<pre>- $localonly</pre> 
If you want to log ONLY your domain server<br>
(Eg : $locallog = 1 will compute log ONLY for your domain)
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Compressed logfiles : $zip</DIV>
<P>
Set $zip to 1 if you have compressed logfiles.<br>
(Eg : $zip = 0 for uncompressed log files or $zip = 1 for compressed log files)
<P>
<DIV CLASS="item_page2"><IMG SRC="../img/star.gif" WIDTH=14 HEIGHT=12 ALT="star">&nbsp;Splitted logfiles : $zipcut</DIV>
<P>
If your logfile are split. Set to '1' for monthly, '2' for daily
logfiles, or '3' for apache rotation logfiles<br>
(Eg : $zipcut = 0 mean only one log file)
<P>
<pre><b>- Threshold</b></pre>
<BLOCKQUOTE>
<pre>- $topten</pre> 
List only the $topten most successful files<br>
(Eg : $topten = 10)
<P>
<pre>- $seuilpage</pre> 
Show only files with more than $seuilpage requests.<br>
It avoid to have too large files results.
(Eg : $seuilpage = 100)
<P>
<pre>- $seuilsite</pre> 
List only sites with more than $seuilsite requests<br>
(Eg : $seuilsite = 9 to show sites with 10 accesses and more)
<P>
<pre>- $seuilscript</pre> 
List only scripts with more than $seuilscript requests<br>
(Eg : $seuilscript = 5 to show scripts used more than 5 accesses)
<P>
<pre>- $seuilrepert</pre> 
List only directory with more than $seuilrepert accesses<br>
(Eg : $seuilrepert = 0 to show all directories requests)
</BLOCKQUOTE>
<P>
<pre>- $optdirsize</pre> 
Type of graphs for directories traffic<br>
1-2-3 html (total, external, domain)<br>
4-5-6 all  (total, external, domain)<br>
(Eg : $optdirsize = 4 external and internal traffic for HTML, GIF...)

<P>

<P>

<pre>- $nbdays</pre> 
Number of days for the daily graphs (0 for the year)<br>
(Eg : $nbdays = 50)
<P>
<pre>- $virtualserver</pre> 
Select one web server to filter your NECLF (only applicable with NECLF logfile)<br>
(Eg : $virtualserver = "www.detector.com")
<P>
<pre>- $defaulthomepage</pre> 
Default HTML page returned when your httpd server produced "/"<br>
(Eg : $defaulthomepage = "index" (usual one))
<P>
<pre>- $titlename</pre> 
Convert URL to the string included in your title's document<br>
(Eg : $titlename = 1 if yes)
<P>

<pre>- $localdomaine</pre> 
Add here IP hosts in your $localdomainename (if these hosts don't have DNS)<br>
(Eg : $localdomaine = "$localdomainename|^145\.238\.44\.[4567]" will
add hosts 145.238.44.4 to 7 with your domain hosts)
<P>
<pre>- $mailadr</pre> 
Your email if some users want to modify your configuration file.<br>
If people want precise infos on their pages, you should add
their URL in @selection in config.pl file<br>
(Eg : $mailadr = "webmaster\@hplyot.obspm.fr")
<P>
<pre>- $tildealias</pre> 
Your alias for users HTML directory<br>
(Eg : $tildealias = "public_html" or "www")
<P>
<pre>- $yellowfile</pre> 
Need if you use yellow page NIS for your intranet DNS<br>
(Eg : $yellowfile = "" don't use yellow page)
<P>
<pre>- $reverse_dns</pre> 
Will convert IP address to name server (<B>WARNING</B> : very slow !!!)<br>
(Eg : $reverse_dns = 1 will activate)
<P>



<BR>
<BR>

<TABLE BORDER=0>
<TR>
<TH COLSPAN=2 BGCOLOR="#FFCC99">
Extensions to scan
</TH>
</TR><TR>
<TH BGCOLOR="#FFCC99" VALIGN=TOP>
@extension
</TH>
<TD  BGCOLOR="#FFCC99" COLSPAN=2>
Select which extensions to parse
</TD>
</TR><TR>
<TD BGCOLOR="#FFEECC"></TD>
<TD BGCOLOR="#FFEECC">

<TABLE BORDER=0 WIDTH="100%">
<TR>
<TD ALIGN=CENTER BGCOLOR="#FFDDBB">Value</TD>
<TD ALIGN=CENTER BGCOLOR="#FFDDBB">Comment</TD>
</TR><TR>
<TD ALIGN=CENTER>('html','htm','shtml')</TD>
<TD>parsing html files</TD>
</TR><TR>
<TD ALIGN=CENTER>('html','htm','shtml','php','php3')</TD>
<TD>parsing html and php files</TD>
</TR><TR>
<TD ALIGN=CENTER>('html','php')</TD>
<TD>parsing html and php only</TD>
</TR><TR>
<TD ALIGN=CENTER>('rm','ra','smi','smile','ram')</TD>
<TD>parsing realserver files</TD>

</TR>
</TABLE>

</TD>
</TR><TR>

<TH BGCOLOR="#FFCC99" VALIGN=TOP>
@extensionimage
</TH>
<TD  BGCOLOR="#FFCC99" COLSPAN=2>
Select which extensions to parse
</TD>
</TR><TR>
<TD BGCOLOR="#FFEECC"></TD>
<TD BGCOLOR="#FFEECC">

<TABLE BORDER=0 WIDTH="100%">
<TR>
<TD ALIGN=CENTER BGCOLOR="#FFDDBB">Value</TD>
<TD ALIGN=CENTER BGCOLOR="#FFDDBB">Comment</TD>
</TR><TR>
<TD ALIGN=CENTER>('gif','jpg','jpeg')</TD>
<TD>parsing gif and jpeg images only</TD>
</TR><TR>
<TD ALIGN=CENTER>('jpg','gif','png')</TD>
<TD>parsing gif, jpg and png images</TD>
</TR>
</TABLE>
</TD>
</TR>
</TABLE>

<BR>

</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD BGCOLOR="#AAAAAA" ALIGN=LEFT COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=LEFT BGCOLOR="#39FFFF">


<TABLE BORDER=0 WIDTH=106 CELLPADDING=0 CELLSPACING=0>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
<TD WIDTH=100 VALIGN=MIDDLE BGCOLOR="#DDDDDD" ALIGN=CENTER>
<BR>
<B>Display</B>
<BR><BR>
</TD>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
</TR>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=106 COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
</TABLE>
</TD>

<TD VALIGN=TOP>
<BR>
<BLOCKQUOTE>


<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#069;font-style:italic;"># Choose languages output (@lang and @homepages must have the same number of elements)</span>
<br><a name="line_2">2</a>    <span style="color:#069;font-style:italic;"># @homepages filename should be different from each other (else it will be overwritten !)</span>
<br><a name="line_3">3</a>    <span style="color:#f70;">@homepages</span> <span style="color:#0b0;">=</span> <span style="color:#00b;">(</span><span style="color:#00a;">'</span><span style="color:#00a;">index-fr</span><span style="color:#00a;">'</span><span style="color:#0b0;">,</span><span style="color:#00a;">'</span><span style="color:#00a;">index</span><span style="color:#00a;">'</span><span style="color:#00b;">)</span><span style="color:#00b;">;</span>
<br><a name="line_4">4</a>    <span style="color:#f70;">@lang</span> <span style="color:#0b0;">=</span> <span style="color:#00b;">(</span><span style="color:#00a;">'</span><span style="color:#00a;">fr</span><span style="color:#00a;">'</span><span style="color:#0b0;">,</span><span style="color:#00a;">'</span><span style="color:#00a;">uk</span><span style="color:#00a;">'</span><span style="color:#00b;">)</span><span style="color:#00b;">;</span>
<br><a name="line_5">5</a>    
<br><a name="line_6">6</a>    <span style="color:#069;font-style:italic;">### Graphical output</span>
<br><a name="line_7">7</a>    
<br><a name="line_8">8</a>    <span style="color:#080;">$bargraph</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>  <span style="color:#069;font-style:italic;"># bar chart</span>
<br><a name="line_9">9</a>    <span style="color:#080;">$tridim</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>    <span style="color:#069;font-style:italic;"># 3d bar chart</span>
<br><a name="line_10">10</a>   <span style="color:#080;">$linegraph</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># line</span>
<br><a name="line_11">11</a>   <span style="color:#080;">$fillgraph</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># line filled</span>
<br><a name="line_12">12</a>   
<br><a name="line_13">13</a>   <span style="color:#069;font-style:italic;"># custom colours for links and background, graphs size (now deprecated with w3perl.css)</span>
<br><a name="line_14">14</a>   <span style="color:#080;">$custom_text</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">#000099</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>  <span style="color:#069;font-style:italic;"># text color</span>
<br><a name="line_15">15</a>   <span style="color:#080;">$custom_link</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">#000080</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>  <span style="color:#069;font-style:italic;"># link color</span>
<br><a name="line_16">16</a>   <span style="color:#080;">$custom_vlink</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">#800000</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># visited link color</span>
<br><a name="line_17">17</a>   
<br><a name="line_18">18</a>   <span style="color:#069;font-style:italic;"># choose either a BGCOLOR or/and a BACKGROUND images</span>
<br><a name="line_19">19</a>   <span style="color:#080;">$bgcolor</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">#FFFFFF</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_20">20</a>   <span style="color:#080;">$background</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_21">21</a>   
<br><a name="line_22">22</a>   <span style="color:#069;font-style:italic;"># choose to display your own logo file</span>
<br><a name="line_23">23</a>   <span style="color:#069;font-style:italic;"># file is located in /w3perl/resources/ or use absolute URL</span>
<br><a name="line_24">24</a>   <span style="color:#080;">$logo</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">logo.png</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span></P>
</div>
</TD>
</TR>
</TABLE>
<P>
<pre>- @homepages</pre> 
Filename for your different language<br>
You should have the same number of elements than @lang. Default
language homepage should be 'index'<br>
(Eg : @lang = ('index','index-fr') if you select english and french
ouput and english is default)
<P>
<pre>- @lang</pre> 
Choose your languages output. Use country extension. List of language
available is in resources/lang/<br>
(Eg : @lang = ('uk','fr') if you need english and french ouput)

<P>
<pre>- $frame_updown</pre> 
Choose top-bottom or right-left frames<br>
(Eg : $frame_updown = 1 means top-bottom frames)
<P>
<pre>- $topframelinks</pre> : configure your own link in the top frame<br>
(Eg : $topframelinks = "My_server")
<P>
<pre>- $bargraph (bar chart) , $tridim (3D bar chart) , $linegraph (line) , $fillgraph (filled lines)</pre>
Set to 1 which output you want<br>
(Eg : $tridim = 1 for 3D bar chart)
<P>
<pre><b>- People without CSS</b></pre>
<BLOCKQUOTE>
<pre>
- $custom_text</pre> 
Use your own color for text<br>
(Eg : $custom_text = "#000000" for black)
<P>
<pre>- $custom_link</pre> 
Use your own color for link<br>
(Eg : $custom_link = "#000080")
<P>
<pre>- $custom_vlink</pre> 
Use your own color for vlink<br>
(Eg : $custom_vlink = "#800000")
<P>
<pre>- $bgcolor</pre> 
Use your own color for background<br>
(Eg : $bgcolor = "#FFFFFF")
</BLOCKQUOTE>
<P>
<pre>- $background and $backgrd</pre> 
If you want to use a background for fun<br>
Put your image in /w3perl/resources/ or make a symbolic link from this
directory<br>
(Eg : $background = "background.gif" and set $backgrd = "BACKGROUND=\"$background\"")
<BR>
<BR>
</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD BGCOLOR="#AAAAAA" ALIGN=LEFT COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=LEFT BGCOLOR="#39FFFF">

<TABLE BORDER=0 WIDTH=106 CELLPADDING=0 CELLSPACING=0>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
<TD WIDTH=100 VALIGN=MIDDLE BGCOLOR="#DDDDDD" ALIGN=CENTER>
<BR>
<B>Scripts</B>
<BR><BR>
</TD>
<TD BGCOLOR="#AAAAAA" WIDTH=3 HEIGHT=50>&nbsp;</TD>
</TR>
<TR>
<TD BGCOLOR="#AAAAAA" WIDTH=106 COLSPAN=3><IMG SRC="../img/line.gif" WIDTH=1 HEIGHT=3 ALT="line"></TD>
</TR>
</TABLE>
</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
<BR>

<TABLE BORDER=0>
<TR>
<TD>
<DIV CLASS="curly" STYLE='background: #F0F0F0; margin: 1px;padding : 10pt;z-index: 3;'>
<P class="codiceEx"><a name="line_1">1</a>    <span style="color:#069;font-style:italic;"># Scripts running</span>
<br><a name="line_2">2</a>    <span style="color:#080;">$actif_inc</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_3">3</a>    <span style="color:#080;">$actif_real</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_4">4</a>    <span style="color:#080;">$actif_hour</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_5">5</a>    <span style="color:#080;">$actif_day</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_6">6</a>    <span style="color:#080;">$actif_week</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_7">7</a>    <span style="color:#080;">$actif_month</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_8">8</a>    <span style="color:#080;">$actif_year</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_9">9</a>    <span style="color:#080;">$actif_agent</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_10">10</a>   <span style="color:#080;">$actif_refer</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_11">11</a>   <span style="color:#080;">$actif_session</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_12">12</a>   <span style="color:#080;">$actif_error</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_13">13</a>   <span style="color:#080;">$actif_history</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_14">14</a>   <span style="color:#080;">$actif_url</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_15">15</a>   
<br><a name="line_16">16</a>   <span style="color:#069;font-style:italic;"># Scripts option</span>
<br><a name="line_17">17</a>   <span style="color:#080;">$option_pages</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_18">18</a>   <span style="color:#080;">$option_inc</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_19">19</a>   <span style="color:#080;">$option_real</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_20">20</a>   <span style="color:#080;">$option_hour</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_21">21</a>   <span style="color:#080;">$option_day</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_22">22</a>   <span style="color:#080;">$option_week</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">-g line</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_23">23</a>   <span style="color:#080;">$option_month</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_24">24</a>   <span style="color:#080;">$option_year</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_25">25</a>   <span style="color:#080;">$option_agent</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_26">26</a>   <span style="color:#080;">$option_refer</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_27">27</a>   <span style="color:#080;">$option_session</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">-d 10</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_28">28</a>   <span style="color:#080;">$option_error</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;">-k</span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_29">29</a>   <span style="color:#080;">$option_history</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_30">30</a>   <span style="color:#080;">$option_url</span> <span style="color:#0b0;">=</span> <span style="color:#00a;">"</span><span style="color:#00a;"></span><span style="color:#00a;">"</span><span style="color:#00b;">;</span>
<br><a name="line_31">31</a>   
<br><a name="line_32">32</a>   <span style="color:#069;font-style:italic;"># Scripts running every n day</span>
<br><a name="line_33">33</a>   <span style="color:#080;">$inc_launch</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_34">34</a>   <span style="color:#080;">$hour_launch</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_35">35</a>   <span style="color:#080;">$day_launch</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_36">36</a>   <span style="color:#080;">$week_launch</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_37">37</a>   <span style="color:#080;">$month_launch</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_38">38</a>   <span style="color:#080;">$year_launch</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_39">39</a>   <span style="color:#080;">$refer_launch</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_40">40</a>   <span style="color:#080;">$agent_launch</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_41">41</a>   <span style="color:#080;">$error_launch</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_42">42</a>   <span style="color:#080;">$session_launch</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_43">43</a>   <span style="color:#080;">$url_launch</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_44">44</a>   <span style="color:#080;">$history_launch</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_45">45</a>   
<br><a name="line_46">46</a>   <span style="color:#069;font-style:italic;"># Hour when scripts are running </span>
<br><a name="line_47">47</a>   <span style="color:#080;">$inc_launch_time</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_48">48</a>   <span style="color:#080;">$inc_launch_time_min</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_49">49</a>   <span style="color:#080;">$hour_launch_time</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_50">50</a>   <span style="color:#080;">$day_launch_time</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_51">51</a>   <span style="color:#080;">$week_launch_time</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_52">52</a>   <span style="color:#080;">$month_launch_time</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_53">53</a>   <span style="color:#080;">$year_launch_time</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_54">54</a>   <span style="color:#080;">$agent_launch_time</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_55">55</a>   <span style="color:#080;">$refer_launch_time</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_56">56</a>   <span style="color:#080;">$error_launch_time</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_57">57</a>   <span style="color:#080;">$session_launch_time</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_58">58</a>   <span style="color:#080;">$url_launch_time</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_59">59</a>   <span style="color:#080;">$history_launch_time</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>
<br><a name="line_60">60</a>   
<br><a name="line_61">61</a>   <span style="color:#080;">$week_launch_day</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_62">62</a>   <span style="color:#080;">$month_launch_day</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>
<br><a name="line_63">63</a>   
<br><a name="line_64">64</a>   
<br><a name="line_65">65</a>   <span style="color:#069;font-style:italic;"># cron-url.pl</span>
<br><a name="line_66">66</a>   <span style="color:#080;">$url_frame</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>         <span style="color:#069;font-style:italic;"># Framed HTML pages</span>
<br><a name="line_67">67</a>   <span style="color:#080;">$url_doublon</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>       <span style="color:#069;font-style:italic;"># HTML pages with same TITLE tag or without</span>
<br><a name="line_68">68</a>   <span style="color:#080;">$url_absolute_link</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># List of absolute links to avoid</span>
<br><a name="line_69">69</a>   <span style="color:#080;">$url_symbolic_link</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># List of symbolics link (Unix)</span>
<br><a name="line_70">70</a>   <span style="color:#080;">$url_bad_link</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>      <span style="color:#069;font-style:italic;"># List of wrong links</span>
<br><a name="line_71">71</a>   <span style="color:#080;">$url_useless</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>       <span style="color:#069;font-style:italic;"># List of HTML pages never link from</span>
<br><a name="line_72">72</a>   <span style="color:#080;">$url_directory</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>     <span style="color:#069;font-style:italic;"># Stats about directories</span>
<br><a name="line_73">73</a>   <span style="color:#080;">$url_weight</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>        <span style="color:#069;font-style:italic;"># Stats about the most heavy pages</span>
<br><a name="line_74">74</a>   <span style="color:#080;">$url_link</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>          <span style="color:#069;font-style:italic;"># Stats about number of links in HTML pages</span>
<br><a name="line_75">75</a>   <span style="color:#080;">$url_image</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>         <span style="color:#069;font-style:italic;"># Stats about number of images in HTML pages</span>
<br><a name="line_76">76</a>   <span style="color:#080;">$url_new_doc</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>       <span style="color:#069;font-style:italic;"># New HTML pages on your server</span>
<br><a name="line_77">77</a>   <span style="color:#080;">$url_cdrom</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>         <span style="color:#069;font-style:italic;"># Show HTML pages without index.html link</span>
<br><a name="line_78">78</a>   <span style="color:#080;">$url_img_tag</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>       <span style="color:#069;font-style:italic;"># Images without ALT or having bad WIDTH and HEIGHT tags</span>
<br><a name="line_79">79</a>   <span style="color:#080;">$url_tree</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>          <span style="color:#069;font-style:italic;"># Show server tree</span>
<br><a name="line_80">80</a>   
<br><a name="line_81">81</a>   
<br><a name="line_82">82</a>   <span style="color:#069;font-style:italic;"># cron-session.pl</span>
<br><a name="line_83">83</a>   <span style="color:#080;">$session_connection</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>  <span style="color:#069;font-style:italic;"># Average reading time</span>
<br><a name="line_84">84</a>   <span style="color:#080;">$session_visit</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>       <span style="color:#069;font-style:italic;"># Show the number of visits by day</span>
<br><a name="line_85">85</a>   <span style="color:#080;">$session_average</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>     <span style="color:#069;font-style:italic;"># Show average load versus hour and day of the week</span>
<br><a name="line_86">86</a>   <span style="color:#080;">$session_login</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>       <span style="color:#069;font-style:italic;"># Show people accessing password protected area</span>
<br><a name="line_87">87</a>   <span style="color:#080;">$session_description</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># List of session by hosts</span>
<br><a name="line_88">88</a>   <span style="color:#080;">$session_engine</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>      <span style="color:#069;font-style:italic;"># List of robots scanning your web</span>
<br><a name="line_89">89</a>   <span style="color:#080;">$session_reading</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>      <span style="color:#069;font-style:italic;"># Average reading time per page</span>
<br><a name="line_90">90</a>   
<br><a name="line_91">91</a>   
<br><a name="line_92">92</a>   <span style="color:#069;font-style:italic;"># cron-pages.pl and cron-inc.pl</span>
<br><a name="line_93">93</a>   <span style="color:#080;">$inc_host</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>      <span style="color:#069;font-style:italic;"># not yet implemented</span>
<br><a name="line_94">94</a>   <span style="color:#080;">$inc_page</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>      <span style="color:#069;font-style:italic;"># not yet implemented</span>
<br><a name="line_95">95</a>   <span style="color:#080;">$inc_directory</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span> <span style="color:#069;font-style:italic;"># not yet implemented</span>
<br><a name="line_96">96</a>   <span style="color:#080;">$inc_country</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>   <span style="color:#069;font-style:italic;"># not yet implemented</span>
<br><a name="line_97">97</a>   <span style="color:#080;">$inc_script</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">1</span><span style="color:#00b;">;</span>    <span style="color:#069;font-style:italic;"># Stats about the scripts used and the parameters used</span>
<br><a name="line_98">98</a>   <span style="color:#080;">$inc_virus</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>    <span style="color:#069;font-style:italic;"># Stats about virus</span>
<br><a name="line_99">99</a>   <span style="color:#080;">$inc_download_aborted</span> <span style="color:#0b0;">=</span> <span style="color:#f0f;">0</span><span style="color:#00b;">;</span>    <span style="color:#069;font-style:italic;"># Stats about incomplete download</span></P>
</div>
</TD>
</TR>
</TABLE>


<pre><b>-  Scripts running</b></pre> 
Set to '1' which scripts you want to run.
<br>
$actif_inc is for  incremental stats.
<br>
$actif_real is for real time stats.
<br>
$actif_hour is for hourly stats.
<br>
$actif_day is for daily stats.
<br>
$actif_week is for weekly stats.
<br>
$actif_month is for monthly stats.
<br>
$actif_agent is for agent stats.
<br>
$actif_refer is for referer stats.
<br>
$actif_session is for session stats.
<br>
$actif_error is for error stats.
<br>
$actif_history is for CPU stats.
<br>
$actif_url is for document stats.
<P>
Scripts you may want to disable is url, session, history, error,
real. Leave others actif.
<P>
<pre><b>-  When to update</b></pre> 
Set the number of day between two run for each script. '1' mean a
daily run. $url_launch, $week_launch may be set to one week '7'. 
$month_launch may be set to a month '30'.
<P>
<pre><b>-  When to run</b></pre> 
</BLOCKQUOTE>
<P>
</TD>
</TR>
</TABLE>
</body>
</html>
