<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl - Mac server</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%">
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP ALIGN=CENTER>
<H1><FONT COLOR="#209090">Mac OS</FONT></H1>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">
<div class="margintable_small">Requirement</DIV>
</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
- <A HREF="need.html">Perl</A> is required as W3Perl is written in Perl. MacOS X provide a default Perl binary.
<BR><BR>
- You should also have a web server running.
Go into the “System Preferences Control panel located on the “Apple Menu”.
Click on the Icon labeled "Sharing". Then locate the tab labeled "File & Web". You will want to click the button labeled “Start” in the "Web Sharing " section. This starts up Web sharing which starts the Apache Web Server.
Apache Web Server is now running.
<BR>
<P><HR ALIGN=CENTER WIDTH="30%"><P>
</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">
<div class="margintable_small">Installation</DIV>
</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
<P>
<FONT COLOR="#A020A0"><B>* First STAGE</B></FONT> : <FONT COLOR="#A02020">Install W3Perl</FONT>
<P>
- <B>Package</B> : Download the dmg file, open the disk image and click on the pkg file to install the scripts
<BR>
OR
<BR>
- <B>Manually</B> : If you want to use the tar.gz package. Uncompress it in your
/Library/WebServer/Documents directory. <BR>Then edit the install.pl file
and change the following settings :
<BR>
$pathcgi = "/Library/WebServer/CGI-Executables/w3perl"; and 
<BR>
$pathw3perl = "/Library/WebServer/Documents/w3perl";
<BR>
and run the install.pl script as admin.
<BR>
<!-- Check that the directories /w3perl, /w3perl/config and  /w3perl/resources/admin are writable by everyone. -->

<P>
<FONT COLOR="#A020A0"><B>* 2nd STAGE :</B></FONT> <FONT COLOR="#A02020">Permission</FONT>
<P>
Two directories shoud be writeable by the server if you want to use the administration interface :
<BR>
 - /w3perl/config/ and /w3perl/resources/admin/, so chmod 777 if not.
<BR>
- Also /w3perl/resources/admin/locconf and /w3perl/config/ should be writeable so chmod 666.
<P>
- Edit the admin/pass.txt file if your IP doesn't match 127.0.0.1 and add your local IP
 <P>

<P>
<FONT COLOR="#A020A0"><B>* 3rd STAGE :</B></FONT> <FONT COLOR="#A02020">Plugins</FONT>
<P>
You can install some <A HREF="plugin.html">plugins</A> if you want
extra stats as user's screensize, heatmap, city ... 
<BR>
Screensize and heatmap require few lines of javacsript to be included
in some of your web files. 
<BR>
IP mapping (allowing IP mapping to country code without using the slow
reverse dns), city and emails reports require Perl modules to be installed.
<BR>
PDF export need an extra program to be downloaded and installed.
 <P>

<FONT COLOR="#A020A0"><B>* 4th STAGE</B></FONT> : <FONT COLOR="#A02020">Build configuration file</FONT>
<P>
- Now use your opened browser (http://127.0.0.1/w3perl/admin/) to build a configuration file.
<BR>
- A default configuration file is available for Apache
(config-example-macos). If you want to use your own logfiles rather
than the default Apache server, edit this file and change the logfile path.
<BR>
- Click on <FONT COLOR="#20A0A0">Make configuration file</FONT> and
follow the procedures outlined. By filling in the details you will
create a file called <FONT COLOR="#20A0A0">config.pl</FONT> or use the
 <FONT COLOR="#20A0A0">Clone</FONT> option to use the default MacOS
 file as a template (config-example-macos)
<BR>
- Once created, look for this file in /config/ and copy it to your /cgi-bin/w3perl directory.
<P>
<FONT COLOR="#A020A0"><B>* 5th STAGE</B></FONT> : <FONT COLOR="#A02020">Ready</FONT>
<P>
- You should now be able to analyse your logs.
<BR>
- In admin go through the <FONT COLOR="#20A0A0">Launch area</FONT> links that will start your statistics from zero.
<BR>
- Then run the incremental script every day to accumulate your
statistics (or use a crontab on MacOS X).

<P>
<FONT COLOR="#A020A0"><B>* Problem ?</B></FONT><FONT COLOR="#A02020"></FONT>
<P>
If you have any trouble with w3perl installation, send me an email or
ask for help in the forum. There is a dedicated forum for MacOS users
<P><HR ALIGN=CENTER WIDTH="30%"><P>
</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">
<div class="margintable_small">Limitations</DIV>
</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
- Need MacOS X, not tested on older mac system
<BR>

</BLOCKQUOTE>
</TD>
</TR>
</TABLE>
</body>
</html>
