<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl - Scripts description - Main scripts</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE WIDTH="100%" CELLSPACING=0 CELLPADDING=0 BORDER=0>
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP ALIGN=CENTER>
<H1><FONT COLOR="#209090">Scripts description</FONT></H1>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP BGCOLOR="#39FFFF">
</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
Cron-pages/inc compute the main stats (pages, hosts, countries, trafic, directories...).
Cron-pages is need for initialization so you'll need to run it only
once. Cron-inc compute the same stats but in incremental mode.
<BR>
You will have to run cron-pages.pl only once except if you change some values
in the configuration file.
<P>

<UL>
<LI> Pages, Directories, Countries, Sites, Scripts stats, Download,
Trafic stats

<UL>
<LI><A HREF="#pages">cron-pages.pl</A>
<LI><A HREF="#inc">cron-inc.pl</A>
</UL>

</UL> 
<P>
<HR ALIGN=CENTER WIDTH="30%">
<P>
<A NAME="pages"></A>
<table border=0>
<tr>
<th align=CENTER colspan=2 BGCOLOR="#FFEECC">
Cron-pages.pl
</th>
</tr>
<tr>
<td valign=top BGCOLOR="#E5E5E5">
Purpose
</td>
<td BGCOLOR="#F5F5F5">
Initialization<br>
It compute stats scanning all the logfile excluding the current day
</td>
</tr>
<tr>
<td BGCOLOR="#E5E5E5">
Frequency
</td>
<td BGCOLOR="#F5F5F5">
Only once. Need to be rerun if you change the config.pl file as the
incremental version will load data produced by cron-pages.pl
</td>
</tr>
<tr>
<td BGCOLOR="#E5E5E5">
Time taken
</td>
<td BGCOLOR="#F5F5F5">
Depending on your logfile size and your configuration file, 
it can take from a few minutes to several hours.<br>
If your log file is really huge, I suggest you to 
<A HREF="logfile.html">compress</A>
it on several parts or to test first output via a small logfile.
</td>
</tr>
<tr>
<td BGCOLOR="#E5E5E5">
How it works
</td>
<td BGCOLOR="#F5F5F5">
It create the stats structure, output incremental files, generate HTML
pages for the stats and also produce time structure data. 
</td>
</tr>

<tr>
<td BGCOLOR="#E5E5E5">
Options
</td>
<td BGCOLOR="#F5F5F5">

<table>
<tr>
<th>-c &lt;file&gt;</th><td>load configuration file</td></tr><tr>
<th>-d &lt;nbdays&gt;</th><td>scan only the nbdays previous day</td></tr><tr>
<th>-i &lt;file&gt;</th><td>input log file</td></tr><tr>
<th>-p &lt;level&gt;</th><td>precision level</td></tr><tr>
<th>-l &lt;language&gt;</th><td>language output</td></tr><tr>
<th>-q &lt;string&gt;</th><td>scanning only matching string</td></tr><tr>
<th>-r &lt;date&gt;</th><td>ending date for stats</td></tr><tr>
<th>-s &lt;date&gt;</th><td>starting date for stats</td></tr><tr>
<th>-t &lt;toplist&gt;</th><td>display only toplist files</td></tr><tr>
<th>-u</th><td>update stats homepage</td></tr><tr>
<th>-x</th><td>show default value</td></tr><tr>
<th>-v</th><td>version</td></tr><tr>
<th>-z</th><td>use compressed logfiles</td>
</tr></table>

</td>
</tr>

<tr>
<td BGCOLOR="#E5E5E5">
Notes
</td>
<td BGCOLOR="#F5F5F5">
Directory graph is not computed by cron-pages but with cron-week.
You will need to wait two weeks before having the graph.
</td>
</tr>
</table>


<P>
<HR ALIGN=CENTER WIDTH="30%">
<P>

<A NAME="inc"></A>
<table border=0>
<tr>
<th align=CENTER colspan=2 BGCOLOR="#FFEECC">
Cron-inc.pl
</th>
</tr>
<tr>
<td BGCOLOR="#E5E5E5" valign=top>
Purpose
</td>
<td BGCOLOR="#F5F5F5">
Incremental stats<br>
It compute stats scanning only for the previous day
</td>
</tr>
<tr>
<td BGCOLOR="#E5E5E5">
Frequency
</td>
<td BGCOLOR="#F5F5F5">
Once every day.<br>
<P>
People without cron access :<br>
If you forgot to use cron-inc.pl for less than 7 days, cron-inc.pl
will be able to scan for the missing day. If you have more than
7 days, you will have to run back cron-pages.pl to compute
all the values from the first day.<br>
You can alter this value in the code but it could take longer
time to compute than cron-pages if you use a high value. 
<BR>
Hints : use around 10% of the total days from the beginning of 
log file.
</td>
</tr>
<tr>
<td BGCOLOR="#E5E5E5">
Time taken
</td>
<td BGCOLOR="#F5F5F5">
Typically, a few minutes.<br>
</td>
</tr>
<tr>
<td BGCOLOR="#E5E5E5">
How it works
</td>
<td BGCOLOR="#F5F5F5">
It load incremental files, scan for the previous day, 
compute new stats and save back the new incremental files.
Then it generate HTML pages and also append the time structure data. 
</td>
</tr>
<tr>
<td BGCOLOR="#E5E5E5">
Options
</td>
<td BGCOLOR="#F5F5F5">

<table>
<tr>
<th>-c</th><td>load configuration file</td></tr><tr>
<th>-i &lt;file&gt;</th><td>input log file</td></tr><tr>
<th>-j &lt;dd/Mmm/yyyy&gt;</th><td>will compute stats only for a specific day</td></tr>
<tr>
<th>-l &lt;language&gt;</th><td>language output</td></tr><tr>
<th>-p &lt;level&gt;</th><td>precision level</td></tr><tr>
<th>-s &lt;nbdays&gt;</th><td>scan for the nbdays previous day (default is 7)</td></tr><tr>
<th>-t &lt;toplist&gt;</th><td>display only toplist files</td></tr><tr>
<th>-x</th><td>show default value</td></tr><tr>
<th>-v</th><td>version</td>
</tr></table>

</td>
</tr>
<tr>
<td BGCOLOR="#E5E5E5">
Notes
</td>
<td BGCOLOR="#F5F5F5">
You can use cron-inc.pl to compute stats for a specific date with
the command line : <I>cron-inc.pl -j dd/Mmm/yyyy</I> 
(dd is the day number, Mmm the first three letter of a month with
the first one in upper, yyyy is the year).<br>
Incremental data are not deleted if you use this option.
</td>
</tr>
</table>

</BLOCKQUOTE>
</TD>
</TR>

</TABLE>
</body>
</html>
