<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl SELiuux</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE WIDTH="100%" CELLSPACING=0 CELLPADDING=0 BORDER=0>
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP ALIGN=CENTER>
<H1><FONT COLOR="#209090">SELinux</FONT></H1>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">
</TD>
<TD VALIGN=TOP>

</TD>
</TR>

<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">

<H3>&nbsp;SELinux&nbsp;</H3>

</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
<P>
I've received this email from an anonymous user about installing W3Perl on a SELinux distribution.
<P>
I just built our new proxy server : it is running under CentOS 5.4 with SELinux enabled (according to RedHat default). I had many
issues with W3Perl 3.07, which is not ready for SELinux; here are the several fixes I applied in order to have W3Perl running with
SELinux enabled.

WARNING : I am pretty new to SELinux, I am not a master at all. I just had to prepare a software port on RedHat, so I had to dig
into this topic deeply enough, so that our customers can run our software. But this does not mean that I am now a highly skilled
SELinux master - it is not the case.

<P>
<B> - Check audit logs</B> 
<BR>

use the following command to check what may be wrong :
<BR>
<I>ausearch -c httpd -m avc</I>

<P>

<P>
<B> - GeoIP plugin</B> 
<BR>

I had to change the security context of 
<P>
/var/lib/GeoIP	and
<BR>
/var/lib/GeoIP/GeoIP.dat
<P>
thus I ran :
<P>
<I>chcon -t httpd_sys_content_t /var/lib/GeoIP</I>
<BR>
<I>chcon -t httpd_sys_content_t /var/lib/GeoIP/GeoIP.dat</I>

<P>
<B> - Network access</B> 
<P>
<I>system-config-selinux</I>
<P>
selected the "Boolean" menu, and unfolded the "HTTPD Service" entry : here, I checked the box labeled :
<P>
<I>"Allow HTTPD scripts and modules to connect to the network"</I>

<P>
<B> - Admin password protection</B> 
<P>

as I tried to set a password in order to protect /w3perl/admin/, SELinux complained again that it could not access to my
password file :
<P>
/var/www/html/w3perl/admin/passwords
<P>
it alleged that I could use the following command in order to fix the issue :
<P>
<I>setsebool -P httpd_unified=1</I>
<P>
but to me it did not work. instead, I changed my file security context again :
<P>
<I>chcon -t httpd_sys_content_t /var/www/html/w3perl/admin/passwords</I>
<P>
<B> - Log files and directory</B> 
<P>
w3perl had a hard time accessing the log files and the log directory; I solved it by changing the security context
to httpd_sys_content_t for each log file AND the directory /var/log/httpd
<P>
At this point, W3Perl ran successfully.



</BLOCKQUOTE>

</TD>
</TR>
</TABLE>
</body>
</html>
