<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl - Software - Speed</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY  TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE BORDER=0 WIDTH="100%" CELLSPACING=0 CELLPADDING=0>
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP ALIGN=CENTER>
<H1><FONT COLOR="#209090">W3Perl speed</FONT></H1>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP BGCOLOR="#39FFFF">&nbsp;</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
One w3perl weakness come from its speed to deliver stats. Of course, the
package is not able to compute as fast as package written in C but the following data will show you
that w3perl can do its job in a reasonable amount of time ... and as CPU speed are going faster and 
faster, time is less a critical value.<BR>

<P>
<CENTER>
<TABLE BORDER=0 CELLPADDING=2 CELLSPACING=2 BGCOLOR="#000000">
<TR>
<TH ALIGN=CENTER BGCOLOR="#FFCC99">Package</TH><TH ALIGN=CENTER BGCOLOR="#FFCC99">Langage</TH><TH ALIGN=CENTER BGCOLOR="#FFCC99">Speed <BR>(lines/s)</TH><TH ALIGN=CENTER BGCOLOR="#FFCC99">Time to process an <BR>1 Gb logfile</TH><TH ALIGN=CENTER BGCOLOR="#FFCC99">Time to process an <BR>1 Tb logfile</TH>
</TR>
<TR>
<TD ALIGN=CENTER BGCOLOR="#FFCC99">Analog</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">C</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">23 000</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">3 min 40</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">1 h</TD>
</TR><TR>
<TD ALIGN=CENTER BGCOLOR="#FFCC99">Webalizer</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">C</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">10 000</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">8 min 20</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">2 h 20</TD>
</TR><TR>
<TD ALIGN=CENTER BGCOLOR="#FFCC99">AWstats</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">Perl</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">4 100</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">20 min 20</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">5 h 40</TD>
</TR><TR>
<TD ALIGN=CENTER BGCOLOR="#FFCC99">W3Perl</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">Perl</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">3 500</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">23 min 40</TD><TD ALIGN=CENTER BGCOLOR="#FFEECC">6 h 40</TD>
</TR>
</TABLE>
</CENTER>
<P>
If W3Perl is slower than AWstats, this is because W3Perl produce more detailed stats.
<BR>Don't forget that this is the
time need to compute stats from scratch. Daily run are incremental and take a few minutes to complete 
whatever your logfile size.
<P><HR ALIGN=CENTER WIDTH="30%"><P>
</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">
<H3>&nbsp;Daily&nbsp;stats&nbsp;</H3>
</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
This graph show how long it take to compute each daily stats of a logfile. 
One point is one day, so a day took
typically 3 seconds to compute for an average 6000 hits/day website and 15-20 seconds for a 40000 hits/day website. 
<P>
<CENTER>
<TABLE>
<TR><TD>
<IMG SRC="../img/cpu.gif" WIDTH=448 HEIGHT=240 ALT="w3perl cpu">
</TD><TD>
<IMG SRC="../img/cpu2.gif" WIDTH=448 HEIGHT=240 ALT="w3perl cpu">
</TD></TR>
<TR>
<TD ALIGN=CENTER>
40 months of data (average 6000 hits/day)
</TD>
<TD ALIGN=CENTER>
12 months of data (average 40000 hits/day)
</TD>
</TR>
</TABLE>

</CENTER>
<P>
Stats have been computed on a XP2500+ with 512 Mb under Linux.<BR>
<P>
</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD WIDTH=130 BGCOLOR="#39FFFF"></TD>
<TD><P><HR ALIGN=CENTER WIDTH="30%"><P></TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF">
<H3>&nbsp;Reverse&nbsp;DNS&nbsp;</H3>

</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
Reverse dns is used to translate IP to hostname (and thus allowing 
country stats) but it's a very consuming job. The Netgeo and Geoip_free
module allow to reverse dns without to query a DNS and save a lots of
time (they have their own file database) ... but it's not as
accurate and uptodate than querying a DNS server.
<P>
<CENTER>
<TABLE BORDER=0 CELLPADDING=2 CELLSPACING=2 BGCOLOR="#000000">
<TR>
<TD ALIGN=CENTER BGCOLOR="#FFCC99"><I>(Logfile 1.7 Gb)</I></TD>
<TH ALIGN=CENTER BGCOLOR="#FFCC99">CPU</TH>
<TH ALIGN=CENTER BGCOLOR="#FFCC99">Speed<BR><FONT SIZE=-1><I>(lines / sec)</I></FONT></TH>
<TH ALIGN=CENTER BGCOLOR="#FFCC99">Relative speed (%)</TH>
</TR><TR>
<TD BGCOLOR="#FFCC99">reverse dns off</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">41 min 50</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">3550</TD>
<TD ALIGN=CENTER BGCOLOR="#FFEECC">100 %</TD>
</TR><TR>
<TD BGCOLOR="#FFCC99">geoip_free module</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">1 h 02 min 55</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">2280</TD>
<TD ALIGN=CENTER BGCOLOR="#FFEECC">65 %</TD>
</TR><TR>
<TD BGCOLOR="#FFCC99">netgeo module</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">1 h 04 min 15</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">2280</TD>
<TD ALIGN=CENTER BGCOLOR="#FFEECC">65 %</TD>
</TR><TR>
<TD BGCOLOR="#FFCC99">reverse dns on</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">9 h 12 min 20</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">270</TD>
<TD ALIGN=CENTER BGCOLOR="#FFEECC">7 %</TD>
</TR>
</TABLE>
</CENTER>
<P>
<P><HR ALIGN=CENTER WIDTH="80%"><P>
</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF">

<H3>&nbsp;CPU&nbsp;timing&nbsp;</H3>

</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
To give an idea, compressed logfiles are 90% smaller than uncompressed ones. Reverse dns is disabled
<BR>
Precision level : 3. Reverse DNS disabled, virus stats disabled and robot detection disabled
<P>
<CENTER>
<TABLE BORDER=0 CELLPADDING=2 CELLSPACING=2 BGCOLOR="#000000">
<TR>
<TH ALIGN=CENTER BGCOLOR="#FFCC99">Website</TH>
<TH ALIGN=CENTER BGCOLOR="#FFCC99">Intervalle</TH>
<TH ALIGN=CENTER BGCOLOR="#FFCC99">Logfile size<BR><FONT SIZE=-1><I>(compressed)</I></FONT></TH>
<TH ALIGN=CENTER BGCOLOR="#FFCC99">Logfile size<BR><FONT SIZE=-1><I>(uncompressed)</I></FONT></TH>
<TH ALIGN=CENTER BGCOLOR="#FFCC99">Hits / day</TH>
<TH ALIGN=CENTER BGCOLOR="#FFCC99">CPU <BR><FONT SIZE=-1><I>(reverse dns off)</I></FONT></TH>
<TH ALIGN=CENTER BGCOLOR="#FFCC99">CPU</TH>
<TH ALIGN=CENTER BGCOLOR="#FFCC99">Speed<BR><FONT SIZE=-1><I>(lines / sec)</I></FONT></TH>
</TR><TR>
<TD BGCOLOR="#FFCC99">W3Perl</TD>
<TD BGCOLOR="#FFEECC">1216 days<BR><FONT SIZE=-1>(40 months)</FONT></TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">124 Mb</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">1.7 Gb</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">6 000</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">41 min 50</TD>
<TD BGCOLOR="#FFEECC">XP2500+ (Linux)</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">3550</TD>
</TR><TR>
<TD BGCOLOR="#FFCC99">INRP</TD>
<TD BGCOLOR="#FFEECC">129 days<BR><FONT SIZE=-1>(3 months)</FONT></TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">154 Mb</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">1.2 Gb</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">61 000</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">39 min 26</TD>
<TD BGCOLOR="#FFEECC">XP2500+ (Linux)</TD>
<TD ALIGN=RIGHT BGCOLOR="#FFEECC">3970</TD>
</TR>
</TABLE>
</CENTER>
<P>
<P><HR ALIGN=CENTER WIDTH="80%"><P>
</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF">

<H3>&nbsp;Hints&nbsp;</H3>

</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
If you want to increase speed :
<UL>
<LI> Don't use the reverse dns option, querying dns server could take
several seconds for each IP address. Results are cached in a file for
the next calls but it really make things very slow. You could win
a three to five speed increase.<BR> 
If you really want to get the country stats, better is to use the netgeo or geoip_free perl module.
<BR>
You can also convert your logfile with <A
HREF="tools.html">Fastresolve</A> which can translate IP to hostname.
<LI> Disable unnecessary stats in your configuration file (scripts,
virus, will save you much CPU).
<LI> Robots or spammers filtering is also time consuming. 
<LI> Don't select too much pages in the @selection variable.
<LI> Use only one language output. 
</UL>
</BLOCKQUOTE>
</TD>
</TR>
</TABLE>
</body>
</html>
