<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl Ubuntu installation</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE WIDTH="100%" CELLSPACING=0 CELLPADDING=0 BORDER=0>
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP>
<CENTER>
<H1><FONT COLOR="#209090">Ubuntu/Debian installation</FONT></H1>
<P>
</CENTER>
<P>
<BLOCKQUOTE>
<BR>
<BR>
If you are running Ubuntu or Debian, this is the easy way to install the package.
It have been tested with Ubuntu 14.04 . You need to be logged as root.
<P>
Default location is :
<TABLE CELLPADDING=3>
<TR>
<TD BGCOLOR="#EEEEEE">&nbsp;</TD>
<TH BGCOLOR="#EEEEEE">Ubuntu / Debian</TH>
</TR>
<TR>
<TD BGCOLOR="#EEEEEE">Webserver</TD>
<TD>/var/www/html/ (*)</TD>
</TR>
<TR>
<TD BGCOLOR="#EEEEEE">Cgi</TD>
<TD>/usr/lib/cgi-bin/</TD>
</TR>
<TR>
<TD BGCOLOR="#EEEEEE">Logfiles</TD>
<TD>/var/log/apache2/</TD>
</TR>
</TABLE>
<P>

<P>(*) Ubuntu 12.04 and previous use /var/www/ so upgrade to the latest one
  or install manually
<BR>Default logfile format is ECLF.
<P>
The default configuration file is config-example-ubuntu.pl
<P>
<FONT COLOR="#A020A0"><B>* First Step :</B></FONT> <FONT COLOR="#A02020">Requirement</FONT>
<P>
You should have an Apache webserver running with cgi enable. Use
'a2enmod cgi' and then restart with 'service apache2 restart' as
default apache have cgi disabled.
<P>
Make sure your apache2.conf file contains :
<BR>
ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/

<BR>
	&lt;Directory /var/www/votre_site/cgi-bin/&gt;
<BR>
	Options ExecCGI
<BR>
	AddHandler cgi pl py
<BR>
&lt;/Directory&gt;


<P>
<FONT COLOR="#A020A0"><B>* 2nd Step :</B></FONT> <FONT COLOR="#A02020">Install W3Perl</FONT>
<P>
Just type :
<BR>
<I>dpkg -i w3perl_<I>&lt;version&gt</I>.deb</I> where <I>&lt;version&gt</I> is the current release number.
<P>
Ressources files will be installed in /var/www/html/w3perl/ and scripts in /usr/lib/cgi-bin/w3perl/. Files Group/Owner are root.
<P>
If you need to remove the package, just use 
dpkg -r w3perl_<I>&lt;version&gt</I>.deb
<P>
<FONT COLOR="#A020A0"><B>* 3rd Step :</B></FONT> <FONT COLOR="#A02020">Permission</FONT>
<P>
Two directories shoud be writeable by the server if you want to use the administration interface :
<BR>
 - /w3perl/config/ and /w3perl/resources/admin/, so chmod 777 if not
 or allow apache to write into.
<BR>
- Also /w3perl/resources/admin/locconf and /w3perl/config/ should be
writeable so chmod 666 or allow apache to write in.
<P>
- Edit the admin/pass.txt file if your IP doesn't match 127.0.0.1 and add your local IP
 <P>
<FONT COLOR="#A020A0"><B>* 4th Step :</B></FONT> <FONT COLOR="#A02020">Configuration</FONT>
<P>
W3Perl need a configuration file to run. 
A default configuration file (config-example-ubuntu.pl) is provided so the scripts are ready to run. But some fields need
to be edited as your server domain name. Go to the administration interface (http://127.0.0.1/w3perl/admin/)
and use the config-example-ubuntu file as a template ('clone' option)<BR>
That's all !
<P>
If your browser want to save the perl scripts, you should enabled cgi in your apache configuration.
<P>
<FONT COLOR="#A020A0"><B>* 5th Step :</B></FONT> <FONT COLOR="#A02020">Optional software</FONT>
<P>
Geo-IPfree or Geo-IP perl module allow geographical mapping from IP
addresses. Install the libgeo-ip-perl and libgeoip1 using your package
manager.<BR>
If you can't install these packages, you can them download them and install them manually :
<UL>
<LI> Flydraw : generate GIF graphics (latest W3Perl version use a
  javascript library) 
<LI> GeoIP : You need first to install the GeoIP C Library (configure, make, make install) then the Geo-IP perl module (perl Makefile.PL, make, make test, make install)
<LI> Geo-IPfree : Same as GeoIP but free (perl Makefile.PL, make, make test, make install)
<LI> HTMLDoc to allow PDF output
<LI> Perl MIME::Lite module to allow report to be send by email
</UL>
<P>
See the <A HREF="plugin.html">plug-in</A> page to get more informations.

</BLOCKQUOTE>
</TD>
</TR>
</TABLE>
</body>
</html>
