<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl Webmaster installation</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE WIDTH="100%" CELLSPACING=0 CELLPADDING=0 BORDER=0>
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP>
<CENTER>
<H1><FONT COLOR="#209090">Webmaster installation</FONT></H1>
<P>

</CENTER>
<P>
<BLOCKQUOTE>
<BR>
<BR>
The steps are the following : extract the package, edit the install
script, run it
and then build a configuration file to customize your stats.
<BR>
<FONT COLOR="#20A0A0">W3Perl installation directory</FONT><BR>
<FONT COLOR="#A02020">Your Cgi-bin directory</FONT>
</BLOCKQUOTE>
<P>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">

<H3>&nbsp;With&nbsp;<BR>cgi-bin&nbsp;</H3>


</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
<P>
<FONT COLOR="#A020A0"><B>* First STAGE</B></FONT> : <FONT COLOR="#A02020">Install the scripts</FONT>
<P>

- Download the <A HREF="http://www.w3perl.com/download/index.html">W3Perl package</A>. Extract it on your web server root, it will create a <FONT COLOR="#20A0A0"><I>/w3perl/</I></FONT> directory. 
<P>

- <B>Permission</B><P>
Give execution permission to the scripts (chmod +x *.pl) if not.
<BR> Two directories shoud be readable/writeable by the server if you
want to use the administration interface : 
<FONT COLOR="#20A0A0"><I>/w3perl/config/</I></FONT> and <FONT COLOR="#20A0A0"><I>/w3perl/resources/admin/</I></FONT>, so chmod 777 if not.
<BR>
<FONT COLOR="#20A0A0"><I>/w3perl/resources/admin/locconf</I></FONT> should be writeable too, so chmod 666 is not.
<P>

- <B>Installation</B><P>
<UL>
<LI> Automatic<BR>
If you are running an Apache server, you can use 
'install.pl -a' to install the package without editing anything. The 'a'
flag will install w3perl on the main server found in the apache
configuration file (Apache configuration file should be readable by
the script). In fact, the script is just looking for the ScriptAlias
directive to find where the cgi-bin is located.<BR>
<P>
<LI>Manually<BR>
Edit the install.pl script. Modify if needed the perl location in the
first line. Then change $pathcgi and $pathw3perl according to your system.
$pathcgi is the location where the scripts will be installed, default is
<FONT COLOR="#A02020">/path_to_your_cgi-bin/cgi-bin/w3perl/</FONT>.
$pathw3perl is the directory where the package have been extracted :
<FONT COLOR="#20A0A0">/path_to_your_server_root/w3perl/</FONT>
<BR>
Run install.pl. If your cgi-bin is root owner, you'll have to run
the script as root. 
</UL>
<P>

<!--
1.3 - Create a subdirectory called <FONT COLOR="#A02020"><I>/w3perl/</I></FONT> inside your cgi-bin directory and move all the w3perl scripts inside it (it means <FONT COLOR="#20A0A0">/w3perl/*.pl scripts</FONT> but also 
<FONT COLOR="#20A0A0">/w3perl/cgi-bin/w3perl/*.pl scripts</FONT>).
<BR>So all w3perl scripts should be now located in your 
<FONT COLOR="#A02020">/cgi-bin/w3perl/</FONT> directory.
<P>
1.4 - Edit the first line of <FONT COLOR="#A02020">fixperlpath.pl</FONT> to reflect the Perl location on your host (most use /usr/local/bin/perl). 
<BR>Edit the <FONT COLOR="#A02020">second line</FONT> to reflect the full path of the libw3perl.pl script
 (eg : /usr/local/etc/cgi-bin/w3perl/libw3perl.pl).
<BR>
 Then edit the <FONT COLOR="#20A0A0">third line</FONT> to reflect the location of the w3perl resources.
<BR>  Please don't remove the comment in front of these lines.
<P>
-->


<!--
1.7 - Select the 'Customization' link to fix the path used by the package. Another way is to run fixperlpath.pl at the command line. NT users have to use
the command line. 
<P>
-->
<P>
<FONT COLOR="#A020A0"><B>* 2nd STAGE</B></FONT> : <FONT COLOR="#A02020">Building configuration file</FONT>
<P>
- Use your favourite browser and go to <FONT COLOR="#20A0A0">http://localhost/w3perl/admin/</FONT> . You'll see the w3perl administration interface.
<BR>
<UL>
<LI> Select 'Make configuration file' to build a config from scratch and fill the different forms. Default config filename is named : config. 
<BR>
<LI> Or you may also select 'Clone' if you want to use one of the provided configuration files as a template.
<BR>
<LI> If you've got trouble, you could also fill the <A HREF="config.html">configuration file</A> by hand. 
</UL>
<P>
The configuration file should be copied (not moved !) into your <FONT COLOR="#A02020">/path_to_your_cgi-bin/cgi-bin/w3perl/</FONT> (because server owner can't write to
/cgi-bin/ due to security restriction)

<P>
<FONT COLOR="#A020A0"><B>* 3rd STAGE</B></FONT> : <FONT COLOR="#A02020">Ready</FONT>
<P>
Now you're ready to <A HREF="firstuse.html">compute your stats</A> ! 
You can use the 'Launch scripts' in the administration interface and
click on the different scripts to launch them or use the command
line to run the following script : 'cron-w3perl.pl -a'. It's up to you. Avoid using both launch as
web user and login user have different file access permission.
<P>
- <B>Crontab</B><P>
If everything is right, add 'cron-w3perl.pl -e' in your <A HREF="crontab.html">crontab</A>. 
Flag -e will update all stats. Add -c your_config_file if the one you are using is not named : config.pl
<P>
<HR WIDTH="30%"><P>
</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">
<H3>&nbsp;Hints&nbsp;</H3>

</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
<P>
1 - If you have trouble, you can post a message in the forum or contact me.
<P>
2 - If you are hosting several web servers on the same host, you
don't need to install the package for each server.
<P>
3 - You can build as many configuration files you need. Just use the
-c flag to load them
<P>
4 - Don't forget numerous option are available via the -h flag
for each script.
<P>
5 - Install a password in the <FONT COLOR="#20A0A0">/w3perl/admin/</FONT>
 to avoid everyone to change your stats settings.
<P>
</BLOCKQUOTE>
</TD>
</TR>
</TABLE>
</body>
</html>
