<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl - Windows - IIS</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%">
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP ALIGN=CENTER>
<H1><FONT COLOR="#209090">Windows - IIS</FONT></H1>
</TD>
</TR>

<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF">
<H3>&nbsp;IIS&nbsp;server&nbsp;</H3>
</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>

<FONT COLOR="#A020A0"><B>* First STAGE</B></FONT> : <FONT COLOR="#A02020">IIS 7/8 requirement</FONT>
<P>
- IIS 7.0 and beyond should first enable the <B>IIS 6.0 metabase
compatibility</B> (the install script require ADSI)
<BR>
- <B>CGI component</B> should also be
installed.
<P>
<TABLE>
<TR><TD ALIGN=CENTER>
<IMG SRC="../img/IisMetabaseCompatibility.jpg" WIDTH=429 HEIGHT=375 ALT="ii6metabase">
</TD><TD ALIGN=CENTER>
<IMG SRC="../img/IisCGI.png" WIDTH=429 HEIGHT=375 ALT="iiscgi">
</TD></TR>
</TABLE>
<P>
More informations about adding IIS 6.0 Metabase Compatibility and CGI in IIS 7.0 :<BR>
- <A HREF="http://docs.liebsoft.com/Account-Reset-Console-Installation-Guide/4469.htm">Step
    by step install for ADSI on Windows Server</A>
<BR>
<!--
- <A HREF="http://www.iis.net/learn/application-frameworks/install-and-configure-php-applications-on-iis/using-fastcgi-to-host-php-applications-on-iis#EnableFastCGI">A</A>
<BR>
-->
- <A HREF="http://www.php.net/manual/en/install.windows.iis7.php">How to install FastCGI</A> (idem for CGI)
<!--
<BR>
- <A HREF="http://msdn.microsoft.com/en-us/magazine/cc163453.aspx">http://msdn.microsoft.com/en-us/magazine/cc163453.aspx</A>

<BR>
- <A HREF="http://msdn.microsoft.com/fr-fr/library/bb675150.aspx">http://msdn.microsoft.com/fr-fr/library/bb675150.aspx</A>

<BR>
- <A HREF="http://technet.microsoft.com/fr-fr/magazine/2008.03.iis7.aspx">http://technet.microsoft.com/fr-fr/magazine/2008.03.iis7.aspx</A>
-->

<P>
<FONT COLOR="#A020A0"><B>* 2nd STAGE</B></FONT> : <FONT COLOR="#A02020">Installation</FONT>
<P>
<P>
- Run w3perl-iis.exe
<P>
Installer will check :
<P>
- if Perl have been installed first. 
<BR>
- if IIS is running.
<BR>
- if Metabase compatibility have been installed for IIS > 6.0
<BR>
- if a previous version of W3Perl is found, it will update the package
<br>

<P>
<FONT COLOR="#A020A0"><B>* 3rd STAGE</B></FONT> : <FONT COLOR="#A02020">Build configuration file</FONT>
<P>
- Password protect the admin section (/w3perl/admin/), this is the place where you will manage your stats. If php is available, you can also edit the /admin/pass.txt file to add a list of allowed IP
<BR>
- Now use your opened browser to http://127.0.0.1/w3perl/admin/ to manage configuration files.
<BR>
- Default configuration file is provided for IIS :
config-iis.pl. You should be able to use it without any modification as the installer read the IIS
metabase to extract data (logfile format, domain name ...)
<BR>
- If you want to make some modifications (for instance changing thresholds), select <FONT COLOR="#20A0A0">Modify a config</FONT> and select the config-iis file.
<BR>
- If you want to build your own configuration file from scratch, click on <FONT COLOR="#20A0A0">Make a new config</FONT> and follow the procedures outlined. By filling in the details you will create a file called <FONT COLOR="#20A0A0">config.pl</FONT>. You can also choose to 'clone' the config-iis file if you just need to change few fields.
<BR>
<P>
<FONT COLOR="#A020A0"><B>* 4th STAGE</B></FONT> : <FONT COLOR="#A02020">Ready</FONT>
<P>
- You should now be able to analyse your logs.
<BR>
- You can run the stats either from a web interface or the 'Start Menu'. Choose one and use always the same way.
If you choose the web admin, logfiles should be readable by the web server (add IUSR_[your server name] user in Security on your logfile directory) and
output directory should be writeable by the server.
<P>
<BLOCKQUOTE>
 <B>1)</B> Web interface : Nicer but you could receive a server timeout (W3Perl set the value to 10 hours).
<BR>
a) In admin go through the <FONT COLOR="#20A0A0">Immediate Launch</FONT> which allow to compute the stats.
<BR>
b) Select the IIS configuration file
<BR>
c) Then click on the 'Init all stats' icon.

<P>
<B>2)</B> Windows Menu : Faster but more difficult to catch errors/warnings
<BR>
a) Select 'Start Menu -> Program -> W3Perl -> Init'
<BR>

</BLOCKQUOTE>

<BR>
- In order to watch the ouput, go back to the administration interface and select the <FONT COLOR="#20A0A0">View stats</FONT>
<BR>
- You can use the command <I>at</I> to schedule the stats to update, add the command 'cron-w3perl.pl -e -c &lt;configfile&gt;' to run daily. If you have previously ran the stats from the web update, make sure 'at' command will be launch from the IIS user (IUSR_[hostname]) 
<P>
<FONT COLOR="#A020A0"><B>* IIS logfile</B></FONT>
<P>
Default IIS logfile format is rather poor. It does not include any
data about agent, referer and traffic which are very useful. I suggest
you to alter your logfile format using the IIS administration tool to
add these extra data. Best would be to use the W3C format.
<P>

<FONT COLOR="#A020A0"><B>* Problem ?</B></FONT>
<P>
If you have any trouble with w3perl, please check installation was successful. Edit the /w3perl/Config.txt files.
This is the configuration parameters which are used for w3perl installation.
<P>
Check the following points :
<P>
- Make sure Perl is enabled
: <A HREF="http://www.visualwin.com/Perl/">IIS6 on Windows 2003</A>
/ <A HREF="http://www.howtogeek.com/50479/how-to-install-perl-on-iis-7-for-windows-server-2008/">IIS7
    on Windows 2008</A>
/ <A HREF="http://serverfault.com/questions/176321/how-do-i-install-perl-5-8-and-perlfect-on-iis-7-5">Perl and IIS</A>
<BR>
- Use ActivePerl rather than Strawberry Perl
<BR>
- When trying to run cgi, you get "HTTP Error 404.2 - Not Found
The page you are requesting cannot be served because of the ISAPI and
CGI Restriction list settings on the Web server" => In <A HREF="http://support.microsoft.com/kb/942040">ISAPI and CGI
Restrictions</A>, Right-click the restriction that restricts the
requested ISAPI resource or the requested CGI resource and then click
Allow. 
<BR>
- If you are using the web interface to build config files :
<BR>
=> make sure /config/ and /resources/admin/ are writeable by the IIS user (IUSR_[hostname]) 
<BR>
- If you are using the web interface to run the stats :
<BR> 
=> make sure cmd.exe could be run from the IIS user (IUSR_[hostname]) or don't use
the master script (which fork w3perl's scripts).
<BR>
=> The logfile should be readable by IIS user or the script will not find any logfile
<BR>
=> Your output directory should be writeable by IIS User or the script will not be able to modify
the files produced.
</BLOCKQUOTE>

</TD>
</TR>

</TABLE>
</body>
</html>
