function clean() {
		document.ajax.search_value.value="";
}

function clean_focus() {
    document.getElementById('search_suggest').innerHTML="";
}

function createRequestObject() {

   var req;

   if(window.XMLHttpRequest){
      req = new XMLHttpRequest();
   } else if(window.ActiveXObject) {
      req = new ActiveXObject("Microsoft.XMLHTTP");
   } else {
      alert('Problem creating the XMLHttpRequest object');
   }
   return req;

}

////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Note : objId -> u have to pass the Jqplot's DIV id.


function jqplotToImg(objId) {
// first we draw an image with all the chart components
var newCanvas = document.createElement("canvas");
newCanvas.width = $("#" + objId).width();
newCanvas.height = $("#" + objId).height();
var baseOffset = $("#" + objId).offset();

$("#" + objId).children().each(
function() {
// for the div's with the X and Y axis
if ($(this)[0].tagName.toLowerCase() == 'div') {
// X axis is built with canvas
$(this).children("canvas").each(
function() {
var offset = $(this).offset();
newCanvas.getContext("2d").drawImage(this,
offset.left - baseOffset.left,
offset.top - baseOffset.top);
});
// Y axis got div inside, so we get the text and draw it on
// the canvas
$(this).children("div").each(
function() {
var offset = $(this).offset();
var context = newCanvas.getContext("2d");
context.font = $(this).css('font-style') + " "
+ $(this).css('font-size') + " "
+ $(this).css('font-family');
context.fillText($(this).html(), offset.left
- baseOffset.left, offset.top
- baseOffset.top + 10);
});
}
// all other canvas from the chart
else if ($(this)[0].tagName.toLowerCase() == 'canvas') {
var offset = $(this).offset();
newCanvas.getContext("2d").drawImage(this,
offset.left - baseOffset.left,
offset.top - baseOffset.top);
}
});

// add the point labels
$("#" + objId).children(".jqplot-point-label").each(
function() {
var offset = $(this).offset();
var context = newCanvas.getContext("2d");
context.font = $(this).css('font-style') + " "
+ $(this).css('font-size') + " "
+ $(this).css('font-family');
context.fillText($(this).html(), offset.left - baseOffset.left,
offset.top - baseOffset.top + 10);
});

// add the rectangles
$("#" + objId + " *").children(".jqplot-table-legend-swatch").each(
function() {
var offset = $(this).offset();
var context = newCanvas.getContext("2d");
context.setFillColor($(this).css('background-color'));
context.fillRect(offset.left - baseOffset.left, offset.top
- baseOffset.top, 15, 15);
});

// add the legend
$("#" + objId + " *").children(".jqplot-table-legend td:last-child").each(
function() {
var offset = $(this).offset();
var context = newCanvas.getContext("2d");
context.font = $(this).css('font-style') + " "
+ $(this).css('font-size') + " "
+ $(this).css('font-family');
context.fillText($(this).html(), offset.left - baseOffset.left,
offset.top - baseOffset.top + 15);
});

window.open(newCanvas.toDataURL(), "directories=no");
}


////////////////////////////////////////////////////////////////////////////////////////////////////////////

function jqplotToImg2(obj) {
    var newCanvas = document.createElement("canvas");
    newCanvas.width = obj.find("canvas.jqplot-base-canvas").width();
    newCanvas.height = obj.find("canvas.jqplot-base-canvas").height()+10;
    var baseOffset = obj.find("canvas.jqplot-base-canvas").offset();

    // make white background for pasting
    var context = newCanvas.getContext("2d");
    context.fillStyle = "rgba(255,255,255,1)";
    context.fillRect(0, 0, newCanvas.width, newCanvas.height);

    obj.children().each(function () {
    // for the div's with the X and Y axis
        if ($(this)[0].tagName.toLowerCase() == 'div') {
            // X axis is built with canvas
            $(this).children("canvas").each(function() {
                var offset = $(this).offset();
                newCanvas.getContext("2d").drawImage(this,
                    offset.left - baseOffset.left,
                    offset.top - baseOffset.top
                );
            });
            // Y axis got div inside, so we get the text and draw it on the canvas
            $(this).children("div").each(function() {
                var offset = $(this).offset();
                var context = newCanvas.getContext("2d");
                context.font = $(this).css('font-style') + " " + $(this).css('font-size') + " " + $(this).css('font-family');
                context.fillStyle = $(this).css('color');
                context.fillText($(this).text(),
                    offset.left - baseOffset.left,
                    offset.top - baseOffset.top + $(this).height()
                );
            });
        } else if($(this)[0].tagName.toLowerCase() == 'canvas') {
            // all other canvas from the chart
            var offset = $(this).offset();
            newCanvas.getContext("2d").drawImage(this,
                offset.left - baseOffset.left,
                offset.top - baseOffset.top
            );
        }
    });

    // add the point labels
    obj.children(".jqplot-point-label").each(function() {
        var offset = $(this).offset();
        var context = newCanvas.getContext("2d");
        context.font = $(this).css('font-style') + " " + $(this).css('font-size') + " " + $(this).css('font-family');
        context.fillStyle = $(this).css('color');
        context.fillText($(this).text(),
            offset.left - baseOffset.left,
            offset.top - baseOffset.top + $(this).height()*3/4
        );
    });

    // add the title
    obj.children("div.jqplot-title").each(function() {
        var offset = $(this).offset();
        var context = newCanvas.getContext("2d");
        context.font = $(this).css('font-style') + " " + $(this).css('font-size') + " " + $(this).css('font-family');
        context.textAlign = $(this).css('text-align');
        context.fillStyle = $(this).css('color');
        context.fillText($(this).text(),
            newCanvas.width / 2,
            offset.top - baseOffset.top + $(this).height()
        );
    });

    // add the legend
    obj.children("table.jqplot-table-legend").each(function() {
        var offset = $(this).offset();
        var context = newCanvas.getContext("2d");
        context.strokeStyle = $(this).css('border-top-color');
        context.strokeRect(
            offset.left - baseOffset.left,
            offset.top - baseOffset.top,
            $(this).width(),$(this).height()
        );
        context.fillStyle = $(this).css('background-color');
        context.fillRect(
            offset.left - baseOffset.left,
            offset.top - baseOffset.top,
            $(this).width(),$(this).height()
        );
    });

    // add the rectangles
    obj.find("div.jqplot-table-legend-swatch").each(function() {
        var offset = $(this).offset();
        var context = newCanvas.getContext("2d");
        context.fillStyle = $(this).css('background-color');
        context.fillRect(
            offset.left - baseOffset.left,
            offset.top - baseOffset.top,
            $(this).parent().width(),$(this).parent().height()
        );
    });

    obj.find("td.jqplot-table-legend").each(function() {
        var offset = $(this).offset();
        var context = newCanvas.getContext("2d");
        context.font = $(this).css('font-style') + " " + $(this).css('font-size') + " " + $(this).css('font-family');
        context.fillStyle = $(this).css('color');
        context.textAlign = $(this).css('text-align');
        context.textBaseline = $(this).css('vertical-align');
        context.fillText($(this).text(),
            offset.left - baseOffset.left,
            offset.top - baseOffset.top + $(this).height()/2 + parseInt($(this).css('padding-top').replace('px',''))
        );
    });

    // convert the image to base64 format
    return newCanvas.toDataURL("image/png");
}

function searchSuggest() { 

	var req = null; 

	var search_value = document.ajax.search_value.value;
	var datafile = document.ajax.datafile.value;
	var threshold = parseInt(document.ajax.search_threshold.value);
	var index_hit = parseInt(document.ajax.index_hit.value);
	var count = 0;
	var string_sep = document.ajax.string_sep.value;

	var mode_local;
	if (document.ajax.mode_local !== undefined) {
	for (var i=0; i<document.ajax.mode_local.length;i++) {
	         if (document.ajax.mode_local[i].checked) {
        	    mode_local = document.ajax.mode_local[i].value;
        	}
	}

	if (mode_local == undefined) mode_local = parseInt(document.ajax.mode_local.value);

	if (mode_local == 1) {
		var datafile_local = document.ajax.datafile_local.value;
		datafile = datafile_local;
	}
	}

	// Check is a number
	if (!(isNumber(threshold))) {
	   alert("Threshold is not a number, assuming 0");
	   threshold = 0;
	}


	if (threshold == '') threshold = 0;

	if (search_value) {

	var search_value_lower = search_value.toLowerCase();

	///////////////////////////////////////////////////////////////
	// Datafile

	var req = createRequestObject();

	req.onreadystatechange = function() { 
	if (req.readyState == 4) {
		if (req.status == 200) {

			var results = req.responseText;
			var lines = results.split("\n");

			var ss = document.getElementById('search_suggest')
			ss.innerHTML = '';

			for (i = 0; (i < lines.length); i++) {
			  var line_string = lines[i].split("\n");
			  var line_val = unescape(line_string);

			  if ((line_val.split(string_sep)[0].toLowerCase()).match(search_value_lower)
  				 && parseInt((line_val.split(string_sep)[index_hit])) >= threshold) {
				 count++;
				 if (count < 10) {
				     var pairs = line_val.split(string_sep);
				     var name = unescape(pairs[0]);

				     var suggest = '<div onmouseover="javascript:suggestOver(this);" ';
				     suggest += 'onmouseout="javascript:suggestOut(this);" ';
				     suggest += 'onclick="javascript:setSearch(this.innerHTML);" ';
				     suggest += 'class="suggest_link">' + name + '</div>';
				     ss.innerHTML += suggest;
				 }

			  }
			}

		} else {
		    var result_print = "Error: returned status code " + req.status + " " + req.statusText + " : " + datafile;
		    document.getElementById("display_topheader_line1").innerHTML = result_print;
		}
	}
	}

	req.open("GET", datafile, true); 
	req.send(null); 

	}

}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

function suggestOver(div_value) {
	div_value.className = 'suggest_link_over';
}

function suggestOut(div_value) {
	div_value.className = 'suggest_link';
}

function setSearch(value) {
	document.getElementById('txtSearch').value = value;
	document.getElementById('search_suggest').innerHTML = '';
}

// check to see if input is number
function isNumber(val) {
if (isNaN(val)) {
return false;
} else {
return true;
} 
}

function UpdateProgress() {

    //	var req = null; 

	var datafile = document.ajax.datafile.value;

	var req = createRequestObject();

	req.onreadystatechange = function() { 
	if (req.readyState == 4) {
		if (req.status == 200) {

			var results = req.responseText;
			var result_print;
			
			result_print = results;
			//			alert("TOTO"+datafile);
			document.getElementById("display_output").innerHTML = result_print;

			} else {
                                var result_print = "Error: returned status code " + req.status + " " + req.statusText;
                                document.getElementById("graph_print").innerHTML = result_print;
			}

	}

	}

	req.open("GET", datafile, true); 
	req.send(null); 

    return true;
}

function domFunction(f, a) {
	//initialise the counter
	var n = 0;
	
	//start the timer
	var t = setInterval(function()
	{
		//continue flag indicates whether to continue to the next iteration
		//assume that we are going unless specified otherwise
		var c = true;

		//increase the counter
		n++;
	
		//if DOM methods are supported, and the body element exists
		//(using a double-check including document.body, for the benefit of older moz builds [eg ns7.1] 
		//in which getElementsByTagName('body')[0] is undefined, unless this script is in the body section)
		if(typeof document.getElementsByTagName != 'undefined' && (document.getElementsByTagName('body')[0] != null || document.body != null))
		{
			//set the continue flag to false
			//because other things being equal, we're not going to continue
			c = false;

			//but ... if the arguments object is there
			if(typeof a == 'object')
			{
				//iterate through the object
				for(var i in a)
				{
					//if its value is "id" and the element with the given ID doesn't exist 
					//or its value is "tag" and the specified collection has no members
					if
					(
						(a[i] == 'id' && document.getElementById(i) == null)
						||
						(a[i] == 'tag' && document.getElementsByTagName(i).length < 1)
					) 
					{ 
						//set the continue flag back to true
						//because a specific element or collection doesn't exist
						c = true; 

						//no need to finish this loop
						break; 
					}
				}
			}

			//if we're not continuing
			//we can call the argument function and clear the timer
			if(!c) { f(); clearInterval(t); }
		}
		
		//if the timer has reached 60 (so timeout after 15 seconds)
		//in practise, I've never seen this take longer than 7 iterations [in kde 3 
		//in second place was IE6, which takes 2 or 3 iterations roughly 5% of the time]
		if(n >= 60)
		{
			//clear the timer
			clearInterval(t);
		}
		
	}, 250);
};


////////////////////////////////////////////////////////////////////////////////////////////////////////////

function SearchVirtual() { 

	var req = null; 
	var count = 0;

	var search_value = document.ajax.search_value.value;
	var search_value_ini = search_value;
	var datafile = document.ajax.datafile.value;

	var seuilsite = parseInt(document.ajax.seuilsite.value);
//	var precision = parseInt(document.ajax.precision.value);
	var string_th = document.ajax.string_th.value;
	var string_title = document.ajax.string_title.value;
	var threshold = parseInt(document.ajax.search_threshold.value);
	var string_sep = document.ajax.string_sep.value;
	var stats_type = document.ajax.stats.value;
	var notrafic = parseInt(document.ajax.notrafic.value);
	var aff_access = parseInt(document.ajax.aff_access.value);
	var aff_uniq = parseInt(document.ajax.aff_uniq.value);

	// Check is a number
	if (!(isNumber(threshold))) {
	   alert("Threshold is not a number, assuming 0");
	   threshold = 0;
	}

	if (threshold == '') threshold = 0;
	var string_tab = string_th.split(":");
	var string_title = string_title.split(":");

	if (search_value) {

	var search_value_lower = search_value.toLowerCase();


	///////////////////////////////////////////////////////////////
	// Datafile

	var req = createRequestObject();

	req.onreadystatechange = function() { 
	if (req.readyState == 4) {
		if (req.status == 200) {

			var results = req.responseText;
			var lines = results.split("\n");

			var data = new Array();
			var page_occur = new Array();
			var result_print;

			var header_str = string_title[1]+" '"+search_value+"'\n<P>";
			var link_page;

			for (i = 0; (i < lines.length); i++) {
			  var line_string = lines[i].split("\n");
			  var line_val = unescape(line_string);

			  if ((line_val.split(string_sep)[0].toLowerCase()).match(search_value_lower)
  				 && parseInt((line_val.split(string_sep)[1])) >= threshold) {

				 data[count] = line_val.split(string_sep)[0];
				 var hit = line_val.split(string_sep)[1];

				 // City
				 if (stats_type == "city") {
				 var access = line_val.split(string_sep)[2];

				 var region = line_val.split(string_sep)[4];
				 var nb_hosts = line_val.split(string_sep)[5];
				 var pays = line_val.split(string_sep)[6];
				 var payscode = line_val.split(string_sep)[7];
				 if (notrafic == 0) {
				 var traffic = line_val.split(string_sep)[3];
				 traffic = parseInt(traffic*100/(1024*1024))/100;
				 }
				 page_occur[count] = region+"|"+pays+"|"+nb_hosts+"|"+hit+"|"+access;
				 if (notrafic == 0) page_occur[count] += "|"+traffic;
				 page_occur[count] += "|"+payscode;
				 }

				 // Repert
				 if (stats_type == "repert") {
				 var access = line_val.split(string_sep)[2];
				 if (notrafic == 0) {
				 var traffic = line_val.split(string_sep)[4];
				 traffic = parseInt(traffic*100/(1024*1024))/100;
				 }
				 page_occur[count] = hit+"|"+access;
				 if (notrafic == 0) page_occur[count] += "|"+traffic;

				 var hit2 = line_val.split(string_sep)[7];
				 var access2 = line_val.split(string_sep)[8];
				 if (notrafic == 0) {
				 var traffic2 = line_val.split(string_sep)[9];
				 traffic2 = parseInt(traffic2*100/(1024*1024))/100;
				 }
				 page_occur[count] += "|"+hit2+"|"+access2;
				 if (notrafic == 0) page_occur[count] += "|"+traffic2;
				 }

				 // Cups
				 if (stats_type == "cups") {
				     var access = line_val.split(string_sep)[2];
				     page_occur[count] = hit+"|"+access;
				 }

				 // Virtual
				 if (stats_type == "virtual") {
				     if (notrafic == 0) {
					 var traffic = line_val.split(string_sep)[2];
					 traffic = parseInt(traffic*100/(1024*1024))/100;
				     }

				     page_occur[count] = hit;
				     if (notrafic == 0) page_occur[count] += "|"+traffic;

				     if (line_val.split(string_sep)[3] != undefined) {
					 var host = line_val.split(string_sep)[3];
					 var date = line_val.split(string_sep)[4];
					 page_occur[count] += "|"+host+"|"+date;
				     }
				 }

				 // Users
				 if (stats_type == "users") {


				 //				 if (line_val.split(string_sep)[4] != undefined) {
				 if (notrafic == 0) {
				     var traffic = line_val.split(string_sep)[2];
				     traffic = parseInt(traffic*100/(1024*1024))/100;
				     var host = line_val.split(string_sep)[3];
				     var date = line_val.split(string_sep)[4];
				     var access = line_val.split(string_sep)[5];
				 } else {
				     var host = line_val.split(string_sep)[2];
				     var date = line_val.split(string_sep)[3];
				     var access = line_val.split(string_sep)[4];
				 }
				 page_occur[count] = hit;
				 if (notrafic == 0) page_occur[count] += "|"+traffic;
				 page_occur[count] += "|"+host+"|"+date;
				 if (aff_access == 1) {
				     page_occur[count] += "|"+access;
				 }
				 //				 }
				 
				 //				 else {
				 //				 page_occur[count] = "<I>"+hit+"</I>"+"|"+"|"+"|";
				 //				 }
				 }

				 count++;
			   }
			 }

			if (count != 0) {

		        // Number of items

			result_print = "Here are the "+count+" result";
			if (count > 1) result_print += "s";
			result_print += " :<P>\n";

			if (stats_type == "repert") {
			    //			result_print += "<TABLE CLASS=\"sortable_base\" ID=\"dir_search\">\n";
			    result_print += "<table class=\"tablesort table-autosort table-autostripe table-stripeclass:alternate\">\n";
			} 

			if (stats_type == "city") {
			result_print += "<table class=\"tablesort table-autosort table-autostripe table-stripeclass:alternate\">\n";
			} 

			if (stats_type == "virtual" || stats_type == "users" || stats_type == "cups") {
			result_print += "<table class=\"tablesort table-autosort table-autostripe table-stripeclass:alternate\">\n";
			}

			result_print += "<thead>\n";
			result_print += "<TR>\n";

			if (stats_type == "repert") {	
			result_print += "<TH>&nbsp;</TH>\n";
			if (notrafic == 0) result_print += "<TH COLSPAN=3>&nbsp;"+string_tab[5]+"&nbsp;</TH>\n";
			if (notrafic == 0) result_print += "<TH COLSPAN=3>&nbsp;"+string_tab[6]+"&nbsp;</TH>\n";
			if (notrafic == 1) result_print += "<TH COLSPAN=2>&nbsp;"+string_tab[5]+"&nbsp;</TH>\n";
			if (notrafic == 1) result_print += "<TH COLSPAN=2>&nbsp;"+string_tab[6]+"&nbsp;</TH>\n";
			result_print += "</TR><TR>\n";
			}

			result_print += "<TH class=\"table-sortable:default\">&nbsp;"+string_tab[0]+"&nbsp;</TH>\n";
			result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[1]+"&nbsp;</TH>\n";
			
			if (stats_type == "repert") {	
			result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[2]+"&nbsp;</TH>\n";
			if (notrafic == 0) result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[3]+"&nbsp;("+string_tab[4]+")</TH>\n";
			result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[1]+"&nbsp;</TH>\n";
			result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[2]+"&nbsp;</TH>\n";
			if (notrafic == 0) result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[3]+"&nbsp;("+string_tab[4]+")</TH>\n";
			}

			if (stats_type == "city") {
			result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[2]+"&nbsp;</TH>\n";
			result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[3]+"&nbsp;</TH>\n";
			result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[4]+"&nbsp;</TH>\n";
			result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[5]+"&nbsp;</TH>\n";
			if (notrafic == 0) result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[6]+"&nbsp;("+string_tab[7]+")</TH>\n";
			}

			if (stats_type == "cups") {
			    result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[2]+"&nbsp;</TH>\n";
			}

			if (stats_type == "virtual") {
			if (notrafic == 0) result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[2]+"&nbsp;("+string_tab[3]+")</TH>\n";
			if (string_tab[4] != undefined) {
			result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[4]+"&nbsp;</TH>\n";
			result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[5]+"&nbsp;</TH>\n";	
			}

			}

			if (stats_type == "users") {
			    if (notrafic == 0) result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[2]+"&nbsp;("+string_tab[3]+")</TH>\n";
			    result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[4]+"&nbsp;</TH>\n";
			    result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[5]+"&nbsp;</TH>\n";
			    if (aff_access == 1) {
				result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[6]+"&nbsp;</TH>\n";
			    }
			}
			result_print += "</TR>\n";
			result_print += "</thead>\n";
			result_print += "<tbody>\n";



            		for (i = 0; (i < count); i++) {

			   var obj_occur = page_occur[i].split("|");
	  		   var tmp;

//			   if (obj_occur[0] > seuilsite) {

			   result_print += "<TR>\n";
 
                           result_print += "<TD CLASS=\"left\">";
			   if (stats_type == "city" && obj_occur[3] > seuilsite) {
			       result_print += "<A HREF=\"";
			       result_print += obj_occur[6];
			       result_print += data[i];
			       result_print += ".html\">";
			   }
			   if (stats_type == "users" && obj_occur[2] == '') {
			       result_print += "<I>";
			   }
			   result_print += data[i];
			   if (stats_type == "users" && obj_occur[2] == '') {
			       result_print += "</I>";
			   }
			   if (stats_type == "city" && obj_occur[3] > seuilsite) {
			       result_print += "</A>";
			   }
			   result_print += "</TD>\n";

			   for (j = 0; (j < obj_occur.length); j++) {
			       if (stats_type == "city" && j == 6) break;
			       	result_print += "<TD CLASS=\"right\">";
			       	result_print += obj_occur[j];
				result_print += "</TD>\n";
			    }
			    result_print += "</TR>\n";
			   }
//			  }
			  } else {
				 result_print = string_title[2]+"\n<P>";
				 }
			result_print += "</tbody>\n";
			result_print += "</TABLE>\n";

			document.getElementById("search_header").innerHTML = header_str;
			document.getElementById("search_results").innerHTML = result_print;
	
						   var foobar = new domFunction(function() {
							   //table.auto;
			//		colorTableRows();
				});

			} else {
                                var header_str = string_title[1]+" '"+search_value+"'\n<P>";
                                var result_print = "Error: returned status code " + req.status + " " + req.statusText;
                                document.getElementById("search_header").innerHTML = header_str;
                                document.getElementById("search_results").innerHTML = result_print;
//			      document.ajax.search_value.value="Error: returned status code " + req.status + " " + req.statusText;
			}

			document.ajax.search_button.value=string_title[0];
			}

			}

	req.open("GET", datafile, true); 
	req.send(null); 

}

	if (search_value != '') {
	    document.ajax.search_button.value=string_title[3];
	    //	    document.ajax.search_ima.style=inline;
	}
	document.ajax.search_value.focus();
	document.ajax.search_value.value = search_value_ini;
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////

function UpdateCSSMenu() { 

	var req = null; 
	var count = 0;

	var currentTime = new Date();
	var date_now = currentTime.getFullYear()+""+(currentTime.getMonth()+1)+""+currentTime.getDate()+""+currentTime.getHours()+""+currentTime.getMinutes()+""+currentTime.getMinutes();

	var datafile_val = document.topheader.menuheaderfile.value;
	var link = document.topheader.menulink.value;
	var linkbase = document.topheader.menulinkbase.value;
	var linktop = document.topheader.menulinktop.value;
	var linkhome = document.topheader.menulinkhome.value;
	var lang = document.topheader.menulang.value;
	var menuactif = document.topheader.menuactif.value;
	var datafile = document.topheader.menuheaderfile.value+"?date="+date_now;
	var width_default = 20;
	var height_default = 20;
	var width;
	var height;

	var req = createRequestObject();
	req.onreadystatechange = function() { 

	if (req.readyState == 4) {
		if (req.status == 200) {

			var results = req.responseText;
			var lines = results.split("\n");

			var result_print = "<ul id=\"menucss\">\n";
			var newdepth = 0;

			for (i = 0; (i < lines.length); i++) {

			    var line_string = lines[i].split("\n");
			    var line_val = unescape(line_string);

			    if (line_val.indexOf("#") == 0) continue;
			    if (line_val == '') continue;

			    var pairs = line_val.split("\t");
			    var val1 = unescape(pairs[0]); // section
			    val1 = val1.split("|")[lang];

			    var val2 = unescape(pairs[1]); // columns
			    var val3 = unescape(pairs[2]); // depth
			    var val4 = unescape(pairs[3]); // submmenu
			    var val5 = unescape(pairs[4]); // icon
			    var val6 = unescape(pairs[5]); // link
			    var val7 = unescape(pairs[6]); // title

			    if (val5.indexOf("|") != -1) { 
				val5 = val5.split("|")[lang];				
			    }

			    if (val6.indexOf("|") != -1) { 
				val6 = val6.split("|")[lang];				
			    }

			    if (val3 < newdepth && val3 != newdepth) {
				for (j = 0; j < (newdepth-val3); j++) {
				    result_print += "</ul></li>\n";				    
				}
				newdepth = val3;
			    }

			    if (val2 == menuactif) {
				if (val3 != 0) result_print += "<li class=\"sub\">";
				if (val3 == 0) result_print += "<li class=\"sub3\">";
			    } else {
				if (val3 != 0) result_print += "<li class=\"sub\">";
				if (val3 == 0) result_print += "<li class=\"sub2\">";
			    }


			    if (val6 != "-") {
				if (val6.indexOf("LINKBASE") == 0) { 
				    val6 = val6.replace("LINKBASE","");
				    result_print += "<a href=\""+linktop+val6;
				} else if (val6.indexOf("LINKHOME") == 0) {
				    val6 = val6.replace("LINKHOME","");
				    result_print += "<a href=\""+linkhome+val6;
				} else if (val6.indexOf("http") == 0) {
				    result_print += "<a href=\""+val6;
				} else if (val6.indexOf("/") == 0) {
				    result_print += "<a href=\""+val6;
				} else {
				    result_print += "<a href=\""+link+val6;
				}
				if (val7 != "undefined") result_print += "\" title=\""+val7;
				result_print += "\">";
			    }

			    if (val5 != "-") {

				if (val2 == 1 && val3 == 0) {
				    width = 30;
				    height = 15;
				} else {
				    width = width_default;
				    height = height_default;
				}
				if (val5.indexOf("LINKBASE") == 0) { 
				    val5 = val5.replace("LINKBASE","");
				    result_print += "<img src=\""+linktop+val5+"\"";
				} else if (val5.indexOf("LINKHOME") == 0) {
				    val5 = val5.replace("LINKHOME","");
				    result_print += "<img src=\""+linkhome+val5+"\"";
				} else {
				    result_print += "<img src=\""+linkbase+val5+"\"";
				}
				result_print += " border=0 width=\""+width+"\" height=\""+height+"\" alt=\""+val1+"\">";
			    }
			    result_print += "&nbsp;"+val1;
			    if (val6 != "-") result_print += "</a>";
			    if (val3 != 0 && val4 != 1) result_print += "</li>";

			    result_print += "\n";

			    if (val3 == 0 || val4 == 1) {
				result_print += "<ul>\n";
				newdepth = val3;
				newdepth++;
				if (val3 == 0) newdepth = 1;
			    }

			}

			result_print += "</ul>\n";
			document.getElementById("display_cssmenu").innerHTML = result_print;

		} else {
		    var result_print = "Error: returned status code " + req.status + " " + req.statusText + " : " + datafile_val;
		    document.getElementById("display_topheader_line1").innerHTML = result_print;
		}
	}
	}

	req.open("GET", datafile, true); 
	req.send(null); 

}

////////////////////////////////////////////////////////////////////////////////////////////////////////////

function UpdateToolHeader_Jqplot() { 

	var req = null; 
	var count = 0;

	//	var currentTime = new Date();
	//	var date_now = currentTime.getFullYear()+""+(currentTime.getMonth()+1)+""+currentTime.getDate()+""+currentTime.getHours()+""+currentTime.getMinutes()+""+currentTime.getMinutes();

	    //	var datafile = document.topheader.topheaderfile.value+"?date="+new Date();
	var currentTime = new Date();
	var date_now = currentTime.getFullYear()+""+(currentTime.getMonth()+1)+""+currentTime.getDate()+""+currentTime.getHours()+""+currentTime.getMinutes()+""+currentTime.getMinutes();

	    //	var datafile = document.topheader.topheaderfile.value+"?date="+new Date();
	var datafile_val = document.topheader.topheader_jqplot.value;
	var datafile = document.topheader.topheader_jqplot.value+"?date="+date_now;
//	var datafile = document.topheader.topheader_jqplot.value;
	//	var datafile = document.topheader.topheaderfile.value+"?date="+date_now;

	var string_topheader = document.topheader.string_topheader.value;
	var string_tab = string_topheader.split(":");

	var req = createRequestObject();

	req.onreadystatechange = function() { 

	if (req.readyState == 4) {
		if (req.status == 200) {
			var results = req.responseText;
			//			var lines = results.split("\n");

			document.getElementById("display_topheader_jqplot").innerHTML = results;


		} else {
		    var result_print = "Error: returned status code " + req.status + " " + req.statusText + " : " + datafile_val;
		    document.getElementById("display_topheader_line1").innerHTML = result_print;
		}
	}
	}

	req.open("GET", datafile, true); 
	req.send(null); 

}

////////////////////////////////////////////////////////////////////////////////////////////////////////////

function UpdateToolHeader() { 

	var req = null; 
	var count = 0;

	var skip_access = document.topheader.skip_acces.value;
        if (typeof document.topheader.precision !== 'undefined') {
	    var precision = document.topheader.precision.value;
	}
	var currentTime = new Date();
	var date_now = currentTime.getFullYear()+""+(currentTime.getMonth()+1)+""+currentTime.getDate()+""+currentTime.getHours()+""+currentTime.getMinutes()+""+currentTime.getMinutes();

	    //	var datafile = document.topheader.topheaderfile.value+"?date="+new Date();
	var datafile_val = document.topheader.topheaderfile.value;
	var datafile = document.topheader.topheaderfile.value+"?date="+date_now;

	var string_topheader = document.topheader.string_topheader.value;
	var string_tab = string_topheader.split(":");

	//var contentType = "application/x-www-form-urlencoded; charset=UTF-8";
	//	var query = "update_menu=1";
	var req = createRequestObject();

	req.onreadystatechange = function() { 

	if (req.readyState == 4) {
		if (req.status == 200) {

			var results = req.responseText;
			var lines = results.split("\n");

			var data = new Array();
			var page_occur = new Array();
			var result_print;

			var line_string = lines[0].split("\n");
			var line_val = unescape(line_string);
			var pairs = line_val.split("\t");

			var date1 = unescape(pairs[0]);
			var date2 = unescape(pairs[1]);
			var nbday = unescape(pairs[2]);

			result_print = date1+" / "+date2;
			if (date1 == '-' && date2 == '-') result_print = 'No data found';
          		if (nbday != 0 && precision > 1) result_print += " - "+nbday+" "+string_tab[0];
			document.getElementById("display_topheader_line1").innerHTML = result_print;

			var date1 = unescape(pairs[3]);
			var date2 = unescape(pairs[4]);

			//			result_print = string_tab[1]+" "+date1+" - "+date2;
			result_print = date1+" - "+date2;

			document.getElementById("display_topheader_line3").innerHTML = result_print;

			var hit = unescape(pairs[5]);
			var access = unescape(pairs[6]);
			var nbfile = unescape(pairs[7]);
			var totsize = unescape(pairs[8]);
			var server = unescape(pairs[9]);
			var pays = unescape(pairs[10]);
			var totsize2 = totsize;
			if (totsize > 1024) {
			    totsize2 = parseInt(10*totsize/1024)/10;
			}
			if (totsize > (1024*1024)) {
			    totsize2 = parseInt(10*totsize/(1024*1024))/10;
			}
			if (totsize > (1024*1024*1024)) {
			    totsize2 = parseInt(10*totsize/(1024*1024*1024))/10;
			}
			if (string_tab[4] > (1024*1024*1024*1024)) {
			    totsize2 = parseInt(10*totsize/(1024*1024*1024*1024))/10;
			}

			result_print = '';
			if (skip_access == 1) result_print = hit+" "+string_tab[2];
			if (skip_access == 0 && access != 0) result_print = access+" "+string_tab[1]+" / ";
			//			if (skip_access == 0 && hit != 0) result_print += " / "+hit+" "+string_tab[2];
			if (skip_access == 0 && hit != 0) result_print += hit+" "+string_tab[2];
			if (nbfile != 0) result_print += " / "+nbfile+" "+string_tab[3];
			if (totsize != 0) result_print += " / "+totsize2+" "+string_tab[4];
			if (server != 0) result_print += " "+string_tab[7]+" "+server+" "+string_tab[5];
			if (pays > 1) result_print += " "+string_tab[8]+" "+pays+" "+string_tab[6];

			document.getElementById("display_topheader_line2").innerHTML = result_print;

		} else {
		    var result_print = "Error: returned status code " + req.status + " " + req.statusText + " : " + datafile_val;
		    document.getElementById("display_topheader_line1").innerHTML = result_print;
		}
	}
	}

	req.open("GET", datafile, true); 
	//req.open("POST", datafile, true); 
	//req.setRequestHeader("Content-Type", contentType);
	//req.setRequestHeader("Content-length", query.length);
	//req.setRequestHeader("Connection", "close");
	//	req.setRequestHeader("If-Modified-Since", "Sat, 1 Jan 2000 00:00:00 GMT"); 
	req.send(null); 
	//req.send(query); 

}

////////////////////////////////////////////////////////////////////////////////////////////////////////////

function SearchHosts() { 

	var req = null; 
	var count = 0;

	var search_value = document.ajax.search_value.value;
	var search_value_ini = search_value;
	var datafile = document.ajax.datafile.value;

	var seuilsite = parseInt(document.ajax.seuilsite.value);
	var seuil_auto = parseInt(document.ajax.seuil_auto.value);
	var aff_access = parseInt(document.ajax.aff_access.value);
	var aff_uniq = parseInt(document.ajax.aff_uniq.value);
	var precision = parseInt(document.ajax.precision.value);
	var string_th = document.ajax.string_th.value;
	var string_title = document.ajax.string_title.value;	
	var threshold = parseInt(document.ajax.search_threshold.value);
	var notrafic = parseInt(document.ajax.notrafic.value);
	var nolink = parseInt(document.ajax.nolink.value);
	var string_sep = document.ajax.string_sep.value;

	// Check is a number
	if (!(isNumber(threshold))) {
	   alert("Threshold is not a number, assuming 0");
	   threshold = 0;
	}

	if (threshold == '') threshold = 0;
	var string_tab = string_th.split(":");
	var string_title = string_title.split(":");

	var mode_local;
	for (var i=0; i<document.ajax.mode_local.length;i++) {
	         if (document.ajax.mode_local[i].checked) {
        	    mode_local = document.ajax.mode_local[i].value;
        	}
	}

	if (mode_local == undefined) mode_local = parseInt(document.ajax.mode_local.value);

	if (mode_local == 1) {
		var datafile_local = document.ajax.datafile_local.value;
		datafile = datafile_local;
	}

	if (search_value) {

	var search_value_lower = search_value.toLowerCase();

	///////////////////////////////////////////////////////////////
	// Datafile

	var req = createRequestObject();

	req.onreadystatechange = function() { 
	if (req.readyState == 4) {
		if (req.status == 200) {

			var results = req.responseText;
			var lines = results.split("\n");

			var data = new Array();
			var page_occur = new Array();
			var result_print;

			var header_str = string_title[1]+" '"+search_value+"'\n<P>";
			var link_page;

			for (i = 0; (i < lines.length); i++) {
			  var line_string = lines[i].split("\n");
			  var line_val = unescape(line_string);


			  if ((line_val.split(string_sep)[0].toLowerCase()).match(search_value_lower)
  				 && parseInt((line_val.split(string_sep)[1])) >= threshold) {
  				 var pairs = line_val.split(string_sep);
				 var name = unescape(pairs[0]);
				 var hit = unescape(pairs[1]);
				 if (aff_access == 1) {
				     var access = unescape(pairs[2]);
				     if (aff_uniq == 1) {
					 var uniq = unescape(pairs[3]);
					 if (notrafic == 0) {
					     var traffic = unescape(pairs[4]);
					     if (precision > 3) var lastdate = unescape(pairs[5]);
					 } else {
					     if (precision > 3) var lastdate = unescape(pairs[4]);
					 }
				     } else {
					 if (notrafic == 0) {
					     var traffic = unescape(pairs[3]);
					     if (precision > 3) var lastdate = unescape(pairs[4]);
					 } else {
					     if (precision > 3) var lastdate = unescape(pairs[3]);
					 }
				     }
				 } else {
				     if (aff_uniq == 1) {
					 var uniq = unescape(pairs[2]);
					 if (notrafic == 0) {
					     var traffic = unescape(pairs[3]);
					     if (precision > 3) var lastdate = unescape(pairs[4]);
					 } else {
					     if (precision > 3) var lastdate = unescape(pairs[3]);
					 }
				     } else {
					 if (notrafic == 1) {
					     if (precision > 3) var lastdate = unescape(pairs[2]);
					 } else {
					     var traffic = unescape(pairs[2]);
					     if (precision > 3) var lastdate = unescape(pairs[3]);
					 }
				     }
				 }

				 traffic = parseInt(traffic/1024);
				 data[count] = name;

				 page_occur[count] = hit;
				 if (aff_access == 1) page_occur[count] += "|"+access;
				 if (aff_uniq == 1) page_occur[count] += "|"+uniq;
				 if (notrafic == 0) page_occur[count] += "|"+traffic;
				 if (precision > 3) page_occur[count] += "|"+lastdate;
//			      alert("TOTO "+page_occur[count]);
				 count++;
			   }
			 }


			if (count != 0) {

		        // Number of items

			result_print = "Here are the "+count+" result";
			if (count > 1) result_print += "s";
			result_print += " :<P>\n";
			result_print += "<table class=\"tablesort table-autosort table-autostripe table-stripeclass:alternate\"><thead>\n";
			result_print += "<TR>\n<TH class=\"table-sortable:default\">&nbsp;"+string_tab[0]+"&nbsp;</TH>\n";
			result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[1]+"&nbsp;</TH>\n";
			if (aff_access == 1) result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[2]+"&nbsp;</TH>\n";
			if (aff_uniq == 1) result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[3]+"&nbsp;</TH>\n";
			if (notrafic == 0) result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[4]+"&nbsp;("+string_tab[5]+")</TH>\n";
			if (precision > 3) result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[6]+"&nbsp;</TH>\n";
			result_print += "</TR></thead><tbody>\n";

            		for (i = 0; (i < count); i++) {

			   var obj_occur = page_occur[i].split("|");
	  		   var tmp;

			   result_print += "<TR>\n";

			   if (data[i].match(/\d$/)) {
			   if (precision > 3 && nolink == 0 && obj_occur[0] > seuil_auto) {
			   var domain = data[i].replace(/\./g,"_");
			   domain += ".html";

			   link_page = "<A HREF=\"";
			   link_page += domain;
			   link_page += "\">";
			   tmp = 1;
			   }
			   } else {
			   if (precision > 3 && obj_occur[0] > seuilsite && obj_occur[1] > 0) {
			   var domain = (data[i].substr(data[i].indexOf('.',0)+1,data[i].length)).replace(/\./g,"_");
			   domain += ".html#"+data[i];

			   link_page = "<A HREF=\"../site/";
			   link_page += domain;
			   link_page += "\">";
			   tmp = 1;
			   }
			   }
 
			   // Link
                           result_print += "<TD CLASS=\"left\">";
			   if (tmp == 1) result_print += link_page;
			   result_print += data[i];
			   if (tmp == 1) result_print += "</A>";
			   result_print += "</TD>\n";

			   link_page = "";

			   for (j = 0; (j < obj_occur.length); j++) {
			       	result_print += "<TD CLASS=\"right\">";
			       	result_print += obj_occur[j];
				result_print += "</TD>\n";
			    }
			    result_print += "</TR>\n";
			   }
			  } else {
				 result_print = string_title[2]+"\n<P>";
				 }
			   result_print += "</tbody>\n";
			   result_print += "</TABLE>\n";

			   document.getElementById("search_header").innerHTML = header_str;
			   document.getElementById("search_results").innerHTML = result_print;

	
						   var foobar = new domFunction(function() {
							   //							   Table;
							   //Table.sort();
			//		colorTableRows();
							});

		} else {
                                var header_str = string_title[1]+" '"+search_value+"'\n<P>";
                                var result_print = "Error: returned status code " + req.status + " " + req.statusText;
                                document.getElementById("search_header").innerHTML = header_str;
                                document.getElementById("search_results").innerHTML = result_print;
			}

			document.ajax.search_button.value=string_title[0];
	} else {
	    // print waiting logo
	}



	}

	req.open("GET", datafile, true); 
	req.send(null); 

	}

	if (search_value != '') document.ajax.search_button.value=string_title[3];
	document.ajax.search_value.focus();
	document.ajax.search_value.value = search_value_ini;
}


////////////////////////////////////////////////////////////////////////////////////////////////////////////

function PDF_Jqplot(datafile,cfg,page,mode,lang) {  

    var req = null; 
    var count = 0;

    //datafile = datafile+"?c="+cfg+"&p="+page+"&k="+mode+"&l="+lang;

    var url = datafile;
    page = escape(page);

        var params = "c="+cfg+"&p="+page+"&k="+mode+"&l="+lang;
	//var params = "c="+cfg+"&p=hello&k="+mode+"&l="+lang;

    var req = createRequestObject();
    //    alert("TIOTO "+params);

	req.onreadystatechange = function() { 
	if (req.readyState == 4) {

		if (req.status == 200) {

		    //var results = req.responseText;
		    //	var result_print;
		    //result_print = results;

		    result_print = "PDF Sent";
		    document.getElementById("pdf_msg").innerHTML = result_print;
		    //			document.getElementById("pdf_msg").style = "inline";


			//$("#response-div").find("script").each(function(i) {
							//eval($(this).text());
				//    });
			//$("#graph_print").update(req.responseText);

			//$("#pdf_msg").empty(); // on vide le div
		        //$("#pdf_msg").append(result_print); // on met dans le div le résultat de la requête ajax
		} else {
                                var result_print = "Error: returned status code " + req.status + " " + req.statusText;
                    document.getElementById("pdf_msg").innerHTML = result_print;
				//		    document.getElementById("pdf_msg").style = "inline";
		}


	}
	    
	}

	//req.open("GET", datafile, true); 
	//req.send(null); 

	req.open("POST", url, true);
	req.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	req.setRequestHeader("Content-length", params.length);
	req.setRequestHeader("Connection", "close");
		req.send(params);
    //    return false;
    //		alert("TOTO "+result_print);
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////

function GraphHosts(datafile,cfg,page,mode,lang) { 

	var req = null; 
	var count = 0;

	datafile = datafile+"?c="+cfg+"&k="+page+"&m="+mode+"&l="+lang;

	var req = createRequestObject();

	req.onreadystatechange = function() { 
	if (req.readyState == 4) {
		if (req.status == 200) {

			var results = req.responseText;
			var result_print;
			
			result_print = results;
			//window.onload = function(){
			//    var n = document.createElement("div");
			//    n.innerHTML = result_print;
			//    document.body.appendChild(n);
			//    }
			//document.getElementById("graph_print").innerHTML = result_print;
			//$("#response-div").find("script").each(function(i) {
							//eval($(this).text());
				//    });
			//$("#graph_print").update(req.responseText);

			$("#graph_print").empty(); // on vide le div
		        $("#graph_print").append(result_print); // on met dans le div le résultat de la requête ajax
			} else {
                                var result_print = "Error: returned status code " + req.status + " " + req.statusText;
                                document.getElementById("graph_print").innerHTML = result_print;
			}

			}

			}

	req.open("GET", datafile, true); 
	req.send(null); 
}


////////////////////////////////////////////////////////////////////////////////////////////////////////////

function SearchPages() { 

		// TODO
		// search_item at least 3 characters long
		// Pagination to avoid long list
		// Test if datafile exist ?

		var mn=['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'];
		var mn_month = new Array();
		mn_month['Jan'] = 1;
		mn_month['Feb'] = 2;
		mn_month['Mar'] = 3;
		mn_month['Apr'] = 4;
		mn_month['May'] = 5;
		mn_month['Jun'] = 6;
		mn_month['Jul'] = 7;
		mn_month['Aug'] = 8;
		mn_month['Sep'] = 9;
		mn_month['Oct'] = 10;
		mn_month['Nov'] = 11;
		mn_month['Dec'] = 12;
		var dim=[31,0,31,30,31,30,31,31,30,31,30,31];

		var yesterday = document.ajax.yesterday.value;
		var date_tab = yesterday.split(" ");
		var d = date_tab[0]; 
		var m = mn_month[date_tab[1]];
		var y = date_tab[2];

		dim[1]=(((y%100!=0)&&(y%4==0))||(y%400==0))?29:28;

		var req = null; 
		var count = 0;
		var mode_search;
		var mode_fast = 0;
		var data_url = new Array();	

		var search_value = document.ajax.search_value.value;
		var search_value_ini = search_value;
		for (var i=0; i<document.ajax.mode_search.length;i++) {
		         if (document.ajax.mode_search[i].checked) {
        		    mode_search = document.ajax.mode_search[i].value;
         		}
		}

		for (var i=0; i<document.ajax.mode_fast.length;i++) {
		         if (document.ajax.mode_fast[i].checked) {
        		    mode_fast = document.ajax.mode_fast[i].value;
         		}
		}

		if (mode_search == undefined) {
			mode_search = parseInt(document.ajax.mode_search.value);
		}

		var xmax = document.ajax.xmax.value;
		var ymax = document.ajax.ymax.value;
		var lang = document.ajax.lang.value;
		var diffmax = document.ajax.diffmax.value;
		var datafile = document.ajax.datafile.value;
		var linkpage = parseInt(document.ajax.linkpage.value);
		var precision = parseInt(document.ajax.precision.value);
		var notrafic = parseInt(document.ajax.notrafic.value);
		var datafile_url = document.ajax.datafile_url.value;
		var linkpathinit = document.ajax.linkpathinit.value;
		var idx_number = document.ajax.index_hit.value;

		var config = document.ajax.config.value;
		var string_th = document.ajax.string_th.value;
		var string_title = document.ajax.string_title.value;
		var threshold = parseInt(document.ajax.search_threshold.value);
		var cgipagegraph = document.ajax.cgipagegraph.value;
		var seuilpage = document.ajax.seuilpage.value;
		//		var string_sep = document.ajax.string_sep.value;

		// Check is a number
		if (!(isNumber(threshold))) {
		alert("Threshold is not a number, assuming 0");
		threshold = 0;
		}

		if (threshold == '') threshold = 0;
		var string_tab = string_th.split(":");
		var string_title = string_title.split(":");

		if (search_value) {

		var search_value_lower = search_value.toLowerCase();

		var req = createRequestObject();

		var mode_url_map = 0;
		if (mode_search == 1 || mode_fast == 0) {
			mode_url_map = 1;
		}

		//		var idx_number = 2;
		//		if (precision > 3) {
		//		    idx_number = 3;
		//		}

		if (mode_search == 1) {
			document.ajax.mode_fast[0].checked = true;
			mode_url_map = 1;
			mode_fast = 0;
		}

		///////////////////////////////////////////////////////////////
		// URL Mapping
		if (mode_url_map == 1 && datafile_url != '') {

			var url = createRequestObject();  

			var string_end_file = "###";
			var data_url_match = new Array();
			var count_url_match = 0;

			url.open("GET", datafile_url, false); 
			url.send(null);
			if (url.readyState == 4) {
				if (url.status == 200) {

					var results_url = url.responseText;
					var lines_url = results_url.split("\n");
					//alert("TOTO "+results_url);
					// search on url
					if (mode_search == 0) {
						for (i = 0; (i < lines_url.length); i++) {
						  var line_string_url = lines_url[i].split("\n");
						  var line_val_url = unescape(line_string_url);
//						  if (line_val_url.match(string_end_file)) break;
						         if ((line_val_url.split(" ")[0].toLowerCase()).match(search_value_lower)) {
								data_url[line_val_url.split(" ")[0]] = line_val_url.split("\"")[1];
							  }
						}
					}

					// search on title
					if (mode_search == 1) {
						for (i = 0; (i < lines_url.length); i++) {
						    if (lines_url[i] != '') {
							var line_string_url = lines_url[i].split("\n");
							var line_val_url = unescape(line_string_url);

							if (line_val_url.match(string_end_file)) break;
							if ((line_val_url.split("\"")[1].toLowerCase()).match(search_value_lower)) {
								data_url[line_val_url.split(" ")[0]] = line_val_url.split("\"")[1];
								data_url_match[count_url_match] = line_val_url.split(" ")[0];

								count_url_match++;
								//																alert("TOTO "+count_url_match);
							  }
							 //				alert("TOTO2 "+i+" A "+string_end_file);

						}
						}

					}


				}

			}

		}


		///////////////////////////////////////////////////////////////
		// Datafile

		req.open("GET", datafile, false); 
		req.send(null); 

		///////////////////////////////////////////////////////////////


//		req.onreadystatechange = function() { 
			if (req.readyState == 4) {
				if (req.status == 200) {

				var results = req.responseText;
				var lines = results.split("\n");

				var data = new Array();
				var url_id = new Array();
				var page_occur = new Array();
				var page_host = new Array();
				var data_match_url = new Array();
				var result_print;

				var header_str = string_title[1]+" '"+search_value+"'\n<P>";
				var link_page;

				// URL
				if (mode_search == 0) {

				for (i = 0; (i < lines.length); i++) {
				  var line_string = lines[i].split("\n");
				  var line_val = unescape(line_string);
				  //  				  alert("toto "+line_val+" "+parseInt((line_val.split(" ")[0]).split("\t")[2]));
			          if ((line_val.split("\t")[0].toLowerCase()).match(search_value_lower) && parseInt((line_val.split(" ")[0]).split("\t")[idx_number]) >= threshold) {

  				        var pairs = line_val.split("\t");
					    var name = unescape(pairs[0]);
				            var value = unescape(pairs[1]);

					    //					    var val_host = unescape(pairs[2]);
					    //var val_uniq = unescape(pairs[3]);
					    //var val_occur = unescape(pairs[5]);
					    if (notrafic == 0) {
						if (precision > 3) {
						    var val_host = unescape(pairs[2]);
						    var val_occur = unescape(pairs[4]);
						} else {
						    var val_occur = unescape(pairs[3]);
						}
					    }
					    if (notrafic == 1) {
						if (precision > 3) {
						    var val_host = unescape(pairs[2]);
						    var val_occur = unescape(pairs[3]);
						} else {
						    var val_occur = unescape(pairs[2]);
						}
					    }
				            data[count] = name;
				            url_id[name] = value;
				            page_occur[count] = val_occur;
				            page_host[count] = val_host;
				            count++;
			            }
				}    
				}
				//				alert("TOTO "+search_value_lower);
				// Title


				if (mode_search == 1) {

				for (i = 0; (i < lines.length); i++) {
				  var line_string = lines[i].split("\n");
				  var line_val = unescape(line_string);

				for (k = 0; (k< count_url_match); k++) {
//			          if ((line_val.split("\t")[0] == data_url_match[k])) {
			          if ((line_val.split("\t")[0] == data_url_match[k]) && parseInt((line_val.split(" ")[0]).split("\t")[idx_number]) >= threshold) {
  				        var pairs = line_val.split("\t");
					    var name = unescape(pairs[0]);
				            var value = unescape(pairs[1]);

					    //var val_host = unescape(pairs[2]);
					    //var val_uniq = unescape(pairs[3]);
					    //var val_occur = unescape(pairs[5]);

					    if (precision > 3) {
					    	if (notrafic == 0) {
					    	    var val_host = unescape(pairs[2]);
					    	    var val_occur = unescape(pairs[4]);
					    	} else {
					    	    var val_host = unescape(pairs[2]);
					    	    var val_occur = unescape(pairs[3]);
					    	}
					    } else {
					    	if (notrafic == 0) {
					    	    var val_host = 0;
					   	    var val_occur = unescape(pairs[3]);
					   	} else {
					    	    var val_host = 0;
					    	    var val_occur = unescape(pairs[2]);
					    	}
					    }
				            data[count] = name;
				            url_id[name] = value;
				            page_host[count] = val_host;
				            page_occur[count] = val_occur;
					    //					    alert(" TOTO "+name+" "+line_val+" "+val_host+" "+val_occur);
				            count++;
			            }
				}    
				}    
				}


				if (count != 0) {

				        // Number of items
	   				var obj_occur = page_occur[0].split(" ");
					
					var max_display = obj_occur.length;
					if (obj_occur.length > diffmax) max_display = diffmax;

					result_print = "Here are the "+count+" result";
					if (count > 1) result_print += "s";
					result_print += " :<P>\n";
					result_print += "<table class=\"tablesort table-autosort table-autostripe table-stripeclass:alternate\"><thead>\n";
					//					result_print += "<TABLE CLASS=\"sortable_base\" ID=\"PagesSearch\">\n";
					result_print += "<TR>\n<TH class=\"table-sortable:default\">&nbsp;"+string_tab[0]+"&nbsp;</TH>\n";
					if (precision > 3) result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[2]+"&nbsp;</TH>\n";
					result_print += "<TH class=\"table-sortable:numeric\">&nbsp;"+string_tab[1]+"&nbsp;</TH>\n";
					if (diffmax != 1) result_print += "<TH>&nbsp;</TH>\n";

					var m2 = m-1;

	    				for (j = 1; (j <= max_display-1); j++) {
					   var x = d-j+1;
					   if (x < 1) {
					    m2 = m-2;
					    if (m2 < 1) m2 = 11;
					     x += dim[m2];
					   }
					   x = x+'';
					   if (x.length == 1) x = "0"+x;
//					   result_print += "<TH>&nbsp;"+mn[m2].substr(0,3)+"/"+x+"&nbsp;</TH>\n";
					   result_print += "<TH>&nbsp;"+mn[m2]+"/"+x+"&nbsp;</TH>\n";
					}
					result_print += "</TR>\n";
					result_print += "</thead>\n";
					result_print += "<tbody>\n";


            				for (i = 0; (i < count); i++) {
					   result_print += "<TR>\n";

		   			   if (linkpage == 1) {
					   	link_page = "<A HREF=\"";
						if (mode_url_map == 0 || data_url[i] == undefined) link_page += data[i];
					   	if (mode_url_map == 1 && data_url[data[i]] != undefined) {
	 				   		link_page += "\" TITLE=\""+data[i];
					   	}
					   	link_page += "\">";
					   } else {
						link_page = "";
					   }
					   // Link

                                           result_print += "<TD CLASS=\"left\">"+link_page;

					   if (data_url[data[i]] == undefined || mode_url_map == 0) { 
						result_print += data[i];
					   } else {
					       result_print += data_url[data[i]];
					   }
					   if (linkpage == 1) result_print += "</A>";
					   result_print += "</TD>\n";

					   if (precision > 3) {
					       result_print += "<TD CLASS=\"right\">";
					       if (diffmax != 1 && page_host[i] >= seuilpage) result_print += "<A HREF=\""+url_id[data[i]]+".html\">";
					       result_print += page_host[i];
					       if (diffmax != 1 && page_host[i] >= seuilpage) result_print += "</A>";
					       result_print += "</TD>";
					   }

					   if (cgipagegraph != '' && diffmax != 1) {
					       //					   link_page = "<A HREF=\"javascript:PopIt('"+cgipagegraph+"?";
					       //link_page +=	"c=\\\'"+config+"\\\'&amp;";
					       //link_page +=	"k="+url_id[data[i]]+"&amp;";
					       //link_page += "l="+lang;
					       //link_page += "',"+xmax+","+ymax+")\">";
					       link_page = "<A HREF=\"javascript:GraphHosts('"+cgipagegraph+"',";
					       link_page +="'"+config+"',";
					       link_page +="'"+url_id[data[i]]+"','0',";
					       link_page += "'"+lang+"')\">";
					   }

	   				   var obj_occur = page_occur[i].split(" ");
					   var sum_day = 0;
					   //					   alert("LL "+sum_day+" MM "+max_display);
	    				   for (j = 1; (j < max_display); j++) {
					       if (obj_occur[j] != "undefined") sum_day += parseInt(obj_occur[j]);
					       //alert("AA "+page_occur[j])					       
					   }
					   //					   alert("TOTO "+page_occur[i]+" TKK "+sum_day+" A "+max_display)
					   sum_day = parseInt(sum_day/(max_display-1));

	    				   for (j = 0; (j < max_display); j++) {
					       var tmp = obj_occur[j].split(" ");
                                              result_print += "<TD CLASS=\"right\">";
					      if (j == 0 && cgipagegraph != '' && diffmax != 1) result_print += link_page;
					      result_print += obj_occur[j];
					      if (j == 0 && cgipagegraph != '' && diffmax != 1) result_print += "</A>";
					      result_print += "</TD>\n";
					      if (j == 0) {
						  if (obj_occur[1] > sum_day) result_print += "<TD><!-- 9 --><IMG SRC=\"../../"+linkpathinit+"resources/g-up.gif\" WIDTH=12 HEIGHT=12 ALT=\"up\"></TD>\n";
						  if (obj_occur[1] == sum_day) result_print += "<TD><!-- 5 --><IMG SRC=\"../../"+linkpathinit+"resources/g-same.gif\" WIDTH=12 HEIGHT=12 ALT=\"same\"></TD>\n";
						  if (obj_occur[1] < sum_day) result_print += "<TD><!-- 1 --><IMG SRC=\"../../"+linkpathinit+"/resources/g-down.gif\" WIDTH=12 HEIGHT=12 ALT=\"down\"></TD>\n";
					      }
					      //	  if (j == 0) result_print += "<TD>"+sum_day+"</TD>";
					   }

					   result_print += "</TR>\n";
					}
				} else {
					 result_print = string_title[2]+"\n<P>";
				}
				result_print += "</tbody>\n";
				result_print += "</TABLE>\n";

				document.getElementById("search_header").innerHTML = header_str;
				document.getElementById("search_results").innerHTML = result_print;
	
				//var foobar = new domFunction(function() {
				//	sortTable();
				//	colorTableRows();
				//table.auto();
				//});

				//if (window.addEventListener) {
				//    window.addEventListener( "load", table.auto, false );
				//  }
				//  else if (window.attachEvent) {
				//    window.attachEvent( "onload", table.auto );
				//  }


			} else {
                                var header_str = string_title[1]+" '"+search_value+"'\n<P>";
                                var result_print = "Error: returned status code " + req.status + " " + req.statusText;
                                document.getElementById("search_header").innerHTML = header_str;
                                document.getElementById("search_results").innerHTML = result_print;
			}	

		} 
	}
	document.ajax.search_button.value=string_title[0];
	document.ajax.search_value.focus();
	document.ajax.search_value.value = search_value_ini;

}
