// http://stackoverflow.com/questions/921037/jquery-table-to-csv-export
// http://www.dev-skills.com/export-html-table-to-csv-file/
// http://forum.jquery.com/topic/how-to-generate-a-csv-file-in-javascript
// http://stackoverflow.com/questions/11060203/jquery-get-data-from-td-and-input-tag-for-every-row-and-output-on-single-lin
// http://code.google.com/p/jqtable2csv/wiki/PageName

jQuery.fn.table2CSV = function(options) {
    var options = jQuery.extend({
        separator: ';',
        header: [],
        delivery: 'popup' // popup, value
    },
    options);

    var csvData = [];
    var headerArr = [];
    var el = this;
    //header
    var numCols = options.header.length;
    var tmpRow = []; // construct header avalible array

    alert("TOTO "+numCols);

    if (numCols > 0) {
        for (var i = 0; i < numCols; i++) {
            tmpRow[tmpRow.length] = formatData(options.header[i]);
        }
    } else {
        $(el).filter(':visible').find('th').each(function() {
            if ($(this).css('display') != 'none') tmpRow[tmpRow.length] = formatData($(this).html());
        });
    }

    row2CSV(tmpRow);

    // actual data
    $(el).find('tr').each(function() {
        var tmpRow = [];
        $(this).filter(':visible').find('td').each(function() {
            if ($(this).css('display') != 'none') tmpRow[tmpRow.length] = formatData($(this).html());
        });
        row2CSV(tmpRow);
    });
    if (options.delivery == 'popup') {
        var mydata = csvData.join('\n');
		var name =$(this).attr('id');
		var arrayOfStrings = name;
		//var arrayOfStrings1 = name1.split(".");
		//console.log($(this).attr('id'));
		var filename =arrayOfStrings;
        return popup(mydata, filename);
    } else {
        var mydata = csvData.join('\n');
        return mydata;
    }

    function row2CSV(tmpRow) {
        var tmp = tmpRow.join('') // to remove any blank rows
        // alert(tmp);
        if (tmpRow.length > 0 && tmp != '') {
            var mystr = tmpRow.join(options.separator);
            csvData[csvData.length] = mystr;
        }
    }
    function formatData(input) {
        // replace " with “
        var regexp = new RegExp(/["]/g);
        var output = input.replace(regexp, "“");
        //HTML
        var regexp = new RegExp(/\<[^\<]+\>/g);
        var output = output.replace(regexp, "");
        if (output == "") return '';
        return '"' + output + '"';
    }
   function popup(data,name) {
        var generator = window.open('', 'csv', 'height=400,width=600');
        generator.document.write('<html><head><title>CSV</title>');
        generator.document.write('</head><body >');
        generator.document.write('<textArea cols=70 rows=15 wrap="off" >');
        generator.document.write(data);
        generator.document.write('</textArea>');
        generator.document.write('</body></html>');
        generator.document.close();
        return true;
    }
	
	//function popup(data) {
 // window.location='data:text/csv;charset=utf8,' + encodeURIComponent(data);
 // return true; 
//}

//function popup(data, name) {
//    $("#main").append('<form id="exportform" action="/demo/resources/export_csv.php" method="post" target="_blank"><input type="hidden" id="exportname" name="exportname" /><input type="hidden" id="exportdata" name="exportdata" /></form>');
//    $("#exportdata").val(data);
//	$("#exportname").val(name);
//    $("#exportform").submit().remove();
//    return true;
//}

};
