#!/usr/bin/perl
# <plaintext>  just in case you look at this via a browser

#########################################################################
####                                                                #####
####                    Language Script                             #####
####                     (http server)                              #####
####                                                                #####
####    domisse@w3perl.com                   version 05/01/2007     #####
####                                                                #####
#########################################################################

%CountryDE = (
"Europe", "Europa",
"Middle-East", "Mittlerer Osten",
"South-America", "S&uuml;damerika",
"North-America", "Nordamerika",
"Central-America", "Zentral Amerika",
"Africa", "Afrika",
"Oceania", "Ozeanien",
"Asia", "Asien",
"Misc", "Sonstiges",
"Wallis-and-Futuna", "Wallis and Futuna",
"Asia-Pacific", "Asia-Pacific",
"Serbia", "Serbia",
"Montenegro", "Montenegro",
"Somalia", "Somalia",
"East-Timor", "East Timor",
"Aland-Islands", "&Aring;land Islands",
"Nauru", "Nauru",
"Ascension", "Ascension",
"Andorra", "Andorra",
"United-Arab-Emirates", "Vereinigte Arabische Emirate", 
"Afghanistan", "Afghanistan",
"Anguilla", "Anguilla",
"Albania", "Albanien",
"Antigua-and-Barbuda", "Antigua und Barbuda",
"Armenia", "Armenien",
"Arpa", "Arpanet",
"Argentina", "Argentinien",
"Angola", "Angola",
"Antartica", "Antarktis",
"Austria", "&Ouml;sterreich",
"Australia", "Australien",
"Aruba", "Aruba",
"Azerbaijan", "Aserbeidschan",
"Bosnia-Herzegovina", "Bosnien Herzegovina",
"Bangladesh", "Bangladesh",
"Belgium", "Belgien",
"Burkina-Faso", "Burkina Faso",
"Bulgaria", "Bulgarien",
"Bahrain", "Bahrain",
"Bermuda", "Bermuda",
"Brunei-Darussalam", "Brunei Darussalam",
"Burundi", "Burundi",
"Benin", "Benin",
"Bolivia", "Bolivien",
"Brazil", "Brasilien",
"Bahamas", "Bahamas",
"Barbados", "Barbados",
"Botswana", "Botswana",
"Belarus", "Weissrussland",
"Belize", "Belize",
"Bhutan", "Bhutan",
"British-Indian-Ocean-Territory", "British Indian Ocean Territory",
"Christmas-Island", "Weihnatsinseln",
"Canada", "Kanada",
"Central-African-Republic", "Zentral Afrikanische Republik",
"Republic-of-Congo", "Republic of Congo",
"Democratic-Republic-of-the-Congo", "Democratic Republic of the Congo",
"Switzerland", "Schweiz",
"Ivory-Coast", "Elfenbeink&uuml;ste",
"Chile", "Chile",
"Cameroon", "Kamrun",
"China", "China",
"Colombia", "Kolumbien",
"Cook-Islands", "Cook Islands",
"Commercial", "Commercial",
"Costa-Rica", "Costa Rica",
"Cuba", "Kuba",
"Cyprus", "Zypern",
"Czech-Republic", "Tschechische Republik",
"Germany", "Deutschland",
"Djibouti", "Djibouti",
"Denmark", "D&auml;nemark",
"Dominica", "Dominica",
"Dominican-Republic", "Dominikanische Republik",
"Algeria", "Algerien",
"Ecuador", "Ecuador",
"US-Educational", "US Bildungseinrichtungen",
"Estonia", "Estland",
"Egypt", "&Auml;gypten",
"Spain", "Spanien",
"Ethiopia", "&Auml;thipien",
"Finland", "Finnland",
"Fidji", "Fidji",
"Faroe-Islands", "Faroer Inseln",
"France", "Frankreich",
"Gabon", "Gabon",
"Great-Britain", "Grossbritannien",
"French-Guiana", "Franz&ouml;sisch Guiana",
"Georgia", "Georgien",
"Ghana", "Ghana",
"Gibraltar", "Gilbraltar",
"US-Government", "US Government",
"Guadeloupe", "Guadeloupe",
"Greece", "Griechenland",
"Greenland", "Gr&ouml;nland",
"Guinea", "Guinea",
"Guyana", "Guyana",
"Guatemala", "Guatemala",
"Guam", "Guam",
"Guinea-Bissau", "Guinea Bissau",
"Hong-Kong", "Hong-Kong", 
"Honduras", "Honduras",
"Croatia", "Kroatien",
"Hungary", "Ungarn",
"Indonesia", "Indonesien",
"Ireland", "Irland",
"Israel", "Israel",
"India", "Indien",
"International", "International",
"Iceland", "Island",
"Iran", "Iran",
"Italy", "Italien",
"Jamaica", "Jamaica",
"Japan", "Japan",
"Jordan", "Jordan",
"Cambodia", "Kambodscha",
"Comoros", "Comoros",
"South-Korea", "S&uuml;d Korea",
"Kenya", "Kenia",
"Kuwait", "Kuwait",
"Kazakhstan", "Kazakhstan",
"Kyrgyzstan", "Kyrgyzstan",
"Cayman-Islands", "Cayman Inseln",
"Lebanon", "Libanon",
"Saint-Tome-and-Principe", "Saint Tome and Principe",
"Sainte-Lucia", "Santa Lucia",
"Saint-Barthelemy", "Saint Barthelemy",
"Saint-Martin", "Saint Martin",
"Lesotho", "Lesotho",
"Liechtenstein", "Liechtenstein",
"Lithuania", "Lithuania",
"Latvia", "Lettland",
"Luxembourg", "Luxemburg",
"Sri-Lanka", "Sri Lanka",
"US-Military", "US Milit&auml;r",
"Madagascar", "Madagaskar",
"Macau", "Macau",
"Macedonia", "Mazedonien",
"Mexico", "Mexico",
"Malaysia", "Malaysia",
"Marshall-Islands", "Marshall Islands",
"Micronesia", "Micronesia",
"Morocco", "Marocco",
"Moldova", "Moldova",
"Monaco", "Monaco",
"Maldives", "Malediven",
"Martinique", "Martinique (Frankreich)",
"Malta", "Malta",
"Mauritius", "Mauritius",
"Mauritania", "Mauritania",
"Mozambique", "Mozambique",
"Namibia", "Namibia",
"NATO", "NATO",
"New-Caledonia", "New Caledonia", 
"Network", "Netzwerk",
"Nicaragua", "Nikaragua",
"Netherlands", "Niederlande",
"Norway", "Norwegen",
"Nepal", "Nepal",
"New-Zealand", "Neuseeland",
"Niue", "Niue",
"Niger", "Niger",
"Nigeria", "Nigeria",
"Non-Profit", "Organisationen",
"Oman", "Oman",
"Panama", "Panama",
"Puerto-Rico", "Puerto Rico",
"French-Polynesia", "Franz&ouml;isch Polynesia",
"Pakistan", "Pakistan",
"Paraguay", "Paraguay",
"Peru", "Peru",
"Papua-New-Guinea", "Papua - Neu Guinea",
"Philippines", "Philippinen",
"Poland", "Polen",
"Portugal", "Portugal",
"Qatar", "Qatar",
"Romania", "Rum&auml;nien",
"Russian-Federation", "Russische F&ouml;deration",
"Saudi-Arabia", "Saudi Arabien",
"San-Marino", "San Marino",
"Senegal", "Senegal",
"Sierra-Leone", "Sierra Leone",
"Sweden", "Schweden",
"Singapore", "Singapur",
"Slovenia", "Slovenien",
"Slovakia", "Slovakei",
"Swaziland", "Swaziland",
"Soviet-Union", "Sowjetunion",
"El-Savaldor", "El Salvador",
"Chad", "Chad",
"Tanzania", "Tanzania",
"Togo", "Togo",
"Thailand", "Thailand",
"Tonga", "Tonga",
"Turkey", "T&uuml;rkei",
"Taiwan", "Taiwan",
"Trinidad-and-Tobago", "Trinidad and Tobago",
"Turkmenistan", "Turkmenistan",
"Tunisia", "Tunesien",
"Ukraine", "Ukraine",
"Uganda", "Uganda",
"United-Kingdom", "Vereinigtes K&ouml;nigreich",
"United-States", "Vereinigte Staaten",
"Uruguay", "Uruguai",
"Uzbekistan", "Uzbekistan",
"Vatican", "Vatikan",
"Venezuela", "Venezuela",
"Vietnam", "Vietnam",
"Virgin-Islands-USA", "Jungfrauen Inseln (USA)",
"Virgin-Islands-UK", "Jungfrauen Inseln (British)",
"South-Africa", "S&uuml;d Afrika",
"Yemen", "Jemen",
"Yugoslavia", "Jugoslawien",
"Zambia", "Zambia",
"Zimbabwe", "Zimbabwe",
"Netherlands-Antilles", "Niederl&auml;ndische Antillen",
"American-Samoa", "American Samoa",
"Mongolia", "Mongolia",
"Norfolk-Island", "Norfolk Island",
"Iraq", "Irak",
"Vanuatu", "Vanuatu",
"Mali", "Mali",
"Rwanda", "Ruanda",
"Heard-and-McDonald-Islands", "Heard and McDonald Inseln",
"Solomon-Islands", "Solomon Inseln",
"Cocos-Islands", "Cocos Inseln",
"Samoa", "Samoa",
"Mayotte", "Mayotte",
"Turks-and-Caicos-Islands","Turks und Caicos Inseln",
"Saint-Pierre-et-Miquelon","Saint Pierre und Miquelon",
"Sierra-Leone", "Sierra Leone",
"South-Georgia-and-South-Sandwich-Islands","South Georgia und South Sandwich Inseln",
"Jersey-Channel-Islands", "Jersey (Channel Inseln)",
"Eritrea", "Eritrea",
"Tuvalu", "Tuvalu",
"Isle-of-Man", "Isle of Man",
"Laos", "Laos",
"Suriname", "Suriname",
"Montserrat", "Montserrat",
"Seychelles", "Seychelles",
"Grenada", "Grenada",
"Guernsey-Channel-Islands", "Guernsey (Channel Islands)",
"Saint-Helena", "Saint Helena",
"Papua-New-Guinea", "Papua New Guinea",
"Business", "Business",
"Cooperative", "Cooperative",
"Professional", "Professional",
"Name", "Name",
"Aeronautic", "Aeronautic",
"Telephone", "Telephone",
"Travel", "Travel",
"Jobs", "Jobs",
"Info", "Info",
"Museum", "Museum",
"US-Minor-Outlying-Islands", "US Minor Outlying Islands",
"European-Union", "European Union",
"Saint-Kitts-Nevis-Anguilla", "Saint Kitts &amp; Nevis - Anguilla",
"Cape-Verde", "Cape Verde",
"Syria", "Syria",
"Haiti", "Haiti",
"Liberia", "Liberia",
"Libya", "Libya",
"North-Korea", "North Korea",
"Sudan", "Sudan",
"Palestine", "Palestine",
"Tadjikistan", "Tadjikistan",
"Saint-Vincent-Grenadines", "Saint Vincent &amp; Grenadines",
"Gambia", "Gambia",
"Equatorial-Guinea", "Equatorial Guinea",
"Kiribati", "Kiribati",
"Tokelau", "Tokelau",
"Local", "Local Network",
"Satellite", "Satellite",
"Falkland-Islands", "Falkland Islands",
"Myanmar", "Myanmar",
"Northern-Mariana-Islands", "Northern Mariana Islands",
"Malawi", "Malawi",
"Former-Czechoslovakia", "Former Czechoslovakia",
"Invalid", "Invalid",
"Reunion", "Reunion",
"Pitcairn", "Pitcairn",
"Palau", "Palau",
"Mobile", "Mobile",
"Catalan", "Catalan",
"French-Southern-Territories", "French Southern Territories",
"South-Sudan", "South Sudan",
"Private-IP", "Private IP",
"Curacao", "Curacao",
"Sint-Maarten", "Sint-Maarten",
"Caribbean-Netherlands", "Caribbean Netherlands",
"Western-Sahara", "Western Sahara",
"Unknown", "Unbekannt"
 );
