#!/usr/bin/perl
# <plaintext>  just in case you look at this via a browser

#########################################################################
####                                                                #####
####                    Language Script                             #####
####                     (http server)                              #####
####                                                                #####
####    domisse@w3perl.com                   version 05/01/2007     #####
####                                                                #####
#########################################################################

%CountryFR = (
"Europe", "Europe",
"Middle-East", "Moyen-Orient",
"South-America", "Am&eacute;rique du Sud",
"North-America", "Am&eacute;rique du Nord",
"Central-America", "Am&eacute;rique centrale",
"Africa", "Afrique",
"Oceania", "Oc&eacute;anie",
"Asia", "Asie",
"Misc", "Divers",
"Wallis-and-Futuna", "Wallis et Futuna",
"Asia-Pacific", "Asie-Pacifique",
"Serbia", "Serbie",
"Montenegro", "Montenegro",
"Somalia", "Somalie",
"East-Timor", "Timor oriental",
"Aland-Islands", "Iles &Aring;land",
"Nauru", "Nauru",
"Ascension", "Ascension",
"Andorra", "Andorre",
"United-Arab-Emirates", "Emirats Arabes Unis",
"Afghanistan", "Afghanistan",
"Anguilla", "Anguille",
"Albania", "Albanie",
"Antigua-and-Barbuda", "Antigue et Barbude",
"Armenia", "Arm&eacute;nie",
"Arpa", "Arpanet",
"Argentina", "Argentine",
"Angola", "Angola",
"Antartica", "Antartique",
"Austria", "Autriche",
"Australia", "Australie",
"Aruba", "Aruba",
"Azerbaijan", "Azerbaijan",
"Bosnia-Herzegovina", "Bosnie Herz&eacute;govine",
"Bangladesh", "Bangladesh",
"Barbados", "Barbados",
"Belgium", "Belgique",
"Burkina-Faso", "Burkina Faso",
"Bulgaria", "Bulgarie",
"Bahrain", "Bahrayn",
"Bermuda", "Bermude",
"Brunei-Darussalam", "Brunei-Darussalam",
"Burundi", "Burundi",
"Benin", "B&eacute;nin",
"Bolivia", "Bolivie",
"Brazil", "Br&eacute;sil",
"Bahamas", "Bahamas",
"Botswana", "Botswana",
"Belarus", "B&eacute;larus",
"Belize", "B&eacute;lize",
"Bhutan", "Bhutan",
"British-Indian-Ocean-Territory", "Territoire britannique de l'oc&eacute;an Indien",
"Canada", "Canada",
"Central-African-Republic", "R&eacute;publique centrafricaine",
"Republic-of-Congo", "R&eacute;publique du Congo",
"Democratic-Republic-of-the-Congo", "R&eacute;publique D&eacute;mocratique du Congo",
"Christmas-Island", "Ile de Christmas",
"Switzerland", "Suisse",
"Ivory-Coast", "C&ocirc;te d'ivoire",
"Chile", "Chili",
"Cameroon", "Cameroun",
"China", "Chine",
"Colombia", "Colombie",
"Cook-Islands", "Iles Cook",
"Commercial", "Commercial",
"Costa-Rica", "Costa Rica",
"Cuba", "Cuba",
"Cyprus", "Chypre",
"Czech-Republic", "R&eacute;publique tch&egrave;que",
"Germany", "Allemagne",
"Djibouti", "Djibouti",
"Denmark", "Danemark",
"Dominica", "Dominique",
"Dominican-Republic", "R&eacute;publique dominicaine",
"Algeria", "Alg&eacute;rie",
"Ecuador", "Equateur",
"US-Educational", "USA Education",
"Estonia", "Estonie",
"Egypt", "Egypte",
"Spain", "Espagne",
"Ethiopia", "Ethiopie",
"Finland", "Finlande",
"Fidji", "Fidji",
"Faroe-Islands", "Iles Faroe",
"France", "France",
"Gabon", "Gabon",
"Great-Britain", "Grande Bretagne",
"French-Guiana", "Guyane fran&ccedil;aise",
"Georgia", "G&eacute;orgie",
"Ghana", "Ghana",
"Gibraltar", "Gibraltar",
"US-Government", "USA Gouvernement",
"Guadeloupe", "Guadeloupe",
"Greece", "Gr&egrave;ce",
"Greenland", "Groenland",
"Guinea", "Guin&eacute;e",
"Guyana", "Guy&egrave;ne",
"Guatemala", "Guatemala",
"Guam", "Guam",
"Guinea-Bissau", "Guin&eacute;e Bissau",
"Hong-Kong", "Hong-Kong", 
"Honduras", "Honduras",
"Croatia", "Croatie",
"Hungary", "Hongrie",
"Indonesia", "Indon&eacute;sie",
"Ireland", "Irlande",
"Israel", "Isra&euml;l",
"India", "Inde",
"International", "International",
"Iceland", "Islande",
"Iran", "Iran",
"Italy", "Italie",
"Jamaica", "Jamaique",
"Japan", "Japon",
"Jordan", "Jordanie",
"Cambodia", "Cambodge",
"Comoros", "Comoros",
"South-Korea", "Cor&eacute;e du sud",
"Kenya", "Kenya",
"Kuwait", "Koweit",
"Kazakhstan", "Kazakhstan",
"Kyrgyzstan", "Kyrgyzstan",
"Cayman-Islands", "Iles du ca&iuml;man",
"Lebanon", "Liban",
"Sainte-Lucia", "Sainte Lucie",
"Saint-Barthelemy", "Saint Barth&eacute;lemy",
"Saint-Martin", "Saint Martin",
"Lesotho", "Lesotho",
"Liechtenstein", "Liechtenstein",
"Lithuania", "Lituanie",
"Latvia", "Lettonie",
"Luxembourg", "Luxembourg",
"Sri-Lanka", "Sri Lanka",
"US-Military", "USA Militaire",
"Madagascar", "Madagascar",
"Macau", "Macau",
"Macedonia", "Mac&eacute;donie",
"Mexico", "Mexique",
"Malaysia", "Malaisie",
"Morocco", "Maroc",
"Moldova", "Moldavie",
"Monaco", "Monaco",
"Marshall-Islands", "Iles Marshall",
"Micronesia", "Micron&eacute;sie",
"Malta", "Malte",
"Maldives", "Maldives",
"Martinique", "Martinique (France)",
"Mauritania", "Mauritanie",
"Mauritius", "Ile Maurice",
"Mozambique", "Mozambique",
"Namibia", "Namibie",
"NATO", "OTAN",
"New-Caledonia", "Nouvelle Cal&eacute;donie",
"Network", "R&eacute;seau",
"Nicaragua", "Nicaragua",
"Niger", "Niger",
"Nigeria", "Nig&eacute;ria",
"Netherlands", "Hollande",
"Norway", "Norv&egrave;ge",
"Nepal", "N&eacute;pal",
"New-Zealand", "Nouvelle Z&eacute;lande",
"Niue", "Niue",
"Non-Profit", "Organisations",
"Oman", "Oman",
"Panama", "Panama",
"French-Polynesia", "Polyn&eacute;sie fran&ccedil;aise",
"Pakistan", "Pakistan",
"Paraguay", "Paraguay",
"Peru", "P&eacute;rou",
"Papua-New-Guinea", "Papouasie - Nouvelle Guin&eacute;e",
"Philippines", "Philippines",
"Poland", "Pologne",
"Portugal", "Portugal",
"Puerto-Rico", "Puerto Rico",
"Qatar", "Qatar",
"Romania", "Roumanie",
"Russian-Federation", "F&eacute;d&eacute;ration de Russie",
"Saudi-Arabia", "Arabie Saoudite",
"San-Marino", "San Marino",
"Saint-Tome-and-Principe", "Saint Tome et Principe",
"Senegal", "S&eacute;n&eacute;gal",
"Sierra-Leone", "Sierra L&eacute;one",
"Sweden", "Su&egrave;de",
"Singapore", "Singapour",
"Slovenia", "Slov&eacute;nie",
"Slovakia", "Slovaquie",
"Soviet-Union", "Union Sovi&eacute;tique",
"El-Savaldor", "San Salvador",
"Swaziland", "Swaziland",
"Chad", "Tchad",
"Tanzania", "Tanzanie",
"Togo", "Togo",
"Thailand", "Thailande",
"Tonga", "Tonga",
"Turkey", "Turquie",
"Taiwan", "Taiwan",
"Trinidad-and-Tobago", "Trinidad et Tobago",
"Turkmenistan", "Turkmenistan",
"Tunisia", "Tunisie",
"Ukraine", "Ukraine",
"Uganda", "Ouganda",
"United-Kingdom", "Royaume-Uni",
"United-States", "Etats-Unis",
"Uruguay", "Uruguay",
"Uzbekistan", "Uzbekistan",
"Vatican", "Vatican",
"Venezuela", "V&eacute;n&eacute;zuela",
"Vietnam", "Vietnam",
"Virgin-Islands-USA", "Iles Vierges (USA)",
"Virgin-Islands-UK", "Iles Vierges (British)",
"South-Africa", "Afrique du sud",
"Yemen", "Yemen",
"Yugoslavia", "Yougoslavie",
"Zambia", "Zambie",
"Zimbabwe", "Zimbabwe",
"Norfolk-Island", "Ile de Norfolk",
"Netherlands-Antilles", "Antilles hollandaises",
"American-Samoa", "Samoa am&eacute;ricaines",
"Mongolia", "Mongolie",
"Iraq", "Irak",
"Vanuatu", "Vanuatu",
"Mali", "Mali",
"Rwanda", "Rwanda",
"Heard-and-McDonald-Islands", "Iles Heard et McDonald",
"Solomon-Islands", "Iles Solomon",
"Cocos-Islands", "Iles Cocos",
"Samoa", "Samoa",
"Mayotte", "Mayotte",
"Turks-and-Caicos-Islands","Iles Turques et Caicos",
"Saint-Pierre-et-Miquelon","Saint Pierre et Miquelon",
"Sierra-Leone", "Sierra L&eacute;one",
"South-Georgia-and-South-Sandwich-Islands","Iles de G&eacute;orgie et Sandwich",
"Jersey-Channel-Islands", "Jersey (Iles Anglo-normandes)",
"Eritrea", "Eritr&eacute;e",
"Tuvalu", "Tuvalu",
"Isle-of-Man", "Ile de Man",
"Laos", "Laos",
"Suriname", "Surinam",
"Montserrat", "Montserrat",
"Seychelles", "Seychelles",
"Grenada", "Grenade",
"Guernsey-Channel-Islands", "Guernesey (Iles Anglo-normandes)",
"Saint-Helena", "Sainte H&eacute;l&egrave;ne",
"Papua-New-Guinea", "Papouasie Nouvelle Guin&eacute;e",
"Business", "Business",
"Cooperative", "Coop&eacute;rative",
"Professional", "Professionnel",
"Name", "Nom",
"Aeronautic", "A&eacute;ronautique",
"Telephone", "T&eacute;l&eacute;phone",
"Travel", "Voyage",
"Jobs", "Emploi",
"Info", "Info",
"Museum", "Mus&eacute;e",
"US-Minor-Outlying-Islands", "Iles du Pacifique (USA)",
"European-Union", "Union Europ&eacute;enne",
"Saint-Kitts-Nevis-Anguilla", "Saint Kitts &amp; Nevis - Anguilla",
"Cape-Verde", "Cap vert",
"Syria", "Syrie",
"Haiti", "Haiti",
"Liberia", "Lib&eacute;ria",
"Libya", "Libye",
"North-Korea", "Cor&eacute;e du Nord",
"Sudan", "Soudan",
"Palestine", "Palestine",
"Tadjikistan", "Tadjikistan",
"Saint-Vincent-Grenadines", "Saint Vincent &amp; Grenadines",
"Gambia", "Gambie",
"Equatorial-Guinea", "Guin&eacute; &eacute;quatorial",
"Kiribati", "Kiribati",
"Tokelau", "Tokelau",
"Local", "R&eacute;seau local",
"Satellite", "Satellite",
"Falkland-Islands", "Iles Malouine",
"Myanmar", "Birmanie",
"Northern-Mariana-Islands", "Iles Mariannes du Nord",
"Malawi", "Malawi",
"Former-Czechoslovakia", "Tch&eacute;coslovaquie",
"Invalid", "Invalide",
"Pitcairn", "Pitcairn",
"Palau", "Palau",
"Mobile", "Mobile",
"Catalan", "Catalan",
"Reunion", "La R&eacute;union",
"French-Southern-Territories", "Territoires Fran&ccedil;ais du Sud",
"South-Sudan", "Soudan du sud",
"Private-IP", "IP priv&eacute;es",
"Curacao", "Cura&ccedil;ao",
"Sint-Maarten", "Sint-Maarten",
"Caribbean-Netherlands", "Caraibes hollandaises",
"Western-Sahara", "Western Sahara",
"Unknown", "Inconnu"
 );
