#!/usr/bin/perl
# <plaintext>  just in case you look at this via a browser

#########################################################################
####                                                                #####
####                    Language Script                             #####
####                     (http server)                              #####
####                                                                #####
####    Portuguese Version by:                                      #####
####    Jose Manuel Ferradeira www.sfconsultores.pt  		    #####
####	 version 11/07/2001 (02/05/2003 LD)	      		    #####
####                                                                #####
#########################################################################

%CountryPT = (
"Europe", "Europe",
"Middle-East", "Middle-East",
"South-America", "South-America",
"North-America", "North-America",
"Central-America", "Central-America",
"Africa", "Africa",
"Oceania", "Oceania",
"Asia", "Asia",
"Misc", "Misc",
"Wallis-and-Futuna", "Wallis and Futuna",
"Asia-Pacific", "Asia-Pacific",
"Serbia", "Serbia",
"Montenegro", "Montenegro",
"Somalia", "Somalia",
"East-Timor", "East Timor",
"Aland-Islands", "&Aring;land Islands",
"Nauru", "Nauru",
"Ascension", "Ascenso",
"Andorra", "Andorra",
"United-Arab-Emirates", "Emirados &Aacute;rabes Unidos", 
"Afghanistan", "Afeganist&atilde;o",
"Anguilla", "Anguilla",
"Albania", "Alb&acirc;nia",
"Antigua-and-Barbuda", "Antigua e Barbuda",
"Armenia", "Arm&ecirc;nia",
"Arpa", "Arpanet",
"Argentina", "Argentina",
"Angola", "Angola",
"Antartica", "Ant&aacute;rtica",
"Austria", "&Aacute;ustria",
"Australia", "Austr&aacute;lia",
"Aruba", "Aruba",
"Azerbaijan", "Arzebaij&atilde;o",
"Bosnia-Herzegovina", "Bosnia Herzegovina",
"Bangladesh", "Bangladesh",
"Belgium", "B&eacute;lgica",
"Burkina-Faso", "Burkina Faso",
"Bulgaria", "Bulg&aacute;ria",
"Bahrain", "Bahrain",
"Bermuda", "Bermuda",
"Brunei-Darussalam", "Brunei Darussalam",
"Burundi", "Burundi",
"Benin", "Benin",
"Bolivia", "Bol&iacute;via",
"Brazil", "Brasil",
"Bahamas", "Bahamas",
"Barbados", "Barbados",
"Botswana", "Botswana",
"Belarus", "Belarus",
"Belize", "Belize",
"Bhutan", "Bhutan",
"British-Indian-Ocean-Territory", "Territ&oacute;rio Brit&acirc;nico no Oceano &Iacute;ndico",
"Christmas-Island", "Ilha Natal",
"Canada", "Canad&aacute;",
"Central-African-Republic", "Rep. Central Africana",
"Republic-of-Congo", "Rep&uacute;blica do Congo",
"Democratic-Republic-of-the-Congo", "Rep&uacute;blica Democr&aacute;tica do Congo",
"Switzerland", "Sui&ccedil;a",
"Ivory-Coast", "Costa do Marfim",
"Chile", "Chile",
"Cameroon", "Camar&otilde;es",
"China", "China",
"Colombia", "Colombia",
"Cook-Islands", "Ilhas Cook",
"Commercial", "Comercial",
"Costa-Rica", "Costa Rica",
"Cuba", "Cuba",
"Cyprus", "Chipre",
"Czech-Republic", "Rep&uacute;blica Checa",
"Germany", "Alemanha",
"Djibouti", "Djibouti",
"Denmark", "Dinamarca",
"Dominica", "Dominica",
"Dominican-Republic", "Republica Dominicana",
"Algeria", "Arg&eacute;lia",
"Ecuador", "Equador",
"US-Educational", "US Educacional",
"Estonia", "Est&ocirc;nia",
"Egypt", "Egito",
"Spain", "Espanha",
"Ethiopia", "Eti&oacute;pia",
"Finland", "Finl&acirc;ndia",
"Fidji", "Fiji",
"Faroe-Islands", "Ilhas Faroe",
"France", "Fran&ccedil;a",
"Gabon", "Gabo",
"Great-Britain", "Gr&atilde;-Bretanha",
"French-Guiana", "Guiana Francesa",
"Georgia", "Georgia",
"Ghana", "Gana",
"Gibraltar", "Gibraltar",
"US-Government", "US Governamental",
"Guadeloupe", "Guadalupe",
"Greece", "Gr&eacute;cia",
"Greenland", "Greenland",
"Guinea", "Guin&eacute;",
"Guyana", "Guiana",
"Guatemala", "Guatemala",
"Guam", "Guam",
"Guinea-Bissau", "Guin Bissau",
"Hong-Kong", "Hong-Kong", 
"Honduras", "Honduras",
"Croatia", "Cro&aacute;cia",
"Hungary", "H&uacute;ngria",
"Indonesia", "Indon&eacute;sia",
"Ireland", "Irlanda",
"Israel", "Israel",
"India", "&Iacute;ndia",
"International", "Internacional",
"Iceland", "Islndia",
"Iran", "Iro;",
"Italy", "It&aacute;lia",
"Jamaica", "Jamaica",
"Japan", "Jap&atilde;o",
"Jordan", "Jord&acirc;nia",
"Cambodia", "Camboja",
"Comoros", "Comoros",
"South-Korea", "Cor&eacute;ia do Sul",
"Kenya", "Qu&ecirc;nia",
"Kuwait", "Kuwait",
"Kazakhstan", "Cazaquist&atilde;o",
"Kyrgyzstan", "Kyrgyzst&atilde;o",
"Cayman-Islands", "Ilhas Caiman",
"Lebanon", "L&iacute;bano",
"Saint-Tome-and-Principe", "S&atilde;o Tom&eacute; e Principe",
"Sainte-Lucia", "Santa L&uacute;cia",
"Saint-Barthelemy", "Saint Barthelemy",
"Saint-Martin", "Saint Martin",
"Lesotho", "Lesoto",
"Liechtenstein", "Liechtenstein",
"Lithuania", "Litu&acirc;nia",
"Latvia", "Latvia",
"Luxembourg", "Luxemburgo",
"Sri-Lanka", "Sri Lanka",
"US-Military", "US Militar",
"Madagascar", "Madagascar",
"Macau", "Macau",
"Macedonia", "Maced&ocirc;nia",
"Mexico", "M&eacute;xico",
"Malaysia", "Mal&aacute;sia",
"Marshall-Islands", "Marshall Islands",
"Micronesia", "Micron&eacute;sia",
"Morocco", "Marrocos",
"Moldova", "Moldova",
"Monaco", "M&ocirc;naco",
"Maldives", "Maldivas",
"Martinique", "Martinica (Francesa)",
"Malta", "Malta",
"Mauritius", "Mauricius",
"Mauritania", "Maurit&acirc;nia",
"Mozambique", "Mo&ccedil;ambique",
"Namibia", "Nam&iacute;bia",
"NATO", "NATO",
"New-Caledonia", "Nova Caled&ocirc;nia", 
"Network", "Network",
"Nicaragua", "Nicar&aacute;gua",
"Netherlands", "Holanda",
"Norway", "Noruega",
"Nepal", "Nepal",
"New-Zealand", "Nova Zel&acirc;ndia",
"Niue", "Niue",
"Niger", "Niger",
"Nigeria", "Nig&eacute;ria",
"Non-Profit", "Organiza&ccedil;&otilde;es",
"Oman", "Oman",
"Panama", "Panam&aacute;",
"Puerto-Rico", "Porto Rico",
"French-Polynesia", "Polin&eacute;sia Francesa",
"Pakistan", "Paquist&atilde;o",
"Paraguay", "Paraguai",
"Peru", "Per&uacute;",
"Papua-New-Guinea", "Papua Nova Guin;",
"Philippines", "Filipinas",
"Poland", "Pol&ocirc;nia",
"Portugal", "Portugal",
"Qatar", "Qatar",
"Romania", "Rom&ecirc;nia",
"Russian-Federation", "Federa&ccedil;&atilde;o Russa",
"Saudi-Arabia", "Ar&aacute;bia Saudita",
"San-Marino", "So Marino",
"Senegal", "Senegal",
"Sierra-Leone", "Serra Leoa",
"Sweden", "Su&eacute;cia",
"Singapore", "Singapura",
"Slovenia", "Eslov&ecirc;nia",
"Slovakia", "Eslov&aacute;quia",
"Swaziland", "Suazilndia",
"Soviet-Union", "Uni&atilde;o Sovi&eacute;tica",
"El-Savaldor", "El Salvador",
"Chad", "Chad",
"Tanzania", "T&acirc;nzania",
"Togo", "Togo",
"Thailand", "Tail&acirc;ndia",
"Tonga", "Tonga",
"Turkey", "Turquia",
"Taiwan", "Taiwan",
"Trinidad-and-Tobago", "Trinidade e Tobago",
"Turkmenistan", "Turkmenisto",
"Tunisia", "Tun&iacute;sia",
"Ukraine", "Ucr&acirc;nia",
"Uganda", "Uganda",
"United-Kingdom", "Reino Unido",
"United-States", "Estados Unidos",
"Uruguay", "Uruguai",
"Uzbekistan", "Uzbekisto",
"Vatican", "Vaticano",
"Venezuela", "Venezuela",
"Vietnam", "Vietn&atilde;",
"Virgin-Islands-USA", "Ilhas Virgens (Americanas)",
"Virgin-Islands-UK", "Ilhas Virgens (Britanicas)",
"South-Africa", "&Aacute;frica do Sul",
"Yemen", "emen",
"Yugoslavia", "Jugoslvia",
"Zambia", "Z&acirc;mbia",
"Zimbabwe", "Zimbabue",
"Netherlands-Antilles", "Antilhas Holandesas",
"American-Samoa", "Samoa Americana",
"Mongolia", "Mong&oacute;lia",
"Norfolk-Island", "Ilha Norfolk",
"Iraq", "Iraque",
"Vanuatu", "Vanuatu",
"Mali", "Mali",
"Rwanda", "Ruanda",
"Heard-and-McDonald-Islands", "Ilhas Heard e McDonald",
"Solomon-Islands", "Ilhas Solomo",
"Cocos-Islands", "Ilhas Cocos",
"Samoa", "Samoa",
"Mayotte", "Mayotte",
"Turks-and-Caicos-Islands","Ilhas Turks e Caicos",
"Saint-Pierre-et-Miquelon","Saint Pierre e Miquelon",
"Sierra-Leone", "Serra Leoa",
"South-Georgia-and-South-Sandwich-Islands","Ilhas Georgia do Sul e Sandwich do Sul",
"Jersey-Channel-Islands", "Jersey (Ilhas Channel)",
"Eritrea", "Eritrea",
"Tuvalu", "Tuvalu",
"Isle-of-Man", "Ilha de Man",
"Laos", "Laos",
"Suriname", "Suriname",
"Montserrat", "Montserrat",
"Seychelles", "Seicheles",
"Grenada", "Grenada",
"Guernsey-Channel-Islands", "Guernsey (Channel Islands)",
"Saint-Helena", "Saint Helena",
"Papua-New-Guinea", "Papua New Guinea",
"Business", "Business",
"Cooperative", "Cooperative",
"Professional", "Professional",
"Name", "Name",
"Aeronautic", "Aeronautic",
"Telephone", "Telephone",
"Travel", "Travel",
"Jobs", "Jobs",
"Info", "Info",
"Museum", "Museum",
"US-Minor-Outlying-Islands", "US Minor Outlying Islands",
"European-Union", "European Union",
"Saint-Kitts-Nevis-Anguilla", "Saint Kitts &amp; Nevis - Anguilla",
"Cape-Verde", "Cape Verde",
"Syria", "Syria",
"Haiti", "Haiti",
"Liberia", "Liberia",
"Libya", "Libya",
"North-Korea", "North Korea",
"Sudan", "Sudan",
"Palestine", "Palestine",
"Tadjikistan", "Tadjikistan",
"Saint-Vincent-Grenadines", "Saint Vincent &amp; Grenadines",
"Gambia", "Gambia",
"Equatorial-Guinea", "Equatorial Guinea",
"Kiribati", "Kiribati",
"Tokelau", "Tokelau",
"Local", "Local Network",
"Satellite", "Satellite",
"Falkland-Islands", "Falkland Islands",
"Myanmar", "Myanmar",
"Northern-Mariana-Islands", "Northern Mariana Islands",
"Malawi", "Malawi",
"Former-Czechoslovakia", "Former Czechoslovakia",
"Invalid", "Invalid",
"Reunion", "Reunion",
"Pitcairn", "Pitcairn",
"Palau", "Palau",
"Mobile", "Mobile",
"Catalan", "Catalan",
"French-Southern-Territories", "French Southern Territories",
"South-Sudan", "South Sudan",
"Private-IP", "Private IP",
"Curacao", "Curacao",
"Sint-Maarten", "Sint-Maarten",
"Caribbean-Netherlands", "Caribbean Netherlands",
"Western-Sahara", "Western Sahara",
"Unknown", "Desconhecido"
 );
