#!/usr/bin/perl
# <plaintext>  just in case you look at this via a browser

#########################################################################
####                                                                #####
####                       DAILY STATS                              #####
####                                                                #####
####                                                                #####
####    domisse@w3perl.com                   version 28/05/2015     #####
####                                                                #####
#########################################################################

$verdate = "28/05/15";

# Need to improve
# use $tmpfly$vtmp from dirsize to build usemap
# link for date in sortable table

$css_calendar = "calendar.css";
$enable_weekly = 1;

$scriptname = "cron-day.pl";

############ script to launch daily at 00 hour 01 minute  ##########
$cwd = $0;
$cwd =~ s/(([^\\\/]+)$)//;
require "$cwd"."libw3perl.pl";

$pos = rindex($conf_file,$dirsep);
$vtmp = substr($conf_file,$pos+1,length($conf_file));
#$pos = rindex($0,"-");
#$vtmp .= substr($0,$pos+1,length($0));
$vtmp .= $scriptname;
$vtmp =~ s/$plext//g;
#$rss_day = $nb_rss_item-(int($nb_rss_item/7)+1+int($nb_rss_item/30)+1);

#$datesyst = &ctime(time);
$datesyst = POSIX::ctime(time);
($dayletter,$month,$day,$hourdate,$a,$year) = split(/[ \t\n\[]+/,$datesyst);
($hour,$minute,$second) = split(/:/,$hourdate);

# calculer le temps mis pour le calcul
$startrun = "$hour:$minute:$second";

if ($opt_y eq '') {
    print "<DIV CLASS=\"launch_script\">" if ($ENV{'REQUEST_METHOD'} eq "GET");
    $msg = "Daily stats : $version\n";
    &output_log($msg);
    print "</DIV><P>" if ($ENV{'REQUEST_METHOD'} eq "GET");
}
print "<DIV ID=\"TOGGLE_$scriptname\" STYLE=\"display:inline\">\n" if ($ENV{'REQUEST_METHOD'} eq "GET" && $opt_y ne '');

#################################################################
###            parsing the command line option                ###
#################################################################

if ($opt_h) {
      print STDOUT "Usage : \n";
      print STDOUT "        -c <file>             : load configuration file\n";
      print STDOUT "        -d <nbdays>           : number of days to scan\n";
      print STDOUT "        -g <";      
      for ($i=0;$i<$#graphic;$i++) {
      print STDOUT "$graphic[$i] ";
      } 
      print STDOUT "$graphic[$#graphic]";
      print STDOUT "> : graphic output (choose one)\n";
      print STDOUT "        -l <";
      for ($i=0;$i<$#lang;$i++) {
      print STDOUT "$lang[$i],";
      } 
      print STDOUT "$lang[$#lang]";
      print STDOUT ">            : language output (comma split)\n";            
      print STDOUT "        -p <level>            : precision level (from 1 to 4)\n";
      print STDOUT "        -x                    : show default value for flag options\n";
      print STDOUT "        -v                    : version\n"; 
      print STDOUT "\n";
      exit;
}


if ($opt_v) {
      print STDOUT "$scriptname version $version $verdate\n";
      exit;
}

if ($opt_x) {
      print STDOUT "Default : \n";
      print STDOUT "          -c            : $configfile\n";
      print STDOUT "          -d <nbdays>   : $nbdays\n";
      print STDOUT "          -g <graphic>  : $graphic[0]\n";
      print STDOUT "          -l <language> : ";
      for ($i=0;$i<$#lang;$i++) {
      print STDOUT "$lang[$i],";
      }
      print STDOUT "$lang[$#lang]\n";      
      print STDOUT "          -p <level>    : $precision\n";
      print STDOUT "          -v            : $version\n";
      exit;
}

if ($opt_l) {
  @lang = split(/, /,$opt_l);
  for ($i=0;$i<=$#lang;$i++) {
      $tmp = $dirress.$dirsep."lang".$dirsep.$lang[$i].$plext;
      $tmp = $pathinit.$tmp;
      require "$tmp";
  }
  if ($lang[0] eq '') {
      &error_exit("\nNone of your language choices have been yet translated !",1);
      }
}

$default_graph_idx = 1;
if ($opt_g) {

 if ($fly_set == 1) {
     $default_graph_idx = 1 if ($opt_g eq "3d");
     $default_graph_idx = 3 if ($opt_g eq "fill");
     $default_graph_idx = 4 if ($opt_g eq "line");
     $default_graph_idx = 2 if ($opt_g eq "bar");
 } else {
#     $default_graph_idx = 1 if ($opt_g eq "3d");
     $default_graph_idx = 2 if ($opt_g eq "fill");
     $default_graph_idx = 1 if ($opt_g eq "line");
     $default_graph_idx = 3 if ($opt_g eq "bar");
 }
}

@list_graph_option = ("1010","1000","0101","0100");
@list_graph_file1 = ("day3d","dayb","dayf","dayl");
@list_graph_file2 = ("daysize3d","daysizeb","daysizef","daysizel");

if ($opt_d) {
    $nbdays = $opt_d; 
}

if ($opt_p) {
    $precision = $opt_p; 
}

#$nbdays_old = $nbdays;

#################################################################
####          debut de l'initialisation                   #######
#################################################################

&MakeDirectories;

&load_basic_stats;

$linkpath_url = &Extract_WebUrlLink if ($linkpath_url eq '');

$starttime = time();
     
$linkdirdate = $data;

$file1x = $path.$dirgraph.$dirsep."dayx".$gifext;
$file1y = $path.$dirgraph.$dirsep."dayy".$gifext;
$linkfile1x = "..".$dirsepurl."..".$dirsepurl.$dirgraph.$dirsepurl."dayx".$gifext;
$linkfile1y = "..".$dirsepurl."..".$dirsepurl.$dirgraph.$dirsepurl."dayy".$gifext;


#$file2 = $path.$dirgraph.$dirsep."daysize".$gifext;
$file2x = $path.$dirgraph.$dirsep."daysizex".$gifext;
$file2y = $path.$dirgraph.$dirsep."daysizey".$gifext;
#$linkfile2 = "..".$dirsepurl."..".$dirsepurl.$dirgraph.$dirsepurl."daysize".$gifext;
$linkfile2x = "..".$dirsepurl."..".$dirsepurl.$dirgraph.$dirsepurl."daysizex".$gifext;
$linkfile2y = "..".$dirsepurl."..".$dirsepurl.$dirgraph.$dirsepurl."daysizey".$gifext;

$sizedirgraph = $path.$dirgraph.$dirsep."day_repert_size".$gifext;
$linksizedirgraph = "..".$dirsepurl."..".$dirsepurl.$dirgraph.$dirsepurl."day_repert_size".$gifext;

$others = "others".$gifext;
$tabnamecsv = $tabnamedays;
$tabnamecsv =~ s/$htmlext//;
#$listdailycountries = "liste_daily_country";
$listdailysites = "liste_daily_sites";
$listdailypages = "liste_daily_pages";
$listdailyscripts = "liste_daily_scripts";
$listdailytrafic = "liste_daily_trafic";
$listdailydir = "liste_daily_dir";
$listdailycountries = "liste_daily_country";
$listdailyfiletype = "liste_daily_filetype";
$listdailyrefer = "liste_daily_refer";
$listdailykeyword = "liste_daily_keyword";
$listdailyagent = "liste_daily_agent";
$listdailyusers = "liste_daily_users";
$listdestination = "liste_destination";
$listdailyspam = "liste_daily_spam";
$listdailystatus = "liste_daily_status";

@list = ();
$status_script = 0;
$spam_on = 1 if ($mail_format == 1 && -f "$path$dirdata$dirsep$spam");

# First item should have both date_in and date_out to extract them for laster files
@list_update_daily_menu = ($dirpage,$menu,$dirlist,$dirpays,$dirsite,$dirscript,$users,$dirtraffic,$filetype,$listdailysites,$listdailypages,$listdailyscripts,$listdailytrafic,$listdailydir,$listdailycountries,$listdailyusers,$tabnamebrowser,$tabnamerefer,$tabnamekeyword,$listdailyrefer,$listdailykeyword,$dirsession,$filenamehour,$filevirtual,$listdestination,$filevirus,$spam,$listdailyspam,$incstatus,$listdailystatus);

#################################################################
####                   date de ce jour                    #######
#################################################################

### today date

#$datesyst = &ctime(time);
$datesyst = POSIX::ctime(time);
($dayletter,$month,$day,$hourdate,$a,$year) = split(/\s+/,$datesyst);
$year = $a if ($year eq '');
$day = "0".$day if (length($day) == 1 && $struct_compressed_logfile !~ /\%smallday/);
$month_number = $month_equiv{$month};
$month_number--;
($hour,$minute,$second) = split(/:/,$hourdate);
$today = $day." ".$month." ".$year;

$year_now = $year;
$tt_deb = &nbday($today);
$tt = 0;

# annee bissextile ==> fevrier a 29 jours

if (($year%4 == 0 && $year%100 != 0) || $year%400 == 0) {
$month_of_year{'Feb'} = '29';
$bisextil = 1;
}

### nombre de jour entre le 1er janvier et $today

#$timesec = time;
#&get_time($timesec);
#($jour_of_year_end) = split(/ /,$datemisc);
$jour_of_year_end = &nbday($today);

#print STDERR "JOUR_OF_YEAR_END : $jour_of_year_end\n";

### date il y a $nbdays jours
if ($nbdays != 0 ) {

$pastday = $day  - $nbdays; 
$pastyear = $year;
$pastmonth = $month_nb[$month_number];

while ($pastday < 1) {
  $month_number--;
  if ($month_number < 0) {
      $pastyear--;
      $month_number = 11;
   }
   $pastmonth = $month_nb[$month_number];
   $pastday = $pastday + $month_of_year{$pastmonth};
}

$pasttoday = $pastday." ".$pastmonth." ".$pastyear;         
  
}

#print "Aujourd'hui nous sommes le $today\n";
#print STDERR "il y a $nbdays jours , nous etions le $pasttoday\n";


#################################################################
### number of days found

$line = 0;
$line_file = &line_file("$path$dirdata$dirsep$datafile");
$line_file = $line_file-2;
$line_file_step = int(($line_file/100)+.5);
$line_file_step = 1 if ($line_file_step == 0);
#$line_file_step2 = int(($line_file/20)+.5);
#$line_file_step2b = $line_file/20;
#$line_file_step2 = 1 if ($line_file_step2 == 0);



open(INFILE, "$path$dirdata$dirsep$datafile") || &error_exit("Error, unable to open $path$dirdata$dirsep$datafile",1);
while (<INFILE>) {
    $line++;
    next if ($line < 3);
    ($jour,$lastmonth,$lastyear) = split('\s+');
 }
close(INFILE);

if ($jour eq '') {
    $status_script = 2;
    &error_exit("Not enough data to compute daily stats.\nFile $path$dirdata$dirsep$datafile is empty\n",0);
}

$jour_of_year_end = &nbday("$jour/$lastmonth/$lastyear");

$line = 0;
$count = 0;
#@date_value = ();
$day = '';

if ($ENV{'REQUEST_METHOD'} eq "GET" && $line_file > 100) {
    print "<INPUT TYPE=\"hidden\" NAME=\"progressbar_step\" VALUE=\"1\">\n";
    $barfiletmp = "day";
    &InitProgressBar($barfiletmp,$scriptname,0);
    print "<BR>";
}

 open(INFILE, "$path$dirdata$dirsep$datafile") || &error_exit("Error, unable to open $path$dirdata$dirsep$datafile",1);
 $count_day = 0;
 while (<INFILE>) {
     chop;
     next if ($_ eq '');
     $line++;
     next if ($line < 3);
#     next unless ($line > 3);

     $count++;

     $oldjour = $jour;
     $oldmonth = $month;
     $oldday = $day;

    ($jour,$month,$year,$m_tot,$m_new,$m_dom,$req_tot,$req_dom,$access_day,$totsize_day,$tothtmlsize,$domsize,$script,$pays,$nbfilejour,$users_day,$access_unique_day) = split('\s+');
#     $spam_day = $spam_daily{"$jour$month$year"};

    $day = $jour." ".$month." ".$year;
# Build from CSV hourly

     $dirresume = $year."-".$month."-".$jour;

#     print "AA $path$dircsv$dirsep$dirresume$csvext - $path$dirgraph$dirsep$dirresume$gifext\n";
     if (-f "$path$dircsv$dirsep$dirresume$csvext" && !(-f "$path$dirgraph$dirsep$dirresume$gifext")) {
#     if (-f "$path$dircsv$dirsep$dirresume$csvext") {

	 if ($count == 1) {
	     $msg = "Building hourly graph for each day\n";
	     &output_log($msg);
	     print "<BR>" if ($ENV{'REQUEST_METHOD'} eq "GET");
	 }

	 $tmp_max = 0;
	 $tmp2_max = 0;
	 open(FILE,"$path$dircsv$dirsep$dirresume$csvext");
	 while (<FILE>) {
	     chop;
	     next if /^\#/;
	     ($hour,$req_tot,$access_day,$doc_day,$m_tot,$totsize_day,$user_day,$spam_day,$pageuniquejour) = split(/;/);
	     $hour =~ s/\"//g;
	     $req_tot =~ s/\"//g;
	     $access_day =~ s/\"//g;
	     $m_tot =~ s/\"//g;
	     $totsize_day =~ s/\"//g;
	     $doc_day =~ s/\"//g;
	     $spam_day =~ s/\"//g;
	     $pageuniquejour =~ s/\"//g;
	     push(@date_value,$hour);
	     push(@req_value,$req_tot);
	     push(@acc_value,$access_day) if ($mail_format == 0 && $cups_format == 0 && $dhcp_format == 0);
	     push(@acc_value,$pageuniquejour) if ($cups_format == 1 || $mail_format == 1);
#	     print "LL $pageuniquejour\n";
	     push(@spam_value,$spam_day);
	     push(@doc_value,$doc_day);
	     push(@host_value,$m_tot);
	     push(@traffic_value,$totsize_day);
	     $tmp_max = $req_tot if ($req_tot > $tmp_max);
	     $tmp2_max = $totsize_day if ($totsize_day > $tmp2_max);
	 }
	 close(FILE);

	 ($unit_div,$unit) = &Return_Unit($tmp2_max,1);

#	 print "TOTO\n" if (-f "$path$dirgraph$dirsep$dirresume$gifext");

#	 if ($tmp_max > 0 && -f "$path$lang[0]$dirsep$dirdate$dirsep$dirresume$dirsep$filemoyenne") {
#	 print "II $tmp_max - $path$lang[0]$dirsep$dirdate$dirsep$dirresume$dirsep$menu\n";
	 if ($tmp_max > 0 && -f "$path$lang[0]$dirsep$dirdate$dirsep$dirresume$dirsep$menu") {
	     ($tmp1,$tmp2,$tmp3) = split(/-/,$dirresume);
	     $first_date = $tmp3." ".$tmp2." ".$tmp1;
	     if ($fly_set == 1) {
		 &BuildRequestsGraph("$dirresume$csvext",$dirgraph,24,$first_date,\@date_value,\@req_value,\@acc_value,\@host_value,\@traffic_value,\@doc_value,\@spam_value);
	     }

	     for ($nblang=0;$nblang<=$#lang;$nblang++) {

		 if ($fly_set == 0) {
		     $chart_id = 0;
		     $info = "info".$chart_id;
		     $xlegend = "24 $Lang{$lang[$nblang]}{'hours'}";
		     $xlegend .= " ($first_date)";
		     $ylegend = "";
		     undef @ref_tab;
		     push(@ref_tab,\@req_value);
		     push(@ref_tab,\@acc_value);
		     push(@ref_tab,\@host_value);
		     push(@ref_tab,\@doc_value);
		     push(@ref_tab,\@traffic_value);
		     push(@ref_tab,\@spam_value);
		     @ref_tab_name = ('requests','accesses','hosts','documents2','traffic','spam');
		     
#		     @graph_to_display = ($L{'Requests'},$L{'Accesses'},$L{'Hosts'});
		     @graph_to_display = ('Requests','Accesses','Hosts') if ($mail_format == 0 && $ftp_format == 0);
		     @graph_to_display = ('Emails','Unique','Hosts') if ($mail_format == 1);
		     @graph_to_display = ('Files','Unique','Hosts') if ($ftp_format == 1);

		     open FOUT, '>', \$line or die "Can't open FOUT: $!";

		     &MakeDailyGraphJqplotInit(*FOUT, eval($Lang{$lang[$nblang]}),$nblang,5,$unit_div,\@ref_tab,\@ref_tab_name,\@date_value,$chart_id);

		     undef @ref_tab;
		     push(@ref_tab,\@req_value);
		     push(@ref_tab,\@acc_value);
		     push(@ref_tab,\@host_value);
		     
		     &MakeDailyGraphJqplot(*FOUT,eval($Lang{$lang[$nblang]}),$nblang,5,\@graph_to_display,\@ref_tab,\@date_value,\@serie_color,1,$unit,$chart_id,0,"",$info,0,$xlegend,$ylegend,$xmax_jqplot,$dirsite);
		     &AddJqplotHtml(*FOUT, eval($Lang{$lang[$nblang]}),$nblang,$chart_id,$info,$xmax_jqplot,$ymax_jqplot,3);

#		 $chart_id += $#list_graph_name_jqplot+1;
		     close(FOUT);
		 }

		 open(FILERESUMETAB,"$path$lang[$nblang]$dirsep$dirdate$dirsep$dirresume$dirsep$menu");
		 @lines = (<FILERESUMETAB>);
		 close (FILERESUMETAB);
		 
		 open(FILERESUMETAB,">$path$lang[$nblang]$dirsep$dirdate$dirsep$dirresume$dirsep$menu") || &error_exit("Error, unable to open $path$lang[$nblang]$dirsep$dirdate$dirsep$dirresume$dirsep$menu");
		 for ($i=0;$i<=$#lines;$i++) {
		     $line_file2 = $lines[$i];
		     next if ($line_file2 =~ /^<AREA SHAPE/);
		     $line_file2 =~ s/$lines[$i]// if ($lines[$i] =~ /^\<!-- begin_insert_map --\>/);
		     $line_file2 =~ s/$lines[$i]// if ($lines[$i] =~ /^\<!-- end_insert_map --\>/);
		     $line_file2 =~ s/<\/MAP>/$map\n<\/MAP>/ if ($lines[$i] =~ /<\/MAP>/);
		     $line_file2 =~ s/<!-- insert_jqplot -->/$line/ if ($lines[$i] =~ /<!-- insert_jqplot -->/);
		     print FILERESUMETAB "$line_file2";
		 }
		 close (FILERESUMETAB);
	     }
	 }
	 undef @req_value;
	 undef @acc_value;
	 undef @spam_value;
	 undef @host_value;
	 undef @date_value;
	 undef @traffic_value;
	 undef @doc_value;
     }


#     $intervalle = $jour - $oldjour;
     $intervalle = &nbday($day) - &nbday($oldday) if ($oldday ne '');
     if ($intervalle > 1 && $line > 3) {

#	 if ($oldmonth ne $month) {
#	     $intervalle = $month_of_year{$oldmonth} - $oldjour; # suppose le mois suivant
#	     $intervalle += $jour;
#	 }

	 for ($i=$count;$i<($intervalle+$count-1);$i++) {
#	     $oldjour++;
#	     if ($oldjour > $month_of_year{$oldmonth}) {
#                 $oldjour = 1;
#	     } 
	     
#	     $oldjour = "0".$oldjour if (length($oldjour) == 1 && $struct_compressed_logfile !~ /\%smallday/);
#	     $day = $oldjour." ".$affmonth." ".$year;
	     $day = &date_intervalle($day,1);
	 }
	 $count_day += $intervalle-1;
	 $line = $count;
     }

     $count_day++;
}


#$count_day -= 4; #ote ligne du header

 close(INFILE);

$count_day--;
#print "II $count_day - $nbdays\n";
$count_day = $nbdays if ($count_day > $nbdays && $nbdays != 0);
$line_density = 0.001*$count_day;
$shift_factor = 0.3;

#print "II $count_day\n";
#################################################################
#####               computing daily stats                  ######
#################################################################

 $line = 0;
 $inc = 0;
# $count_day = 1;
 $count_week = 1;
 $count = 0;
 $start_date = '';
 $totsize_max = 0;

# On verifie que l'on peut obtenir un graph sur les $nbdays derniers jours

 open(INFILE, "$path$dirdata$dirsep$datafile") || &error_exit("Error, unable to open $path$dirdata$dirsep$datafile",1);

 while (<INFILE>) {
     chop;
     next if ($_ eq '');
     $line++;
     next if ($line < 3);
#     next unless ($line > 3);
     $count++;

    ($jour,$month,$year,$m_tot,$m_new,$m_dom,$req_tot,$req_dom,$access_day,$totsize_day,$tothtmlsize,$domsize,$script,$pays,$nbfilejour,$users_day,$access_unique_day) = split('\s+');

     $tmp = "$jour $month $year";

     if ($nbdays != 0) {
	 $jour_of_year = &nbday($tmp);
	 $jour_ecoule = $jour_of_year_end - $jour_of_year;
     }

     $totsize_max = $totsize_day if ($totsize_day > $totsize_max);
#     print "$tmp - $jour_ecoule / $nbdays\n";

     next unless ($jour_ecoule <= $nbdays || $nbdays == 0);
     $day = $jour." ".$month." ".$year;  
     if ($start_date eq '') {
	 $start_date = $day;
     } 
 }
 close(INFILE);

#print "JOUR $jour_ecoule - $jour_of_year_end - $jour_of_year - $start_date\n";
 if ($count == 0) {
     $status_script = 2;
     &error_exit("No data found. File is either corrupt or empty !",0);
 }

if ($start_date eq '') {
    $nbdays = $jour_ecoule+$count;
    $msg = "Overriding current value of \$nbdays to $nbdays\n";
    &output_log($msg);
    print "<BR>" if ($ENV{'REQUEST_METHOD'} eq "GET");
}

#

$unit_div = 1;
$unit = "bytes";
 if ($totsize_max > 1024) {
     $unit_div = 1024;
     $unit = "Kb";
 }
 if ($totsize_max > (1024*1024)) {
     $unit_div = 1024*1024;
     $unit = "Mb";
 }
 if ($totsize_max > (1024*1024*1024)) {
     $unit_div = 1024*1024*1024;
     $unit = "Gb";
 }
 if ($totsize_max > (1024*1024*1024*1024)) {
     $unit_div = 1024*1024*1024*1024;
     $unit = "Tb";
 }

open(OUT, ">$path$dircsv$dirsep$tabnamecsv$csvext");
print OUT "#\"Date\";";
print OUT ";\"Requests\"" if ($mail_format == 0 && $ftp_format == 0);
print OUT ";\"Files\"" if ($ftp_format == 1);
print OUT ";\"Emails\"" if ($mail_format == 1);
print OUT ";\"Spam\"" if ($spam_on == 1);
#if ($mail_format == 0 && $ftp_format == 0 && $dhcp_format == 0) {
#    print OUT ";\"Accesses\"" if ($cups_format == 0);
#    print OUT ";\"Files\"" if ($cups_format == 1);
#}
#print OUT ";\"Documents\"" if ($ssh_format == 0 && $mail_format == 0 && $cups_format == 0 && $dhcp_format == 0);
#print OUT ";\"Scripts\"" if ($ssh_format == 0 && $mail_format == 0 && $cups_format == 0 && $dhcp_format == 0);
if ($ssh_format == 0 && $dhcp_format == 0) {
	print OUT ";\"Accesses\"" if ($mail_format == 0 && $ftp_format == 0);
	print OUT ";\"Documents\"" if ($mail_format == 0 && $cups_format == 0);
	print OUT ";\"Scripts\"" if ($mail_format == 0 && $cups_format == 0);
}
print OUT ";\"Hosts\";\"New_Hosts\"";
print OUT ";\"Countries\"";
print OUT ";\"Traffic\"" if ($notrafic == 0);
print OUT ";\"Domain Requests\"";
print OUT ";\"Domain_Hosts\"";
print OUT ";\"Domain Traffic\"" if ($notrafic == 0);
print OUT "\n";
close(OUT);

for ($nblang=0;$nblang<=$#lang;$nblang++) {
    $tabdays = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tabnamedays;    
    $file_to_open = $tabdays;
    open(TABOUT, ">$tabdays") || &error_exit("Error, unable to open $tabdays",1);
    &TableHeader(*TABOUT, eval($Lang{$lang[$nblang]}));
    close(TABOUT);
}


&TableDays();


for ($nblang=0;$nblang<=$#lang;$nblang++) {
    $tabdays = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tabnamedays;    
    open(TABOUT, ">>$tabdays") || &error_exit("Error, unable to open $tabdays",1);
    &TableFooter(*TABOUT, eval($Lang{$lang[$nblang]}));
    close(TABOUT);
}


sub TableHeader { 
 local(*FOUT,*L) = @_;

 print FOUT "$doctype\n";
 print FOUT "<HTML><HEAD>\n";
 print FOUT "$charset\n";
 print FOUT "<TITLE>$L{'Tab_about_lastdays1'} $count_day $L{'Tab_about_lastdays2'} ($L{'Textual_version'})</TITLE>\n";
 print FOUT "<!-- Page generated by w3perl - $scriptname $version - $today $hourdate -->\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$sorttablejs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$searchjs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$helpjs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$cornersjs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$style_switcherjs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$css_menu_iefixjs\"></script>\n";
 print FOUT "$curvy_bottom_jss\n";

 &add_css_style(*FOUT,2);

 print FOUT "</HEAD>\n";
 print FOUT "<BODY $backgrd TEXT=\"$custom_text\"  LINK=\"$custom_link\" VLINK=\"$custom_vlink\">\n";
 &add_css_menu(*FOUT,*L,$lang[$nblang],$nblang,2);
 print FOUT "<H2> $L{'Tab_about_lastdays1'} $count_day $L{'Tab_about_lastdays2'}</H2><P>\n";
 print FOUT "<P><HR><P>\n";
 print FOUT "<A HREF=\"..$dirsepurl..$dirsepurl$dircsv$dirsepurl$tabnamecsv$csvext\" TITLE=\"Export in CSV\"><IMG WIDTH=\"20\" HEIGHT=\"20\" SRC=\"..$dirsepurl..$dirsepurl$homeicons$dirsepurl$icon_csv\" BORDER=0 ALT=\"CSV\"></A>" if (-f "$path$dircsv$dirsep$tabnamecsv$csvext");
# print FOUT "<TABLE CLASS=\"sortable\" ID=\"day-table\">\n";
# print FOUT "\n<table class=\"tablesort table-autosort table-autostripe:1 table-autopage:$table_lines_aff table-stripeclass:alternate\" id=\"page\">\n";
# print FOUT "\n<table class=\"tablesort table-autosort table-autostripe table-autopage:$table_lines_aff table-stripeclass:alternate\" id=\"page\">\n";
 print FOUT "\n<table class=\"tablesort table-autosort table-autostripe table-stripeclass:alternate\">\n";
 print FOUT "<thead>\n";
 print FOUT "<TR>\n";
 print FOUT "<TH>&nbsp;</TH>\n";
 print FOUT "<TH>&nbsp;</TH>\n";
 $tmp = 4;
 $tmp++ if ($notrafic == 0);
# $tmp++ if ($mail_format == 0 && $ftp_format == 0 && $cups_format == 0);
 $tmp++ if ($mail_format == 0 && $ftp_format == 0);
 $tmp+=2 if ($mail_format == 0 && $cups_format == 0);
 $tmp++ if ($spam_on == 1);
 $tmp-=3 if ($ssh_format == 1 || $dhcp_format == 1);
 print FOUT "<TH COLSPAN=$tmp>&nbsp;</TH>\n";
 $tmp = 2;
 $tmp++ if ($notrafic == 0);
 print FOUT "<TH COLSPAN=$tmp>&nbsp;$L{'Domain'}&nbsp;</TH>\n";
 print FOUT "</TR>\n";
 print FOUT "<TR>\n";
 print FOUT "<TH class=\"table-sortable:default\">$L{'Weekday'}</TH>\n";
 print FOUT "<TH class=\"table-sortable:date\">$L{'Date'}</TH>\n";
 print FOUT "<TH class=\"table-sortable:numeric\">$L{'Requests'}</TH>\n" if ($ftp_format == 0 && $mail_format == 0);
 print FOUT "<TH class=\"table-sortable:numeric\">$L{'Files'}</TH>\n" if ($ftp_format == 1);
 print FOUT "<TH class=\"table-sortable:numeric\">$L{'Emails'}</TH>\n" if ($mail_format == 1);
 print FOUT "<TH class=\"table-sortable:numeric\">$L{'Spam'}</TH>\n" if ($spam_on == 1);
# print FOUT "<TH class=\"table-sortable:numeric\">$L{'Accesses'}</TH>\n" if ($mail_format == 0 && $ftp_format == 0 && $cups_format == 0);
 if ($ssh_format == 0 && $dhcp_format == 0) {
     print FOUT "<TH class=\"table-sortable:numeric\">$L{'Accesses'}</TH>\n" if ($mail_format == 0 && $ftp_format == 0);
     print FOUT "<TH class=\"table-sortable:numeric\">$L{'Documents'}</TH>\n" if ($mail_format == 0 && $cups_format == 0);
     print FOUT "<TH class=\"table-sortable:numeric\">$L{'Scripts'}</TH>\n" if ($mail_format == 0 && $cups_format == 0);
 }
 print FOUT "<TH class=\"table-sortable:numeric\">$L{'Hosts'}</TH>\n";
 print FOUT "<TH class=\"table-sortable:numeric\">$L{'New_Hosts'}</TH>\n";
 print FOUT "<TH class=\"table-sortable:numeric\">$L{'Countries'}</TH>\n";
 print FOUT "<TH class=\"table-sortable:numeric\">$L{'Traffic'} ($L{$unit})</TH>\n" if ($notrafic == 0);
 print FOUT "<TH class=\"table-sortable:numeric\">$L{'Requests'}</TH>\n";
 print FOUT "<TH class=\"table-sortable:numeric\">$L{'Hosts'}</TH>\n";
 print FOUT "<TH class=\"table-sortable:numeric\">$L{'Traffic'} ($L{$unit})</TH>\n" if ($notrafic == 0);
 print FOUT "</TR>\n";
 print FOUT "</thead>\n";

# $tmp2 = $line_file;
# if ($enable_weekly == 1) {
#     $tmp2 += int($line_file/7)*3;
# }
## $tmp = int($line_file/$table_lines_aff);
# $tmp = int($tmp2/$table_lines_aff);

# if ($tmp != ($line_file/$table_lines_aff)) {
#     $tmp++;
# }

 print FOUT "<tfoot>\n";
 print FOUT "<tr>\n";
 print FOUT "<TH>$L{'Weekday'}</TH>\n";
 print FOUT "<TH>$L{'Date'}</TH>\n";
 print FOUT "<TH>$L{'Requests'}</TH>\n" if ($ftp_format == 0 && $mail_format == 0);
 print FOUT "<TH>$L{'Files'}</TH>\n" if ($ftp_format == 1);
 print FOUT "<TH>$L{'Emails'}</TH>\n" if ($mail_format == 1);
 print FOUT "<TH>$L{'Spam'}</TH>\n" if ($spam_on == 1);
# print FOUT "<TH>$L{'Accesses'}</TH>\n" if ($mail_format == 0 && $ftp_format == 0 && $cups_format == 0);
 if ($ssh_format == 0 && $dhcp_format == 0) {
     print FOUT "<TH>$L{'Accesses'}</TH>\n" if ($mail_format == 0 && $ftp_format == 0);
     print FOUT "<TH>$L{'Documents'}</TH>\n" if ($mail_format == 0 && $cups_format == 0);
     print FOUT "<TH>$L{'Scripts'}</TH>\n" if ($mail_format == 0 && $cups_format == 0);
 }
 print FOUT "<TH>$L{'Hosts'}</TH>\n";
 print FOUT "<TH>$L{'New_Hosts'}</TH>\n";
 print FOUT "<TH>$L{'Countries'}</TH>\n";
 print FOUT "<TH>$L{'Traffic'}</TH>\n" if ($notrafic == 0);
 print FOUT "<TH>$L{'Requests'}</TH>\n";
 print FOUT "<TH>$L{'Hosts'}</TH>\n";
 print FOUT "<TH>$L{'Traffic'}</TH>\n" if ($notrafic == 0);
 print FOUT "</tr>\n";

# if ($tmp > 1) {
# print FOUT "<tr>\n";
# if ($mail_format == 0 && $ftp_format == 0) {
#     print FOUT "<td colspan=15>\n";
# } else {
#     print FOUT "<td colspan=14>\n";
# }
# print FOUT "<a href=\"#\" onclick=\"pageexample('previous'); return false;\">&lt;&lt;&nbsp;$L{'Previous'}</a>\n";

# for ($i=1;$i<=$tmp;$i++) {
#     $iminus = $i-1;
#     print FOUT "<a href=\"#\" id=\"page$i\" class=\"pagelink\" onclick=\"pageexample($iminus); return false;\">$i</a>\n";
# }
# print FOUT "<a href=\"#\" onclick=\"pageexample('next'); return false;\">$L{'Next'}&nbsp;&gt;&gt;</a>\n";
# print FOUT "<a href=\"#\" onclick=\"pageexample('all'); return false;\">$L{'All'}&nbsp;&gt;&gt;</a>\n";
# print FOUT "</td>\n";
# print FOUT "</tr>\n";
# }
 print FOUT "</tfoot>\n";

 print FOUT "<tbody>\n";
}


sub TableFooter { 
 local(*FOUT,*L) = @_;

 print FOUT "</tbody>\n";

 print FOUT "</TABLE>\n";
 print FOUT "<P><HR><P>\n";    
 print FOUT "</BODY></HTML>\n";
}

sub TableDays { 
 $line = 0;
 $count = 0;
 $count_day = 1;
 $count_day_start = '';
# $num2 = 0;
 $dayprevious = '';
 $monthprevious = '';
 $yearprevious = '';
 $reqmax = 0;
 $maxtot = 0;
# $previousday = ''; # CYB
# $dirresumeprevious = ''; #CYB
 $starnb = 0;
 $day = '';

 open(OUT, ">>$path$dircsv$dirsep$tabnamecsv$csvext");

# if (-f "$path$dirdata$dirsep$spam") {
 if ($spam_on == 1) {
     open(SPAMFILE,"$path$dirdata$dirsep$spam");
     while (<SPAMFILE>) {
	 next if ($_ =~ /^#/);
	 ($jour,$month,$year,$m_tot,$m_dom,$spam_ext,$spam_loc) = split('\s+');
	 $spam_daily{"$jour$month$year"} = $spam_ext+$spam_loc;
     }
     close(SPAMFILE) 
 }

 open(INFILE,"$path$dirdata$dirsep$datafile") || &error_exit("Error, unable to open $path$dirdata$dirsep$datafile",1);

 while (<INFILE>) {
     chop;
     next if ($_ eq '');
     $line++;
     next if ($line < 3);

     $count++;

   if ($line_file > 100) {
	if (int($count/$line_file_step) == ($count/$line_file_step)) {
	    $line_percent = int(100*($count+1)/$line_file);
	    # Write status in a file called 'status.txt' => scriptname - $line_percent
	    open(FILESTATUS,">$path$incstatus$txtext");
	    print FILESTATUS "$scriptname\t$line_percent\t$status_script\n";
	    close(FILESTATUS);
	    if ($ENV{'REQUEST_METHOD'} eq "GET") {
		print "<script language=\"javascript\" type=\"text/JavaScript\">\n";
		print "$barfiletmp.setPercentage('+1');\n";
		print "</script>\n";
	    }
	}
    }

     $oldjour = $jour;
     $oldmonth = $month;
     $oldday = $day;

    ($jour,$month,$year,$m_tot,$m_new,$m_dom,$req_tot,$req_dom,$access_day,$totsize_day,$tothtmlsize,$domsize,$script,$pays,$nbfilejour,$users_day,$access_unique_day) = split('\s+');
#     next if ($jour eq '');

     $tmp = "$jour $month $year";

#     $totsize_day2 = $totsize_day;
#     $totsize_day = int($totsize_day/$unit_div);

     $spam_day = 0;
     $spam_day = $spam_daily{"$jour$month$year"};

     $access_day2 = $access_day;
     $access_day2 = $access_unique_day if ($cups_format == 1);

#	     push(@acc_value,$access_day) if ($cups_format == 0 && $dhcp_format == 0);
#	     push(@acc_value,$pageuniquejour) if ($cups_format == 1);

     if ($nbdays != 0) {
	 $jour_of_year = &nbday($tmp);
	 $jour_ecoule = $jour_of_year_end - $jour_of_year;
     }


     push(@listhost,$m_tot);
     push(@listsize,$totsize_day);
     push(@listreq,$req_tot);
     push(@listacc,$access_day2) if ($dhcp_format == 0);
     push(@listfile,$nbfilejour); # if ($cups_format == 1);
     if ($jour_ecoule <= $nbdays || $nbdays == 0) {
	 push(@listdate,$tmp);
     }
     push(@listspam,$spam_day);

#     next unless ($jour_ecoule <= $nbdays || $nbdays == 0);

     $inc++;
     $day = $jour." ".$month." ".$year;  
     $dayaff = $year."-".$month."-".$jour;  
#     $dayaff = $jour."-".$month."-".$year;  
     $date_last = $year."-".$month."-".$jour;

     if ($start_date eq '') {
       $start_date = $day;
       $tmp_start_date = &nbday($day);
     }

     ### test sur le jour suivant

     $intervalle = &nbday($day) - &nbday($oldday) if ($oldday ne '');
#     $intervalle = &nbday($tmp) - &nbday($oldtmp);
#     $intervalle = $jour - $oldjour;
#     print "$intervalle - $jour - $oldjour\n";
     if ($intervalle > 1 && $line > 3) {

#	 if ($oldmonth ne $month) {
#	     $intervalle = $month_of_year{$oldmonth} - $oldjour; # suppose le mois suivant
#	     $intervalle += $jour;
#	 }
#	 $affmonth = $oldmonth;
	 for ($i=$count;$i<($intervalle+$count-1);$i++) {
#	     $oldjour++;

#	     if (($year%4 == 0 && $year%100 != 0) || $year%400 == 0) {
#		 $month_of_year{'Feb'} = '29';
#	     } else {
#		 $month_of_year{'Feb'} = '28';
#	     }

#	     if ($oldjour > $month_of_year{$oldmonth}) {
 #                $oldjour = 1;
  #               $affmonth = $month;
#	     } 
	     
#	     $oldjour = "0".$oldjour if (length($oldjour) == 1 && $struct_compressed_logfile !~ /\%smallday/);

#	     $year_tmp = $year;
 #            $year_tmp = $year-1 if ($affmonth eq "Dec" && ($oldmonth eq "Dec" && $oldmonth ne $month));

#             $day = $oldjour." ".$affmonth." ".$year_tmp;
#             $dayaff = $year_tmp."-".$affmonth."-".$oldjour;

	     $day = &date_intervalle($day,1);
	     @tmp = split(/ /,$day);
             $dayaff = $tmp[3]."-".$tmp[2]."-".$tmp[1];

	     $tmp_start_date2 = &nbday($day);
	     $wday = $day_of_week[(localtime(&nbday("$day")*86400))[6]];

	     if ($tmp_start_date2 < $tmp_start_date) {
		 $tmp_start_date = $tmp_start_date2;
		 $start_date = $day;
	     }


	     for ($nblang=0;$nblang<=$#lang;$nblang++) {
		 $tabdays = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tabnamedays;
		 open(FOUT, ">>$tabdays") || &error_exit("Error, unable to open $tabdays",1);
		 print FOUT "<TR>\n";
		 $classname = "right";
		 $classname = "weekend_right" if ($wday eq "Sat" || $wday eq "Sun");
		 print FOUT "<TD CLASS=\"$classname\">$wday</TD>\n";
		 print FOUT "<TD CLASS=\"$classname\">$dayaff</TD>\n";
#		 print FOUT "<TD CLASS=\"$classname\">$day</TD>\n";
		 print FOUT "<TD CLASS=\"$classname\">0</TD>\n";
		 if ($ssh_format == 0 && $dhcp_format == 0) {
		     print FOUT "<TD CLASS=\"$classname\">0</TD>\n" if ($mail_format == 0 && $ftp_format == 0);
		     print FOUT "<TD CLASS=\"$classname\">0</TD>\n" if ($mail_format == 0 && $cups_format == 0);
		     print FOUT "<TD CLASS=\"$classname\">0</TD>\n" if ($mail_format == 0 && $cups_format == 0);
		 }
		 print FOUT "<TD CLASS=\"$classname\">0</TD>\n";
		 print FOUT "<TD CLASS=\"$classname\">0</TD>\n";
		 print FOUT "<TD CLASS=\"$classname\">0</TD>\n";
		 print FOUT "<TD CLASS=\"$classname\">0</TD>\n" if ($notrafic == 0);
		 print FOUT "<TD CLASS=\"$classname\">0</TD>\n";
		 print FOUT "<TD CLASS=\"$classname\">0</TD>\n";
		 print FOUT "<TD CLASS=\"$classname\">0</TD>\n</TR>\n";
		 close(FOUT);
	    }

	     print OUT "\"$day\";\"0\"";
	     print OUT ";\"0\"";
	     if ($ssh_format == 0 && $dhcp_format == 0) {
		 print OUT ";\"0\"" if ($mail_format == 0 && $ftp_format == 0 && $cups_format == 0);
		 print OUT ";\"0\"" if ($mail_format == 0 && $cups_format == 0 && $dhcp_format == 0);
		 print OUT ";\"0\"" if ($mail_format == 0 && $cups_format == 0 && $dhcp_format == 0);
	     }
	     print OUT ";\"0\";\"0\";\"0\"";
	     print OUT ";\"0\"" if ($notrafic == 0);
	     print OUT ";\"0\";\"0\"";
	     print OUT ";\"0\"" if ($notrafic == 0);
	     print OUT "\n";
	     
	     if ($inc == 7 && $enable_weekly == 1) {
		 $totsize_day_total = int(10*$totsize_day_total/$unit_div)/10;
		 for ($nblang=0;$nblang<=$#lang;$nblang++) {
		     $tabdays = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tabnamedays;
		     open(FOUT, ">>$tabdays") || &error_exit("Error, unable to open $tabdays",1);
		     print FOUT "</tbody><tbody class=\"table-nosort\">\n";
		     print FOUT "<TR><TD>&nbsp;</TD><TD>&nbsp;</TD>\n";
		     print FOUT "<TD CLASS=\"right\">";
		     print FOUT "-" x (2 + length($req_total));
		     print FOUT "</TD>\n";
		     if ($ssh_format == 0 && $mail_format == 0 && $ftp_format == 0 && $dhcp_format == 0) {
			 print FOUT "<TD CLASS=\"right\">";
			 print FOUT "-" x (2 + length($access_total));
			 print FOUT "</TD>\n";
		     }
		     if ($ssh_format == 0 && $mail_format == 0 && $cups_format == 0 && $dhcp_format == 0) {
			 print FOUT "<TD CLASS=\"right\">";
			 print FOUT "-" x (2 + length($nbfilejour_total));
			 print FOUT "</TD>\n";
		     }
		     if ($ssh_format == 0 && $mail_format == 0 && $cups_format == 0 && $dhcp_format == 0) {
			 print FOUT "<TD>&nbsp;</TD>\n";
		     }
		     print FOUT "<TD CLASS=\"right\">";
		     print FOUT "-" x (2 + length($m_total));
		     print FOUT "</TD>\n";
		     print FOUT "<TD>&nbsp;</TD>\n";
		     print FOUT "<TD>&nbsp;</TD>\n";
		     if ($notrafic == 0) {
			 print FOUT "<TD CLASS=\"right\">";
			 print FOUT "-" x (2 + length($totsize_day_total));
			 print FOUT "</TD>\n";
		     }
		     print FOUT "<TD>&nbsp;</TD>\n";

		     print FOUT "<TD>&nbsp;</TD>\n";
		     print FOUT "<TD>&nbsp;</TD>\n" if ($notrafic == 0);
		     print FOUT "</TR><TR>\n";
		     
		     print FOUT "<TD>&nbsp;</TD>\n";
		     print FOUT "<TD>&nbsp;</TD>\n";
		     print FOUT "<TD CLASS=\"right\"><B>$req_total</B></TD>\n";
		     print FOUT "<TD CLASS=\"right\"><B>$spam_total</B></TD>\n" if ($spam_on == 1);
		     if ($ssh_format == 0 && $dhcp_format == 0) {
			 print FOUT "<TD CLASS=\"right\"><B>$access_total</B></TD>\n" if ($mail_format == 0 && $ftp_format == 0);
			 print FOUT "<TD CLASS=\"right\"><B>$nbfilejour_total</B></TD>\n" if ($mail_format == 0 && $cups_format == 0);
			 print FOUT "<TD>&nbsp;</TD>\n" if ($mail_format == 0 && $cups_format == 0);
		     }
		     print FOUT "<TD CLASS=\"right\"><B>$m_total</B></TD>\n";
		     print FOUT "<TD>&nbsp;</TD>\n";
		     print FOUT "<TD>&nbsp;</TD>\n";
		     print FOUT "<TD CLASS=\"right\"><B>$totsize_day_total</B></TD>\n" if ($notrafic == 0);

		     print FOUT "<TD>&nbsp;</TD>\n";
		     print FOUT "<TD>&nbsp;</TD>\n" if ($notrafic == 0);
		     
		     print FOUT "<TD>&nbsp;</TD>\n</TR>\n";
		     if ($mail_format == 0 && $ftp_format == 0) {
			 $tmp = 13;
		     } else {
			 $tmp = 12;
		     }
		     $tmp = $tmp-2 if ($notrafic == 1);
		     $tmp = $tmp-- if ($mail_format == 1);
		     print FOUT "<TR>\n<TD COLSPAN=$tmp";
		     print FOUT ">&nbsp;</TD>\n</TR>\n";
		     print FOUT "</tbody><tbody>\n" if ($count != $line_file);
		     close(FOUT);
		 }
		 $m_total = 0;
		 $req_total = 0;
		 $spam_total = 0;
		 $access_total = 0;
		 $nbfilejour_total = 0;
		 $totsize_day_total = 0;
		 $inc -= 7;
	     }
	     $inc++;
	 }
	 $count += $intervalle-1;
	 $count_day += $intervalle-1 if ($jour_ecoule <= $nbdays || $nbdays == 0);
	 $line = $count;
     }

     $access_total += $access_day2;
     $nbfilejour_total += $nbfilejour;
     $totsize_day_total += $totsize_day;
     $m_total += $m_tot;
     $req_total += $req_tot;
     $spam_total += $spam_day;
     if ($jour_ecoule <= $nbdays || $nbdays == 0) {
	 $indice = $count_day-1;
#	 print "II $count_day - $indice - $spam_day\n";
	 $reqmaxtot[$indice] = $req_tot;
	 $accessmaxtot[$indice] = $access_day2 if ($dhcp_format == 0);
	 $spammaxtot[$indice] = $spam_day;
#	 print "II $count_day - $indice - $spam_day\n";
	 $docmaxtot[$indice] = $nbfilejour if ($dhcp_format == 0 && $mail_format == 0);
	 $mmaxtot[$indice] = $m_tot;
	 $sizetot[$indice] = $totsize_day if ($optdirsize > 3);
	 $sizetot[$indice] = $tothtmlsize if ($optdirsize < 4);
	 $scripttot[$indice] = $script;
	 $maxtot = $sizetot[$indice] if ($sizetot[$indice] > $maxtot);    
     }

     $reqmax = $req_tot if ($req_tot > $reqmax);    

     $day = $jour." ".$month." ".$year;

     $domsize = int(10*$domsize/$unit_div)/10;
     $totsize_day = int(10*$totsize_day/$unit_div)/10;

     for ($nblang=0;$nblang<=$#lang;$nblang++) {

	 $linkjour = "..".$dirsepurl.$dirdate.$dirsepurl.$year."-".$month."-".$jour.$dirsepurl.$menu;
	 $fulljour = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$year."-".$month."-".$jour.$dirsep.$menu;
#	 $num2++; 

	 if (-e $fulljour){
	     push(@list,"$year$month_equiv{$month}$jour");
	     $wday = $day_of_week[(localtime(&nbday("$day")*86400))[6]];
	     $writeday = "<A HREF=\"$linkjour\" TITLE=\"$wday $day\">$dayaff";
	     $writeday .= "</A>";
	 } else {
	     $writeday = $dayaff;
	 }

	 $wday = $day_of_week[(localtime(&nbday("$day")*86400))[6]];

       # MAJ des resumes

	 # CYB
#	 if ($previousday ne '') {
#	     ($dayprevious,$monthprevious,$yearprevious) = split(/ /,$previousday);
#	     $dirresumeprevious = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$yearprevious."-".$monthprevious."-".$dayprevious.$dirsep.$menu;
#	 }

	 $dirresume = $year."-".$month."-".$jour;
	 $dirresumefull = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$dirresume;

	 # Calcul jour suivant
	 $dirresumenext = '';
	 $jjour = $jour;
	 $jmonth = $month;
	 $jyear = $year;
	 while (!(-e $dirresumenext) && $tt < $tt_deb) {
	     $jjour++;
	     $jjour = "0".$jjour if (length($jjour) == 1 && $struct_compressed_logfile !~ /\%smallday/);

	     if (($jyear%4 == 0 && $jyear%100 != 0) || $jyear%400 == 0) {
		 $month_of_year{'Feb'} = '29';
	     } else {
		 $month_of_year{'Feb'} = '28';
	     }

	     if ($jjour > $month_of_year{$jmonth}) {
		 $jmonth = $month_nb[$month_equiv{$jmonth}];
		 $jmonth = $month_nb[0] if ($jmonth eq '');
		 $jjour = "1" if ($struct_compressed_logfile =~ /\%smallday/);
		 $jjour = "01" if ($struct_compressed_logfile !~ /\%smallday/);
		 $jyear++ if ($jmonth eq $month_nb[0]);
	     }
	     $dirresumenext = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$jyear."-".$jmonth."-".$jjour.$dirsep.$menu;

	     $tt = &nbday("$jjour $jmonth $jyear");
	 }

	 if (-f $fulljour) {

	     @list_update_tmp = @list_update_daily_menu;

	     $update_file = 1;
	     if ($nblang == 0 && $count == 1) {
		 $msg = "Updating daily menu\n"; 
		 &output_log($msg);
		 print "<BR>" if ($ENV{'REQUEST_METHOD'} eq "GET"); 
	     }

	     $line_file_step2 = int(($line_file/20)+.5);
	     $line_file_step2b = $line_file/20;
	     $line_file_step2 = 1 if ($line_file_step2 == 0);

	     if ($update_file == 1) {
		 if ($nblang == 0) {
		     if (int($count/$line_file_step2) == ($count/$line_file_step2)) {
			 $line_percent = int(100*($count+1)/$line_file) if ($line_file != 0);
			 if ($ENV{'REQUEST_METHOD'} eq "GET") {
			 } else {
			     $starnb++;
			     $tmp = int($starnb*5) if ($line_file_step2 != 1);
			     $tmp = $starnb if ($line_file_step2 == 1);
			     print "* $tmp%";
			     
			     print "\x08\x08\x08" if (length($tmp) == 1);
			     print "\x08\x08\x08\x08" if (length($tmp) == 2);
			     print "\x08\x08\x08\x08\x08" if (length($tmp) == 3);
			 }
		     }
		 }

#		 print "Updating CSS menu for $jour $month $year $count - $line_file - $line_file_step - $line_percent\n" if ($nblang == 0);
#		 print "<BR>" if ($ENV{'REQUEST_METHOD'} eq "GET"); 

		 if ($precision > 3) {
		     for ($j=0;$j<=$#list_update_daily_menu;$j++) {
			 $list_update_daily_menu[$j] =~ s/$htmlext$//;
			 if (-f "$path$lang[$nblang]$dirsep$dirdate$dirsep$dirresume$dirsep$dirpays$htmlext") {
			     $out = 1;
			     open(FILEHTML,"$path$lang[$nblang]$dirsep$dirdate$dirsep$dirresume$dirsep$dirpays$htmlext");
			     while (<FILEHTML>) {
				 $out = 0 if (/^\<!-- end_daily_menu/);
				 next if ($out == 1);
				 if (/<[A|AREA]([",a-z=\s\d]+)HREF="([&;~: &*#0-9a-z_\?\-\/\<\>\!.]+)"([\(\)!';",_a-z=\s\d]*)>/i) {
				     push(@list_update_tmp,$2) if (-f "$path$lang[$nblang]$dirsep$dirdate$dirsep$dirresume$dirsep$2");
				 }
			     }
			     close(FILEHTML);
			 }
			 last if ($list_update_daily_menu[$j] ne "$path$lang[$nblang]$dirsep$dirdate$dirsep$dirresume$dirsep$dirpays$htmlext");
		     }
		 }

		 $file_modified = 0;

	       MODIFIED:
		 for ($j=0;$j<=$#list_update_tmp;$j++) {
		     $list_update_tmp[$j] =~ s/$htmlext$//;
		     $file_menu_update = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$year."-".$month."-".$jour.$dirsep.$list_update_tmp[$j].$htmlext;

#		     print "Updating $file_menu_update\n";

		     if (-e $file_menu_update) {
			 open(FILERESUME,"$file_menu_update");
			 @dataline = (<FILERESUME>);
			 close (FILERESUME);
			 
			 open(FILERESUME,">$file_menu_update");
			 if ($j == 0) {
			     for ($i=0;$i<=$#dataline;$i++) {
				 $date_previous_undefined = $1 if ($dataline[$i] =~ /<!-- date_in --><A HREF=\"(.*)\"/);
				 ($date_previous_undefined) = split(/\"/,$date_previous_undefined);
				 $date_next_undefined = $1 if ($dataline[$i] =~ /<!-- date_out --><A HREF=\"(.*)\"/);
				 ($date_next_undefined) = split(/\"/,$date_next_undefined);
			 }
			 }
			 
			 $found_tag = 0;

			 #CYB
			 $previouspage =~ s/$date_previous_undefined/\.\./; 
			 $dirresumeprevious = "$path$lang[$nblang]$dirsep$dirdate$previouspage";
			 $skip = 0;
			 for ($i=0;$i<=$#dataline;$i++) {
			     $found_tag = 1 if ($dataline[$i] =~ /<!-- begin_daily_menu -->/);
			     $found_tag = 0 if ($dataline[$i] =~ /<!-- end_daily_menu -->/);
			     if ($found_tag == 1) {
				 $olddataline = $dataline[$i];
				 if ($dataline[$i] =~ /<!-- date_previous_undefined -->/) {
				     $rempl = $date_previous_undefined;
				     $rempl =~ s/$list_update_tmp[0]/$list_update_tmp[$j]/;
				     $dataline[$i] =~ s/<!-- date_previous_undefined -->/$rempl/;
				 }
				 if ($dataline[$i] =~ /<!-- date_next_undefined -->/) {
				     $rempl = $date_next_undefined;
				     $rempl =~ s/$list_update_tmp[0]/$list_update_tmp[$j]/;
				     $dataline[$i] =~ s/<!-- date_next_undefined -->/$rempl/;
				 }
				 $dataline[$i] =~ s/<!-- PREVIOUS (.*)-->/<IMG SRC=$1/ if (-e "$dirresumeprevious");
				 $dataline[$i] =~ s/<!-- NEXT (.*)-->/<IMG SRC=$1/ if (-e "$dirresumenext");
				 
				 if (-e "$dirresumefull$dirsep$refer") {
				     $dataline[$i] =~ s/<!-- REFER (.*)-->/<IMG SRC=$1/;
				     $dataline[$i] =~ s/<!-- REFER2 (.*) -->/<BR>$1/;
				 }
				 if (-e "$dirresumefull$dirsep$agent") {
				     $dataline[$i] =~ s/<!-- AGENT (.*)-->/<IMG SRC=$1/;
				     $dataline[$i] =~ s/<!-- AGENT2 (.*) -->/<BR>$1/;
				 }
				 if (-e "$dirresumefull$dirsep$dirsession$htmlext") {
				     $dataline[$i] =~ s/<!-- SESSION (.*)-->/<IMG SRC=$1/; 
				     $dataline[$i] =~ s/<!-- SESSION2 (.*) -->/<BR>$1/;
				 }
				 if (-e "$dirresumefull$dirsep$filenamehour") {
				     $dataline[$i] =~ s/<!-- HOUR (.*)-->/<IMG SRC=$1/; 
				     $dataline[$i] =~ s/<!-- HOUR2 (.*) -->/<BR>$1/;
				 }
				 if (-e "$dirresumefull$dirsep$filevirus") {
				     $dataline[$i] =~ s/<!-- VIRUS (.*)-->/<IMG SRC=$1/;
				     $dataline[$i] =~ s/<!-- VIRUS2 (.*) -->/<BR>$1/;
				 }
				 if (-e "$dirresumefull$dirsep$users$htmlext") {
				     $dataline[$i] =~ s/<!-- USERS (.*)-->/<IMG SRC=$1/;
				     $dataline[$i] =~ s/<!-- USERS2 (.*) -->/<BR>$1/;
				 }
				 if (-e "$dirresumefull$dirsep$filevirtual") {
				     $dataline[$i] =~ s/<!-- DEST (.*)-->/<IMG SRC=$1/;
				     $dataline[$i] =~ s/<!-- DEST2 (.*) -->/<BR>$1/;
				 }

				 # tester si les liens existent toujours (effacement des fichiers anciens)
				 if ($dataline[$i] =~ /$icon_flecheg/i) {
				     $tmp = $dataline[$i];
				     $tmp1 = '';
				     $tmp1 = $2 if ($tmp =~ /(.*)<A HREF="(.*)"\s/i);
				     ($tmp1) = split(/\"/,$tmp1);
				     $tmp2 = $1;
				     $tmp1 =~ s/\.\.\///g;
				     $tmp1 = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tmp1;
				     $dataline[$i] = "$tmp2</TD>\n" if (!(-f "$tmp1"));
				 }
				 $file_modified = 1 if ($dataline[$i] ne $olddataline);
			     }
			     
			     print FILERESUME "$dataline[$i]" if ($skip == 0);
			 }
			 close (FILERESUME);
		     }
		     if ($file_modified == 0) {
			 last MODIFIED;
		     }
		 }
	     }
	 }
	 
#	 if ($enable_pdf == 1 && $nblang == 0) {
#	     if (-d $dirresumefull) {
#		 $filepdf = $path.$dirpdf.$dirsep.$date_last.$pdfext;
#		 &generate_pdf_cmd($date_last,$filenameday,$filepdf,0) if (!(-f $filepdf));
#	    } 
#	 }

#	 $previousday = $day; # CYB

        $tabdays = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tabnamedays;
	 open(FOUT, ">>$tabdays") || &error_exit("Error, unable to open $tabdays",1);
	 print FOUT "<TR>\n";
	 $classname = "right";
	 $classname = "weekend_right" if ($wday eq "Sat" || $wday eq "Sun");
	 print FOUT "<TD CLASS=\"$classname\">$wday</TD>\n";
	 print FOUT "<TD CLASS=\"$classname\">";
	 print FOUT "$writeday</TD>\n";
#	 print FOUT "<TD CLASS=\"$classname\">$m_tot</TD>\n";
#	 print FOUT "<TD CLASS=\"$classname\">$m_new</TD>\n";
#	 print FOUT "<TD CLASS=\"$classname\">$m_dom</TD>\n";
#	 print FOUT "<TD CLASS=\"$classname\">$req_tot</TD>\n";
#	 print FOUT "<TD CLASS=\"$classname\">$access_day</TD>\n" if ($mail_format == 0 && $ftp_format == 0);
#	 print FOUT "<TD CLASS=\"$classname\">$req_dom</TD>\n";

	 print FOUT "<TD CLASS=\"$classname\">$req_tot</TD>\n";
	 print FOUT "<TD CLASS=\"$classname\">$spam_day</TD>\n" if ($spam_on == 1);
#	 print FOUT "<TD CLASS=\"$classname\">$access_day2</TD>\n" if ($mail_format == 0 && $ftp_format == 0 && $cups_format == 0);
	 if ($ssh_format == 0 && $dhcp_format == 0) {
	     print FOUT "<TD CLASS=\"$classname\">$access_day2</TD>\n" if ($mail_format == 0 && $ftp_format == 0);
	     print FOUT "<TD CLASS=\"$classname\">$nbfilejour</TD>\n" if ($mail_format == 0 && $cups_format == 0);
	     print FOUT "<TD CLASS=\"$classname\">$script</TD>\n" if ($mail_format == 0 && $cups_format == 0);
	 }
	 print FOUT "<TD CLASS=\"$classname\">$m_tot</TD>\n";
	 print FOUT "<TD CLASS=\"$classname\">$m_new</TD>\n";
	 print FOUT "<TD CLASS=\"$classname\">$pays</TD>\n";
	 print FOUT "<TD CLASS=\"$classname\">$totsize_day</TD>\n" if ($notrafic == 0);
	 print FOUT "<TD CLASS=\"$classname\">$req_dom</TD>\n";
	 print FOUT "<TD CLASS=\"$classname\">$m_dom</TD>\n";
	 print FOUT "<TD CLASS=\"$classname\">$domsize</TD>\n" if ($notrafic == 0);
	 print FOUT "</TR>\n";
	 close(FOUT);
     }
     print OUT "\"$day\";";
     print OUT "\"$req_tot\"";
     print OUT ";\"$spam_day\"" if ($spam_on == 1);
#     print OUT ";\"$access_day2\"" if ($mail_format == 0 && $ftp_format == 0 && $cups_format == 0);
     if ($ssh_format == 0 && $dhcp_format == 0) {
	 print OUT ";\"$access_day2\"" if ($mail_format == 0 && $ftp_format == 0 && $dhcp_format == 0);
	 print OUT ";\"$nbfilejour\"" if ($mail_format == 0 && $cups_format == 0 && $dhcp_format == 0);
	 print OUT ";\"$script\"" if ($mail_format == 0 && $cups_format == 0 && $dhcp_format == 0);
     }
     print OUT ";\"$m_tot\";\"$m_new\"";
     print OUT ";\"$pays\"";
     print OUT ";\"$totsize_day\"" if ($notrafic == 0);
     print OUT ";\"$req_dom\"";        
     print OUT ";\"$m_dom\"";
     print OUT ";\"$domsize\"" if ($notrafic == 0);
     print OUT "\n";

     if ($inc == 7 && $enable_weekly == 1) {
	 $totsize_day_total = int(10*$totsize_day_total/$unit_div)/10;
	 for ($nblang=0;$nblang<=$#lang;$nblang++) {
	     $tabdays = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tabnamedays;
	     open(FOUT, ">>$tabdays") || &error_exit("Error, unable to open $tabdays",1);
	     print FOUT "</tbody><tbody class=\"table-nosort\">\n";
	     print FOUT "<TR><TD>&nbsp;</TD><TD>&nbsp;</TD>\n";
	     print FOUT "<TD CLASS=\"right\">";
	     print FOUT "-" x (2 + length($req_total));
	     print FOUT "</TD>\n";

	     if ($ssh_format == 0 && $mail_format == 0 && $ftp_format == 0 && $dhcp_format == 0) {
		 print FOUT "<TD CLASS=\"right\">";
		 print FOUT "-" x (2 + length($access_total));
		 print FOUT "</TD>\n";
	     }
	     if ($spam_on == 1) {
		 print FOUT "<TD>&nbsp;</TD>\n";
	     }
	     if ($ssh_format == 0 && $mail_format == 0 && $cups_format == 0 && $dhcp_format == 0) {
		 print FOUT "<TD CLASS=\"right\">";
		 print FOUT "-" x (2 + length($nbfilejour_total));
		 print FOUT "</TD>\n";
	     }
	     if ($ssh_format == 0 && $mail_format == 0 && $cups_format == 0 && $dhcp_format == 0) {
		 print FOUT "<TD>&nbsp;</TD>\n";
	     }
	     print FOUT "<TD CLASS=\"right\">";
	     print FOUT "-" x (2 + length($m_total));
	     print FOUT "</TD>\n";
	     print FOUT "<TD>&nbsp;</TD>\n";
	     print FOUT "<TD>&nbsp;</TD>\n";;
	     if ($notrafic == 0) {
		 print FOUT "<TD CLASS=\"right\">";
		 print FOUT "-" x (2 + length($totsize_day_total));
		 print FOUT "</TD>\n";
	     }

	     print FOUT "<TD>&nbsp;</TD>\n";
	     print FOUT "<TD>&nbsp;</TD>\n";
	     print FOUT "<TD>&nbsp;</TD>\n" if ($notrafic == 0);
	     print FOUT "</TR><TR>\n";

	     print FOUT "<TD>&nbsp;</TD>\n";
	     print FOUT "<TD>&nbsp;</TD>\n";
	     print FOUT "<TD CLASS=\"right\"><B>$req_total</B></TD>\n";
	     print FOUT "<TD CLASS=\"right\"><B>$spam_total</B></TD>\n" if ($spam_on == 1);
	     if ($ssh_format == 0 && $dhcp_format == 0) {
		 print FOUT "<TD CLASS=\"right\"><B>$access_total</B></TD>\n" if ($mail_format == 0 && $ftp_format == 0);
		 print FOUT "<TD CLASS=\"right\"><B>$nbfilejour_total</B></TD>\n" if ($mail_format == 0 && $cups_format == 0);
		 print FOUT "<TD>&nbsp;</TD>\n" if ($mail_format == 0 && $cups_format == 0);
	     }
	     print FOUT "<TD CLASS=\"right\"><B>$m_total</B></TD>\n";
	     print FOUT "<TD>&nbsp;</TD>\n";
	     print FOUT "<TD>&nbsp;</TD>\n";
	     print FOUT "<TD CLASS=\"right\"><B>$totsize_day_total</B></TD>\n" if ($notrafic == 0);


	     print FOUT "<TD>&nbsp;</TD>\n";
	     print FOUT "<TD>&nbsp;</TD>\n" if ($notrafic == 0);

	     print FOUT "<TD>&nbsp;</TD>\n</TR>\n";
	     $tmp = 8;
	     $tmp++ if ($spam_on == 1);
	     $tmp++ if ($mail_format == 0 && $ftp_format == 0);
	     $tmp++ if ($mail_format == 0 && $cups_format == 0);
	     $tmp++ if ($mail_format == 0 && $cups_format == 0);

	     print FOUT "<TR>\n<TD COLSPAN=$tmp";
	     print FOUT ">&nbsp;</TD>\n</TR>\n";
	     print FOUT "</tbody><tbody>\n" if ($count != $line_file);
	     close(FOUT);
	 }
	 
	 $m_total = 0;
	 $req_total = 0;
	 $spam_total = 0;
	 $access_total = 0;
	 $nbfilejour_total = 0;
	 $totsize_day_total = 0;
	 $inc -= 7;
     }
        
     $count_day++ if ($jour_ecoule <= $nbdays || $nbdays == 0);
#     print " A - $count_day - $jour_ecoule - $nbdays\n";
}

 $count_day--;
 close(INFILE);

 close(OUT);
 close(FLY); 

$starnb += 10;
if ($ENV{'REQUEST_METHOD'} ne "GET") {
print "     \x08\x08\x08\x08\x08";
    for ($i=1;$i<=($starnb+1);$i++) {
	print "\x08 \x08";
    }
}


# $count_day_start = $count-$count_day+1;
 $count_day_start = $count-$count_day;
# print "GG $count_day_start - $count - $count_day\n";
 $count_day_start = 1 if ($count_day_start < 1);
}

# check if something have been log

if ($count_day == 0 && $line == 0) {
    $status_script = 2;
    &error_exit("Error : No data have been yet recorded",0);
    }

if ($start_date eq '') {
    $msg = "Error : You choose to scan the $nbdays previous day\n";
    $msg .= "        but the most recent day in the data file is only $jour_ecoule days old\n";
    $msg .= "        Use the switch \"-d <days>\" with <days> from $jour_ecoule to ".($jour_ecoule+$count).".\n";
    $status_script = 2;
    &error_exit($msg,0);
}

#################################################################
#####                      proxy                          #######
#################################################################

if ($squid_format == 1) {
    open(FILEDATESQUID, "$path$dirdata$dirsep$dirproxy") || &error_exit("Error, unable to open $path$dirdata$dirsep$dirproxy",1);
    while (<FILEDATESQUID>) {
	next if ($_ =~ /^\#/);
	    ($jour,$month,$year,@proxydata) = split('\s+');
	    for ($k=0;$k<$#proxydata;$k+=3) {
		$status = $proxydata[$k];
		next if ($status !~ /TCP/);
		if ($status =~ /HIT/ || $status =~ /MISS/) {
		    $knext = $k+1;
		    if ($status =~ "HIT") {
			$hit_squid{$count_day_squid} += $proxydata[$knext];
			$knext++;
			$hit_size{$count_day_squid} += $proxydata[$knext];
		    }
		    if ($status =~ "MISS") {
			$miss_squid{$count_day_squid} += $proxydata[$knext];
			$knext++;
			$miss_size{$count_day_squid} += $proxydata[$knext];
		    }

		}
	    }
#	    print "HIT - $hit_squid{$count_day_squid} - $hit_size{$count_day_squid}\n";
#	    print "MISS - $miss_squid{$count_day_squid} - $miss_size{$count_day_squid}\n";
	    $count_day_squid++;
	}
    close(FILEDATESQUID);
}


#################################################################
#####         requests, accesses and hosts graphs         #######
#################################################################

$xlegend = "$count_day days (starting $start_date)";

#################################################################
# Fly



 if ($fly_set == 1) {
#if (-x $FLY) {
$it = length($count_day)-1;
$div = 10**$it;
$factx = ($div*(int($count_day/$div)+1))/$grad;

$it = length($reqmax)-1;
$div = 10**$it;
$facty = ($div*(int($reqmax/$div)+1))/$grad;

$fymax = $ymax-2;

$perspec = $xstep/$factx if (($perspec > $xstep/$factx) && ($tridim == 1));

### image pour les abscisses

($startday, $startmonth) = split(/ /,$start_date);

$moischiffre = $month_equiv{$startmonth};
$moischiffre--;
$moisvar = $startmonth;
$valmois = $moischiffre;

$valstep = $startday;
$valstep = "0".$valstep if (length($valstep) == 1);

$xlegend = "$count_day days (starting $start_date)";

open(FLY,">$tmpfly$vtmp");
print FLY "new\n";
print FLY "size $xmax,$ydecal\n";
 print FLY "frect 0,0,$xmax,$ydecal,200,200,200\n";
 $posx = (($xmax/2)-(length($xlegend)*7/2));
 print FLY "string 0,0,0,$posx,$ydecalm,medium,$xlegend\n";
 for ($i=$xstep;$i<$xmax;$i+=$xstep) {
 $valstep = int(($i/$xmax)*(($xmax*$factx/$xstep)))+$startday;

 $moisvar = $startmonth;
 $valmois = $moischiffre;

 while  ($valstep > $month_of_year{$moisvar}) {
     $valstep = ($valstep - $month_of_year{$moisvar});
     $valmois++;
     $valmois = 0 if ($valmois > 11);
     $moisvar = $month_nb[$valmois];
 }

 $valstep = "0".$valstep if (length($valstep) == 1);
 $val = "$moisvar/$valstep";
 $posx = $i - length($valstep)*10;
 print FLY "line $i,0,$i,5,0,0,0\n";
 print FLY "string 0,0,0,$posx,10,small,$val\n";

 }
print FLY "transparent 200,200,200\n";
close (FLY);
 
&BuildFly("$tmpfly$vtmp",$file1x);

### image pour les ordonnees
 
open(FLY,">$tmpfly$vtmp");
print FLY "new\n";
print FLY "size $xdecal,$ymax\n";
 print FLY "frect 0,0,$xdecal,$ymax,200,200,200\n";
 for ($i=$ystep;$i<$ymax;$i+=$ystep) {
 $valstep = int(($ymax - $i) * ($facty/$ystep));
 print FLY "line $xdecalm,$i,$xdecal,$i,0,0,0\n";
 $pos = ($xdecal - length($valstep)*9);
 $posy = $i-5;
 print FLY "string 0,0,0,$pos,$posy,small,$valstep\n";
 }
print FLY "transparent 200,200,200\n";
close (FLY);
 
&BuildFly("$tmpfly$vtmp",$file1y);
}

###

 if ($fly_set == 1) {
    for ($i=0;$i<=$#list_graph_option;$i++) {
	($bargraph,$linegraph,$tridim,$fillgraph) = split(//,$list_graph_option[$i]);
	$filegraph = $path.$dirgraph.$dirsep.$list_graph_file1[$i].$gifext;
	&GenerateDailyGraph1($filegraph,$vtmp,$bargraph,$linegraph,$tridim,$fillgraph);
}
}

sub GenerateDailyGraph1 {
    local($file1,$vtmp,$bargraph,$linegraph,$tridim,$fillgraph) = @_;
    local($i);

    open(FLY,">$tmpfly$vtmp");
    print FLY "new\n";
    print FLY "size $xmax,$ymax\n";
    print FLY "frect 0,0,$xmax,$ymax,200,200,200\n"; 
    for ($i=0;$i<=$count_day;$i++) {
#    for ($i=1;$i<=$count_day;$i++) {
#	$x1 = ($i-1+$tridim)*$xstep/$factx;
#	$x2 = ($i+$tridim)*$xstep/$factx;
#	$x1 = ($i-1)*$xstep/$factx;
#	$x2 = $i*$xstep/$factx;
	$x1 = $i*$xstep/$factx;
	$x2 = ($i+1)*$xstep/$factx;
	$y2 = $ymax - ($ystep/$facty * $reqmaxtot[$i]);

#	$x1 = $x1 - $xstep/$factx if ($x2-$x1 > $xstep && $tridim == 1);
#	$x2 = $x2 - $xstep/$factx if ($x2-$x1 > $xstep && $tridim == 1);

	if ($bargraph == 1) {
#	    $x2 -= $perspec if ($tridim == 1);
#	    $x1 -= $perspec if ($tridim == 1);
	    print FLY "frect $x1,$y2,$x2,$ymax,$red[0],$green[0],$blue[0]\n";
	    print FLY "rect $x1,$y2,$x2,$ymax,0,0,0\n"; 

	    if ($tridim == 1 && $y2 != $ymax) {
		
		$x1plus = $x1+$perspec;
		$x2plus = $x2+$perspec;
		$y2plus = $y2-$perspec;
		$y1plus = $ymax - $perspec;
		
		print FLY "fpoly $red[0],$green[0],$blue[0],$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";
		print FLY "poly 0,0,0,$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";

		print FLY "fpoly $red[0],$green[0],$blue[0],$x2,$ymax,$x2,$y2,$x2plus,$y2plus,$x2plus,$y1plus\n";
		print FLY "poly 0,0,0,$x2,$ymax,$x2,$y2,$x2plus,$y2plus,$x2plus,$y1plus\n";
	    }
	}

	if ($linegraph == 1) {

	    $y1 = $ymax - ($ystep/$facty * $reqmaxtot[$i+1]);
	    print FLY "line $x1,$y2,$x2,$y1,$red[0],$green[0],$blue[0]\n";
	    
	    if ($fillgraph == 1) {
		$fx1 = ($x1+$x2)/2;
		$fx1 = $x2 if ($fx1 < ($x1+1.5));
		if ($fx1 < $x2 && ($y2 < $fymax && $y1 < $fymax)) {
		    print FLY "line $x1,$ymax,$x1,$y2,$red[0],$green[0],$blue[0]\n";
		    print FLY "line $x2,$ymax,$x2,$y1,$red[0],$green[0],$blue[0]\n";

		    print FLY "line $x1,$ymax,$x2,$ymax,$red[0],$green[0],$blue[0]\n";
		    print FLY "fill $fx1,$fymax,$red[0],$green[0],$blue[0]\n";
		}
	    }
	}
    }

    close (FLY);


#    if ($mail_format == 0 && $ftp_format == 0 && $cups_format == 0) {
    if ($mail_format == 0 && $ftp_format == 0 && $dhcp_format == 0) {
	open(FLY,">>$tmpfly$vtmp");
#	for ($i=1;$i<=$count_day;$i++) {
	for ($i=0;$i<=$count_day;$i++) {
	    $x1 = $i*$xstep/$factx;
	    $x2 = ($i+1)*$xstep/$factx;

#	    $x1 = $x1 - $xstep/$factx if ($x2-$x1 > $xstep && $tridim == 1);
#	    $x2 = $x2 - $xstep/$factx if ($x2-$x1 > $xstep && $tridim == 1);

	    $x1 += $factx*$shift_factor;
	    $x2 += $factx*$shift_factor;

	    $y2 = $ymax - ($ystep/$facty * $accessmaxtot[$i]);

	    if ($bargraph == 1) {
#		$x2 -= $perspec*2 if ($tridim == 1);
#		$x1 -= $perspec*2 if ($tridim == 1);
		print FLY "frect $x1,$y2,$x2,$ymax,$red[1],$green[1],$blue[1]\n";
		print FLY "rect $x1,$y2,$x2,$ymax,0,0,0\n"; 
		if ($tridim == 1 && $y2 != $ymax) {
		    
		    $x1plus = $x1+$perspec;
		    $x2plus = $x2+$perspec;
		    $y2plus = $y2-$perspec;
		    
		    print FLY "fpoly $red[1],$green[1],$blue[1],$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";
		    print FLY "poly 0,0,0,$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";
		    
		    print FLY "fpoly $red[1],$green[1],$blue[1],$x2,$ymax,$x2,$y2,$x2plus,$y2plus,$x2plus,$ymax\n";
		    print FLY "poly 0,0,0,$x2,$ymax,$x2,$y2,$x2plus,$y2plus,$x2plus,$ymax\n";
		}
	    }

	    if ($linegraph == 1) {
		$y1 = $ymax - ($ystep/$facty * $accessmaxtot[$i+1]);
		print FLY "line $x1,$y2,$x2,$y1,$red[1],$green[1],$blue[1]\n";
		
		if ($fillgraph == 1) {
		    $fx1 = ($x1+$x2)/2;
		    $fx1 = $x2 if ($fx1 < ($x1+1.5));
		    if ($fx1 < $x2 && ($y2 < $fymax && $y1 < $fymax)) {
			print FLY "line $x1,$ymax,$x1,$y2,$red[1],$green[1],$blue[1]\n";
			print FLY "line $x2,$ymax,$x2,$y1,$red[1],$green[1],$blue[1]\n";

			print FLY "line $x1,$ymax,$x2,$ymax,$red[1],$green[1],$blue[1]\n";
			print FLY "fill $fx1,$fymax,$red[1],$green[1],$blue[1]\n";
		    }
		}
	    }
	}

	close (FLY);
    }


    if ($spam_on == 1) {
	open(FLY,">>$tmpfly$vtmp");
#	for ($i=1;$i<=$count_day;$i++) {
	for ($i=0;$i<=$count_day;$i++) {
	    $x1 = $i*$xstep/$factx;
	    $x2 = ($i+1)*$xstep/$factx;

#	    $x1 = $x1 - $xstep/$factx if ($x2-$x1 > $xstep && $tridim == 1);
#	    $x2 = $x2 - $xstep/$factx if ($x2-$x1 > $xstep && $tridim == 1);

	    $x1 += $factx*$shift_factor;
	    $x2 += $factx*$shift_factor;

	    $y2 = $ymax - ($ystep/$facty * $spammaxtot[$i]);

	    if ($bargraph == 1) {
#		$x2 -= $perspec*2 if ($tridim == 1);
#		$x1 -= $perspec*2 if ($tridim == 1);
		print FLY "frect $x1,$y2,$x2,$ymax,$red[1],$green[1],$blue[1]\n";
		print FLY "rect $x1,$y2,$x2,$ymax,0,0,0\n"; 
		if ($tridim == 1 && $y2 != $ymax) {
		    
		    $x1plus = $x1+$perspec;
		    $x2plus = $x2+$perspec;
		    $y2plus = $y2-$perspec;
		    
		    print FLY "fpoly $red[1],$green[1],$blue[1],$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";
		    print FLY "poly 0,0,0,$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";
		    
		    print FLY "fpoly $red[1],$green[1],$blue[1],$x2,$ymax,$x2,$y2,$x2plus,$y2plus,$x2plus,$ymax\n";
		    print FLY "poly 0,0,0,$x2,$ymax,$x2,$y2,$x2plus,$y2plus,$x2plus,$ymax\n";
		}
	    }

	    if ($linegraph == 1) {
		$y1 = $ymax - ($ystep/$facty * $spammaxtot[$i+1]);
		print FLY "line $x1,$y2,$x2,$y1,$red[1],$green[1],$blue[1]\n";
		
		if ($fillgraph == 1) {
		    $fx1 = ($x1+$x2)/2;
		    $fx1 = $x2 if ($fx1 < ($x1+1.5));
		    if ($fx1 < $x2 && ($y2 < $fymax && $y1 < $fymax)) {
			print FLY "line $x1,$ymax,$x1,$y2,$red[1],$green[1],$blue[1]\n";
			print FLY "line $x2,$ymax,$x2,$y1,$red[1],$green[1],$blue[1]\n";

			print FLY "line $x1,$ymax,$x2,$ymax,$red[1],$green[1],$blue[1]\n";
			print FLY "fill $fx1,$fymax,$red[1],$green[1],$blue[1]\n";
		    }
		}
	    }
	}

	close (FLY);
    }


    open(FLY,">>$tmpfly$vtmp");
#    for ($i=1;$i<=$count_day;$i++) {
    for ($i=0;$i<=$count_day;$i++) {
	$x1 = $i*$xstep/$factx;
	$x2 = ($i+1)*$xstep/$factx;

#	$x1 = $x1 - $xstep/$factx if ($x2-$x1 > $xstep && $tridim == 1);
#	$x2 = $x2 - $xstep/$factx if ($x2-$x1 > $xstep && $tridim == 1);

	$x1 += $factx*2*$shift_factor;
	$x2 += $factx*2*$shift_factor;
	
	$y2 = $ymax - ($ystep/$facty * $mmaxtot[$i]);

	if ($bargraph == 1) {
#	    $x2 -= $perspec*3 if ($tridim == 1);
#	    $x1 -= $perspec*3 if ($tridim == 1);
	    print FLY "frect $x1,$y2,$x2,$ymax,$red[2],$green[2],$blue[2]\n";
	    print FLY "rect $x1,$y2,$x2,$ymax,0,0,0\n"; 

	    if ($tridim == 1 && $y2 != $ymax) {

		$x1plus = $x1+$perspec;
		$x2plus = $x2+$perspec;
		$y2plus = $y2-$perspec;
		
		print FLY "fpoly $red[2],$green[2],$blue[2],$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";
		print FLY "poly 0,0,0,$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";

		print FLY "fpoly $red[2],$green[2],$blue[2],$x2,$ymax,$x2,$y2,$x2plus,$y2plus,$x2plus,$ymax\n";
		print FLY "poly 0,0,0,$x2,$ymax,$x2,$y2,$x2plus,$y2plus,$x2plus,$ymax\n";
	    }
	}

	if ($linegraph == 1) {
	    $y1 = $ymax - ($ystep/$facty * $mmaxtot[$i+1]);
	    print FLY "line $x1,$y2,$x2,$y1,$red[2],$green[2],$blue[2]\n";

	    if ($fillgraph == 1) {
		$fx1 = ($x1+$x2)/2;
		$fx1 = $x2 if ($fx1 < ($x1+1.5));
		if ($fx1 < $x2 && ($y2 < $fymax && $y1 < $fymax)) {
		    print FLY "line $x1,$ymax,$x1,$y2,$red[2],$green[2],$blue[2]\n";
		    print FLY "line $x2,$ymax,$x2,$y1,$red[2],$green[2],$blue[2]\n";

		    print FLY "line $x1,$ymax,$x2,$ymax,$red[2],$green[2],$blue[2]\n";
		    print FLY "fill $fx1,$fymax,$red[2],$green[2],$blue[2]\n";
		}
	    }
	}
    }

    print FLY "transparent 200,200,200\n";

    close (FLY);

    &BuildFly("$tmpfly$vtmp",$file1);
    
}

###

 if ($fly_set == 1) {
$map = '';
$num = $count_day_start-1;
#print "YYY $num - $count_day_start\n";
$num = 0 if ($num < 0);
$num = 0;
#print "OO $num - $count_day_start\n";

if ($maxtot > (1024*1024*1024) && $maxtot <= (1024*1024*1024*1024)) {
    $tmp3 = 1024*1024*1024;
    $unit = "Gb";
}

if ($maxtot > (1024*1024) && $maxtot <= (1024*1024*1024)) {
    $tmp3 = 1024*1024;
    $unit = "Mb";
}
if ($maxtot > 1024 && $maxtot <= (1024*1024)) {
    $tmp3 = 1024;
    $unit = "Kb";
}

if ($maxtot <= 1024) {
    $tmp3 = 1;
    $unit = "bytes";
    $unit = "" if ($maxtot == 0);
}

# Compute USEMAP
for ($i=0;$i<$count_day;$i++) {

# if ($fly_set == 1) {
     $x1 = $i*$xstep/$factx;
     $x2 = ($i+1)*$xstep/$factx;
# }

     ($val1,$val2,$val3) = split(/\s/,$listdate[$num]);
     $tmp = $val3."-".$val2."-".$val1;

 $linkjour = "..".$dirsepurl.$dirdate.$dirsepurl.$tmp.$dirsepurl.$menu;
 $fulljour = $path.$lang[0].$dirsep.$dirdate.$dirsep.$tmp.$dirsep.$menu;

 $tmp2 =  int($sizetot[$num]*100/$tmp3)/100;
 $tmp4 = "Requests : $reqmaxtot[$num]|";

 if ($ftp_format == 0 && $mail_format == 0 && $dhcp_format == 0) {
     $tmp4 .= "Accesses" if ($cups_format == 0);
     $tmp4 .= "Files" if ($cups_format == 1);
     $tmp4 .= " : $accessmaxtot[$num]|";
 }
 $tmp4 .= "Spam : $spammaxtot[$num]|" if ($spam_on == 1);
 $tmp4 .= "Documents : $docmaxtot[$num]|" if ($mail_format == 0 && $cups_format == 0 && $dhcp_format == 0);
 $tmp4 .= "Hosts : $mmaxtot[$num]";
 $tmp4 .= "|Traffic : $tmp2 $unit" if ($notrafic == 0);

     $tmp = $val1." ".$val2." ".$val3;

     $wday = $day_of_week[(localtime(&nbday("$tmp")*86400))[6]];
     $num++;
 
#if ($fly_set == 1) {
     $map .= "<AREA SHAPE=\"rect\" COORDS=\"$x1,0,$x2,$ymax\" HREF=\"$tabnamedays#$num\" ALT=\"$tmp\" onMouseOut=\"hideLayer();overdiv--;\" onMouseOver=\"overdiv++;popLayer('$wday $tmp','$tmp4','','$tabnamedays#$num',1,'','$popup_graph_width')\">\n" if (!(-e $fulljour) && $reqmaxtot[$num] != 0);
     $map .= "<AREA SHAPE=\"rect\" COORDS=\"$x1,0,$x2,$ymax\" HREF=\"$linkjour\" ALT=\"$tmp\" onMouseOut=\"hideLayer();overdiv--;\" onMouseOver=\"overdiv++;popLayer('$wday $tmp','$tmp4','','$linkjour',1,'','$popup_graph_width')\">\n" if (-e $fulljour);
# }

# if ($i > ($count_day-$rss_day)) {
#     &BuildRSS($filerss,$tmp4,$tmp,$linkjour) if ($reqmaxtot[$num] != 0);
# }
}
}

#### Tri pour les peaks

@trireq = reverse sort bynumber @listreq;

for ($i=0;$i<=$topten;$i++) {
    for ($j=0;$j<=$#listreq;$j++) {
	if ($trireq[$i] eq $listreq[$j]) {
	    $trireqdate[$i] = $listdate[$j];
	    $listreq[$j] = 0;
	    last;
	}
    }
}

@trifile = reverse sort bynumber @listfile;

for ($i=0;$i<=$topten;$i++) {
    for ($j=0;$j<=$#listfile;$j++) {
	if ($trifile[$i] eq $listfile[$j]) {
	    $trifiledate[$i] = $listdate[$j];
	    $listfile[$j] = 0;
	    last;
	}
    }
}

@trispam = reverse sort bynumber @listspam;

for ($i=0;$i<=$topten;$i++) {
    for ($j=0;$j<=$#listspam;$j++) {
	if ($trispam[$i] eq $listspam[$j]) {
	    $trispamdate[$i] = $listdate[$j];
	    $listspam[$j] = 0;
	    last;
	}
    }
}

@triacc = reverse sort bynumber @listacc;

for ($i=0;$i<=$topten;$i++) {
    for ($j=0;$j<=$#listacc;$j++) {
	if ($triacc[$i] eq $listacc[$j]) {
	    $triaccdate[$i] = $listdate[$j];
	    $listacc[$j] = 0;
	    last;
	}
    }
}

@trisize = reverse sort bynumber @listsize;

for ($i=0;$i<=$topten;$i++) {
    for ($j=0;$j<=$#listsize;$j++) {
	if ($trisize[$i] eq $listsize[$j]) {
	    $trisizedate[$i] = $listdate[$j];
	    $listsize[$j] = 0;
	    last;
	}
    }
}

@trihost = reverse sort bynumber @listhost;

for ($i=0;$i<=$topten;$i++) {
    for ($j=0;$j<=$#listhost;$j++) {
	if ($trihost[$i] eq $listhost[$j]) {
	    $trihostdate[$i] = $listdate[$j];
	    $listhost[$j] = 0;
	    last;
	}
    }
}

###


if (-f "$path$dirdata$dirsep$filerepertsize") {
open(IN, "$path$dirdata$dirsep$filerepertsize"); # || &error_exit("Error, unable to open $path$dirdata$dirsep$filerepertsize",1);

$line = 0;

while (<IN>) {
    chop;
    next if ($_ eq '');
    $line++;
    next if ($line < 3);
    
    ($jour,$month,$year,@reste) = split('\s+');
#     next unless ($jour_ecoule <= $nbdays || $nbdays == 0);

    $tmp = "$jour $month $year";
    push(@listdirdate,$tmp);

     for ($i=0;$i<=$#selecrepert;$i++) {
	 $tmp2 = "dirlist"."_".$i;
	 push(@{$tmp2},$reste[$i*6+$optdirsize-1]);
     }
    
}
close(IN);

for ($i=0;$i<=$#selecrepert;$i++) {
    $tmp2 = "dirlist"."_".$i;
    $tmp3 = "tridir"."_".$i;
    @{$tmp3} = reverse sort bynumber @{$tmp2};

    $tmp4 = "tridirdate"."_".$i;

    for ($k=0;$k<=$topten;$k++) {
	for ($j=0;$j<=$#{$tmp2};$j++) {
	    if ($$tmp3[$k] eq $$tmp2[$j]) {
		$$tmp4[$k] = $listdirdate[$j];
		$$tmp2[$j] = 0;
		last;
	    }
	}
    }
}
}

###
# print "AA $unit_div - $unit\n";



#print "A @ref_tab\n";


if ($precision > 2 && $#selecrepert != -1 && $notrafic == 0 && $mail_format == 0 && $ftp_format == 0) {
    for ($nblang=0;$nblang<=$#lang;$nblang++) {
	$tabsize = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$filenametabsize;
	$file_to_open = $tabsize;
	open(TABSIZE,">$tabsize") || &error_exit("Error, unable to open $tabsize",1);
	&TabDaySize(*TABSIZE, eval($Lang{$lang[$nblang]}),$nblang);
	close(TABSIZE);
    }
}


@sizetot2 = @sizetot;

for ($i=0;$i<$count_day;$i++) {
    $val = 0;
    for ($j=0;$j<=$#selecrepert;$j++) {
	$val += $maxdir[$i][$j];
    }
    $sizetot2[$i] = $sizetot[$i]-$val;
}


for ($nblang=0;$nblang<=$#lang;$nblang++) {
    $fileday2 = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$filenameday;
    $file_to_open = $fileday2;
    open(FILEDAY,">$fileday2") || &error_exit("Error, unable to open $fileday2",1);
    &DayStats(*FILEDAY, eval($Lang{$lang[$nblang]}), $lang[$nblang],\@list);
    close(FILEDAY);
}


unlink("$tmpfly$vtmp");


##############################################################
### creation du fichier contenant les stats pour les jours ###
##############################################################

sub DayStats {
 local(*FOUT, *L, $I,$ref) = @_;
 local(@list,$i,$unit_div,$unit);

 @list = @$ref;

 $unit = "bytes";
 $unit_div = 1;
 if ($trisize[0] > 1024) {
     $unit_div = 1024;
     $unit = "Kb";
 }
 if ($trisize[0] > (1024*1024)) {
     $unit_div = 1024*1024;
     $unit = "Mb";
 }
 if ($trisize[0] > (1024*1024*1024)) {
     $unit_div = 1024*1024*1024;
     $unit = "Gb";
 }
 if ($trisize[0] > (1024*1024*1024*1024)) {
     $unit_div = 1024*1024*1024*1024;
     $unit = "Tb";
 }

 print FOUT "$doctype\n";
 print FOUT "<HTML><HEAD>\n";
 print FOUT "$charset\n";
 print FOUT "<TITLE>$L{'Stats_aboutlastdays1'} $count_day $L{'Stats_aboutlastdays2'}</TITLE>\n";
 print FOUT "<!-- Page generated by w3perl - $scriptname $version - $today $hourdate -->\n";	 
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$calendarjs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$helpjs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$searchjs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$sorttablejs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$cornersjs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$style_switcherjs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$css_menu_iefixjs\"></script>\n";

 &add_jqplot_js(*FOUT,2);

 print FOUT "$curvy_bottom_jss\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\">\n";

# for ($i=0;$i<=$#list_graph_file1;$i++) {
 print FOUT "function ToggleGraph(obj,obj2,obj3,obj4) {\n";
 print FOUT "target = document.getElementById(obj);\n";
 print FOUT "target2 = document.getElementById(obj2);\n";
 print FOUT "target3 = document.getElementById(obj3);\n";
 print FOUT "target4 = document.getElementById(obj4);\n";
 print FOUT "target.style.display = \"inline\";\n";
 print FOUT "target2.style.display = \"none\";\n";
 print FOUT "target3.style.display = \"none\";\n";
 print FOUT "target4.style.display = \"none\";\n";
 print FOUT "}\n";

 print FOUT "function ToggleGraph3(id,obj,obj2,obj3) {\n";
 print FOUT "target = document.getElementById(obj);\n";
 print FOUT "target2 = document.getElementById(obj2);\n";
 print FOUT "target3 = document.getElementById(obj3);\n";
 print FOUT "target.style.display = \"inline\";\n";
 print FOUT "target2.style.display = \"none\";\n";
 print FOUT "target3.style.display = \"none\";\n";
 print FOUT "eval(id).replot();\n";
 print FOUT "}\n";
 print FOUT "</SCRIPT>\n";
 print FOUT "<SCRIPT LANGUAGE=\"JavaScript\" type=\"text/javascript\">\n";
 print FOUT "var todaydate=new Date()\n";
 print FOUT "var curmonth=todaydate.getMonth()+1 //get current month (1-12)\n";
 print FOUT "var curyear=todaydate.getFullYear() //get current year\n";
 print FOUT "</SCRIPT>\n";

 &add_css_style(*FOUT,2);

 print FOUT "<link rel=\"stylesheet\" type=\"text/css\" href=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dircss$dirsepurl$css_calendar\">\n";
 print FOUT "</HEAD>\n";
 print FOUT "<BODY $backgrd TEXT=\"$custom_text\" LINK=\"$custom_link\" VLINK=\"$custom_vlink\">\n";
 &add_css_menu(*FOUT,*L,$lang[$nblang],$nblang,2);

 &help_div(*FOUT);

 if ($fly_set == 1) {
     $map2 = $map;
     $map2 =~ s/Requests/$L{'Requests'}/g;
     $map2 =~ s/Accesses/$L{'Accesses'}/g;
     $map2 =~ s/Hosts/$L{'Hosts'}/g;
     $map2 =~ s/Traffic/$L{'Traffic'}/g;

     print FOUT "<MAP NAME=\"day1\">\n";
     print FOUT "$map2\n";
     print FOUT "</MAP>\n";
     
     print FOUT "<MAP NAME=\"day2\">\n";
     print FOUT "$map2\n";
     print FOUT "</MAP>\n";
 }

 print FOUT "<CENTER>\n";

 print FOUT "<TABLE BORDER=0 WIDTH=\"100%\">\n";
 print FOUT "<TR>\n";
 print FOUT "<TD ALIGN=LEFT VALIGN=MIDDLE WIDTH=\"20%\">";

 print FOUT "<FORM name=\"calendar_value\" ACTION=\"\">\n";
  for ($i=0;$i<=$#list;$i++) {
      print FOUT "<INPUT type=\"hidden\" name=\"calendar_val$i\" value=\"$list[$i]\">\n";
  }
  print FOUT "</FORM>\n";

 print FOUT "<DIV ID=\"calendarspace\">\n";
 print FOUT "<SCRIPT LANGUAGE=\"JavaScript\" type=\"text/javascript\">\n";
# print FOUT "document.write(buildCal(curmonth ,curyear, \"main\", \"month\", \"daysofweek\", \"days\", 1,0,'index$htmlext','@list'));\n";
 print FOUT "document.write(buildCal(curmonth ,curyear, \"main\", \"month\", \"daysofweek\", \"days\", 1,0,'index$htmlext'));\n";
 print FOUT "</SCRIPT>\n";
 print FOUT "</DIV>\n";

 print FOUT "</TD>\n";
 print FOUT "<TD ALIGN=CENTER WIDTH=\"60%\">\n";

 print FOUT "<TABLE>\n<TR>\n<TD ALIGN=CENTER>\n";
 print FOUT "<DIV CLASS=\"curly_title\">\n";
 print FOUT "<H1>".uc(&noaccentinhtml($L{'Stats_aboutlastdays1'}))." $count_day ".uc(&noaccentinhtml($L{'Stats_aboutlastdays2'}))."</H1>\n";
 print FOUT "</DIV>\n";
 print FOUT "</TD>\n</TR>\n</TABLE>\n";

 print FOUT "</TD>\n";
 print FOUT "<TD ALIGN=RIGHT VALIGN=MIDDLE WIDTH=\"20%\">\n";

print FOUT "<B><A HREF=\"$tabnamedays\" TITLE=\"Table of data for the last days\">$L{'Tab_about_lastdays1'} $L{'Tab_about_lastdays2'}</A></B><BR><BR>\n";

 if ($precision > 2 && $#selecrepert != -1 && $notrafic == 0 && $mail_format == 0 && $ftp_format == 0) {
     print FOUT "<B><A HREF=\"$filenametabsize\" TITLE=\"Traffic for the last days\">$L{'Traffic'}</A></B><br><br>\n";
 }
 print FOUT "</TD>\n";
 print FOUT "</TR>\n";
 print FOUT "</TABLE>\n";
 print FOUT "</CENTER>\n";

 print FOUT "<HR SIZE=5><P>\n";

 print FOUT "<A NAME=\"graph1\"></A>\n";

 print FOUT "<CENTER>\n";

if ($fly_set == 0) {
    $chart_id = 0;
    $info = "info".$chart_id;
# print FOUT "<div id=\"display_bold\" style=\"display:none\" value=\"1\"></div>\n";
# print FOUT "<input type=\"text\" id=\"display_bold\" style=\"display:none\" value=\"1\">\n";
 #\@docmaxtot

 undef @ref_tab;
 push(@ref_tab,\@reqmaxtot);
    push(@ref_tab,\@accessmaxtot) if ($mail_format == 0 && $ssh_format == 0 && $ftp_format == 0);
 push(@ref_tab,\@spammaxtot) if ($mail_format == 1);
 push(@ref_tab,\@mmaxtot);
 push(@ref_tab,\@docmaxtot);
 push(@ref_tab,\@scripttot);
 push(@ref_tab,\@tabuser);
 push(@ref_tab,\@sizetot);

    @ref_tab_name = ('requests','accesses','hosts','documents2','scripts','users','traffic') if ($mail_format == 0);
   @ref_tab_name = ('requests','hosts','documents2','scripts','users','traffic') if ($ftp_format == 1 || $ssh_format == 1);
    @ref_tab_name = ('requests','spam','hosts','documents2','scripts','users','traffic') if ($mail_format == 1);

 &MakeDailyGraphJqplotInit(*FOUT, eval($Lang{$lang[$nblang]}),$I,1,$unit_div,\@ref_tab,\@ref_tab_name,\@listdate,$chart_id);
# @graph_to_display = ('Requests','Accesses','Spam','Hosts') if ($mail_format == 0);
 @graph_to_display = ('Requests','Accesses','Hosts') if ($mail_format == 0);
 @graph_to_display = ('Requests','Hosts') if ($ssh_format == 1 || $ftp_format == 1);
 @graph_to_display = ('Requests','Spam','Hosts') if ($mail_format == 1);

 undef @ref_tab;
 push(@ref_tab,\@reqmaxtot);
 push(@ref_tab,\@accessmaxtot) if ($mail_format == 0 && $ftp_format == 0 && $ssh_format == 0);
    push(@ref_tab,\@spammaxtot) if ($mail_format == 1);
 push(@ref_tab,\@mmaxtot);

 &MakeDailyGraphJqplot(*FOUT, eval($Lang{$lang[$nblang]}),$I,1,\@graph_to_display,\@ref_tab,\@listdate,\@serie_color,1,$unit,$chart_id,0,"",$info,0,$xlegend,"",$xmax_jqplot,$menu);

 &AddJqplotHtml(*FOUT, eval($Lang{$lang[$nblang]}),$I,$chart_id,$info,$xmax_jqplot,$ymax_jqplot,2);

 $chart_id = ($chart_id+1)*scalar(@list_graph_name_jqplot);

#var imgelem = $('#chart2').jqplotToImageStr({});
#        if (imgelem) {
#           window.location.href=imgelem;
#}

}

 if ($fly_set == 1) {
 print FOUT "<TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0>\n";
 print FOUT "<TR>\n";
 print FOUT "<TD><IMG WIDTH=$xdecal HEIGHT=$ymax SRC=\"$linkfile1y\" ALT=\"y\"></TD>\n";
 print FOUT "<TD>\n";
 for ($i=0;$i<=$#list_graph_file1;$i++) {
     $toggle_var = "TOGGLE_".$list_graph_file1[$i];
     print FOUT "<!-- begin_bypass_multigraph -->\n" if ($i != ($default_graph_idx-1));
     print FOUT "<DIV ID=\"$toggle_var\" STYLE=\"display:";
     print FOUT "inline" if ($i == ($default_graph_idx-1));
     print FOUT "none" if ($i != ($default_graph_idx-1));
     print FOUT "\">\n";
     print FOUT "<IMG WIDTH=$xmax HEIGHT=$ymax SRC=\"..$dirsepurl..$dirsepurl$dirgraph$dirsepurl$list_graph_file1[$i]$gifext\" ALT=\"graph1\" USEMAP=\"#day1\" BORDER=0>\n";
     print FOUT "</DIV>\n";
     print FOUT "<!-- end_bypass_multigraph -->\n" if ($i != ($default_graph_idx-1));
 }
 print FOUT "</TD>\n";
 print FOUT "<TD VALIGN=BOTTOM>\n";

 print FOUT "<!-- begin_bypass_multigraph -->\n";
 print FOUT "<TABLE BORDER=0 CELLPADDING=1 CELLSPACING=1>\n";
 for ($i=0;$i<=$#list_graph_file1;$i++) {
     print FOUT "<TR><TD ALIGN=LEFT>";
     print FOUT "<A HREF=\"javascript:ToggleGraph('";
     print FOUT "TOGGLE_$list_graph_file1[$i]'";
     for ($j=0;$j<=$#list_graph_file1;$j++) {
	 print FOUT ",'TOGGLE_$list_graph_file1[$j]'" if ($j != $i);
     }
     print FOUT ");\">";
     print FOUT "<IMG SRC=\"..$dirsepurl..$dirsepurl$homeicons$dirsepurl$list_graph_name[$i]$gifext\" WIDTH=20 HEIGHT=20 BORDER=0 ALT=\"$list_graph_name[$i]\"></A>";
     print FOUT "</TD>\n";
     print FOUT "</TR><TR>\n";
     print FOUT "<TD ALIGN=CENTER VALIGN=BOTTOM>";
     print FOUT "<A HREF=\"javascript:ToggleGraph('";
     print FOUT "TOGGLE_$list_graph_file1[$i]'";
     for ($j=0;$j<=$#list_graph_file1;$j++) {
	 print FOUT ",'TOGGLE_$list_graph_file1[$j]'" if ($j != $i);
     }
     print FOUT ");\">$L{$list_graph_name[$i]}</A>\n";
     print FOUT "</TD>";
     print FOUT "</TR>";
 }
 print FOUT "</TABLE>\n";
 print FOUT "<!-- end_bypass_multigraph -->\n";

 print FOUT "</TD>\n";
 print FOUT "</TR><TR><TD></TD>\n";
 print FOUT "<TD><IMG WIDTH=$xmax HEIGHT=$ydecal SRC=\"$linkfile1x\" ALT=\"x\"></TD>\n";
 print FOUT "<TD></TD>\n";
 print FOUT "</TR>\n";
 print FOUT "<TR>\n<TD>\n</TD>\n";
 print FOUT "<TD ALIGN=CENTER>\n";
 
 print FOUT "<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0><TR>\n";
 print FOUT "<TD><IMG WIDTH=$square HEIGHT=$square SRC=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$gcolor[0]\" ALT=\"$gcolor[0]\"></TD>\n";
 print FOUT "<TD ALIGN=LEFT>&nbsp;$L{'Number_of'}&nbsp;";
 print FOUT "$L{'requests'}" if ($mail_format == 0 && $ftp_format == 0);
 print FOUT "$L{'files'}" if ($ftp_format == 1);
 print FOUT "$L{'emails'}" if ($mail_format == 1);
 print FOUT "</TD>\n";
 print FOUT "</TR>\n";
 if ($spam_on == 1) {
     print FOUT "<TR>\n";
     print FOUT "<TD><IMG WIDTH=$square HEIGHT=$square SRC=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$gcolor[1]\" ALT=\"$gcolor[1]\"></TD>\n";
     print FOUT "<TD ALIGN=LEFT>&nbsp;$L{'Number_of'}&nbsp;$L{'spam'}</TD>\n";
     print FOUT "</TR>\n";
 }
# if ($mail_format == 0 && $ftp_format == 0 && $cups_format == 0) {
 if ($mail_format == 0 && $ftp_format == 0 && $dhcp_format == 0) {
     print FOUT "<TR>\n";
     print FOUT "<TD><IMG WIDTH=$square HEIGHT=$square SRC=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$gcolor[1]\" ALT=\"$gcolor[1]\"></TD>\n";
     print FOUT "<TD ALIGN=LEFT>&nbsp;$L{'Number_of'}&nbsp;$L{'accesses'}</TD>\n";
     print FOUT "</TR>\n";
 }
 print FOUT "<TR>\n";
 print FOUT "<TD><IMG WIDTH=$square HEIGHT=$square SRC=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$gcolor[2]\" ALT=\"$gcolor[2]\"></TD>\n";
 print FOUT "<TD ALIGN=LEFT>&nbsp;$L{'Number_of'}&nbsp;$L{'Conn_Mach'}</TD>\n";
 print FOUT "</TR>\n</TABLE>\n";
 
 print FOUT "</TD>\n";
 print FOUT "<TD></TD>\n";
 print FOUT "</TR>\n";        
 print FOUT "</TABLE>\n\n";
 }
 print FOUT "</CENTER>\n";
 print FOUT "<P><HR><P><CENTER>\n";

 print FOUT "<TABLE CLASS=\"tablesort table-autosort table-autostripe table-stripeclass:alternate\">\n";
 print FOUT "<thead>\n";
 print FOUT "<TR>\n";
 print FOUT "<TH class=\"table-sortable:date\">$L{'Date'}</TH>\n";
 print FOUT "<TH class=\"table-sortable:numeric\">$L{'Requests'}</TH>\n";
 if ($spam_on == 1) {
     print FOUT "<TH class=\"table-sortable:date\">$L{'Date'}</TH>\n";
     print FOUT "<TH class=\"table-sortable:numeric\">$L{'Spam'}</TH>\n";
 }
# if ($mail_format == 0 && $ftp_format == 0 && $cups_format == 0) {
 if ($ssh_format == 0 && $mail_format == 0 && $ftp_format == 0 && $dhcp_format == 0) {
     print FOUT "<TH class=\"table-sortable:date\">$L{'Date'}</TH>\n";
     print FOUT "<TH class=\"table-sortable:numeric\">$L{'Accesses'}</TH>\n";
 }
 if ($ssh_format == 0 && $mail_format == 0 && $cups_format == 0 && $dhcp_format == 0) {
     print FOUT "<TH class=\"table-sortable:date\">$L{'Date'}</TH>\n";
     print FOUT "<TH class=\"table-sortable:numeric\">$L{'Documents'}</TH>\n";
 }
 if ($notrafic == 0) {
     print FOUT "<TH class=\"table-sortable:date\">$L{'Date'}</TH>\n";
     print FOUT "<TH class=\"table-sortable:numeric\">$L{'Traffic'}&nbsp;($L{$unit})";

#     if ($trisize[0] > (1024*1024*1024)) {
#	 print FOUT "&nbsp;($L{'Gb'})";
 #    } elsif ($trisize[0] > (1024*1024)) {
#	 print FOUT "&nbsp;($L{'Mb'})";
 #    } elsif ($trisize[0] > 1024) {
#	 print FOUT "&nbsp;($L{'Kb'})";
 #    }
     print FOUT "</TH>\n";
 }
 print FOUT "<TH class=\"table-sortable:date\">$L{'Date'}</TH>\n";
 print FOUT "<TH class=\"table-sortable:numeric\">$L{'Hosts'}</TH>\n";
 print FOUT "</TR>\n";
 print FOUT "</thead>\n";
 print FOUT "<tbody>\n";
 $tmp = 0;
 for ($i=0;$i<$topten;$i++) {
     if ($trireq[$i] ne '' && $trireq[$i] != 0) {
	 print FOUT "<TR>\n";
	 @tmp = split(/\s+/,$trireqdate[$i]);
	 $linkjour = "..".$dirsepurl.$dirdate.$dirsepurl.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsepurl.$menu;
	 $fulljour = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsep.$menu;
	 $tmp = $trireqdate[$i];
	 $wday = $day_of_week[(localtime(&nbday("$tmp")*86400))[6]];
	 $tmp =~ s/\s/&nbsp;/g;

	 print FOUT "<TD><I>";
	 print FOUT "<A HREF=\"$linkjour\" TITLE=\"$wday $tmp\">" if (-f $fulljour);
	 print FOUT "$wday $tmp";
	 print FOUT "</A>" if (-f $fulljour);
	 print FOUT "</I></TD>\n";
	 $tmp = int(50*$trireq[$i]/$trireq[0]) if ($trireq[0] != 0);
	 $tmp = 1 if ($trireq[$i] == 0);
	 print FOUT "<TD CLASS=\"left\">";
	 print FOUT "<IMG WIDTH=$tmp SRC=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$gcolor[0]\" HEIGHT=$square ALT=\"$gcolor[0]\">&nbsp;";
	 print FOUT "$trireq[$i]</TD>\n";

	 if ($spam_on == 1) {
	     @tmp = split(/\s+/,$trispamdate[$i]);
	     $linkjour = "..".$dirsepurl.$dirdate.$dirsepurl.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsepurl.$menu;
	     $fulljour = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsep.$menu;
	     $tmp = $trispamdate[$i];
	     $wday = $day_of_week[(localtime(&nbday("$tmp")*86400))[6]];
	     $tmp =~ s/\s/&nbsp;/g;
	     print FOUT "<TD><I>";
	     print FOUT "<A HREF=\"$linkjour\" TITLE=\"$wday $tmp\">" if (-f $fulljour);
	     print FOUT "$wday $tmp";
	     print FOUT "</A>" if (-f $fulljour);
	     print FOUT "</I></TD>\n";
	     $tmp = int(50*$trispam[$i]/$triacc[0]) if ($trispam[0] != 0);
	     $tmp = 1 if ($trispam[$i] == 0);
	     print FOUT "<TD CLASS=\"left\"><IMG WIDTH=$tmp SRC=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$gcolor[1]\" HEIGHT=$square ALT=\"$gcolor[1]\">&nbsp;$trispam[$i]</TD>\n";
	 }

#	 if ($mail_format == 0 && $ftp_format == 0 && $cups_format == 0) {
	 if ($ssh_format == 0 && $mail_format == 0 && $ftp_format == 0 && $dhcp_format == 0) {
	     @tmp = split(/\s+/,$triaccdate[$i]);
	     $linkjour = "..".$dirsepurl.$dirdate.$dirsepurl.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsepurl.$menu;
	     $fulljour = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsep.$menu;
	     $tmp = $triaccdate[$i];
	     $wday = $day_of_week[(localtime(&nbday("$tmp")*86400))[6]];
	     $tmp =~ s/\s/&nbsp;/g;
	     print FOUT "<TD><I>";
	     print FOUT "<A HREF=\"$linkjour\" TITLE=\"$wday $tmp\">" if (-f $fulljour);
	     print FOUT "$wday $tmp";
	     print FOUT "</A>" if (-f $fulljour);
	     print FOUT "</I></TD>\n";
	     $tmp = int(50*$triacc[$i]/$triacc[0]) if ($triacc[0] != 0);
	     $tmp = 1 if ($triacc[$i] == 0);
	     print FOUT "<TD CLASS=\"left\"><IMG WIDTH=$tmp SRC=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$gcolor[1]\" HEIGHT=$square ALT=\"$gcolor[1]\">&nbsp;$triacc[$i]</TD>\n";
	 }

	 if ($ssh_format == 0 && $mail_format == 0 && $cups_format == 0 && $dhcp_format == 0) {
	     @tmp = split(/\s+/,$trifiledate[$i]);
	     $linkjour = "..".$dirsepurl.$dirdate.$dirsepurl.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsepurl.$menu;
	     $fulljour = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsep.$menu;
	     $tmp = $trifiledate[$i];
	     $wday = $day_of_week[(localtime(&nbday("$tmp")*86400))[6]];
	     $tmp =~ s/\s/&nbsp;/g;
	     print FOUT "<TD><I>";
	     print FOUT "<A HREF=\"$linkjour\" TITLE=\"$wday $tmp\">" if (-f $fulljour);
	     print FOUT "$wday $tmp";
	     print FOUT "</A>" if (-f $fulljour);
	     print FOUT "</I></TD>\n";
	     $tmp = int(50*$trifile[$i]/$trifile[0]) if ($trifile[0] != 0);
	     $tmp = 1 if ($trifile[$i] == 0);
	     print FOUT "<TD CLASS=\"left\"><IMG WIDTH=$tmp SRC=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$gcolor[6]\" HEIGHT=$square ALT=\"$gcolor[1]\">&nbsp;$trifile[$i]</TD>\n";
	 }

	 if ($notrafic == 0) {
	     @tmp = split(/\s+/,$trisizedate[$i]);
	     $linkjour = "..".$dirsepurl.$dirdate.$dirsepurl.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsepurl.$menu;
	     $fulljour = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsep.$menu;
	     $tmp = $trisizedate[$i];
	     $wday = $day_of_week[(localtime(&nbday("$tmp")*86400))[6]];
	     $tmp =~ s/\s/&nbsp;/g;
	     print FOUT "<TD><I>";
	     print FOUT "<A HREF=\"$linkjour\" TITLE=\"$wday $tmp\">" if (-f $fulljour);
	     print FOUT "$wday&nbsp;$tmp";
	     print FOUT "</A>" if (-f $fulljour);
	     print FOUT "</I></TD>\n";
	     $tmp2 = $trisize[$i];
	     $tmp2 = $tmp2/(1024*1024*1024) if ($trisize[0] > (1024*1024*1024));
	     $tmp2 = $tmp2/(1024*1024) if ($trisize[0] > (1024*1024) && $trisize[0] <= (1024*1024*1024));
	     $tmp2 = $tmp2/1024 if ($trisize[0] > 1024 && $trisize[0] <= (1024*1024));
	     $tmp = int(50*$trisize[$i]/$trisize[0]) if ($trisize[0] != 0);
	     $tmp = 1 if ($trisize[$i] == 0);
	     $tmp2 = int($tmp2*10)/10;
	     print FOUT "<TD CLASS=\"left\"><IMG WIDTH=$tmp SRC=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$gcolor[3]\" HEIGHT=$square ALT=\"$gcolor[3]\">&nbsp;$tmp2</TD>\n";
	 }
#	 print FOUT "<TD ALIGN=CENTER>&nbsp;</TD>\n";
	 @tmp = split(/\s+/,$trihostdate[$i]);
	 $linkjour = "..".$dirsepurl.$dirdate.$dirsepurl.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsepurl.$menu;
	 $fulljour = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsep.$menu;
	 $tmp = $trihostdate[$i];
	 $wday = $day_of_week[(localtime(&nbday("$tmp")*86400))[6]];
	 $tmp =~ s/\s/&nbsp;/g;
	 print FOUT "<TD><I>";
	 print FOUT "<A HREF=\"$linkjour\" TITLE=\"$wday $tmp\">" if (-f $fulljour);
	 print FOUT "$wday $tmp";
	 print FOUT "</A>" if (-f $fulljour);
	 print FOUT "</I></TD>\n";
	 $tmp = int(50*$trihost[$i]/$trihost[0]) if ($trihost[0] != 0);
	 $tmp = 1 if ($trihost[$i] == 0);
	 print FOUT "<TD CLASS=\"left\"><IMG WIDTH=$tmp SRC=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$gcolor[4]\" HEIGHT=$square ALT=\"$gcolor[4]\">&nbsp;$trihost[$i]</TD>\n";
#	 print FOUT "<TD ALIGN=CENTER>&nbsp;</TD>\n";
	 print FOUT "</TR>\n";
     }
 }

 print FOUT "</tbody>\n";
 print FOUT "</TABLE></CENTER><P>\n";

if (($precision > 2) && (($#selecrepert) != -1) && $notrafic == 0) {

print FOUT "<A NAME=\"graph2\"></A>";
print FOUT "<HR><P><CENTER>\n";

if ($fly_set == 0) {

    $info = "info".$chart_id;
    $ylegend = "$L{'Traffic'} ($L{$unit})";
    undef @ref_tab;
    push(@ref_tab,\@maxdir);
    push(@ref_tab,\@sizetot2);
    
    @graph_to_display = @selecrepert;
    push(@graph_to_display,$dirsep);

    @serie_color = ('#ff5555', '#55ff55', '#5555ff', '#55ffff', '#ff55ff', '#ffff55','#aa0000', '#00aa00', '#0000aa', '#4ad5ac', '#c5d529','#9cb400','#EE9400','#bd8383');
    $serie_color[($#selecrepert+1)] = "#606060";

    &MakeDailyGraphJqplot(*FOUT, eval($Lang{$lang[$nblang]}),$I,1,\@graph_to_display,\@ref_tab,\@listdate,\@serie_color,$unit_div,$unit,$chart_id,1,"traffic",$info,0,$xlegend,$ylegend,$xmax_jqplot,$menu);

    &AddJqplotHtml(*FOUT, eval($Lang{$lang[$nblang]}),$I,$chart_id,$info,$xmax_jqplot,$ymax_jqplot,2);
}

if ($fly_set == 1) {
print FOUT "<TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0>\n";
print FOUT "<TR>\n";
print FOUT "<TD><IMG WIDTH=$xdecal HEIGHT=$ymax SRC=\"$linkfile2y\" ALT=\"y\"></TD>\n";
 print FOUT "<TD>\n";
 for ($i=0;$i<=$#list_graph_file2;$i++) {
     print FOUT "<!-- begin_bypass_multigraph -->\n" if ($i != 0);
     $toggle_var = "TOGGLE_".$list_graph_file2[$i];
     print FOUT "<DIV ID=\"$toggle_var\" STYLE=\"display:";
     print FOUT "inline" if ($i == 0);
     print FOUT "none" if ($i != 0);
     print FOUT "\">\n";
     print FOUT "<IMG WIDTH=$xmax HEIGHT=$ymax SRC=\"..$dirsepurl..$dirsepurl$dirgraph$dirsepurl$list_graph_file2[$i]$gifext\" ALT=\"graph1\" USEMAP=\"#day2\" BORDER=0>\n";
     print FOUT "</DIV>\n";
     print FOUT "<!-- end_bypass_multigraph -->\n" if ($i != 0);
 }
 print FOUT "</TD>\n";
 print FOUT "<TD VALIGN=BOTTOM>\n";

 print FOUT "<!-- begin_bypass_multigraph -->\n";
 print FOUT "<TABLE BORDER=0 CELLPADDING=1 CELLSPACING=1>\n";
 for ($i=0;$i<=$#list_graph_file2;$i++) {
     print FOUT "<TR><TD ALIGN=LEFT>";
     print FOUT "<A HREF=\"javascript:ToggleGraph('";
     print FOUT "TOGGLE_$list_graph_file2[$i]'";
     for ($j=0;$j<=$#list_graph_file2;$j++) {
	 print FOUT ",'TOGGLE_$list_graph_file2[$j]'" if ($j != $i);
     }
     print FOUT ");\">\n";
     print FOUT "<IMG SRC=\"..$dirsepurl..$dirsepurl$homeicons$dirsepurl$list_graph_name[$i]$gifext\" WIDTH=20 HEIGHT=20 BORDER=0 ALT=\"$list_graph_name[$i]\"></A>";
     print FOUT "</TD>\n";
     print FOUT "</TR><TR>\n";
     print FOUT "<TD ALIGN=CENTER VALIGN=BOTTOM>";
     print FOUT "<A HREF=\"javascript:ToggleGraph('";
     print FOUT "TOGGLE_$list_graph_file2[$i]'";
     for ($j=0;$j<=$#list_graph_file2;$j++) {
	 print FOUT ",'TOGGLE_$list_graph_file2[$j]'" if ($j != $i);
     }
     print FOUT ");\">$L{$list_graph_name[$i]}</A>\n";
     print FOUT "</TD>";
     print FOUT "</TR>";
 }
 print FOUT "</TABLE>\n";
 print FOUT "<!-- end_bypass_multigraph -->\n";

 print FOUT "</TD>\n";
 print FOUT "</TR><TR><TD></TD>\n";
 print FOUT "<TD><IMG WIDTH=$xmax HEIGHT=$ydecal SRC=\"$linkfile2x\" ALT=\"x\"></TD>\n";
 print FOUT "<TD></TD>\n";
print FOUT "</TR>\n";
print FOUT "<TR><TD></TD>\n";
print FOUT "<TD ALIGN=CENTER>\n";

print FOUT "<I>\n";
print FOUT "$L{'optdirsize1'}\n" if ($optdirsize == 1);
print FOUT "$L{'optdirsize2'}\n" if ($optdirsize == 2);
print FOUT "$L{'optdirsize3'}\n" if ($optdirsize == 3);
print FOUT "$L{'optdirsize4'}\n" if ($optdirsize == 4);
print FOUT "$L{'optdirsize5'}\n" if ($optdirsize == 5);
print FOUT "$L{'optdirsize6'}\n" if ($optdirsize == 6);
print FOUT "</I><P>\n";
print FOUT "</TD>";
print FOUT "<TD></TD>\n";
print FOUT "</TR>\n";        
print FOUT "</TABLE>\n";


}

print FOUT "<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0><TR>\n";

@tmprepert = @selecrepert;

print FOUT "<TD><IMG WIDTH=$square HEIGHT=$square SRC=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$others\" ALT=\"$others\"></TD>\n";
print FOUT "<TD ALIGN=LEFT>&nbsp; $L{'total_data_sent_for'} <B>$tri</B></TD>\n";
print FOUT "</TR>\n";

if ($#selecrepert > 0) {
    for ($i=$#selecrepert;$i>=0;$i--) {
        $cureper = pop(@tmprepert);
        $j = $i % ($#gcolor);
        $couleur = $gcolor[$j];
	if ($cureper ne $dirsepurl) {
	    print FOUT "<TR><TD><IMG WIDTH=$square HEIGHT=$square SRC=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$couleur\" ALT=\"$couleur\"></TD>\n";
	    print FOUT "<TD ALIGN=LEFT>&nbsp; $L{'data_sent_for_dir'} <B>$cureper</B></TD>\n";
	    print FOUT "</TR>\n";
	}
    }

}

print FOUT "</TABLE>\n";


print FOUT "</CENTER>";


if ($#selecrepert > 0) {
    # Display Peak
    print FOUT "<P><HR><P><CENTER>\n";
    print FOUT "<TABLE CLASS=\"tablesort table-autosort table-autostripe table-stripeclass:alternate\">\n";
    print FOUT "<thead>\n";
    print FOUT "<TR>\n";
#    print FOUT "<TH class=\"table-sortable:date\">$L{'Date'}</TH>\n";
#    print FOUT "<TH class=\"table-sortable:numeric\">$L{'Requests'}</TH>\n";
#    print FOUT "<TABLE CLASS=\"sortable_base\" ID=\"day-sizerepert\"><TR>\n";
    for ($i=0;$i<=$#selecrepert;$i++) {
	$tmp3 = "tridir"."_".$i;
	if ($$tmp3[0] != 0) {
	    print FOUT "<TH class=\"table-sortable:date\">$L{'Date'}</TH>\n<TH class=\"table-sortable:numeric\">$selecrepert[$i]";

	    if ($$tmp3[0] > (1024*1024*1024)) {
		print FOUT "&nbsp;($L{'Gb'})";
	    } elsif ($$tmp3[0] > (1024*1024)) {
		print FOUT "&nbsp;($L{'Mb'})";
	    } elsif ($$tmp3[0] > 1024) {
		print FOUT "&nbsp;($L{'Kb'})";
	    }
	    print FOUT "&nbsp;</TH>\n";
	}
    }
    print FOUT "</TR>\n";
    print FOUT "<tbody>\n";

    for ($j=0;$j<$topten;$j++) {
	$tmp3 = "tridir"."_0";
	if ($$tmp3[$j] ne '') {
	    print FOUT "<TR>\n";
	    for ($i=0;$i<=$#selecrepert;$i++) {
		$tmp3 = "tridir"."_".$i;
		if ($$tmp3[0] != 0) {
		    $tmp4 = "tridirdate"."_".$i;
		    $k = $i % ($#gcolor);
		    $couleur = $gcolor[$k];
		    @tmp = split(/\s+/,$$tmp4[$j]);
		    $linkjour = "..".$dirsepurl.$dirdate.$dirsepurl.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsepurl.$menu;
		    $fulljour = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$tmp[2]."-".$tmp[1]."-".$tmp[0].$dirsep.$menu;
		    $wday = $day_of_week[(localtime(&nbday("$$tmp4[$j]")*86400))[6]];
		    print FOUT "<TD><I>";
		    print FOUT "<A HREF=\"$linkjour\" TITLE=\"$wday $$tmp4[$j]\">" if (-f $fulljour);
		    $tmp5 = $$tmp4[$j];
		    $tmp5 =~ s/\s+/&nbsp;/g;
		    print FOUT "$wday&nbsp;$tmp5";
#		print FOUT "$$tmp4[$j]";
		    print FOUT "</A>" if (-f $fulljour);
		    print FOUT "</I></TD>\n";
		    $tmp = int(50*$$tmp3[$j]/$$tmp3[0]) if ($$tmp3[0] != 0);
		    $tmp = 1 if ($tmp == 0);
		    $tmp2 = $$tmp3[$j];
		    $tmp2 = $$tmp3[$j]/(1024*1024*1024) if ($$tmp3[0] > (1024*1024*1024));
		    $tmp2 = $$tmp3[$j]/(1024*1024) if ($$tmp3[0] > (1024*1024) && $$tmp3[0] <= (1024*1024*1024));
		    $tmp2 = $$tmp3[$j]/1024 if ($$tmp3[0] > 1024 && $$tmp3[0] <= (1024*1024));
		    $tmp2 = int($tmp2*10)/10 if ($$tmp3[0] > (1024*1024));
		    $tmp2 = int($tmp2) if ($$tmp3[0] <= (1024*1024));
		    print FOUT "<TD CLASS=\"left\"><IMG WIDTH=$tmp SRC=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$couleur\" HEIGHT=$square ALT=\"$couleur\">&nbsp;$tmp2</TD>\n";
		}
	    }
	    print FOUT "</TR>\n";
	}
    }
    print FOUT "</tbody>\n";
    print FOUT "</TABLE></CENTER>\n";
}

#print FOUT "</TD></TR>\n";        
#print FOUT "</TABLE></CENTER>\n";
#}

}
print FOUT "<HR><P>\n";

print FOUT "</BODY></HTML>\n";
}


###########################################################################
####              computing directories data traffic                  #####
###########################################################################

# Need for new format output including totsize
sub TabDaySize {
 local(*FOUT, *L, $langcount) = @_;

 print FOUT "$doctype\n";
 print FOUT "<HTML><HEAD>\n";
 print FOUT "$charset\n";
 print FOUT "<TITLE>$L{'Tab_about_lastdays1'} $count_day $L{'Tab_about_lastdays2'}</TITLE>\n";
 print FOUT "<!-- Page generated by w3perl - $scriptname $version - $today $hourdate -->\n";	 
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$sorttablejs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$helpjs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$searchjs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$cornersjs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$style_switcherjs\"></script>\n";
 print FOUT "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"..$dirsepurl..$dirsepurl$linkpathinit$dirress$dirsepurl$dirjs$dirsepurl$css_menu_iefixjs\"></script>\n";
 print FOUT "$curvy_bottom_jss\n";

 &add_css_style(*FOUT,2);

 print FOUT "</HEAD>\n";
 print FOUT "<BODY $backgrd TEXT=\"$custom_text\" LINK=\"$custom_link\" VLINK=\"$custom_vlink\">\n";
 &add_css_menu(*FOUT,*L,$lang[$nblang],$nblang,2);
 print FOUT "<H2> $L{'Tab_about_lastdays1'} $count_day $L{'Tab_about_lastdays2'}</H2><P>\n";
 print FOUT "<P><HR><P>\n";
 print FOUT "<A HREF=\"..$dirsepurl..$dirsepurl$dircsv$dirsepurl$filerepertsize$csvext\" TITLE=\"Export in CSV\"><IMG WIDTH=\"20\" HEIGHT=\"20\" SRC=\"..$dirsepurl..$dirsepurl$homeicons$dirsepurl$icon_csv\" BORDER=0 ALT=\"CSV\"></A>" if (-f "$path$dircsv$dirsep$filerepertsize$csvext");

 print FOUT "\n<TABLE CLASS=\"tablesort table-autosort table-autostripe table-stripeclass:alternate\">\n";
 print FOUT "<thead>\n";
 print FOUT "<TR>\n";

 print FOUT "<TH class=\"table-sortable:default\">$L{'Weekday'}</TH>\n";
 print FOUT "<TH class=\"table-sortable:date\">$L{'Date'}</TH>\n";

 @tmprepert = @selecrepert;

 open(OUT, ">$path$dircsv$dirsep$filerepertsize$csvext") if ($langcount == 0);

 $tmp = '';
 for ($i=0;$i<=$#selecrepert;$i++) {
     $cureper = shift(@tmprepert);
     print FOUT "<TH class=\"table-sortable:numeric\">$cureper&nbsp;<I>($L{$unit})</I></TH>\n";
     $tmp .= "\"$cureper ($L{'Kb'})\";";
 }
 print FOUT "</TR>\n";
 print FOUT "</thead>\n";
 print FOUT "<tbody>\n";
 chop($tmp);
 print OUT "#\"$L{'Date'}\";$tmp\n";

 open(IN, "$path$dirdata$dirsep$filerepertsize") || &error_exit("Error, unable to open $path$dirdata$dirsep$filerepertsize".1);

 $line = 0;
 $inc = 0;
 $count = 0;
 $count_day = 1;
 $count_week = 1;
 $day = '';

 while (<IN>) {
     chop;
     next if ($_ eq '');
     $line++;
     next if ($line < 3);
     $count++;
        
     $oldjour = $jour;
     $oldmonth = $month;
     $oldday = $day;

     ($jour,$month,$year,@reste) = split('\s+');

     $day = $jour." ".$month." ".$year;

     if ($nbdays != 0) {
	 $jour_of_year = &nbday($day);
	 $jour_ecoule = $jour_of_year_end - $jour_of_year;     
     }

#     next unless ($jour_ecoule <= $nbdays || $nbdays == 0);

     $inc++;

     ### test sur le jour suivant
    
#     $intervalle = $jour - $oldjour;

     $intervalle = &nbday($day) - &nbday($oldday) if ($oldday ne '');
#     print "TOTO $day - $oldday - $intervalle\n";
     if ($intervalle != 1 && $line > 3) {
#        if ($oldmonth ne $month) {
#	    $intervalle = $month_of_year{$oldmonth} - $oldjour; # suppose le mois suivant
#	    $intervalle += $jour;
#	}
#	$affmonth = $oldmonth;
	for ($i=$count;$i<($intervalle+$count-1);$i++) {

#	    print "A $day\n";
#	    $oldjour++;
#	    if ($oldjour > $month_of_year{$oldmonth}) {
#		$oldjour = 1;
#		$affmonth = $month;
#	    } 
          
#	    $oldjour = "0".$oldjour if (length($oldjour) == 1 && $struct_compressed_logfile !~ /\%smallday/);
#	    $day = $oldjour." ".$affmonth." ".$year;
#	    print "$day - $i - $count - $intervalle / $oldjour\n";
	    $day = &date_intervalle($day,1);

	  $wday = $day_of_week[(localtime(&nbday("$day")*86400))[6]];
	     @tmp = split(/ /,$day);
             $dayaff = $tmp[3]."-".$tmp[2]."-".$tmp[1];

#	    print "Aff $wday $day\n";
#	  print FOUT "<TR class=\"$parity\" onmouseover=\"setPointer(this, $count, 'over', '$bgcolor', '$bgcolor_tab3', '$bgcolor_tab4','$tmp');\" onmouseout=\"setPointer(this, $count, 'out', '$bgcolor', '$bgcolor_tab3', '$bgcolor_tab4','$tmp');\" onmousedown=\"setPointer(this, $count, 'click', '$bgcolor', '$bgcolor_tab3', '$bgcolor_tab4','$tmp')\"><A NAME=\"$count_day\">\n";
#	  print FOUT "<TD ALIGN=CENTER bgcolor=\"$bgcolor\">";
	  $tmp = "\"$day\";";
	  $classname = "right";
	  $classname = "weekend_right" if ($wday eq "Sat" || $wday eq "Sun");
	  print FOUT "<TR>\n";
	  print FOUT "<TD CLASS=\"$classname\">$wday</TD>";
	  print FOUT "<TD CLASS=\"$classname\">";
#	  print FOUT "<A NAME=\"$count_day\"></A>";
	  print FOUT "$dayaff";
	  print FOUT "</TD>\n";
           for ($j=0;$j<=$#selecrepert;$j++) {
#	       print FOUT "<TD ALIGN=CENTER bgcolor=\"$bgcolor\">0</TD>\n";
	       print FOUT "<TD CLASS=\"$classname\">0</TD>\n";
	       $tmp .= "\"0\";";
          }
          print FOUT "</TR>\n";
	  chop($tmp);
	  print OUT "$tmp\n" if ($langcount == 0);
          $inc++;
            }
     $count+=$intervalle-1;
     $count_day += $intervalle-1;
     $line = $count;
     }

     $m_total += $m_tot;
     $req_total += $req_tot;
        
     # 1 mod 6 = html tot dir1#
     # 2 mod 6 = html ext dir1#
     # 3 mod 6 = html dom dir1#
     # 4 mod 6 = sizetot  dir1#
     # 5 mod 6 = sizetot ext dir1#
     # 6 mod 6 = sizetot dom dir1#
     # 7 mod 6 = html tot dir2#
     # ...... #

     $day = $jour." ".$month." ".$year;
     $dayaff = $year."-".$month."-".$jour;
     $wday = $day_of_week[(localtime(&nbday("$day")*86400))[6]];
     $linkjour = "..".$dirsepurl.$dirdate.$dirsepurl.$year."-".$month."-".$jour.$dirsepurl.$menu;
     $fulljour = $path.$lang[$nblang].$dirsep.$dirdate.$dirsep.$year."-".$month."-".$jour.$dirsep.$menu;

#     print FOUT "<TR class=\"$parity\" onmouseover=\"setPointer(this, $count, 'over', '$bgcolor', '$bgcolor_tab3', '$bgcolor_tab4','$tmp');\" onmouseout=\"setPointer(this, $count, 'out', '$bgcolor', '$bgcolor_tab3', '$bgcolor_tab4','$tmp');\" onmousedown=\"setPointer(this, $count, 'click', '$bgcolor', '$bgcolor_tab3', '$bgcolor_tab4','$tmp')\"><A NAME=\"$count_day\">\n";
     print FOUT "<TR>\n";
#     print FOUT "<TD ALIGN=CENTER bgcolor=\"$bgcolor\">";
     $classname = "right";
     $classname = "weekend_right" if ($wday eq "Sat" || $wday eq "Sun");
     print FOUT "<TD CLASS=\"$classname\">$wday</TD>";
     print FOUT "<TD CLASS=\"$classname\">";
#     print FOUT "<A NAME=\"$count_day\"></A>";
     print FOUT "<A HREF=\"$linkjour\" TITLE=\"$wday $day\">" if (-f $fulljour);
     print FOUT "$dayaff";
     print FOUT "</A>" if (-f $fulljour);
     print FOUT "</TD>\n";

     $tmp = "\"$day\";";
     for ($i=0;$i<=$#selecrepert;$i++) {
	 $indice = $count_day-1;
         $maxdir[$indice][$i] = $reste[$i*6+$optdirsize-1];
# Need for new format output including totsize
         $max[$indice] += $maxdir[$indice][$i] if ($langcount == 0); 

#         $kovalue = $reste[$i*6+$optdirsize-1]/1024;
         $kovalue = $reste[$i*6+$optdirsize-1]/$unit_div;

	 push(@listdiropt,$reste[$i*6+$optdirsize-1]);
#         print FOUT "<TD ALIGN=CENTER bgcolor=\"$bgcolor\">";
         print FOUT "<TD CLASS=\"$classname\">";
         printf FOUT "%.1f",$kovalue;
         print FOUT "</TD>\n";
	 $tmp .= "\"$kovalue\";";
         }
     chop($tmp);
     print OUT "$tmp\n" if ($langcount == 0);

# Need for new format output including totsize
#     $maxtot = $max[$count_day] if ($max[$count_day] > $maxtot); 
#     $maxtot = $max[$count_day] if ($max[$count_day] > $maxtot && ($jour_ecoule <= $nbdays || $nbdays == 0));
     print FOUT "</TR>\n";

     $count_day++ if ($jour_ecoule <= $nbdays || $nbdays == 0);
#     $count_day++;     
 }

 close(IN);
 close(OUT) if ($langcount == 0);

 $count_day--;

# fermeture de la page HTML du tableau sur les jours
 print FOUT "</tbody>\n";
 print FOUT "</TABLE>\n";
# print FOUT "<P><HR><P>\n";    
 print FOUT "</BODY></HTML>\n";
}

###########################################################################
####              directories data traffic graph                      #####
###########################################################################

#################################################################
# Fly

#if (-x $FLY) {

 if ($fly_set == 1) {
if ($notrafic == 0) {

for ($i=0;$i<=$#list_graph_option;$i++) {
    ($bargraph,$linegraph,$tridim,$fillgraph) = split(//,$list_graph_option[$i]);
    $filegraph = $path.$dirgraph.$dirsep.$list_graph_file2[$i].$gifext;
    &GenerateDailyGraph2($filegraph,$vtmp,$bargraph,$linegraph,$tridim,$fillgraph);
}

sub GenerateDailyGraph2 {
    local($file2,$vtmp,$bargraph,$linegraph,$tridim,$fillgraph) = @_;
    local($i);

$it = length($count_day)-1;
$div = 10**$it;
$factx = ($div*(int($count_day/$div)+1))/$grad;
 
$it = length($maxtot)-1;
$div = 10**$it;
$facty = ($div*(int($maxtot/$div)+1))/$grad;
 
 open(FLY,">$tmpfly$vtmp");
 print FLY "new\n";
 print FLY "size $xmax,$ymax\n";
 print FLY "frect 0,0,$xmax,$ymax,200,200,200\n";

###

 for ($i=0;$i<=$count_day;$i++) {
 $x1 = $i*$xstep/$factx;
 $x2 = ($i+1)*$xstep/$factx;
 
 $y2 = $ymax - ($ystep/$facty * $maxdir[$i][0]);
 $y1 = $ymax;

 $yfinal = $ymax - ($ystep/$facty * $sizetot[$i]);
 
 if ($bargraph == 1) {
  print FLY "frect $x1,$y2,$x2,$y1,$red[0],$green[0],$blue[0]\n";
  print FLY "rect $x1,$y2,$x2,$y1,0,0,0\n";
   if ($tridim == 1 && $y2 != $ymax && ($y1-$y2) > 2) {

        $x1plus = $x1+$perspec;
        $x2plus = $x2+$perspec;
        $y2plus = $y2-$perspec;
        $y1plus = $ymax-$perspec;

        print FLY "fpoly $red[0],$green[0],$blue[0],$x2,$ymax,$x2,$y2,$x2plus,$y2plus,$x2plus,$y1plus\n";
        print FLY "poly 0,0,0,$x2,$ymax,$x2,$y2,$x2plus,$y2plus,$x2plus,$y1plus\n";

#        if ($yfinal == $y1) {

#        print FLY "fpoly $red[0],$green[0],$blue[0],$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";
#        print FLY "poly 0,0,0,$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";
#        last;
#        }
        
   }
 }

 if ($linegraph == 1) {
   $y1 = $ymax - ($ystep/$facty * $maxdir[$i+1][0]);
   print FLY "line $x1,$y2,$x2,$y1,$red[0],$green[0],$blue[0]\n";

   if ($fillgraph == 1) {
       $fx1 = ($x1+$x2)/2;
       $fx1 = $x2 if ($fx1 < ($x1+1.5));
       if ($fx1 < $x2 && ($y2 < $fymax || $y1 < $fymax)) {
	   print FLY "line $x1,$ymax,$x1,$y2,$red[0],$green[0],$blue[0]\n";
	   print FLY "line $x2,$ymax,$x2,$y1,$red[0],$green[0],$blue[0]\n";

	   print FLY "line $x1,$ymax,$x2,$ymax,$red[0],$green[0],$blue[0]\n";
	   print FLY "fill $fx1,$fymax,$red[0],$green[0],$blue[0]\n";
       }
   }
 }


###

 for ($j=1;$j<=$#selecrepert;$j++) {

 $y1 = $y2;
# $y2ppp = $y2 - ($ystep/$facty * $maxdir{$i-1,$j});
 $y2 = $y2 - ($ystep/$facty * $maxdir[$i][$j]);

 $ji = $j % ($#gcolor);

 if ($bargraph == 1) {
   print FLY "frect $x1,$y2,$x2,$y1,$red[$ji],$green[$ji],$blue[$ji]\n";
   print FLY "rect $x1,$y2,$x2,$y1,0,0,0\n";
#   print FLY "rect $x1,$y2,$x1,$y2ppp,0,0,0\n";
   if ($tridim == 1 && ($y1-$y2) > 2) {

        $x1plus = $x1+$perspec;
        $x2plus = $x2+$perspec;
        $y2plus = $y2-$perspec;
        $y1plus = $y1-$perspec;
        
        print FLY "fpoly $red[$ji],$green[$ji],$blue[$ji],$x2,$y1,$x2,$y2,$x2plus,$y2plus,$x2plus,$y1plus\n";
        print FLY "poly 0,0,0,$x2,$y1,$x2,$y2,$x2plus,$y2plus,$x2plus,$y1plus\n";

        if ($yfinal == $y1) {
        print FLY "fpoly $red[$ji],$green[$ji],$blue[$ji],$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";
        print FLY "poly 0,0,0,$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";
        last;
        }

   }

 }

 if ($linegraph == 1) {
    $y2 = $ymax - ($ystep/$facty * $maxdir[$i][$j]);
    $y1 = $ymax - ($ystep/$facty * $maxdir[$i+1][$j]);
    print FLY "line $x1,$y2,$x2,$y1,$red[$ji],$green[$ji],$blue[$ji]\n";

    if ($fillgraph == 1) {
	$fx1 = ($x1+$x2)/2;
	$fx1 = $x2 if ($fx1 < ($x1+1.5));
	if ($fx1 < $x2 && ($y2 < $fymax || $y1 < $fymax)) {
	    print FLY "line $x1,$ymax,$x1,$y2,$red[$ji],$green[$ji],$blue[$ji]\n";
	    print FLY "line $x2,$ymax,$x2,$y1,$red[$ji],$green[$ji],$blue[$ji]\n";

	    print FLY "line $x1,$ymax,$x2,$ymax,$red[$ji],$green[$ji],$blue[$ji]\n";
	    print FLY "fill $fx1,$fymax,$red[$ji],$green[$ji],$blue[$ji]\n";
       }
     }
 }
 
}

###

if ($y2 != $yfinal) {

 $y1 = $y2;
 $y2 = $yfinal;
#$y2 = $y2 - ($ystep/$facty * $maxdir{$i,0});
# $y1 = $ymax - ($ystep/$facty * $sizetot{$i+1});
 
 if ($bargraph == 1) {
   print FLY "frect $x1,$y2,$x2,$y1,$red[100],$green[100],$blue[100]\n";
   print FLY "line $x1,$y2,$x1,$y1,0,0,0\n";
   if ($tridim == 1 && $y1 != $yfinal) {

        $x1plus = $x1+$perspec;
        $x2plus = $x2+$perspec;
        $y2plus = $y2-$perspec;
        $y1plus = $y1-$perspec;

	if ($y1 < $y2) {
        print FLY "fpoly $red[100],$green[100],$blue[100],$x1,$y1,$x1plus,$y1plus,$x2plus,$y1plus,$x2,$y1\n";
        print FLY "poly 0,0,0,$x1,$y1,$x1plus,$y1plus,$x2plus,$y1plus,$x2,$y1\n";
    } else {
        print FLY "fpoly $red[100],$green[100],$blue[100],$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";
        print FLY "poly 0,0,0,$x1,$y2,$x1plus,$y2plus,$x2plus,$y2plus,$x2,$y2\n";
    }

        print FLY "fpoly $red[100],$green[100],$blue[100],$x2,$y1,$x2,$y2,$x2plus,$y2plus,$x2plus,$y1plus\n";
        print FLY "poly 0,0,0,$x2,$y1,$x2,$y2,$x2plus,$y2plus,$x2plus,$y1plus\n";

   }
 }

 if ($linegraph == 1) {
#    $y2 = $ymax - ($ystep/$facty * $maxdir{$i,$j});
#    $y1 = $ymax - ($ystep/$facty * $maxdir{$i+1,0});
    $y1 = $ymax - ($ystep/$facty * $sizetot[$i+1]);
    print FLY "line $x1,$y2,$x2,$y1,$red[100],$green[100],$blue[100]\n";

    if ($fillgraph == 1) {
	$fx1 = ($x1+$x2)/2;
	$fx1 = $x2 if ($fx1 < ($x1+1.5));
	if ($fx1 < $x2 && ($y2 < $fymax || $y1 < $fymax)) {
	    print FLY "line $x1,$ymax,$x1,$y2,$red[100],$green[100],$blue[100]\n";
	    print FLY "line $x2,$ymax,$x2,$y1,$red[100],$green[100],$blue[100]\n";

	    print FLY "line $x1,$ymax,$x2,$ymax,$red[100],$green[100],$blue[100]\n";
	    print FLY "fill $fx1,$fymax,$red[100],$green[100],$blue[100]\n";
       }
    }
 }
 
}

 }
print FLY "transparent 200,200,200\n";

close (FLY);

&BuildFly("$tmpfly$vtmp",$file2);
}

### image pour les abscisses

($startday, $startmonth) = split(/ /,$start_date);

$moischiffre = $month_equiv{$startmonth};
$moischiffre--;
$moisvar = $startmonth;
$valmois = $moischiffre;

$valstep = $startday;
$valstep = "0".$valstep if (length($valstep) == 1);

$xlegend = "$count_day days (starting $start_date)";

open(FLY,">$tmpfly$vtmp");
print FLY "new\n";
print FLY "size $xmax,$ydecal\n";
 print FLY "frect 0,0,$xmax,$ydecal,200,200,200\n";
 $posx = (($xmax/2)-(length($xlegend)*7/2));
 print FLY "string 0,0,0,$posx,$ydecalm,medium,$xlegend\n";
 for ($i=$xstep;$i<$xmax;$i+=$xstep) {
 $valstep = int(($i/$xmax)*(($xmax*$factx/$xstep)))+$startday;

 $moisvar = $startmonth;
 $valmois = $moischiffre;

 while  ($valstep > $month_of_year{$moisvar}) {
     $valstep = ($valstep - $month_of_year{$moisvar});
     $valmois++;
     $valmois = 0 if ($valmois > 11);
     $moisvar = $month_nb[$valmois];
 }

 $valstep = "0".$valstep if (length($valstep) == 1);
 $val = "$moisvar/$valstep";
 $posx = $i - length($valstep)*10;
 print FLY "line $i,0,$i,5,0,0,0\n";
 print FLY "string 0,0,0,$posx,10,small,$val\n";

 }
print FLY "transparent 200,200,200\n";
close (FLY);
 
&BuildFly("$tmpfly$vtmp",$file2x);

### image pour les ordonnees

open(FLY,">$tmpfly$vtmp");
print FLY "new\n";
print FLY "size $xdecal,$ymax\n";
 print FLY "frect 0,0,$xdecal,$ymax,200,200,200\n";
 $posy = $ymax - (($ymax/2)-(length("Kbytes 5total added)")*2));

 if ($maxtot > 1024*1024) {
 print FLY "stringup 0,0,0,5,$posy,medium,Mbytes (Total added)\n";
 } else {
 print FLY "stringup 0,0,0,5,$posy,medium,Kbytes (Total added)\n";
 }
 for ($j=$ystep;$j<$ymax;$j+=$ystep) {
 $valstep = int(($ymax - $j) * ($facty/$ystep));
 $valstep /= 1024; # in Kb
 $valstep /= 1024 if ($maxtot > (1024*1024));
 $valstep = int($valstep*10)/10;
 $valstep .= ".0" if ($valstep !~ /\./);
 $pos = ($xdecal - length($valstep)*11);
 $posy = $j-5;
 print FLY "line $xdecalm,$j,$xdecal,$j,0,0,0\n";
 print FLY "string 0,0,0,$pos,$posy,small,$valstep\n";
 }

print FLY "transparent 200,200,200\n";
close (FLY);

&BuildFly("$tmpfly$vtmp",$file2y); 
}
}

&update_homepage;

# PDF report



if ($enable_pdf == 1) {

    open(INFILE,"$path$dirdata$dirsep$datafile") || &error_exit("Error, unable to open $path$dirdata$dirsep$datafile",1);
while (<INFILE>) {
    chop;
next if ($_ eq '');
$line++;
next if ($line < 3);
($jour,$month,$year) = split('\s+');
$dirresume = $year."-".$month."-".$jour;

$dirresumefull = $path.$lang[0].$dirsep.$dirdate.$dirsep.$dirresume;

if (-d $dirresumefull) {
    $filepdf = $path.$dirpdf.$dirsep.$dirresume.$pdfext;

    for ($k=0;$k<=$#homepages;$k++) {
	$tmp = $k if ($homepages[$k] !~ /-/);
    }

    &generate_pdf_cmd($dirresume,$filenameday,$filepdf,0,eval($Lang{$lang[$tmp]})) if (!(-f $filepdf));
} 

}
close(INFILE);

    &export_pdf(@list_cmd);
}

if ($enable_email == 1 && $emailadr ne '' && $email_daily == 1 && ($email_html == 1 || $email_pdf == 1)) {

    $subject = "W3Perl Daily Report - $year/$month/$jour";
    $from = "webmaster\@".$localdomainename;

    &export_html($date_last,eval($Lang{$lang[0]})) if ($email_html == 1);

    # MIME::Lite module

    &send_email($emailadr,$subject,$html,0,$filepdf);

    $msg = "Email daily report sent to $emailadr";
    $msg .= " : $filepdf" if ($email_pdf == 1 && $enable_pdf == 1);
    $msg .= "\n";
    &output_log($msg);
    print "<BR>" if ($ENV{'REQUEST_METHOD'} eq "GET"); 
}


# calculer le temps mis pour le calcul

#$datesyst = &ctime(time);
$datesyst = POSIX::ctime(time);
($dayletter,$month,$day,$hourdate,$a,$year) = split(/[ \t\n\[]+/,$datesyst);
($hour,$minute,$second) = split(/:/,$hourdate);

$endrun = "$hour:$minute:$second";

($hour,$min,$sec) = &timetaken($startrun,$endrun);

$endtime = time();

$msg = "Computing took";
$msg .= " $hour h" if ($hour > 0);
$msg .= " $min min $sec sec\n\n";
print "<P>" if ($ENV{'REQUEST_METHOD'} eq "GET"); 
&output_log($msg);

if ($ENV{'REQUEST_METHOD'} eq "GET" && $opt_y ne '') {
    print "</DIV>";
    print "<script language=\"javascript\" type=\"text/JavaScript\">\n";
    print "ToggleMenu('TOGGLE_$scriptname');\n";
    print "</script>\n";
}


&UpdateCSSMenu('When','Days',$icon_days,"$dirdate$dirsepurl$fileday",1,0) if ($precision > 1);

&admin_goback if ($ENV{'REQUEST_METHOD'} eq "GET" && $opt_y eq '');

&StatusCompleted($scriptname,$status_script);

$today =~ s/ /\//g;

open(FILE,">>$history");
#print FILE "cron-day\t$today\t$startrun\t$endrun\t$min:$sec\n";
printf FILE "$scriptname\t%s\t%s\t%s\t%d:%d:%d\n",$today,$startrun,$endrun,$hour,$min,$sec;
close(FILE);
