#!/usr/bin/perl
# <plaintext>  just in case you look at this via a browser

#########################################################################
####                                                                #####
####                     DAYS RANGE STATS                           #####
####                                                                #####
####                                                                #####
####    domisse@w3perl.com                   version 15/04/2014     #####
####                                                                #####
#########################################################################

#$version = "3.183";
$verdate = "15/04/14";

$shift_factor = 0.3;
$debug = 0;

$scriptname = "dayrange.pl";

$listdailysites = "liste_daily_sites";
$listdailypages = "liste_daily_pages";
$listdailyscripts = "liste_daily_scripts";
$listdailytrafic = "liste_daily_trafic";
$listdailydir = "liste_daily_dir";
$listdailycountries = "liste_daily_country";
$listdailyfiletype = "liste_daily_filetype";
$listdailyrefer = "liste_daily_refer";
$listdailykeyword = "liste_daily_keyword";
$listdailyagent = "liste_daily_agent";
$listdailyusers = "liste_daily_users";
$listdailydestination = "liste_daily_dest";
$listdailyspam = "liste_daily_spam";

#$status_script = 0;

print "Content-type: text/html\n\n" if ($debug == 1);

####### script a lancer a 00 heures 01 minutes tous les 1er du mois #####

$cwd = $0;
$cwd =~ s/(([^\\\/]+)$)//;
require "$cwd"."libw3perl.pl";

$pos = rindex($conf_file,$dirsep);
$vtmp = substr($conf_file,$pos+1,length($conf_file));
$vtmp .= $scriptname;
$vtmp =~ s/$plext//;

$current_time = time;
$tmp = $today.":".$hourdate;
$sec_deb = &nb_sec_deb($tmp);
$vtmp .= $sec_deb;

$linkpath_url = &Extract_WebUrlLink if ($linkpath_url eq '');

$domreq = 0;
$reqtot = 0;
$totsize = 0;
$accesslues = 0;
$testday = 1; ### CHANGES
$testday = 0 if ($zipcut == 2);
$timesec = time;
#$tabnamecsv = $tabnamemonth;
#$tabnamecsv =~ s/$htmlext//;

($date,$datehour,$datemisc) = &get_time($timesec);

#################################################################
###            parsing the command line option                ###
#################################################################

# computing start, ending date
# Check date are available

if ($opt_s eq '' && $opt_r eq '' && $opt_d == 0) {
    $msg = "Choose at least one date\n";
    &error_exit_cgi($msg);
}

print "A : $opt_s : $a1 - $opt_r : $a2 - | $opt_d\n<P>" if ($debug == 1);


$line = 0;
$count = 0;
$yday_data_start = '';
open(INFILE, "$path$dirdata$dirsep$datafile") || &error_exit_cgi("Error, unable to open $path$dirdata$dirsep$datafile");
while (<INFILE>) {
    $line++;
    next if ($line <= 2);
    
    $count++;
    ($jour,$lastmonth,$lastyear) = split('\s+');
    $date_line = "$jour $lastmonth $lastyear";
    if ($yday_data_start eq '') {
	$yday_data_start = &nbday($date_line);
	$date_ini = $date_line;
    }

 }
close(INFILE);

$date_end = $date_line;
$yday_data_end = &nbday($date_line);

###
if ($opt_d == 0) {
if ($opt_s ne '') {
    $date_start = $opt_s;
    ($day2,$month2,$year2) = split(/\s+/,$date_start);
    $date_start = "0".$day2." ".$month2." ".$year2 if (length($day2) == 1);
    $a1 = &nbday($opt_s);
}

if ($opt_r ne '') {
    $date_end = $opt_r;
    ($day1,$month1,$year1) = split(/\s+/,$date_end);
    $date_end = "0".$day1." ".$month1." ".$year1 if (length($day1) == 1);
    $yday_end = &nbday($date_end);
#    print "$date_end  - $yday_end / $date_line - $yday_data_end\n<BR>";
    if ($yday_end > $yday_data_end) {
	$date_end = $date_line;
    }
    if ($opt_s eq '') {
	$date_start = $date_end;
	$date_end = $date_line;
    }
    $a2 = &nbday($opt_r);
}

if ($a1 > $a2 && $opt_r ne '' && $opt_s ne '') {
    $tmp = $date_start;
    $date_start = $date_end;
    $date_end = $tmp;
}
}

###

#$nbdays = $opt_d if ($opt_d ne '');
#$nbdays = $opt_d if ($opt_d eq '');
#$tmp = $nbdays-1;

print "1 - DATE_END $date_start - $date_end - $opt_d<BR>\n" if ($debug == 1);

$date_start = &date_intervalle($date_end,-$opt_d+1) if ($opt_d != 0);
#$date_end = $opt_r if ($opt_r ne '');

print "DATE_END $date_start - $date_end<BR>\n" if ($debug == 1);

if (&nbday($date_end) < $yday_data_start) {
    $msg = "Date too old\n";
    &error_exit_cgi($msg);
}

#$date_start = &date_intervalle($date_end,-$tmp) if ($opt_s eq '');
#$date_start = $opt_s if ($opt_s ne '');

$yday_start = &nbday($date_start);

$yday_end = &nbday($date_end);
$nbdays = ($yday_end - $yday_start)+1;

if ($yday_start < $yday_data_start) {
    $nbdays = $count;
    $date_start = $date_ini;
    print "OO $nbdays - $date_start ($yday_start < $yday_data_start)\n" if ($debug == 1);
}

print "Start : $nbdays - $date_start ($yday_start) - $date_end ($yday_end)\n<BR>" if ($debug == 1);
#print "Time : $sec_deb\n<BR>" if ($debug == 1);

($day1,$month1,$year1) = split(/\s+/,$date_start);
($day2,$month2,$year2) = split(/\s+/,$date_end);

$tmpdate = $year1."-".$month1."-".$day1;
$tmp2 = $year2."-".$month2."-".$day2;
$tmpdate .= "_".$tmp2 if ($tmpdate ne $tmp2);
#$tmpdate .= "_".$tmp2;
$dirresume = $tmpdate;

print "DIRRESUME : $tmpdate - $nbdays <BR>\n" if ($debug == 1);

#print "$tmpdate - $path$dirtmp$dirsep$opt_l$dirsep$dirresume$dirsep$menu<BR>\n";

if (-f "$path$opt_l$dirsep$dirdate$dirsep$dirresume$dirsep$menu") {
    $tmp = "$localhost_protocol://$localhost";
    $tmp .= ":$localhost_port" if ($localhost_port != 80);
    print "Location: $tmp$linkpath_url$opt_l$dirsepurl$dirdate$dirsepurl$dirresume$dirsepurl$menu\n\n";
}

if (-f "$path$dirtmp$dirsep$opt_l$dirsep$dirresume$dirsep$menu") {
    $tmp = "$localhost_protocol://$localhost";
    $tmp .= ":$localhost_port" if ($localhost_port != 80);
    print "Location: $tmp$linkpath_url$dirtmp$dirsepurl$opt_l$dirsepurl$dirresume$dirsepurl$menu\n\n";
}



#################################################################
####          debut de l'initialisation                   #######
#################################################################

$dir = $path.$dirtmp.$dirsep;
&error_write($dir) if (!(-w $dir));

for ($nblang=0;$nblang<=$#lang;$nblang++) {

    $dir = $path.$dirtmp.$dirsep.$lang[$nblang];
    mkdir ($dir,0775) unless -d $dir;
	
#    $dir = $path.$dirtmp.$dirsep.$lang[$nblang].$dirsep.$dirdate;
#    mkdir ($dir,0775) unless -d $dir;
}

$outfile1 = $path.$dirgraph.$dirsep."month_mac".$gifext;
$outfile1x = $path.$dirgraph.$dirsep."month_macx".$gifext;
$outfile1y = $path.$dirgraph.$dirsep."month_macy".$gifext;

$linkoutfile1 = "..".$dirsepurl."..".$dirsepurl.$dirgraph.$dirsepurl."month_mac".$gifext;
$linkoutfile1x = "..".$dirsepurl."..".$dirsepurl.$dirgraph.$dirsepurl."month_macx".$gifext;
$linkoutfile1y = "..".$dirsepurl."..".$dirsepurl.$dirgraph.$dirsepurl."month_macy".$gifext;

$outfile2 = $path.$dirgraph.$dirsep."month_req".$gifext;
$outfile2x = $path.$dirgraph.$dirsep."month_reqx".$gifext;
$outfile2y = $path.$dirgraph.$dirsep."month_reqy".$gifext;

$linkoutfile2 = "..".$dirsepurl."..".$dirsepurl.$dirgraph.$dirsepurl."month_req".$gifext;
$linkoutfile2x = "..".$dirsepurl."..".$dirsepurl.$dirgraph.$dirsepurl."month_reqx".$gifext;
$linkoutfile2y = "..".$dirsepurl."..".$dirsepurl.$dirgraph.$dirsepurl."month_reqy".$gifext;

&load_fileext;

&load_countries_map;

&load_url_map if ($titlename == 1 && -f "$path$dirdata$dirsep$fileurl");

&reload_city_map if ($geoipcity == 1 && -f "$path$dirinc$dirsep$filecity");

$spam_on = 1 if ($mail_format == 1 && -f "$path$dirdata$dirsep$spam");

#################################################################
#####              computing monthly stats                 ######
#################################################################

if ($spam_on == 1) {
    open(SPAMFILE,"$path$dirdata$dirsep$spam");
    while (<SPAMFILE>) {
	next if ($_ =~ /^#/);
	($jour,$month,$year,$m_tot,$m_dom,$spam_ext,$spam_loc) = split('\s+');
	$spam_daily{"$jour$month$year"} = $spam_ext+$spam_loc;
    }
    close(SPAMFILE) 
}

open(INFILE, "$path$dirdata$dirsep$datafile") || &error_exit_cgi("Error, unable to open $path$dirdata$dirsep$datafile");

$line = 0;
$count = 0;
$count_month = 1;
$lastmonth_found = 0;
$found_dir = 0;

while (<INFILE>) {
     $line++;

     next if ($line <= 2);

     $count++;

     ($jour,$month,$year,$m_tot,$m_new,$m_dom,$req_tot,$req_dom,$access,$totsize,$tothtmlsize,$domsize,$script,$pays,$nbfile) = split('\s+');
     $spam_day = $spam_daily{"$jour$month$year"};

     $date_line = "$jour/$month/$year";
     $yday = &nbday($date_line);

     print "Line $date_line<BR>\n" if ($debug == 1);
     
     $start_date = $jour." ".$month." ".$year if ($line == 3);

     if ($yday >= $yday_start && $yday <= $yday_end) {

	 $dirresume = $year."-".$month."-".$jour;
	 $dirresume_jq = $jour."-".$month."-".$year;
	 print "$line - $jour,$month,$year - $yday - $dirresume<BR>\n" if ($debug == 1);

	 &LoadDailyData($dirresume,0);
	 $found_dir = 1 if (-d "$path$lang[0]$dirsep$dirdate$dirsep$dirresume");
	 print "$path$lang[0]$dirsep$dirdate$dirsep$dirresume<BR>" if ($debug == 1);

#	 $machine_tot = $machine_tot + $m_tot;
#	 $machine_dom = $machine_dom + $m_dom;
	 $machine_new = $machine_new + $m_new;
	 $requete_tot = $requete_tot + $req_tot;
	 $access_tot = $access_tot + $access;
	 $requete_dom = $requete_dom + $req_dom;
	 $size_tot = $size_tot + $totsize;
	 $nbfile_tot = $nbfile_tot + $nbfile;
	 $spam_tot = $spam_tot + $spam_day;

	 push(@req_value,$req_tot);
	 push(@acc_value,$access);
	 push(@host_value,$m_tot);
	 push(@date_value,$dirresume);
	 push(@datejq_value,$dirresume_jq);
	 push(@traffic_value,$totsize);
	 push(@spam_value,$spam_day);
	 push(@doc_value,$nbfilejour_day);

	 $reqtotjour = $requete_tot;
	 $accessjour = $access_tot;
	 $totsizejour = $size_tot;
	 $domreq = $requete_dom;
	 $nbfilejour = $nbfile_tot;
	 $spamjour = $spam_tot;
#	$serveruniquejour = $machine_tot;
	 $serveruniquejour = $mm_tot;
#	$locserverjour = $machine_dom;
	 $locserverjour = $mm_dom_tot;
#	$scriptuniquejour = $script_day;
	 $newhost = $machine_new;

     }
}

close(INFILE);

($unit_div,$unit) = &Return_Unit($size_tot,0);

if ($found_dir == 0) {
    $msg = "Daily script should be run first";
    &error_exit_cgi($msg);
}

$dirresume = $tmpdate;

if ($mail_format == 0) {

    for ($k=0;$k<=$nbzonefile;$k++) {
	$zoneextbis[$k] = $zoneextjour[$k];
    }
    
    for ($j=0;$j<=$nbzonefile;$j++) {
	$max = 0;
	$filetypejourmax[$j] = 0;
	for ($k=0;$k<=$nbzonefile;$k++) {
	    if ($zoneextbis[$k] > $max) {
		$max = $zoneextbis[$k];
		$filetypejourmax[$j] = $k;
	    }
	}
	$zoneextbis[$filetypejourmax[$j]] = 0;      
    }
}

if ($ftp_format == 0 && $mail_format == 0) {
	    
    # OS

    $unique_new_osday = $uniqueosday;
    foreach $osday (keys(%nbreosday)) {
	$ok = 0;
	for ($j=0;$j<=$#os;$j++) {
	    if ($osday eq $os[$j]) {
		$tmp = $os[$j];
		$tmp1 = $translate_os{$tmp};
		$new_osday{$tmp1} += $nbreosday{$tmp} if ($ok == 0);
		$ok = 1;
		$unique_new_osday-- if ($seen_serveur{"$tmp1 $oldjour"}++);
	    }
	}
	$new_osday{$osday} = $nbreosday{$osday} if ($ok != 1);
    }
    
    # Browser
    
    $unique_new_browserday = 0;
    
    for ($l=1;$l<=$uniqueday;$l++) {	       
	for ($j=0;$j<=$#agent;$j++) {
	    if ($browserday[$l] =~ /$agent[$j]/) {
		$tmp = $agent[$j];
		$tmp1 = $translate_agent{$tmp};
		$bro_ver = $browserday[$l];
		$bro_ver =~ /(\d)+/;
		$bro_ver = int($1);
		$new_browserday{$tmp1} += $nbreday{$browserday[$l]};
		$browser_versionday{$tmp1,$bro_ver} += $nbreday{$browserday[$l]};
		$browser_version_nbday{$tmp1} = $bro_ver if ($bro_ver > $browser_version_nbday{$tmp1});
		$browserday[$l] = '';
		$unique_new_browserday++ if (!($seen_serveur{"$tmp1 $oldjour"}++));
	    }
	}
	$new_browserday{$browserday[$l]} += $nbreday{$browserday[$l]} if ($browserday[$l] ne '');
	$unique_new_browserday++ if ($browserday[$l] ne '');
    }
    
    for ($i=0;$i<$unique_new_browserday;$i++) {
	$maxi = 0;
	foreach $browser (keys(%new_browserday)) {
	    if ($new_browserday{$browser} > $maxi) {
		$maxi = $new_browserday{$browser};
		$bestbrowserday[$i] = $browser;
		$occurbrowserday[$i] = $new_browserday{$browser};                 
	    }
	}
	$new_browserday{$bestbrowserday[$i]} = 0;
    }


    
    for ($i=0;$i<$unique_new_browser;$i++) {
	for ($j=0;$j<=$#agent;$j++) {
	    if ($bestbrowserday[$i] =~ /$agent[$j]/) {
		$tmp = $agent[$j];
		$tmp1 = $translate_agent{$tmp};
	    }
	}
	$bestbrowserday[$i] =~ s/$tmp/$tmp1/ if ($tmp1 ne '');
    }
}

	 for ($i=0;$i<=$#date_value;$i++) {
	     &LoadDailyData($date_value[$i],1);
	 }

$reqmax = $requete_tot; # if ($requete_tot > $reqmax);

if ($fly_set == 1) {
    &BuildRequestsGraph($tmpdate,$dirtmp,$nbdays,$date_start,\@date_value,\@req_value,\@acc_value,\@host_value,\@traffic_value,\@doc_value,\@spam_value);
}


&load_basic_stats;

if ($ftp_format == 0 && $mail_format == 0 && $dhcp_format == 0) {

    # Trick to create empty file so daily menu will see existing files and build links
    if (keys(%nbredayref) != 0) {
	&BuildEmptyReferResume($scriptname,1);
    }
    if ($uniqueosday != 0) {
	&BuildEmptyAgentResume($scriptname,1);
    }

    &BuildDailyReferResume($scriptname,1,1) if (keys(%nbredayref) != 0);
    &BuildDailyAgentResume($scriptname,1,1) if ($uniqueosday != 0);
}

&BuildDailyResume($scriptname,1,1);
#&UpdatePageResumeMenu($scriptname,1,1);

if ($enable_pdf == 1) {
    if (-d "$path$dirtmp$dirsep$lang[0]$dirsep$dirresume") {
	$filepdf = $path.$dirtmp.$dirsep.$dirresume.$pdfext;
	&generate_pdf_cmd($dirresume,$menu,$filepdf,1) if (!(-f $filepdf));
    }
    &export_pdf(@list_cmd);
}

$tmp = "$localhost_protocol://$localhost";
$tmp .= ":$localhost_port" if ($localhost_port != 80);
#print "Location: $tmp$linkpath_url$dirtmp$dirsepurl$opt_l$dirsepurl$dirresume$dirsepurl$menu\n\n" if ($debug == 1);
print "Location: $tmp$linkpath_url$dirtmp$dirsepurl$opt_l$dirsepurl$dirresume$dirsepurl$menu\n\n";


exit;

########################################################################################

sub error_write {
    local($file) = @_;
    local($tmp,$pos);

    print "Content-type: text/html\n\n";

    $pos = rindex($file,$dirsepurl);
    $tmp = substr($file,0,$pos+1);

    print "<P><CENTER><DIR><FONT COLOR=\"#AA2020\">" if ($ENV{'REQUEST_METHOD'} eq "POST");
    print "Unable to write $file : $!\n";
    print "</FONT><BR>" if ($ENV{'REQUEST_METHOD'} eq "POST");
    print " ==> check write permission\n";
    if (-d $file) {
	print "<P>" if ($ENV{'REQUEST_METHOD'} eq "POST");
	print "Make sure your web server can write in with 'chmod 777 $tmp'" if ($ENV{'REQUEST_METHOD'} eq "POST");
    }
    print "</DIR></CENTER>" if ($ENV{'REQUEST_METHOD'} eq "POST");
    exit;
}

sub error_exit_cgi {
    local($msg) = @_;

    print "Content-type: text/html\n\n";

    print "<P><CENTER><DIR><FONT COLOR=\"#AA2020\">" if ($ENV{'REQUEST_METHOD'} eq "POST");
    print "$msg\n";
    print "</FONT><BR>" if ($ENV{'REQUEST_METHOD'} eq "POST");
    print "</DIR></CENTER>" if ($ENV{'REQUEST_METHOD'} eq "POST");
    exit;
}
