#!/usr/bin/perl
# <plaintext>  just in case you look at this via a browser

#########################################################################
####                                                                #####
####                SEND Email/PDF STATS                            #####
####                                                                #####
####                                                                #####
####    domisse@w3perl.com                   version 10/05/2015     #####
####                                                                #####
#########################################################################

$verdate = "19/05/15";

#print "Content-Type: application/pdf\n";
#print "Content-Disposition: attachment; filename=\"toto.pdf\"\n\n";
#exit;

use URI::Escape;
use Getopt::Std;

$status = getopts('k:p:t');
if (!($status)) {
    $msg = "Missing flag argument";
    &error_exit($msg);
}
if ($opt_d ne '') {
    if ($opt_d !~ /^([0-9]*)$/) {
	$msg = "Argument should be a number";
	&error_exit($msg);
    }
}

#print "Content-Type: text/plain\n\n";
print "Content-type: text/html\n\n" if ($opt_k != 0 && $opt_k != 2); # k=0 -> send config file (web wizard)
#print "Content-Disposition: attachment; filename=\"toto.phg\"\n\n";


$in = $ENV{'QUERY_STRING'};

if ($ENV{'REQUEST_METHOD'} eq "GET") {

    @in = split(/[&;]/,$in);

    foreach $i (0 .. $#in) {
	$in[$i] =~ s/\+/ /g;
	($key, $val) = split(/=/,$in[$i],2); # splits on the first =.
	$key =~ s/%(..)/pack("c",hex($1))/ge;
	$val =~ s/%(..)/pack("c",hex($1))/ge;
	$val =~ s/\'//g;
	$opt = "opt_$key";
#    eval "\$$opt = $val";
	$$opt = $val;             # Work only with perl 5 and above
#	print "Setting $key to $val<P>";
    }
    $ENV{'QUERY_STRING'} = '';
}


if ($ENV{'REQUEST_METHOD'} eq "POST") {
# Get the input
    read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});

# Split the name-value pairs
    @pairs = split(/&/, $buffer);

    foreach $pair (@pairs) {

	($name, $value) = split(/=/, $pair);

    # Un-Webify plus signs and %-encoding
#	if ($fly_set == 1) {
#	if ($value !~ /base64/) {
#	if ($name ne "p") {
#	    $value =~ tr/+/ /;
	    $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
#	    $value =~ s/[\<\>\"\'\;\(\)\&\|\+]//g;
#	}
	if ($name eq "pererereeeeeeeeeeeee") {
	    @lines = split(/\%0A/i,$value);
	    $value = '';
	    for ($i=0;$i<=$#lines;$i++) {
		$value .= $lines[$i];		
		if ($lines[$i] !~ /base64/) {
		    $value =~ tr/+/ /;
		    $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
		    $value =~ s/[\<\>\"\'\;\(\)\&\|\+]//g;
		}
		$value .= "\%0A";
#		print "KK $i -  $value<P>";
	    }

	}
    # Uncomment for debugging purposes
#    print "Setting $name to $value<P>";
#    $FORM{$name} .= "\0" if (defined($FORM{$name})); # \0 is the multiple separator
	$var = "opt_".$name;
	$$var = $value;
    }
}


if ($opt_k == 0) {

#   require "getopt.pl";
#    &Getopt('p');

    $in = $ENV{'QUERY_STRING'};
    @in = split(/[&;]/,$in);

    foreach $i (0 .. $#in) {
        $in[$i] =~ s/\+/ /g;
        ($key, $val) = split(/=/,$in[$i],2); # splits on the first =.
        $key =~ s/%(..)/pack("c",hex($1))/ge;
        $val =~ s/%(..)/pack("c",hex($1))/ge;
        $opt = "opt_$key";
#        eval "\$$opt = $val";
	$$opt = $val;             # Work only with perl 5 and above
    }
    $ENV{'QUERY_STRING'} = '';

#    $cfg_file = substr($opt_p,rindex($opt_p,'/')+1,length($opt_p));

    $cfg_file = $opt_p;

    $file = $w3perlpath.$dirsepurl.$dirconfig.$dirsep."$opt_p";

    print "Content-Type: application/perl\n";
    print "Content-Disposition: attachment; filename=\"$cfg_file\"\n\n";
    open(CONF,"$file");
    while(<CONF>) {
	print;
    }
    close(CONF);
    exit;
}

$cwd = $0;
$cwd =~ s/(([^\\\/]+)$)//;
require "$cwd"."libw3perl.pl";

if ($fly_set == 1) {

    &securecgi if ($opt_p =~ /^\.\./);
    $page = $path.$opt_p;
    &securecgi if (!(-f $page));

    if ($opt_t eq '') {
	$title = '';
	open(FILE,$page);
	while (<FILE>) {
	    $title = $1 if (/<TITLE>(.*)<\/TITLE>/i);
	    last if ($title ne '');
	}
	close(FILE);
    } else {
	$title = $opt_t;
    }
    

} else {
    $page = $opt_p;
    $title = $opt_t;
#    $page = &urlencode($page);

#    $page= uri_escape($page);
}

#print "II $page\n";
$title = "Unknow" if ($title eq '');

$title2 = $title;
$title2 =~ s/\s+/_/g;
$title2 =~ s/\///g;

#$file_pdf = $path.$dirtmp.$dirsep.$opt_t.$htmlext;
$file_pdf = $path.$dirtmp.$dirsep.$title2.$htmlext;

#print "$opt_p - $title - $opt_k\n";

if ($opt_k == 2) {
##    $size = -s $opt_p;
##    $size++;
    print "Content-Type: application/pdf\n";
##    print "content-Length: $size\n"; 
##    print "Content-Disposition: attachment; filename=\"$opt_t$pdfext\"\n\n";
    print "Content-Disposition: attachment; filename=\"$title2$pdfext\"\n\n";
}

#################################################################
####                   initialisation                     #######
#################################################################
 
$pagesend = "pagesend";
$cgipagesend = $w3perlcgiurl.$dirsepurl."pagesend".$plext;

$email_pdf = 0;
$dirsepurl = "/";

if ($opt_k == 2) {

    select(STDOUT); 
    $| = 1;
    $ENV{HTMLDOC_NOCGI} = 1;

    if ($fly_set == 1) {
	open(PAGE,$page);
	@lines = (<PAGE>);
	close(PAGE);
    } else {
	@lines = split(/\%0A/i,$page);
##	@lines = split(/\n/,$page);
##	print "TOTO $page\n" if ($lines
    }

    $out = 1;
#    $findout = 0;
    $bypass = 0;
#    print "Opening $file_pdf - $#lines\n";
    open(PAGE,">$file_pdf");
    for ($i=0;$i<=$#lines;$i++) {
#	print "$lines[$i]<BR>\n" if ($lines[$i] =~ /base64/i);
	$lines[$i]  = uri_unescape($lines[$i]) if ($fly_set == 0); # && $lines[$i] !~ /base64/);

	$out = 1 if ($lines[$i] =~ /<\/BODY/i);
	$out = 1 if ($lines[$i] =~ /^<!-- begin_insert_css_menu -->/);
	$out = 1 if ($lines[$i] =~ /^<!-- begin_daily_menu -->/);
	$out = 1 if ($lines[$i] =~ /^<!-- begin_insert_map -->/);
	$out = 1 if ($lines[$i] =~ /^<!-- Email_report_exclude_begin -->/);
	$out = 1 if ($lines[$i] =~ /^<!-- begin_help_hide_layer/);
	$out = 1 if ($lines[$i] =~ /^<!-- begin_bypass_multigraph/ && $fly_set == 1);
	$out = 1 if ($lines[$i] =~ /^<noscript>/);
	if ($out == 0 && $lines[$i] =~ /^<script LANGUAGE=\"Javascript\" type=\"text\/JavaScript\">/i) {
	    $out = 1;
	    $bypass = 1;
	}
#	$out = 1 if (/^<map/i);
	$out = 1 if ($lines[$i] =~ /^<form\s+/i);
	next if ($lines[$i] =~ /$icon_csv/);
	next if ($lines[$i] =~ /$toggle_on/);
#	next if ($lines[$i] =~ /$L{'Full_list'}/);
#	$out = 1 if ($lines[$i] =~ /^<div/i && $lines[$i] =~ /display\:none/i);
	$lines[$i] =~ s/$dirgraph$dirsepurl/\.\.$dirsepurl$dirgraph$dirsepurl/g;
	$lines[$i] =~ s/\.\.$dirsepurl\.\.$dirsepurl\.\.$dirsepurl/\.\.$dirsepurl/g;
	$lines[$i] =~ s/\.\.$dirsepurl\.\.$dirsepurl/\.\.$dirsepurl/g;

	print PAGE "$lines[$i]" if ($out == 0);
#	print "$lines[$i]" if ($out == 0);
#	print "$lines[$i]\n" if ($out == 0); # && $lines[$i] =~ /base64/i);
#	print "$out - $lines[$i]";
#	$lines_pdf .= $lines[$i] if ($out == 0);
	$out = 0 if ($lines[$i] =~ /<BODY/i);
	$out = 0 if ($lines[$i] =~ /^<!-- end_insert_css_menu -->/);
	$out = 0 if ($lines[$i] =~ /^<!-- end_insert_map -->/);
	$out = 0 if ($lines[$i] =~ /^<!-- end_daily_menu -->/);
	$findout = 1 if ($lines[$i] =~ /^<!-- end_insert_css_menu -->/);
	$out = 0 if ($lines[$i] =~ /^<!-- Email_report_exclude_end -->/);
	$out = 0 if ($lines[$i] =~ /^<!-- end_help_hide_layer/);
	$out = 0 if ($lines[$i] =~ /^<!-- end_bypass_multigraph/ && $fly_set == 1);
	$out = 0 if ($lines[$i] =~ /^<\/noscript>/);
	$out = 0 if ($bypass == 1 && $lines[$i] =~ /^<\/script>/i);
#	$out = 0 if ($lines[$i] =~ /^<\/map>/i);
	$out = 0 if ($lines[$i] =~ /<\/form>/i && $findout == 1);
#	$out = 0 if ($lines[$i] =~ /^<\/div>/i && $findout == 1);
    }
    close(PAGE);

##    $command = "$HTMLDOC $htmldoc_option $page";
    $command = "$HTMLDOC $htmldoc_option $file_pdf --no-title";
##    $command = "$HTMLDOC $htmldoc_option - $lines_pdf";
##    print "$command\n";
    $commit = system("$command");

    unlink($file_pdf);
    exit;
}

if ($enable_email == 1 && $emailadr ne '' && $opt_k == 1) {

#    $subject = "W3Perl Report - $opt_t";
    $subject = "W3Perl Report - $title";
#    $subject = "W3Perl Report - AA";
    $from = "webmaster\@".$localdomainename;

    $html = &export_html_page($page) if ($opt_t eq '' || $email_html == 1);

    # MIME::Lite module

#    print "$html\n";
    &send_email($emailadr,$subject,$html,1,$filepdf);

#    &send_email2($emailadr,$subject,$page);

#    exit;

    $tmp = "$localhost_protocol://$localhost";
    $tmp .= ":$localhost_port" if ($localhost_port != 80);
#    print "$html - $tmp$linkpath_url$opt_p\n";
    print "Location: $tmp$linkpath_url$opt_p\n\n";

#    &PageHeader(eval($Lang{$opt_l}),$opt_l);
#    &PageDoneEmail(eval($Lang{$opt_l}),$opt_l);
#    &PageFoot(eval($Lang{$opt_l}));

}

exit;

#################################################################
sub PageHeader {
 local(*L,$I) = @_;

 print "$doctype\n";
 print "<HTML><HEAD>\n";
 print "$charset\n";
 print "<TITLE>$L{'Stats'} - Email";
# print "$namepage" if ($titlename == 0);
# print "$urlconv{$namepage}" if ($titlename == 1 && $urlconv{$namepage} ne '');
# print "$namepage" if ($titlename == 1 && $urlconv{$namepage} eq '');
 print " - $today</TITLE>\n";
 print "<!-- Page generated by w3perl - $pagesend$plext $version - $today $hourdate -->\n";
 print "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"$link2$dirress$dirsepurl$dirjs$dirsepurl$helpjs\"></script>\n";
 print "<script LANGUAGE=\"Javascript\" type=\"text/javascript\" src=\"$link2$dirress$dirsepurl$dirjs$dirsepurl$sorttablejs\"></script>\n";
 print "<link rel=\"stylesheet\" type=\"text/css\" href=\"$link2$dirress$dirsepurl$dircss$dirsepurl$css_w3perl\">\n";
 print "<link rel=\"stylesheet\" type=\"text/css\" href=\"$link2$dirress$dirsepurl$dircss$dirsepurl$css_help\">\n";
 print "</HEAD>\n";
 print "<BODY $backgrd TEXT=\"$custom_text\" LINK=\"$custom_link\" VLINK=\"$custom_vlink\">\n";
}

#################################################################
sub PageDoneEmail {
 local(*L,$I) = @_;

 print "This page have been sent to $emailadr";
 print " : $filepdf" if ($email_pdf == 1);
 print "\n";

}

#################################################################
sub PageFoot {
 local(*L) = @_;

print "<P>\n";
print "</BODY></HTML>\n";
}

__END__


