<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl Known bugs</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%">
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP ALIGN=CENTER>
<H1><FONT COLOR="#209090">Known bugs and limitations</FONT></H1>
</TD>
</TR>

<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">
<BR>
<div class="margintable_small">Bugs</DIV>
</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>

<!-- If you want to submit bug report, use the <A HREF="http://www.w3perl.com/flyspray/">Flyspray</A> tool. -->


<P>
<!-- A list of known bugs in the current release is available here : -->



<P>
I do my best to fix bugs as soon as they are found. Please use this
form to send <A HREF="http://www.w3perl.com/debug.html">bug report</A>.
<BR>
<BR>
- See the <A HREF="http://www.w3perl.com/blog/">blog area</A> to get information about the latest bug fixed.
<BR>
- Bug fixes are included in the developement package. So if you are in trouble, try first the dev package.
<BR>
- If you are using SELinux, you should set yourself the appropriate permissions
<P>

<P>

<TABLE>
<TR>
<TD>

<TABLE>
<TR>
<td bgcolor="#FF6633" width="20">&nbsp;</td>
<td>serious/crash</td>
</tr>
<tr> 
<td bgcolor="#FF9933" width="20">&nbsp;</td>
<td>medium</td>
</tr>
<tr> 
<td bgcolor="#FFCC66" width="20">&nbsp;</td>
<td>minor</td>
</tr>
</TABLE>

</TD><TD>

<TABLE BORDER=0 CELLPADDING=2 CELLSPACING=2 BGCOLOR="#000000">
<TR>
<TH COLSPAN=6 BGCOLOR="#FFBB88" ALIGN=CENTER>Bugs</TH>
</TR>
<TR>
<TH BGCOLOR="#FFCC99">Date</TH>
<TH BGCOLOR="#FFCC99">Script</TH>
<TH BGCOLOR="#FFCC99">Problem</TH>
<TH BGCOLOR="#FFCC99">Occur</TH>
<TH BGCOLOR="#FFCC99">Fix</TH>
<TH BGCOLOR="#FFCC99">Status</TH>
</TR>
<!--
<TR>
<TH BGCOLOR="#FFCC99" COLSPAN=6>Release 3.13</TH>
</TR>
-->
<TR>
<TD BGCOLOR="#FF6633">2011/10/22</TD>
<TD BGCOLOR="#FF6633">cron-inc</TD>
<TD BGCOLOR="#FF6633">Out of memory</TD>
<TD BGCOLOR="#FF6633">Squid big logfiles</TD>
<TD BGCOLOR="#FF6633">-</TD>
<TD BGCOLOR="#FF6633">To be fixed</TD>
</TR>
<!--
<TR>
<TD BGCOLOR="#FFCC66">2011/10/28</TD>
<TD BGCOLOR="#FFCC66">install</TD>
<TD BGCOLOR="#FFCC66">install and output on different logical drive</TD>
<TD BGCOLOR="#FFCC66">Windows</TD>
<TD BGCOLOR="#FFCC66">-</TD>
<TD BGCOLOR="#FFCC66">To be fixed</TD>
</TR>
-->
</TABLE>

</TD></TR></TABLE>

<P>

</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER BGCOLOR="#39FFFF"></TD>
<TD><P><HR ALIGN=CENTER WIDTH="30%"><P></TD>
</TR>


<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">
<BR>
<div class="margintable_small">Limitations</DIV>
</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
Some come from the OS, others are due to W3Perl itself.
<UL>
<LI>On system with <I><B>restricted length filename</B></I> (MacOS 9, Win3.11 or RiscOS), you
can't use the highest level of precision which is 4. 
<P>
<LI> Your logfile should have <I><B>at least one request by week</B></I>. If not, date may shift.
<P>
<LI> You need at least <B>Perl 5</B> in order to parse logfile
larger than 2 Gb (or you need to split your logfile). If you need ipv6
  parsing, use Perl 5.14 or you will need to install the Socket6 perl module.
<P>
<LI> <B>URL mapping</B> may fail with some awful HTML files (Bill, buy
  a HTML book please !). This cron-url.pl script is not required to
  compute stats.
<P>
<LI> You need to get logfile at least <B>two days long</B> to compute
  something (due to incremental work). If you have just started your
  webserver, wait tomorrow !
<P>
<LI> W3Perl will exit if date format is not the english one (answer : export LANG="eng" or setenv LANG eng)
<P>
<LI> W3Perl find
  unknown <A HREF="http://en.wikipedia.org/wiki/Country_code_top-level_domain">countries
    code</A>. With generic tld, it will be worse ! :(
<P>
<LI> W3Perl can't cope with more than <I><B>120 crunched logfiles or 10 years</B></I> of logfiles. If
you plan to get stats over the last 10 years, tell me !
<P>
</UL>
</BLOCKQUOTE>
</TD>
</TR>
</TABLE>
</body>
</html>
