<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl Automatic/manual use</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%">
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP ALIGN=CENTER>
<H1><FONT COLOR="#209090">Automatic/manual use</FONT></H1>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">

<H3>&nbsp;With&nbsp;a&nbsp;<BR>&nbsp;crontab&nbsp;</H3>

</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
Cron-w3perl.pl have been introduced to avoid lots of lines in your crontab 
and it will compute the scripts in the right order. So just use this one
please.
<BR>
To reset/initialize all stats, use 'cron-w3perl.pl -a'. Once the stats have been
run once, you can add a cron entries to update your stats daily.
<BR>
You can can define in cron-w3perl.pl which scripts you want to run,
when and the frequency. Error/Referer/Agent/Session/Url are optional scripts.
<UL>
<LI><B>Unix</B>
</UL>
<P>
You should have permission to execute cron commands (ask your administration system if you can't). Use telnet to connect and type the command 'crontab -e' to edit your crontab. A editor should then be available.
Write the full pathname for the files to run.
<P>
You only have to add this line in your crontab :
<BR>
<UL>
<UL>
<LI><B>standard</B> :
<BR>
<I>01 00 * * * /&lt;full_path&gt;/w3perl/cron-w3perl.pl -e</I>
<BR>
<LI><B>to load a configuration file</B> :
<BR>
<I>01 00 * * * /&lt;full_path&gt;/w3perl/cron-w3perl.pl -e -c /&lt;full_path&gt;/w3perl/config-oj.pl</I>
<BR>
<LI><B>hourly update</B> :
<BR>
<I>01 * * * * /&lt;full_path&gt;/w3perl/cron-w3perl.pl &gt; /dev/null</I>
</UL>
</UL>
Then check via 'crontab -l' your entry is valid.
<P>
- Add a first line with MAILTO='&lt;your email&gt;' if you want to receive the
update output.
<BR>
- Redirection to /dev/null is used to cancel messages report. Delete it if you
want to get a report from the crontab.
<BR>
- The '-e' is here to launch all scripts in an incremental way to save CPU. You
only need to launch this script ONCE a day if you're using this
flag. The stats should have been initialised first with 'cron-w3perl.pl
-a' before.
<BR>
- Best is to launch update during the second half of the night to get
lower impact on CPU.
<BR>
- If you need more stats update (once every hour), just add cron-w3perl.pl 
without any flag (except the '-c' flag if you need to load a specific
configuration file). Default should be ok for most people but if you need
more control, edit the script, you'll be able to specify when each script
will be run.
<P>
<UL>
<LI><B>Windows</B>
</UL>
<P>
From v2.95, Windows users can also run the cron-w3perl.pl to run all
the stats in one go.<BR>
Use the command 'at' to automatically run your stats.
<!--
<table width=100%>
<tr>
<th colspan=2>Core scripts</th>
</tr>
<tr>
<td>10 00 * * *</td>
<td>/norfolk/www/w3perl/cron-inc.pl &gt; /dev/null</td>
</tr>
<tr>
<td>01 * * * *</td>
<td>/norfolk/www/w3perl/cron-hour.pl &gt; /dev/null</td>
</tr>
<tr>
<td>00 01 * * *</td>
<td>/norfolk/www/w3perl/cron-day.pl &gt; /dev/null</td>
</tr>
<tr>
<td>30 01 * * 1</td>
<td>/norfolk/www/w3perl/cron-week.pl &gt; /dev/null</td>
</tr>
<tr>
<td>00 02 1 * *</td>
<td>/norfolk/www/w3perl/cron-month.pl &gt; /dev/null</td>
</tr>
</table>

<LI> Cron-inc will be run each night at 00:10, it should be the first
to run as it produces results files for the other programs except cron-hour.pl
<b>You should have run cron-pages.pl once before after installing the package !</b>
<LI> Cron-hour.pl is running every hour.
<LI> Others programs should be run later when cron-inc has finished its works. 
<P>

<table width=100%>
<tr>
<th colspan=2>Optionnal scripts</th>
</tr>
<tr>
<td>03 00 * * 1</td>
<td>/norfolk/www/w3perl/cron-url.pl &gt; /dev/null</td>
</tr>
<tr>
<td>30 02 * * 1</td>
<td>/norfolk/www/w3perl/cron-session.pl &gt; /dev/null</td>
</tr>
<tr>
<td>35 03 * * 1</td>
<td>/norfolk/www/w3perl/cron-agent.pl &gt; /dev/null</td>
</tr>
<tr>
<td>40 03 * * 1</td>
<td>/norfolk/www/w3perl/cron-refer.pl &gt; /dev/null</td>
</tr>
<tr>
<td>45 03 * * 1</td>
<td>/norfolk/www/w3perl/cron-error.pl &gt; /dev/null</td>
</tr>
</table>

<LI> Cron-url.pl will output a file for URL to document's title conversion.
You could run it every day just before cron-inc.pl. I've choose to run it
only once a week as I don't have a lots of new html pages every day !
<LI> cron-refer, cron-agent don't have to be run if you don't use a httpd which
log the referer and agent information.
<LI> Cron-session can take a while if you have very large log file.
<P>

You will receive an email on the morning telling you what's wrong if 
you've got trouble.
-->
<P><HR ALIGN=CENTER WIDTH=30%><P>
</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">

<H3>&nbsp;Without&nbsp;a&nbsp;<BR>&nbsp;crontab&nbsp;</H3>

</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
<UL>
<LI><B>Unix / Windows</B>
</UL>
<P>
Once all stats have been initialize using the command 'cron-w3perl.pl
-a', you'll be able to update manually your stats by using the following command
'cron-w3perl.pl -e' at least once a week. You can use the web
administration interface or command line.


<!--
<TABLE WIDTH=100% BORDER=1>
<TR>
<TD>
<P>
<B>New in version 2.40</B>, cron-w3perl.pl can be launch to run all
incremental script one by one. NT can't use cron-w3perl, sorry.
<P>
You'll need to call it via the -e flag (cron-w3perl.pl -e).
<P>
You need to launch it at least once a week.
</TD>
</TR>
</TABLE>

<P>
<UL>
<LI><B>Windows</B>
</UL>
<P>
Execute the program at the commands line. Use '-h' to see options available.<BR>
After having configured the config.pl script, you can run cron-pages.pl.
Wait for the process to finish and check the result.
Never use again cron-pages now, use instead cron-inc.pl, it will compute
incremental stats by scanning only the previous day.
Cron-inc is able to scan the 7 last previous day, so you don't have to run it daily
if you want. If you forget to run it for a week or more, run cron-pages or use the
-s option in cron-inc (but it will be faster to use cron-pages if you are very late).<BR>
So run :
<UL>
<LI>cron-pages for the first time or if you forget to run cron-inc for a while.
<LI>cron-inc for a daily incremental stats
</UL>
Then run :
<UL>
<LI>cron-hour to have hourly stats (each hour)
<LI>cron-day to have daily stats (once a day)
<LI>cron-week to have weekly stats (once a week)
<LI>cron-month to have monthly stats (once a month)
</UL>
Except for hourly stats, the results will be updated from the last time you ran
the scripts...you won't loose any data if you don't run the scripts every day.
<P>
If you don't see a link for the monthly or weekly stats, the reason is your logfile
doesn't contains enough data to compute them at the moment.
To have more information, you can run optionnal scripts :
<UL>
<LI>cron-agent to have agent stats
<LI>cron-refer to have referer stats
<LI>cron-url to have stats about your web pages (a map between url and name of the HTML document is also done)
<LI>cron-session to have session stats
<LI>cron-error to have error stats
</UL>
You can run them when you want ; once a week is enough for me.
You will need to wait a day for having a link from the homepage as the update is made by cron-inc.
<P>
-->
</BLOCKQUOTE>
</TD>
</TR>
</TABLE>
</body>
</html>
