<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl FAQ</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%">
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP ALIGN=CENTER>
<H1><FONT COLOR="#209090">FAQ</FONT></H1>
</TD>
</TR>
<TR>
<TD WIDTH=120 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">
<div class="margintable_small">Questions</DIV>
</TD>
<TD VALIGN=TOP>

<UL>
<LI><B>Customisation</B>
<OL>
<LI> I would like to use my own <A HREF="#logo">logo</A> in the W3Perl homepage, how do I proceed ?
<LI> I don't have any <A HREF="#graphs">graphs</A> in the HTML pages. What's wrong ?
<LI> I would like W3Perl to output reports in my own <A HREF="#language">language</A>.
<LI> I would like to use my own <A HREF="#background">background</A> image.
</OL>
<LI><B>Installation</B>
<OL>
<LI> Can I use W3Perl with my <A HREF="#virtual">virtual server</A> ?
<LI> Should I install all the package in my <A HREF="#install-cgi">cgi-bin</A> ?
<LI> I would like to install W3Perl on my <A HREF="#install-provider">provider</A>. What do I need ?
<LI> Your configuration file seems to be too <A HREF="#complex">complex</A> for a beginner like me.
<LI> Could you <A HREF="#install-me">install</A> the package for me ?
<LI> Can I install W3Perl on a <A HREF="#standalone">standalone PC</A> without any server running ?
<LI> When using the RPM package, I have the following <A HREF="#server_error">server error</A> : "Forbidden - You don't have permission to access /cgi-bin/w3perl/confstat.pl on this server". What's wrong ?
<LI> Why can't I use the latest <A HREF="#fly2">Fly</A> 2.0.0 ?
</OL>
<LI><B>Logfile</B>
<OL>
<LI> I've changed my webserver logformat from <A HREF="#CLF2ECLF">CLF to ECLF</A>.
<LI> I was using ECLF format but now I'm using Squid which can only output <A HREF="#ECLF2CLF">CLF</A> logfiles.
<LI> Any support for <A HREF="#ftplog">FTP logfile format</A> or others formats ? 
<LI> I <A HREF="#tag">do not have access</A> to my logfile
<LI> I want to process my logfile which is only  <A HREF="#twodayslong">one day long</A>
<P>

</OL>
<LI><B>Setup</B>
<OL>
<LI> W3Perl is <A HREF="#open">unable to open</A> the log file...
<LI> <A HREF="#run_interface">Permission denied</A> from the web interface
<LI> I can't run the stats <A HREF="#run_interface2">from the web interface</A>.
<LI> Setting the <A HREF="#reversedns">reverse dns</A> on take hours.
</OL>
<LI><B>Output</B>
<OL>
<LI> There are several text holes in the <A HREF="#countries">countries list</A>. Why ?
<LI> I don't find <A HREF="#myhost">my hosts server</A> in the file produced. Why ?
<LI> I've choosen to log the domain activity but the package show no activity from my <A HREF="#domain">domain accesses</A>.
<LI> Cron-pages.pl stop with a message that <A HREF="#oneday">nothing will be output</A>
<LI> <A HREF="#nofiles">No files</A> are produced.
<LI> The initialisation is very <A HREF="#slow">slow</A> (cron-pages.pl)
<LI> I just need to run stats <A HREF="#between">between two date</A> or I want stats about a <A HREF="#between">specific day</A>.
<LI> The daily graph show me only <A HREF="#fewdays">few days</A> ago but I would like to view stats  deeply in the past.
<LI> I would like to exclude stats from some <A HREF="#mycountry">countries</A>.
<LI> I have some <A HREF="#jsp">JSP files</A> on my server and don't see them in the report
<LI> Trying to launch the script from the admin interface, I have a <A HREF="#creating">'Problem creating directory'</A> warning.
<LI> I want to exclude my own <A HREF="#robot">robot</A>, how do I proceed ?
<LI> The script report <A HREF="#nosession">no session</A> found.
<LI> I want to see my <A HREF="#php">php files</A> as html files.
<LI> How to activate <A HREF="#screensize">screen size stats</A> ?
<LI> I have <A HREF="#nolog_provider">no access to my log</A> files on my provider host.
<LI> I don't want to use my <A HREF="#local_cpu">provider CPU</A>.
<LI> How can I upgrade the <A HREF="#blacklist">referer spam blacklist</A>
<LI> I would like to add my own <A HREF="#fileext">file extension</A> which are seen as 'Unknown' in the output
<LI> Some hosts are seen as <A HREF="#referspam">referer spam</A> but are in fact trusted hosts, how can I remove them from this list ?
<LI> I just want to <A HREF="#refresh">refresh</A> the main page.
<LI> Is there a way to check <A HREF="#filetype_download">who downloaded mp3 files</A>.
</OL>
<LI><B>Windows</B>
<OL>
<LI> Does W3Perl run on <A HREF="#win2000">Windows 2000, XP or Vista</A> ?
<LI> I have <A HREF="#slash2000">trouble</A> running W3Perl for the first time
<LI> I'm using the <A HREF="#iis-windows">Microsoft logfile format</A> instead of the W3C default. How to change the default IIS configuration file ?
<LI> Could I use <A HREF="#UNC">UNC</A> path ?
</OL>
</UL>

</TD>
</TR>

<TR>
<TD WIDTH=130 VALIGN=TOP ALIGN=CENTER BGCOLOR="#39FFFF">
<div class="margintable_small">Answers</DIV>
</TD>
<TD VALIGN=TOP>


<BLOCKQUOTE>
<DIV CLASS="item_page2">Customisation</DIV>
<P>

<A NAME="logo"></A>
<B>>  I would like to use my own logo in the W3Perl homepage, how do I proceed ?</B>

<P>

<I> This image is located within the $logo variable in your configuration
file, the default file is /resources/logo.png, you'll need to put your image with this name in /resources/.
With the latest package, you can specify a file located in a your web tree or in a different server. 
</I>
<P>

<A NAME="graphs"></A>
<B>> I don't have any graphs in the HTML pages. What's wrong ?</B>

<P>
<I>Something is missing....make sure you have <A HREF="need.html">Fly</A> somewhere in your system. Check also the path for 
Fly in your <A HREF="config.html">configuration file</A>.
</I>
<P>
<A NAME="language"></A>


<B>> I would like W3Perl to output reports in my own language</B>

<P>
<I>
Everything is located in the /resources/lang/ directory. Copy the uk.pl to
another file to replace the second part of each line with your own words.
When everything have been done, contact me to include your work in the
next release.
</I>
<P>
<A NAME="background"></A>

<B>> I would like to use a background image</B>

<P>
<I>
In the administration interface, you can choose to use a background image file. There are
three ways to fill the field :
<BR>
- Use an URL like http://www.foo.com/background.gif<BR>
- Use an absolute link to your website like /background.gif<BR>
- Put your background file in the W3Perl resources directory (default is paper_background.gif)
</I>
<BR>
But best is to change the w3perl.css stylesheet.
<P>

<DIV CLASS="item_page2">Installation</DIV>

<P>
<A NAME="virtual"></A>

<B>> Can I use W3Perl with my virtual server ?</B>

<P>
<I>
Of course you can. You just need one separate configuration file for
each of your server. W3Perl will load your configuration file and save data for
each server according to your configuration choices. W3Perl need to be
installed only once.
</I>
<P>
<A NAME="install-cgi"></A>

<B>> Should I install all the package in my cgi-bin ?</B>

<P>
<I>
No, only part of the package need to be located in your cgi
directory. HTML documentation files and graphics files ressources need
to be located in a web directory. Note that W3Perl can be installed
on a host without cgi, it just means web administration are not available.
</I>
<P>
<A NAME="install-provider"></A>

<B>> I would like to install W3Perl on my provider. What do I need ?</B>

<P>
<I>
You'll need to use the 'provider' installation. First ask your
provider if you have a cgi-bin directory (are you allowed to launch 
scripts ?), where are located the logfiles (access to data), where is Perl (is
Perl installed ?) and your server path (where your server have been installed).
<BR>
If you can't run W3Perl on your provider host, you can still install
W3Perl locally, download your logfiles from your provider and process
locally the files.
</I>
<P>
<A NAME="complex"></A>

<B>> Your configuration file seems to be too complex for a beginner like me.</B>

<P>
<I>
Use the administration interface. If you find something unclear, ask me and
I'll add more help. You should have a Web server running in order to
run the admin interface scripts (located in a cgi directory).
</I>
<P>
<A NAME="install-me"></A>

<B>> Could you install the package for me ? </B>

<P>
<I>
I'm sorry but I can't do that due to the lack of spare time. If you
have any trouble, feel free to contact me, I will help you as much as
I can.
</I>
<A NAME="standalone"></A>
<P>

<B>> Can I install W3Perl on a standalone PC without any server running ?</B>

<P>
<I>
<B>- Windows</B>
<BR>
First, you'll need to download the w3perl.exe binary
for Windows.. Forget about the administration interface which is build around cgi (and which need a server to run).
You'll have to build your configuration file manually. Use
config/config-win.pl as a template. See /docs/uk/config_manual.html
for help.
You can also use the online tool to build your configuration file but your file will be available to all as a 
template.
<BR>
Run cron-w3perl.pl -c config-win.pl with the '-a' flag to init or the '-e' flag to update.
<BR><BR>
<B>- Unix</B>
<BR>
Uncompress and untar the package where you want. Edit the install.pl
script to modify the $pathw3perl path (forget other path) and run it. 
Second, edit one of the configuration file provided inside the config directory and modify it
with your own paths. Or you use the online tool to build your configuration file. 
Then run cron-w3perl.pl -c &lt;config_file&gt;.
Use the '-a' to init and '-e' to update.
(if you use Reverse DNS, your computer should be connected to Internet to
make request to a DNS server)
</I>

<P>
<A NAME="server_error"></A>

<B>> When using the RPM package, I have the following server error : "Forbidden - You don't have permission to access /cgi-bin/w3perl/confstat.pl on this server". What's wrong ?</B>

<P>
<I>
It means you can't use cgi on your server. In order to be able to use them, edit your httpd.conf and add these two 
lines 'Order allow,deny' followed by 'allow from all' in the &lt;Directory /var/www/cgi-bin&gt; directive.
</I>
<P>
<A NAME="fly2"></A>

<B>> Why can't I use the latest Fly 2.0.0 ?</B>

<P>
<I>
The latest Fly is based on the latest gd1.8 which don't have anymore support for GIF output. Fly 1.6.5 is the
latest package which support GIF output. Some linux distribution provide a patched Fly 2.0 with gif support.
</I>

<DIV CLASS="item_page2">Logfile</DIV>
<P>
<A NAME="CLF2ECLF"></A>

<B>> I've changed my webserver logformat from CLF to ECLF</B>

<P>
<I>
Good idea ;) You'll need to modify your configuration file. Just specify ECLF instead of
CLF !
</I>
<P>
<A NAME="ECLF2CLF"></A>

<B>> I was using ECLF format but now I'm using Squid which can only output CLF logfiles.</B>

<P>
<I>
Squid store referer and agent logfile in separate files. So you'll need to modify your
configuration file in order to give W3Perl the location of these files. That's all you
need to modify. The main stats will still parse your logfile as ECLF but will ignore
the missing data.
</I>
<P>
<A NAME="ftplog"></A>

<B>> Any support for FTP logfile format or others formats ?</B>

<P>
<I>
FTP support have been added since February 2007. Tests have been done
with Proftpd and wu-ftpd servers.
<BR>
SMTP support have been added since May 2007 with exim,postfix and
sendmail servers.
<BR>
Queries for Domino and Firewall logfiles have been asked.
</I>

<P>
<A NAME="tag"></A>
<B>> I do not have access to my logfile</B>
<P>
Put the following javascript tag inside each page you want to
monitor. Best is to include this tag just before the &lt;/body&gt; tag.
<BR>
&lt;script type="text/javascript" src="/&lt;w3perl_install_dir&gt;/resources/js/w3perl_tag.js"&gt;&lt;/script&gt;
<BR>
where &lt;w3perl_install_dir&gt; is the directory where w3perl have
been installed. 
<BR>
A daily logile will be created. You'll have to wait
the next day before computing the stats. Don't forget to password
protect the w3perl /logs/ directory and make sure this directory is
writeable by the webserver<BR>
W3Perl should have been installed at the web server root or you'll
have to alter the src target in the provided javascript tag.
<BR>
PHP should be enabled within your server.
<P>
<A NAME="twodayslong"></A>
<B>> I want to process my logfile which is only one day long</B>
<P>
If you have a warning message when running the stats for the first time which
tells you you need to have a two days long logfile, you can remove this
warning by editing the cron-pages.pl script and comment the line : <BR>
next if ($date eq $today);
<BR>
<P>
<DIV CLASS="item_page2">Setup</DIV>
<P>
<A NAME="open"></A>

<B>> W3Perl is unable to open the log file...</B>

<P>
<I>The server's logfile should be readable by users (but not writeable
of course !). Ask nicely your admistrator system to rectify this.
A 'chmod 644' on the log file is enough to run W3Perl.
</I>
<P>
<A NAME="run_interface"></A>

<B>> Permission denied when running scripts from the web interface</B>

<P>
<I>
The output directory should be writeable by the server, and usually
the user which run the server have the fewer privilege. Create the
output directory manually and change the permission owner to able your
server to write in.
<BR>
Another problem could arise if you run a scripts at the command line
with your account and try then to launch the script from the web
interface. People have more privilege than the web user so from the
web interface, the script won't be able to read/write your own file.
</I>
<P>
<P>
<A NAME="run_interface2"></A>

<B>> I can't run the stats from the web interface</B>

<P>
<I>
If your browser send you back the script instead of running it, it
means there was an error during the processing. Check the perl modules
you want to use are installed. Run the check_modules.pl script and
install the missing modules. Problem fixed in 2.994.
</I>
<P>
<A NAME="reversedns"></A>
<B>> Setting the reverse dns on take hours.</B>
<P>
<I>
Querying a DNS can take several seconds for each IP ... To get things
speed up, you can use the geo::ip module which is a DNS reverse local
file. You can also convert your IP's logfile with some specific tool like
jdresolve or fastresolve which will make multiple concurrent DNS queries.
</I>
<P>
<DIV CLASS="item_page2">Output</DIV>
<P>
<A NAME="countries"></A>

<B>> There are several text holes in the countries list. Why ?</B>

<P>
<I>There are missing country codes in the file "pays-conv" (found in the resources directory). Mail me
about the missing country code and I'll fix this.
</I>
<P>
<A NAME="myhost"></A>

<B>> I don't find my hosts server in the file produced. Why ?</B>

<P>
<I>
* You should first scan your local domain ($locallog = 1). <br>
* Maybe have you put your host in the nolog option ? Remove it so. <br>
* Or maybe your host don't have a right reverse DNS table. In this case,
you should find your host in the unknow country list. <br>
* The package assume name site are no longer than 9 fields.
</I>
<P>
<A NAME="domain"></A>

<B>> I've choosen to log the domain activity but the package show no activity from my domain accesses.</B>

<P>
<I>
Well, two possibilities : nobody use your server from your
local domain or maybe you have made a mistake in the $localserver
variable. <A HREF="config.html">Check this.</A>
</I>
<P>
<A NAME="oneday"></A>

<B>> Cron-pages.pl stop telling me nothing will be output</B>

<P>
<I>
* Check your $tri variable. It should be "/" if you want to scan all
your log file or a subdirectory to scan only a part of your log file. Perhaps
you try to scan the logfile with a directory you don't have in your server.<br>
* Maybe you are excluding all your server from being scanned ! Check @excluderepert in
config.pl<br>
* Log file should be more than one day long to run cron-pages.pl.
Wait the next day to have a bigger logfile or use <A HREF="#twodayslong">this tip</A>.<br>

</I>
<P>
<A NAME="nofiles"></A>

<B>> No files are produced.</B>

<P>
<I>Are your directories writeable ? Have you selected one language ouput in @lang ?
</I>
<P>
<A NAME="slow"></A>

<B>> The initialisation is very slow (cron-pages.pl)</B>

<P>
<I>
Check your configuration file. Avoid to use the reverse dns option as each
lines of your logfile could take seconds to proceed ! Best is to use a
local reversedns cache file (available with Geo::IP module). If you have large
logfile, use a precision level lower (from 4 to 3). You can also 
<A HREF="multiple.html">compress</A> your logfile to speed up computation.
</I>
<P>
<A NAME="between"></A>

<B>> I just need to run stats between two date or I want stats about a specific day</B>

<P>
<I>
Use cron-page.pl -s &lt;date1&gt; -r &lt;date2&gt; where date1 and date2 have the following syntax : &lt;day&gt;-&lt;month&gt;-&lt;year&gt;
(day, month and year are two digits number).
<BR>
Use cron-inc.pl -j &lt;date&gt; where date have the following syntax : dd/Mmm/yyyy
dd is the day in two digits format, Mmm is the month with first letter upper and yyyy the year in
a 4 digits format.
</I>
<P>
<A NAME="fewdays"></A>

<B>> The daily graph show me only few days ago but I would like to view stats deeply in the past.</B>

<P>
<I>
Use cron-day.pl with the -d flag. Specify the number of days you want to get
back in past.
</I>
<P>
<A NAME="mycountry"></A>

<B>> I would like to exclude stats from some countries.</B>

<P>
<I> 
In your configuration file, your should add in the @nolog variable, the name
of the countries you want to exclude. (@nolog = ('.fr') to exclude french accesses)
</I>
<P>
<A NAME="jsp"></A>

<B>> I have some JSP files on my server and don't see them in the report</B>

<P>
<I>
First you should see them in the 'filetype' area. If you need in fact to treat jsp file
as html files, add 'jsp' in @extension (eg : @extension = ('html','jsp');)
<BR>
You can do the same for other filetype (xml,asp...)
</I>
<P>
<A NAME="creating"></A>

<B>> Trying to launch the script from the admin interface, I have a 'Problem creating directory' warning.</B>

<P>
<I>
If you want to run the stats from the web interface, the server should be allow to make the stats directory
you have defined in your configuration file. Usually a web server have very limited permission (security) so
most of the time, it won't be allow to create a directory. You'll need to manually do the job and set 
permission to 777 to allow the server to write in.
</I>
<P>
<A NAME="robot"></A>

<B>> I want to exclude my own robot, how do I proceed ?</B>

<P>
<I>
Edit the robot.txt file located in the resources directory. You'll just need to add a new entry in the form :
<BR>
"string_identifying_robot_in_my_logfile", "Robot_name",
<BR>
where the first field is a string assuming to identify your robot in the agent field of your logfile. Have a
look inside your logfile to detect this string. The second field is just a more readable form for the 
display. Of course, you can send me your new entry so I'll be able to add it in the current release and you
won't have to modify the robots file each time you want to upgrade the package.
</I>
<P>
<A NAME="nosession"></A>

<B>> The script report no session found.</B>

<P>
<I>
The session stats are based on html pages rather than hits, this is something more accurate and more 
reliable than hits accesses. In facts, session are based on the filetype you put in your @extension
inside your configuration file. So if you need, let's say, session only about mp3 files, just add
this filetype in @extension. But if no requested filetypes are found in the logfile, the script
will report an 'no session found'. So be sure also your requested files have right status code and
have not been rejected by your server.
</I>
<P>

<A NAME="php"></A>
<B>> I want to see my php files as html files.</B>

<P>
<I>
Just add the php extension in @extension.
</I>
<P>
<A NAME="screensize"></A>

<B>> How to activate screen size stats ?</B>

<P>
<I>
You'll have to add a small piece of javascript in your most popular
HTML pages. The script is located in the resources/js/ and named
misctstats.js. You'll have to create a js directory on your server root
and put this script inside. Then add the two lines found in the script
comments in some of your HTML pages (basically homepage).
The location of the miscstats.js can be changed but you'll need to
change also the links in these two lines.
</I>
<P>
<A NAME="nolog_provider"></A>

<B>> The logfiles are located on another host on my provider host.</B>

<P>
<I>
The latest W3Perl is able to retrieve remote log files if they are
available from http or ftp. 
</I>
<P>
<A NAME="local_cpu"></A>

<B>> I don't want to use my provider CPU.</B>

<P>
<I>
So the best way is to retrieve your log files locally and run W3Perl
on your own computer. Look inside the tools directory. There are
scripts to retrieve log files from a provider and the running the stats.
<BR>
The latest W3Perl is able also to retrieve remote logfiles.
</I>
<P>
<P>
<A NAME="blacklist"></A>

<B> How can I upgrade the referer spam blacklist</B>

<P>
<I>
Latest blacklist files can be retrieve from this <A HREF="http://referrercop.org/blacklist.php">ReferrerCop</A>
</I>
<P>
<A NAME="fileext"></A>

<B>> I would like to add my own file extension which are seen as 'Unknown' in the output</B>

<P>
<I>
Edit the fileext file located in the resources directory. You'll just
need to add a new entry in the form :<BR>
&lt;File extension name&gt; &lt;space&gt; &lt;extension&gt;
&lt;space&gt; &lt; extension category&gt;
<BR>
for instance : AVI movie (.avi) 4
<BR>
where "AVI movie" is the file extension name, "(.avi)" is the file extension
and "4" the category (here Multimedia, see the first few lines of the file).
<BR>
</I>
<P>
<A NAME="referspam"></A>

<B>> Some hosts are seen as referer spam but are in fact trusted hosts, how can I remove them from this list ?</B>

<P>
<I>
The list of referer spammer is in the file resources/referrer-standard.txt<BR>
Edit this file and remove the unwanted hosts.
</I>
<P>
<A NAME="refresh"></A>

<B>> I just want to refresh the main page</B>

<P>
<I>
Just run the cron-pages.pl script with the -u flag (u for 'update').
</I>
<P>
<A NAME="filetype_download"></A>
<B>> Is there a way to check who downloaded mp3 files.</B>
<P>
<I>
Yes you can, you'll need to make another configuration file using : @extension = ('mp3'); and
activate the highest level of precision ($precision = 4).
</I>
<P>
<DIV CLASS="item_page2">Windows</DIV>
<P>
<A NAME="win2000"></A>

<B>> Does W3Perl run on Windows 2000, Win XP, Vista or Seven ?</B>

<P>
<I>
Yes. You need to have an Web server running and StrawberryPerl or ActivePerl installed in order
to run w3perl. If you don't have any web server running, you
should use the w3perl.exe binary (see below).
</I>
<P>
<A NAME="win_noserver"></A>

<B>> I don't have an IIS server running, but I would like to process my provider logfiles</B>

<P>
<I>
Use w3perl.exe which just need Perl to run. You'll be able to process
your own logfiles locally. Configuration file need to be edited manually or you can
use the online tool. See documentation or ask for help in the forum.
<BR>
If your logfiles are available from an URL, W3Perl will be able to
retrieve them before processing.
</I>
<P>
<A NAME="slash2000"></A>

<B>> I have trouble running W3Perl for the first time</B>

<P>
<I>
If your server send you the following message : "
The specified CGI application misbehaved by not returning a complete set of HTTP headers", most likely you have
used '\' instead of '/' for the path in your configuration file. Backslashes are special characters in Perl and
Windows Perl can cope with unix pathname so use forward slashes '/' instead.
</I>
<P>
<A NAME="iis-windows"></A>

<B>> I'm using the Microsoft logfile format instead of the W3C default. How to change the default IIS configuration file ?</B>

<P>
<I>
Use the web administration interface and select the 'modify
configuration' section. Then change the default W3C logfile format to
Microsoft.  Submit the forms until the last page to save the modified
configuration file. You are then ready to launch the stats.
</I>

<P>
<A NAME="UNC"></A>

<B>> Could I use UNC path ?</B>

<P>
<I>
Yes but don't use '\' but rather '/' in path. If your logfiles are
located in a shared hidden directory, use @fileroot = ('//computer_host/logs$/');
</I>



<P>
</BLOCKQUOTE>
</TD>
</TR>
</TABLE>
</body>
</html>
