<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl ftp installation</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE WIDTH="100%" CELLSPACING=0 CELLPADDING=0 BORDER=0>
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
<CENTER>
<H1><FONT COLOR="#209090">Provider installation</FONT></H1>
<P>

This manual have been written thanks to <I>Lawrence Gray</I> (updated 2011/11)

<BR>

<H3><FONT COLOR="#0000FF">HOW TO USE FTP TO SET UP THE W3PERL SCRIPT ON YOUR WEB SITE</FONT></H3>
</CENTER>

<BR>
<FONT COLOR="#A020A0"><B>- Note</B></FONT> : <FONT COLOR="#A02020"></FONT>
<P>

Installing W3Perl on your provider host may not be a good idea as the package require CPU and can eat a large amount of RAM.
<BR>
If your logfiles are available from an URL, W3Perl can retrieve them locally before processing, avoiding the need to
install the package on your provider server. If they cannot be downloaded from an URL, you can still do it using a scheduler.
<BR>
If so, just install W3Perl locally (<A HREF="windows.html">Windows</A> or <A HREF="local.html">Unix</A>).
Activate in the configuration file the option to retrieve automatically your logfiles if they are located in your web server tree or download them locally.
<BR>

It is really easier to install W3Perl this way and it will save your provider CPU .. who will be very happy.
But real time stats won't be available except if you download your current logfile quite often.
<P>
If you really want to install W3Perl on your provider, follow these instructions :
<P>

<FONT COLOR="#A020A0"><B>- Overview</B></FONT> : <FONT COLOR="#A02020"></FONT>
<P>

Basically what you'll need to do is :
<BR>
<OL> 
<LI> downloading the package (w3perl.tar.gz for an unix server)
<LI> unzipping it
<LI> editing two variables in a file (/w3perl/admin/scripts/init.pl)
<LI> uploading the files using ftp
<LI> changing some file permissions
</OL>
<P>

Once done, you could use the web admin interface to build your configuration file. Then run your stats.
<P>

<FONT COLOR="#A020A0"><B>- 1st STAGE</B></FONT> : <FONT COLOR="#A02020">Pre-requis</FONT>
<P>
- Things to check :
<P>
<OL>
<LI>First of all, do you have access to your log files ? <I>(*)</I>
<LI>Do you know the path to your log files ? <I>(**)</I>
<LI>Do you have cgi-bin rights ?
</OL>
<P>
If the answer is yes, then you can use this package. 
<P>
<I>(*) If you do not have logfiles access, you can install the page tagging package. Inserting a small piece of javascript
into your pages will create logfiles for you.
</I>
<P>
<I>(**) If your log path is not available, you can still download your logfiles and put them in /w3perl/logs/ so they will
be seen by the package.</I>

<P> 
- The next things to know are the <FONT COLOR="#20A0A0">PATH</FONT> to your account, the <FONT COLOR="#20A0A0">CGI PATH</FONT> (location where you can upload cgi scripts), and the <FONT COLOR="#20A0A0">Perl PATH</FONT> of your provider.
<BR>
- If you do not know what the path are, ask your ISP. It's the most basic piece
of information that you need for setting up CGI scripts. You can also upload an php file with the following line &lt;?php print getcwd(); ?&gt; in your web server tree and watch the output when viewing this file with your browser.

<BR>
- Now make two directories called w3perl in your web.  Make one for your
cgi-bin (<FONT COLOR="#20A0A0">W3Perl CGI PATH</FONT>) and one for your root directory (<FONT COLOR="#20A0A0">W3Perl PATH</FONT>).
<P>
<FONT COLOR="#A020A0"><B>- 2nd STAGE</B></FONT> : <FONT COLOR="#A02020">Configure path</FONT>
<P>
- Next you need the w3perl package. 
<A HREF="http://www.w3perl.com/download/">Download</A> the w3perl.tar.gz package and unzip this on your
own computer.
<BR>
- In order to build your configuration file, a web interface is available. If you want to use it, you will need to 
open the file <FONT COLOR="#A02020">/w3perl/admin/scripts/init.pl</FONT> in notepad.
If you do not want to install the web interface on your website, skip the next two steps (configuration files
can be edited manually or built from the w3perl website)
<BR>
- Check your <FONT COLOR="#20A0A0">Perl path</FONT> is right (first line)
<BR>
- Set <FONT COLOR="#20A0A0">$cgipath</FONT> = "/www/yourpath/cgi-bin/w3perl"; (<FONT COLOR="#20A0A0">W3Perl CGI PATH</FONT>) and <FONT COLOR="#20A0A0">$w3perlpath</FONT> = "/www/yourpath/w3perl"; (<FONT COLOR="#20A0A0">W3Perl PATH</FONT>)
<P>

<FONT COLOR="#A020A0"><B>- 3rd STAGE</B></FONT> : <FONT COLOR="#A02020">Install the scripts</FONT>
<P>
- What you have here may confuse you because various files are scattered
through a number of directories, but essentially find all the .pl files in
the collection and put them into your cgi-bin's w3perl directory (<FONT COLOR="#20A0A0">W3Perl CGI PATH</FONT>).
<BR>
- Here are the files that I use in my cgi-bin and I assume that if you have
them then yours will also work:
<P>
<TABLE>
<TR>
<TD VALIGN=TOP>
<UL>
<LI>cron-pages.pl
<LI>cron.inc.pl
<LI>cron-w3perl.pl
<LI>cron-refer.pl
<LI>cron-agent.pl
<LI>cron-session.pl
<LI>cron-url.pl
<LI>libw3perl.pl
<!-- <LI>fixerlpath.pl -->
</UL>
</TD>
<TD VALIGN=TOP>
<UL>
<LI>cron-hour.pl
<LI>cron-day.pl
<LI>cron-week.pl
<LI>cron-month.pl
<LI>cron-year.pl
<LI>cron-error.pl
<LI>cron-history.pl
<LI>cron-heatmap.pl
</UL>
</TD>
<TD VALIGN=TOP>
<UL>
<LI>dayrange.pl
<LI>pagegraph.pl
<LI>check_modules.pl
<LI>dayrange.pl
<LI>pagesend.pl
<LI>confstat.pl <I>(*)</I>
<LI>delconf.pl <I>(*)</I>
<LI>runconf.pl <I>(*)</I>
<LI>init.pl <I>(*)</I>
<LI>schedule.pl <I>(*)</I>
</UL>
</TD>
</TR>
</TABLE>

<I>(*) Install them if you want to use the web interface to manage your stats/configuration files</I>

<P>
- Upload them in <FONT COLOR="#20A0A0">ASCII</FONT> not Binary mode.
<BR>
- Set them all to <FONT COLOR="#20A0A0">CHMOD 755</FONT>
<P>
<FONT COLOR="#A020A0"><B>- 4th STAGE</B></FONT> : <FONT COLOR="#A02020">Install the resource files</FONT>
<P>
- In the w3perl directory (<FONT COLOR="#20A0A0">W3Perl PATH</FONT>) in your root directory load in the following directories:
<P>
<UL>
<LI>admin (excluding /admin/scripts/ scripts)
<LI>config
<LI>docs
<LI>resources
<LI>logs
<LI>tools (windows server only)
</UL>
<P>
With all their contents!
<P>
- Set /config/ and /resources/admin/ with <FONT COLOR="#20A0A0">CHMOD 777</FONT>
<P>

- Then upload also :
<P>
<UL>
<LI>index.html
<LI>VERSION
</UL>
<P>
<FONT COLOR="#A020A0"><B>- 5th STAGE</B></FONT> : <FONT COLOR="#A02020">Security</FONT>
<P>

- Don't forget to password protect your /w3perl/admin/ directory or anyone would be able to use w3perl.
<BR>
- You can also password protect your w3perl's output directory if reports will not be publicy available.
<BR>
- If you are using the /w3perl/logs/ to store your logfiles, protect it.
<P>
<FONT COLOR="#A020A0"><B>- 6th STAGE</B></FONT>
: <FONT COLOR="#A02020">Graphic tool installation</FONT> (optionally)
<P>
- W3Perl now use a javascript library to build graphs but it you want
the old way, you will need a Graphical display of your statistics you need a programme
called <FONT COLOR="#20A0A0">Fly</FONT> or <FONT COLOR="#20A0A0">Flydraw</FONT>
<BR>
- Ask your ISP what Operation System they are using and then go to <A HREF="http://www.unimelb.edu.au/fly/fly.html">http://www.unimelb.edu.au/fly/fly.html</A>
<BR>
- Download the <FONT COLOR="#20A0A0">READY COMPILED BINARY</FONT> for that operating system. If they do not
have one for your particular operation system then you can try asking the
people there or you can get hold of the SOURCE file and give it to your ISP
and ask them to do you one.
<BR>
- If you can get hold of a <FONT COLOR="#20A0A0">READY COMPILED BINARY</FONT> all you need do is download the zipped package,
<BR>
- Unzip and ignore everything in the package apart from one file called FLY.
<BR>
- Place this in your cgi-bin and <FONT COLOR="#20A0A0">CHMOD it 775</FONT>
<BR>
- Remember where you put it because you will have to fill that in during the
configuration process.
<BR>
- If you cannot get hold of a copy, you need to use the jqplot,
javascript library.
<P>

<FONT COLOR="#A020A0"><B>- 7th STAGE</B></FONT> : <FONT COLOR="#A02020">Build configuration file</FONT>
<P>
- If you have chosen to install the web interface, you can now open up your browser and go to 
http://&lt;localhost&gt;/w3perl/admin/ where &lt;localhost&gt; is the server name where files have been uploaded.
If you want to edit manually your configuration file, some are provided in the /w3perl/config/ directory. You could
always use the <A HREF="http://www.w3perl.com/config/">w3perl online tool</A>
<BR>
<!--
- Click on <FONT COLOR="#20A0A0">Update scripts</FONT>. If there is something wrong, check the paths you wrote in fixperlpath.pl (This should set all the paths in all the files).
<BR>
-->
- Click on <FONT COLOR="#20A0A0">Make configuration files</FONT> and follow the procedures outlined. By
filling in the details you will create a file called <FONT COLOR="#20A0A0">config.pl</FONT>. Best is to use your
own configuration filename (config-&lt;website_name&gt; for instance).
<BR>
- Once created, look for this file in your FTP area /w3perl/config/config-&lt;website_name&gt;.pl and copy
it to the w3perl directory in your cgi-bin (if you have a warning message at the end of the process).
<BR>
- <FONT COLOR="#20A0A0">CHMOD to 755</FONT>
<P>
<FONT COLOR="#A020A0"><B>- 8th STAGE</B></FONT> : <FONT COLOR="#A02020">Ready</FONT>
<P>
- You should now be able to analyse your logs.
<BR>
- Return to your browser. Go to admin and click on <FONT COLOR="#20A0A0">Launch scripts</FONT>
<BR>
- Select the 'Init' icon to launch stats that will start your statistics from zero.
<BR>
- Then run the incremental statistics function every day/week to accumulate your statistics.
<BR>
- You should be aware you could get some timeout if the scripts take too
long to compute .... providers can't allow scripts to run too long. If it
happens, try to compute stats within a shorter number of days ... or run the scripts from command lines instead of a web interface ... or disable some time consuming option (reverse dns or robot detection) ... or install W3Perl locally ;)
<P>
</BLOCKQUOTE>
</TD>
</TR>
</TABLE>
</body>
</html>
