<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl RPM installation</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE WIDTH="100%" CELLSPACING=0 CELLPADDING=0 BORDER=0>
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP>
<CENTER>
<H1><FONT COLOR="#209090">RPM installation</FONT></H1>
<P>
</CENTER>
<P>
<BLOCKQUOTE>
<BR>
<BR>
If you are running Linux, this is the easy way to install the package.
W3Perl RPM have been built on a Mandriva but it should also works with any distributions
supporting rpm tools. You need to log as root.
<P>
Default location is :
<TABLE CELLPADDING=3>
<TR>
<TD BGCOLOR="#EEEEEE">&nbsp;</TD>
<TH BGCOLOR="#EEEEEE">CentOS / Fedora / RedHat</TH>
</TR>
<TR>
<TD BGCOLOR="#EEEEEE">Webserver</TD>
<TD ALIGN=CENTER>/var/www/html/</TD>
</TR>
<TR>
<TD BGCOLOR="#EEEEEE">Cgi</TD>
<TD ALIGN=CENTER>/var/www/cgi-bin/</TD>
</TR>
<TR>
<TD BGCOLOR="#EEEEEE">Logfiles</TD>
<TD ALIGN=CENTER>/var/logs/httpd/</TD>
</TR>
</TABLE>
<P>
<P>Default logfile format is ECLF.
<P>
The default configuration file is config-mdv.pl
<P>
<FONT COLOR="#A020A0"><B>* First Step :</B></FONT> <FONT COLOR="#A02020">Requirement</FONT>
<P>
You should have an Apache webserver running.
<P>
<FONT COLOR="#A020A0"><B>* 2nd Step :</B></FONT> <FONT COLOR="#A02020">Install W3Perl</FONT>
<P>
Just type :
<BR>
<I>rpm -ivh w3perl-<I>&lt;version&gt</I>-&lt;subversion&gt;mdv.noarch.rpm</I> where <I>&lt;version&gt</I> is the current release number.
<BR>
or <I>rpm -Uvh w3perl-<I>&lt;version&gt</I>-&lt;subversion&gt;mdv.noarch.rpm</I> if you want to upgrade from a previous installation.
<P>
Files will be installed to the proper location with the right path. Files Group/Owner are apache (httpd user).
<P>
RPM are build as relocatable so installation can be done in another location.
<P>
If you need to remove these packages, just use <I>rpm -e w3perl-&lt;version&gt;-&lt;subversion&gt;mdv</I>.
<P>
<FONT COLOR="#A020A0"><B>* 3rd Step :</B></FONT> <FONT COLOR="#A02020">Permission</FONT>
<P>
Two directories shoud be writeable by the server if you want to use the administration interface :
<BR>
 - /w3perl/config/ and /w3perl/resources/admin/, so chmod 777 if not.
<BR>
- Also /w3perl/resources/admin/locconf and /w3perl/config/ should be writeable so chmod 666.
<P>
- Edit the admin/pass.txt file if your IP doesn't match 127.0.0.1 and add your local IP
<P>
<FONT COLOR="#A020A0"><B>* 4rd Step :</B></FONT> <FONT COLOR="#A02020">Configuration</FONT>
<P>
W3Perl need a configuration file to run. 
A default configuration file (config-example-ubuntu.pl) is provided so the scripts are ready to run. But some fields need
to be edited as your server domain name. Go to the administration interface (http://127.0.0.1/w3perl/admin/)
and use the config-example-ubuntu file as a template ('clone' option)<BR>
That's all !
<P>
<FONT COLOR="#A020A0"><B>* 5th Step :</B></FONT> <FONT COLOR="#A02020">Optional software</FONT>
<P>
Geo-IPfree or Geo-IP perl module allow geographical mapping from IP addresses. 
Install package geoip and perl-Geo-IP.
If you can't install these packages, you can them download them and install them manually :
<UL>
<LI> Fly/Flydraw : generate GIF graphics (latest W3Perl version use a javascript library) 
<LI> GeoIP : You need first to install the GeoIP C Library (configure, make, make install) then the Geo-IP perl module (perl Makefile.PL, make, make test, make install)
<LI> Geo-IPfree :  Same as geoIP but free (perl Makefile.PL, make, make test, make install)
<LI> HTMLDoc to allow PDF output
<LI> Perl MIME::Lite module to allow report to be send by email
</UL>
<P>
See the <A HREF="plugin.html">plug-in</A> page to get more informations.
</BLOCKQUOTE>
</TD>
</TR>
</TABLE>
</body>
</html>
