<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl Virtual hosts</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY  TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%">
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP ALIGN=CENTER>
<H1><FONT COLOR="#209090">Virtual Host Installation (Apache)</FONT></H1>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP BGCOLOR="#39FFFF">

</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
<P>
If you need to install w3perl for each of your virtual hosts, you only
need to install the package once (easier for upgrade !).
You'll need to make first a master installation on one server and then use
the installation described here for others.
<P>
<B>* Master installation</B>
<P>
The first step is to install a master installation of w3perl.
If you are using an Apache server, just use 'install.pl -a'. If it fails,
edit $pathcgi and $pathw3perl and run it. See <A HREF="install.html">specific documentation</A> if you need more help.
<P>
<B>* Virtual host installation</B>
<P>
Your virtual host doesn't need to have a cgi directory to be able to install
w3perl.
<P>
<OL> 
<LI><I>As a webmaster</I>
<P>
- All virtual host : <I>install.pl -e</I><BR>
If you want to install w3perl on each virtual hosts, use the '-e' flag.
The script will read the Apache server configuration file and will install
w3perl for each virtual hosts found in this file.
<P>
- One virtual host : <I>install.pl -b</I><BR>
Edit $virtual_web (virtual web directory) , $virtual_web_log (virtual logfile directory), $virtual_www (virtual web name). Then run 'install -b'
<P>
<LI><I> As a client</I>
<P>
Make a symbolic link to the w3perl install.pl script (either in the cgi virtual web directory or in your main directory if you don't have cgi).<BR>
(cd /&lt;vhosts&gt;/cgi-bin/ ; ln -s /&lt;master_install&gt;/cgi-bin/w3perl/install.pl 
install.pl). 
<BR>By running the
script with the -u flag, the current directory will be read from the script
and will find the right parameters from the Apache configuration server.
</OL>
<P>

If the script fail to find your Apache configuration file, you could load
it from command line via the -j flag.

<P>
<B>* Virtual host stats</B>
<P>
<OL> 
<LI><I>As a webmaster</I>
<P>
To run the stats for your virtual hosts, just select the right configuration
file and run cron-w3perl.pl -a -c &lt;virtual_host_config&gt;
<P>
<LI><I> As a client</I>
<P>
You need first to activate the w3perl installation with the 'install.pl -u'
script. Once done, a new script is created in your directory : cron-w3perl.pl
You just need to run this script with the '-a' flag. So two steps are
required :
<UL>
<LI> install.pl -u<BR>
<LI> cron-w3perl.pl -a<BR>
</UL>

<P>
</OL>
<P>
<P>
<B>* Virtual host crontab</B>
<P>
Once the stats completed, you can choose to add the cron-w3perl.pl script
in your crontab. You need to call the 'crontab -e' command from telnet.
A text window will appears, then enter your crontab entry for cron-w3perl.pl
(something like <I>01 00 * * * * /&lt;your_path&gt;/cron-w3perl.pl -e</I>). Then
check with 'crontab -l' your entry is valid.
<P> 
The '-e' flag will run all scripts in a incremental way (saving CPU), 
01 00 means the scripts will be launch at 00 h 01 the night. You need to
run this script only ONCE a day with this flag.
<P>
If you want to get more stats update (every hour), don't use the '-e' flag.
Use 'cron-w3perl.pl -b' to see actual time launch and edit the script if
you need changes. Default should be ok for most people. Then add
cron-w3perl.pl to your crontab without the '-e' flag.
<P>
Client (virtual host) don't need to specify a configuration file to launch
their own cron-w3perl.pl script but webmaster should specify which one
they want to run via the '-c' flag (if no flag, default is config.pl)

<!--
----
There is two ways to install w3perl on each virtual hosts.

1) To install w3perl for each virtual hosts

=> Each virtual host can have its own administration interface
=> Files are being duplicated for each virtual hosts !

2) To install a master w3perl directory and make symbolic links for virtual
hosts

2) on n'installe w3perl qu'une seule fois au niveau du serveur principal mais
dans la sortie des stats de chaque vhosts, il y a aura des appels au serveur principal pour
charger les resources (images par exemple). 
Avantage : mise a jour facile car une seule install
Inconvenient : on fait des appels http:// en dehors du site du vhosts
Inconvenient : l'interface d'admin est sur le site principal
-->
<P>
<HR ALIGN=CENTER WIDTH="30%">
</BLOCKQUOTE>
</TD>
</TR>
<TR>
<TD WIDTH=130 VALIGN=TOP  ALIGN=CENTER BGCOLOR="#39FFFF">
<I><FONT SIZE=4>Examples</FONT></I></TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
<B>* Master installation</B>
<OL>
<LI> Download fly.tar.gz
<LI> Uncompress the package in /&lt;master&gt;/htdocs/
<LI> cd fly and type 'make'
<LI> Move the fly binary to /&lt;master&gt;/cgi-bin/
<LI> Download w3perl.tar.gz
<LI> Uncompress the package in your  /&lt;master&gt;/htdocs/
<LI> cd w3perl and edit install.pl
<LI> Change $pathcgi to /&lt;master&gt;/cgi-bin/w3perl/ and $pathw3perl to /&lt;master&gt;/htdocs/w3perl/
<LI> Run install.pl
<LI> Use your browser to http://&lt;your_webserver&gt;/w3perl/admin/
<LI> Make your configuration file by following the forms
<LI> cd to /&lt;master&gt;/cgi-bin/w3perl/
<LI> Run cron-w3perl.pl -a to init your main stats
<LI> Add cron-w3perl.pl -e for daily update of your stats in your crontab
</OL>
<P>
<B>* Vhost installation</B>
<OL>
<LI> cd /&lt;vhost&gt;/
<LI> Make a symbolic link to /&lt;master&gt;/htdocs/w3perl/install.pl
<LI> Run install.pl -u
<LI> A cron-w3perl.pl will be created. Run it with cron-w3perl.pl -a
<LI> Add cron-w3perl.pl -e in your crontab
</OL>
<P>
<!--
Step 1 : get pwd from current directory (-u flag)
<BR>
Step 2 : Read httpd.conf to get :
<UL>
<LI>$virtual_web (virtual web root path)
<LI>$virtual_web_log (virtual web logfile path)
<LI>$virtual_www (virtual web name)
<LI>$virtual_web_cgi (virtual cgi path)
</UL>

Step 3 : Create symbolic links
<BR>
Step 4 : Copy generic config.pl file to config-&lt;web&gt;.pl
<BR>
Step 5 : Alter config-&lt;web&gt;.pl (with $virtual_web, $virtual_web_log, $virtual_www, $virtual_web_cgi)
<BR>
Step 6 : Copy the cron-w3perl.pl to your virtual web directory (-u flag)
<BR>
Step 6 : Create /resources/admin/config-&lt;web&gt; and /config/config-&lt;web&gt;.pl
<BR>
Step 7 : Modify /resources/admin/locconf
<P>
PS : The virtual web name should be a litteral one or the script will not be
able to compute your local domaine name.
-->
</BLOCKQUOTE>
</TD>
</TR>
</TABLE>
</body>
</html>
