<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>W3Perl - Windows - Apache</TITLE>
<link rel="stylesheet" media="all" type="text/css" href="../../resources/css/menu.css">
<link rel="stylesheet" media="screen" type="text/css" href="../../resources/css/docs.css">
<!-- insert_curly -->
</head>

<BODY TEXT="#000000" LINK="#0000C0" VLINK="#50508F">

<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="100%">
<TR>
<TD COLSPAN=2>
<!-- insert_css_menu -->
</TD>
</TR>
<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF"></TD>
<TD VALIGN=TOP ALIGN=CENTER>
<H1><FONT COLOR="#209090">Windows - Apache</FONT></H1>
</TD>
</TR>

<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF">
<H3>&nbsp;Apache&nbsp;<BR>&nbsp;v2&nbsp;</H3>
</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
If you are using the latest Apache 2, you can download the
w3perl-apache.exe binary to install the package.
<P>
<FONT COLOR="#A020A0"><B>* First STAGE</B></FONT> : <FONT COLOR="#A02020">Install the scripts</FONT>
<P>
- Run w3perl-apache.exe
<P>

<FONT COLOR="#A020A0"><B>* 2nd STAGE</B></FONT> : <FONT COLOR="#A02020">Build configuration file</FONT>
<P>
- Now use your opened browser to http://localhost/w3perl/admin/ to manage configuration files.
<BR>
- Default configuration file is provided for Apache :
config-win-apache.pl (or config-xampp.pl for XAMPP users). You should be able to use it without any modifications
if you are using a default Apache server.
<BR>
- If you want to make some modifications (for instance changing
logfile format to ECLF instead of the default CLF), select <FONT
COLOR="#20A0A0">Modify a config</FONT> and select the config-win-apache file.
<BR>
- If you want to build your own configuration file from scratch, click
on <FONT COLOR="#20A0A0">Make a new config</FONT> and follow the procedures outlined. By filling in the details you will create a file called <FONT COLOR="#20A0A0">config.pl</FONT>
<BR>
<P>
<FONT COLOR="#A020A0"><B>* 3rd STAGE</B></FONT> : <FONT COLOR="#A02020">Ready</FONT>
<P>
- You should now be able to analyse your logs.
<BR>
- You can run the stats either from a web interface or the 'Start Menu'. Choose one and use always the same way.

<P>
<BLOCKQUOTE>
 <B>1)</B> Web interface : Nicer but you could receive a server timeout
<BR>
a) In admin go through the <FONT COLOR="#20A0A0">Immediate Launch</FONT> which allow to compute the stats.
<BR>
b) Select the Windows Apache configuration file
<BR>
c) Then click on the 'Init all stats' icon.

<P>
<B>2)</B> Windows Menu : Faster but more difficult to catch errors/warnings
<BR>
a) Select 'Start Menu -> Program -> W3Perl -> Init'
<BR>

</BLOCKQUOTE>

<BR>

- In order to watch the ouput, go back to the administration interface
and select the <FONT COLOR="#20A0A0">View stats</FONT>
<BR>
- You can use the command <I>at</I> to schedule the stats to update, add the command 'cron-w3perl.pl -e -c &lt;configfile&gt;' to run daily
<P>
<FONT COLOR="#A020A0"><B>* Problem ?</B></FONT><FONT COLOR="#A02020"></FONT>
<P>
If you have any trouble with w3perl, please check installation was
successful. Edit the /w3perl/Config.txt files.
This is the configuration
parameters which will be use for w3perl installation. 
<P><HR ALIGN=CENTER WIDTH="30%"><P>

</BLOCKQUOTE>
</TD>
</TR>

<TR>
<TD WIDTH=130 ALIGN=CENTER VALIGN=TOP BGCOLOR="#39FFFF">
<div class="margintable">
<H3>&nbsp;Older&nbsp;<BR>&nbsp;Apache&nbsp;</H3>
</DIV>
</TD>
<TD VALIGN=TOP>
<BLOCKQUOTE>
If you are using older Apache version (before 2.2.10), you'll have to use the Unix package.
<BR>
You can use '/' instead of windows '\' directory separator as Windows Perl is able to convert them on the fly.

<P>

<FONT COLOR="#A020A0"><B>* First STAGE</B></FONT> : <FONT COLOR="#A02020">Install the scripts</FONT>
<P>
- Download the w3perl.tar.gz package and extract it in your wwwroot directory.
A new sub directory called w3perl will be there now.
<BR>
- Inside you'll find an 'install.pl' perl file. Edit it with your Notepad.
<BR>
- The first line should be your ActivePerl or StrawberryPerl bin path so change
the default #!/usr/bin/perl to something like C:/Perl/bin/perl.exe
<BR>
- then change the $pathcgi and $pathw3perl according to your Apache installation. 
<BR>
* $pathcgi is the directory where your cgi script should be located (should be
something like $pathcgi = "C:/Program Files/Apache Group/Apache2/www/cgi-bin/w3perl/"; if your cgi-bin is
C:/Program Files/Apache Group/Apache2/www/cgi-bin/).
<BR>
* $pathw3perl is the directory where w3perl have been extracted
(something like $pathw3perl = "C:/Program Files/Apache Group/Apache2/www/w3perl";)
<BR>
<FONT SIZE=-1>Usual IIS values are $pathcgi = "C:/Inetpub/wwwroot/cgi-bin/w3perl"; and 
$pathw3perl = "C:/Inetpub/wwwroot/w3perl"; (change disk letter if required).</FONT>
<BR>
- Click on this file. You'll see output describing the installation process.
<P>

<!--
<LI><FONT COLOR="#A020A0"><B>2nd STAGE</B></FONT> : <FONT COLOR="#A02020">Graphic tool installation</FONT>
<P>
- If you want a Graphical display of your statistics you need a programme
called <FONT COLOR="#20A0A0">FLY</FONT>
<BR>
- Go to <A HREF="http://martin.gleeson.com/fly/">http://martin.gleeson.com/fly/</A> and download the <A HREF="ftp://ftp.unimelb.edu.au/pub/www/tools/unix/fly/fly-1.6.0.exe">binary file for Windows</A>
<BR>
- Place this in your cgi-bin.
<BR>
- Remember where you put it because you will have to fill that in during the configuration process.
<BR>
- If you cannot get hold of a copy, the programme will still work except you
won't be able to see some nice histograms and pie charts.
<P>
-->

<FONT COLOR="#A020A0"><B>* 2nd STAGE</B></FONT> : <FONT COLOR="#A02020">Build configuration file</FONT>
<P>
- Now use your opened browser to http://localhost/w3perl/admin/ to build a configuration file.
<BR>
- Click on <FONT COLOR="#20A0A0">Make configuration file</FONT> and follow the procedures outlined. By filling in the details you will create a file called <FONT COLOR="#20A0A0">config.pl</FONT>
<BR>
- Once created, look for this file in /config/config.pl and move it to your /cgi-bin/w3perl/ directory.
<P>
<FONT COLOR="#A020A0"><B>* 3rd STAGE</B></FONT> : <FONT COLOR="#A02020">Ready ?</FONT>
<P>
- You are now ready to analyse your logs.
<BR>
- In admin go through the <FONT COLOR="#20A0A0">Launch area</FONT> links and start your statistics from initialisation.
<BR>
- Then run the incremental statistics every day to accumulate your statistics.
<BR>
- In order to read them go to http://localhost/w3perl/admin/
<BR>
- You can use <I>at</I> to schedule the cron-w3perl.pl script run.
<P>
<FONT COLOR="#A020A0"><B>* Problem ?</B></FONT>
<P>
If you have any trouble with w3perl, feel free to contact me or send a
help in the forum.
</BLOCKQUOTE>
</TD>
</TR>

</TABLE>
</body>
</html>
