#!/usr/bin/perl
# <plaintext>  just in case you look at this via a browser

#########################################################################
####                                                                #####
####                    Language Script                             #####
####                     (http server)                              #####
####                                                                #####
####    Brazilian Portuguese Version by:                            #####
####    Francisco Andre' Barbosa Neto        version 02/05/2003     #####
####                                                                #####
#########################################################################

# Look for YYY string for new or updated strings

%LangBR = (
"No_enough_data_to_display_graph", "Not enough data to display graph",
"Emails_sent", "Emails sent",
"emails_sent", "emails sent",
"Histogram", "Histogram",
"Mac_address", "Mac address",
"Days_between_same_session", "Days between multiple session",
"Daily_visits", "Daily visits",
"Different_accesses", "Different accesses",
"Unique", "Unique",
"Spam", "Spam",
"spam", "spam",
"Flag", "Flag",
"Spam_rank", "Spam rank",
"documents" , "documentos",
"graph3d", "3D bar",
"graphlinefill", "Filled lines",
"graphline", "Lines",
"barchart", "Barchart",
"Sort", "Sort",
"Alphabetically", "Alphabetically",
"By_size", "By size",
"All", "Todos",
"Next", "Next",
"Previous", "Previous",
"Last", "Last",
"Weekday", "Weekday",
"Select_an_interval", "Select an interval",
"When", "When",
"Resources", "Resources",
"Optional", "Optional",
"Last_update", "Last update",
"Admin", "Admin",
"Tag", "Tag",
"No_index", "No index",
"Only_users", "Only users",
"Only_cities", "Only cities",
"Cities", "Cities",
"Region_name", "Region name",
"Heatmap", "Heatmap",
"Click", "Click",
"Most_heavy_files", "Largest files",
"Selected_pages", "Selected pages",
"robots", "robots",
"Years", "Years",
"About_years", "About years",
"of_years", "of years",
"Incoming_bandwidth", "Incoming bandwidth",
"Outgoing_bandwidth", "Outgoing bandwidth",
"RSS", "RSS",
"Click_here", "Click here to view more informations",
"URL_mapping", "URL mapping",
"Enabled", "Enabled",
"Disabled", "Disabled",
"Processing", "Processing",
"No_item_found", "No item found",
"Title", "Title",
"URL", "URL",
"Threshold", "Threshold",
"Search", "Search",
"Search_on", "Search on",
"General_ranking", "General ranking",
"Emails", "Emails",
"emails", "emails",
"Only_emails", "Only emails",
"Full_list", "Full list",
"Miscellaneous", "Miscellaneous",
"Screensize", "Screensize",
"Color_depth", "Color depth",
"Java_plugin", "Java plugin",
"Protected_files", "Protected files",
"Parameter","Parameter",
"Exit_occurence", "Exit occurence",
"Entry_occurence", "Entry occurence",
"Unauthorized", "Unauthorized",
"ReferSpam_excluding", "Spammer excluded",
"Cached_files", "Cached files",
"Cached_trafic", "Cached trafic",
"Downloaded_files", "Downloaded files",
"Downloaded_trafic", "Downloaded trafic",
"milliseconds", "ms",
"Stats_about_destinations", "Statistiques about destinations",
"Sorted_destination_servers", "Sorted destination servers",
"Destination", "Destination",
"Incoming_requests_by_status", "Incoming requests by status",
"Outgoing_requests_by_status", "Outgoing requests by status",
"Outgoing_requests_by_destination", "Outgoing requests by destination",
"Average_elapsed_time", "Average elapsed time",
"Proxy", "Proxy",
"Stats_over", "Stats over",
"updated_every", "updated every",
"with_an_integration_time_of", "with an integration time of",
"Real_time","Real time",
"Abort","Abort",
"Status_code","Status code",
"Size","Size",
"Download_not_completed","Download not completed",
"Outgoing_traffic", "Outgoing traffic",
"Incoming_traffic", "Incoming traffic",
"Virus", "Virus",
"Threats", "Threats",
"threats", "threats",
"internal_pages", "p&aacute;ginas internas",
"Internal_pages", "P&aacute;ginas internas",
"Accesses_only", "Somente acessos",
"accesses", "acessos",
"Gb", "Gb",
"Tb", "Tb",
"most_successful_bookmark", "Bookmark mais acessado",
"Bookmarked_page", "P&aacute;gina Marcada (bookmark)",
"Difference", "Diferen&ccedil;a",
"Minimum", "M&iacute;nimo",
"Maximum", "M&aacute;ximo",
"Only_files", "Arquivos &Uacute;nicos",
"Filetype", "Tipo de Arquivo",
"28800_modem", "modem de 28800",
"A_description" , "A descri&ccedil;&atilde;o",
"About_months" , "Tabela de Meses",
"About_weeks" , "Tabela de Semanas", 
"Absolute_links", "Links Absolutos",
"Acces_not_taken_into_account", "Acessos n&atilde;o considerados",
"Accesses" , "Acessos", 
"All_html_pages_requests", "Todas requisi&ccedil;&otilde;es de p&aacute;ginas HTML",
"All_images_requests", "Todas requisi&ccedil;&otilde;es de Imagens",
"All_requests" , "Todas Requisi&ccedil;&otilde;es",
"All_sites" , "Todos os Sites",
"At", "Em",
"Average_CPU", "M&eacute;dia da CPU",
"Average", "M&eacute;dia",
"Average_is_black", "A m&eacute;dia esta em preto",
"Average_on_hours_and_days", "M&eacute;dia em horas e dias",
"Average_pages_by_session", "M&eacute;dia do n&uacute;mero de p&acute;ginas acessadas por sess&atilde;o",
"Average_session_time", "M&eacute;dia de tempo por sess&atilde;o",
"Average_reading_time_per_page", "M&eacute;dia do tempo de leitura",
"Back", "Voltar",
"Background", "Fundo",
"Bad_links", "Links Quebrados",
"Blue_line_is_average", "A linha azul representa a m&eacute;dia",
"Browser" , "Navegador",
"Browsers" , "Navegadores",
"Browsers_used" , "Navegadores Usados",
"CPU", "CPU",
"Cgi-bin", "Cgi-bin",
"Conn_Mach" , "M&aacute;quinas conectadas", 
"Connection_time", "Tempo de conex&atilde;o",
"Correct_size_taken_from_image", "Tamanho correto obtido da imagem",
"Countries", "Pa&iacute;ses", 
"Data", "Dados",
"Data_traffic_by_weeks" , "Tr&aacute;fego de dados por semana",
"Data_unit_Kb" , "Kilobytes",
"Data_unit_Mb" , "Megabytes",
"Data_unit_octet" , "bytes",
"Date" , "Data",
"Days", "Dias", 
"Decrease_over_the_previous_day","Queda sobre o dia anterior",
"Directories" , "Diret&oacute;rios",
"Directories_graphs" , "Gr&aacute;fico de Diret&oacute;rios",
"Docs" , "Docs",
"Documents" , "Documentos",
"DomReq" , "Requisi&ccedil;&otilde;es de Dom&iacute;nios", 
"Domain", "Dom&iacute;nios",
"Domain_Hosts" , "Hosts de Dom&iacute;nios",
"Download", "Download", 
"Downloading_time", "Tempo de Download",
"Errors" , "Erros",
"Error", "Erro",
"Evolution_of", "Desempenho de",
"Files", "Arquivo",
"Forbidden", "Acesso Negado",
"Found_in", "Encontrado em",
"Frames", "Frames",
"Frames_excluding", "Frames exclu&iacute;dos",
"Global_access", "Acesso Global",
"Graphic" , "Gr&aacute;fico",
"Graphs_for" , "Gr&aacute;fico para",
"Graphs_for_dir" , "Gr&aacute;fico para os Diret&oacute;rios",
"HTML_files", "Arquivos HTML",
"Histogram_about_average_request", "Hist&oacute;rico do n&uacute;mero m&eacute;dio de requisi&ccedil;&otilde;es",
"Histogram_sessions", "Hist&oacute;rico de Sess&otilde;es",
"Hosts", "Hosts",
"Hosts_excluding", "Hosts exclu&iacute;dos",
"Hosts_from" , "Dos Hosts",
"Hour" , "Hora", 
"Hours" , "Horas", 
"Image", "Imagem", 
"Images", "Imagens",
"Images_histogram", "Hist&oacute;rico de Imagens",
"Images_never_used", "Imagens nunca usadas",
"Increase_over_the_previous_day", "Acr&eacute;scimo sobre o dia anterior",
"Index", "&Iacute;ndice",
"Index_pages", "P&aacute;ginas sem &iacute;ndice",
"Inside" , "Dentro",
"Kb" , "Kb", 
"Kbytes" , "Kilobytes", 
"Keywords", "Palavras Chaves",
"Language" , "Portugues BR",
"Last_occurence" , "&Uacute;ltima ocorr&ecirc;ncia",
"Last_try", "&Uacute;ltima tentativa",
"Legend_in_bracket", "Legenda entre chaves",
"Level", "N&iacute;vel",
"Lines_processed", "Linhas processadas",
"Link", "Link",
"Links", "Links", 
"Links_histogram", "Hist&oacute;rico de Links",
"ListOf" , "Lista de",
"ListOfSites" , "Lista de Sites",
"List_of", "Lista de",
"List_of_unresolved_hosts", "Desconhecidos",
"Login", "Login", 
"Longest_external_session", "Maior sess&atilde;o externa",
"Longest_local_session", "Maior sess&atilde;o local",
"Longest_session", "Maior sess&atilde;o",
"Mach_Dom" , " m&aacute;quinas do dom&iacute;nio", 
"Mb" , "Mb",
"Mbytes" , "Megabytes",
"Method", "M&eacute;todo",
"Mhosts" , "hosts",
"Misc", "Misc",
"MonthByMonth" , "m&ecirc;s a m&ecirc;s", 
"Month_of" , "M&ecirc;s de ", 
"Month" , "M&ecirc;s", 
"Months" , "Meses", 
"More_Precise" , "mais preciso",
"MostSuccesf" , "o mais bem sucedido",
"Multiple_sessions", "M&uacute;ltiplas sess&otilde;es",
"New_country", "Novos Pa&iacute;ses",
"New_HTML_files", "Novos arquivos HTML",
"New_Hosts" , "Novos hosts",
"New_Mach" , "novas m&aacute;quinas", 
"Newest_pages", "P&aacute;ginas mais novas",
"Newest_pages_histogram", "Hist&oacute;rico de p&aacute;ginas mais novas",
"News" , "Novidades",
"NoReq" , "n&uacute;mero de requisi&ccedil;&otilde;es",
"No_Ttl_Req_Mnth" , "n&uacute;mero total de requisi&ccedil;&otilde;es por mes",
"No_Ttl_Req_Week" , "n&uacute;mero total de requisi&ccedil;&otilde;es por semana",
"No_login", "Sem acessos por login",
"No_modification", "Sem modifica&ccedil;&atilde;o",
"No_request", "Nenhuma requisi&ccedil;&atilde;o foi feita",
"No_robot_session", "Nenhuma sess&atilde;o de robo encontrada",
"No_title", "Sem t&iacute;tulo",
"Not_found", "N&atilde;o encontrado",
"Number" , "N&uacute;mero",
"Number_of" , "n&uacute;mero de", 
"Number_of_HTML_files", "N&uacute;mero de arquivos HTML",
"Number_of_different_sites" , "N&uacute;mero de sites diferentes",
"Number_of_different_resolved_countries" , "N&uacute;mero de pa&iacute;ses diferentes encontrados",
"Number_of_different_pages_used" , "N&uacute;mero de p&aacute;ginas diferentes utilizadas",
"Number_of_pages_read", "N&uacute;mero de p&aacute;ginas lidas",
"Number_of_req_by_weeks" , "N&uacute;mero de requisi&ccedil;&otilde;es por semanas",
"Number_of_requests", "N&uacute;mero de requisi&ccedil;&otilde;es",
"Number_of_visits", "N&uacute;mero de visitas",
"OS" , "Sistema",
"OS_used1" , "O",
"OS_used2" , "sistemas operacionais usados",
"Occurence" , "Ocorr&ecirc;ncia",
"On", "Ligado", 
"Only_directories", "Apenas diret&oacute;rios",
"Only_first", "Apenas o primeiro",
"Only_hosts", "Apenas hosts",
"Only_pages", "Apenas p&aacute;ginas",
"Only_scripts", "Apenas scripts",
"Only_time_session_upper", "Apenas sess&otilde;es maiores que",
"Others" , "Outros",
"Outside" , "Fora",
"Page", "P&aacute;gina", 
"Page_reading_time_histogram", "Hist&oacute;rico do tempo de leitura das p&aacute;ginas HTML",
"Pages", "P&aacute;ginas",
"Pages_excluding", "P&aacute;ginas Exclu&iacute;das", 
"Pages_never_used", "P&aacute;ginas nunca utilizadas",
"Percentage" , "Percentual",
"Reading_time", "Tempo de leitura",
"Reading_time_sessions", "Sess&otilde;es com o tempo de leitura",
"Redirect", "Redirecionamento",
"References_for" , "Refer&ecirc;ncias para",
"Referer" , "Refer&ecirc;ncias",
"Referer_about" , "Refer&ecirc;ncias sobre",
"Referer_on" , "Refer&ecirc;ncias em",
"Referer_pages2" , "P&aacute;ginas de refer&ecirc;ncia",
"Request" , "Requisi&ccedil;&atilde;o", 
"Requests" , "Requisi&ccedil;&otilde;es", 
"Robots_excluding", "Robos exclu&iacute;dos",
"Robot_name", "Nome do Robo",
"Robot_session_exclude", "As sess&otilde;es de robos foram exclu&iacute;das",
"Same_over_the_previous_day", "O mesmo que o dia anterior",
"Same_title", "Mesmo t&iacute;tulo",
"Scripts", "Scripts",
"Search_engine", "Sites de Busca",
"Send_me_an", "Envie-me um",
"entry_pages" , "P&aacute;gina inicial",
"exit_pages" , "P&aacute;gina de sa&iacute;da",
"Entry_pages" , "P&aacute;gina inicial",
"Exit_pages" , "P&aacute;gina de sa&iacute;da",
"Server_tree", "&Aacute;rvore do Servidor",
"Session", "Sess&atilde;o",
"Session_cut1", "se a sess&atilde;o for maior que um dia, ela ser&aacute; contada apenas no primeiro dia",
"Session_cut2", "Podem ocorrer erros caso as sess&otilde;es durarem por mais de um dia",
"Session_length", "T&iacute;tulo da sess&atilde;o",
"Sessions" , "Sess&otilde;es",
"Sessions_from", "Sess&otilde;es de",
"Sorted_countries_list", "Lista de pa&iacute;ses ordenadas",
"Sorted_virtual_server_list", "Lista de servidores virtuais ordenadas",
"Speed", "Velocidade",
"Stats_about_CPU", "Estat&iacute;sticas da CPU",
"Stats" , "Estat&iacute;sticas", 
"Stats_aboutMnth" , "Estat&iacute;sticas de",
"Stats_about_HTML_files", "Estat&iacute;sticas de arquivos HTML",
"Stats_about_files_weight", "Estat&iacute;sticas de o tamanho dos arquivos",
"Stats_about_alt", "Estat&iacute;sticas de ALT",
"Stats_about_errors" , "Estat&iacute;sticas de erros", 
"Stats_about_host" , "Estat&iacute;stica de host", 
"Stats_about_hosts", "Estat&iacute;sticas de hosts",
"Stats_about_images", "Estat&iacute;stica de imagens",
"Stats_about_internal_links", "Estat&iacute;stica de links internos",
"Stats_about_login", "Estat&iacute;stica de login",
"Stats_about_months" , "Estat&iacute;stica de meses", 
"Stats_about_robots_sessions", "Estat&iacute;stica de sess&otilde;es de robos",
"Stats_about_session_length", "Estat&iacute;stica do tamanho das sess&otilde;es",
"Stats_about_sessions", "Estat&iacute;stica de sess&otilde;es",
"Stats_about_visits", "Estat&iacute;stica de visitas",
"Stats_about_virtual_servers", "Estat&iacute;stica de servidores virtuais",
"Stats_about_weeks" , "Estat&iacute;stica de semanas", 
"Stats_about_width", "Estat&iacute;stica de LARGURA e ALTURA",
"Stats_aboutlastdays1" , "Estat&iacute;sticas dos &uacute;ltimos",
"Stats_aboutlastdays2" , "dias",
"String", "String",
"Successful_pages" , "P&aacute;ginas bem sucedidas",
"Summary", "Sum&aacute;rio",
"Symbolic_links", "Links Simb&oacute;licos",
"Tab_about_lastdays1" , "Tabela de dados sobre os &uacute;ltimos",
"Tab_about_lastdays2" , "dias",
"Table" , "Tabela", 
"Text" , "Texto",
"Textual_version" , "Vers&atilde;o em texto",
"The_Top", "Os(as)",
"Time", "Tempo",
"Total", "Total",
"Total_HTML_access", "N&uacute;mero total de acessos HTML",
"Total_data_sent" , "Total de dados enviados",
"Total_number_of_directories", "N&uacute;mero Total de diret&oacute;rios",
"Total_number_of_html_files", "N&uacute;mero total de arquivos",
"Total_number_of_images", "N&uacute;mero total de imagens",
"Total_number_of_images_in_files", "N&uacute;mero total de imagens em arquivos HTML",
"Total_number_of_links", "N&uacute;mero total de links",
"Total_number_of_requests" , "N&uacute;mero total de requisi&ccedil;&otilde;es",
"Total_number_of_robot_session", "N&uacute;mero total de sess&otilde;es de robos",
"Total_number_of_scripts", "N&uacute;mero total de scripts",
"Total_number_sessions", "N&uacute;mero total de sesss&otilde;es",
"Total_traffic" , "Tr&aacute;fego total",
"Traffic" , "Tr&aacute;fego", 
"Traffic_about" , "Tr&aacute;fego de",
"Traffic_statistics" , "Estat&iacute;sticas de tr&aacute;fego",
"Tree", "&Aacute;rvore",
"Useless_pages", "P&aacute;ginas menos usadas",
"Users" , "Usu&aacute;rios",
"Virtual_servers", "Servidores Virtuais",
"You_should_add", "Voce deveria adicionar",
"Web_size", "Tamanho na Web",
"Week" , "Semana", 
"Weeks" , "Semanas", 
"Weight_HTML_files_histogram", "Hist&oacute;rico de tamanho de arquivos HTML",
"Weight_of_files", "Tamanho dos arquivos",
"With" , "com", 
"about" , "sobre", 
"about_hours_and_days", "sobre horas e dias",
"absolute_links", "links absolutos",
"added_pages", "se voce quer adicionar uma de suas p&aacute;ginas aqui",
"all_sites", "todos os sites",
"among" , "entre", 
"and", "e",
"are_shown", "s&atilde;o mostrados",
"average_HTML_accesses", "m&eacute;dia do n&uacute;mero de acessos HTML",
"bad_links", "links quebrados",
"by", "por",
"by_day", "por dia",
"by_hour", "por hora",
"bytes" , "bytes",
"chronological_order", "ordem cronol&oacute;gica", 
"coming_from", "vindo de",
"computed_with", "Estat&iacute;sticas por",
"connecting_to", "conectados em",
"connecting_to_the_server", "conectados no servidor",
"countries", "pa&iacute;ses",
"daily" , "diariamente",
"data_sent_for_dir" , "dados enviados para o diret&oacute;rio",
"day" , "dia",
"days", "dias",
"description", "descri&ccedil;&atilde;o",
"different_images", "imagens diferentes",
"different_references_found", "refer&ecirc;ncias diferentes encontradas",
"directories" , "diret&oacute;rios",
"directory" , "diret&oacute;rio",
"domain", "dom&iacute;nio",
"engine_keywords_used", "palavras chaves mais procuradas",
"exceeding", "excedente",
"excluding", "exclu&iacute;ndo",
"external" , "externo",
"files", "arquivos",
"files_stored_locally_CD-ROM", "nesses links se seus arquivos s&atilde;o gravados localmente ou em CD-ROM",
"for_today" , "para hoje",
"from", "de",
"from_dom" , "do dom&iacute;nio", 
"from domain", "do dom&iacute;nio",
"from_outside", "de fora",
"global", "global",
"hTML_pages", "p&aacute;ginas HTML",
"have", "tem",
"host", "host",
"hosts", "hosts",
"hour" , "hora", 
"hours" , "horas", 
"images", "imagens",
"images_found_on_server", "imagens encontradas no servidor",
"in", "em",
"in_this_directory", "neste diret&oacute;rio",
"in_whole_directory", "em todo o diret&oacute;rio",
"internal", "interno",
"less_than", "menos que",
"links", "links", 
"local", "local",
"maximum", "m&aacute;ximo",
"minimum", "m&iacute;nimo",
"minutes", "minutos",
"minute", "minuto",
"modified_less_than", "modificado menos que",
"monthly", "meses",
"more_than" , "mais que",
"most_common_errors" , "erros mais comuns",
"most_graphic_pages", "p&aacute;ginas com mais imagens",
"most_linky_pages", "p&aacute;ginas com mais links",
"most_succf_browsers_vtime1" , "Desempenho de",
"most_succf_browsers_vtime2" , "navegadores mais utilizados",
"most_succf_browsers1" , "O",
"most_succf_browsers2" , "navegadores usados mais utilizados",
"most_weighty_pages", "maiores p&aacute;ginas",
"no_reference_found", "nenhuma refer&ecirc;ncia encontrada",
"not_defined", "n&atilde;o definido",
"not_included", "n&atilde;o inclu&iacute;do",
"of_different_hosts" , "de hosts diferentes",
"of_months" , "de meses",  
"on", "em",
"only_reading_time_below", "apenas com o tempo de leitura menor que",
"only_session_more_than", "YYYapenas sess&otilde;es com mais que",
"optdirsize1" , "(externos e p&aacute;ginas HTML do dom&iacute;nio)",
"optdirsize2" , "(p&aacute;ginas HTML externas)",
"optdirsize3" , "(p&aacute;ginas HTML do dom&iacute;nio)",
"optdirsize4" , "(todas as requisi&ccedil;&otilde;es externas e do dom&iacute;nios)",
"optdirsize5" , "(todas as requisi&ccedil;&otilde;es externas)",
"optdirsize6" , "(todas as requisi&ccedil;&otilde;es do dom&iacute;nio)",
"page", "p&aacute;gina",
"pages" , "p&aacute;ginas",
"pages_found_on_server", "p&aacute;ginas encontradas no servidor",
"percentage" , "percentual", 
"read_by", "lido por",
"referer_pages1" , "p&aacute;ginas de refer&ecirc;ncia",
"request" , "requisi&ccedil;&atilde;o", 
"requests" , "requisi&ccedil;&otilde;es", 
"resolved_countries", "pa&iacute;ses reconhecidos",
"scripts", "scripts",
"search_engine", "sites de busca",
"seconds", "segundos",
"session", "sess&atilde;o",
"sessions", "sess&otilde;es",
"since ", "desde",
"sites", "sites",
"symbolic_links", "links simb&oacute;licos",
"text_only", "somente texto",
"the" , "a", 
"There_are", "Existem",
"times" , "vez(es)",
"to", "para",
"today", "hoje",
"top" , "top",
"top_external_sites" , "sites externos",
"top_local_sites" , "sites locais",
"total" , "total",
"total_data_sent_for" , "total de dados enviados para",
"total_for" , "para",
"traffic_in" , "tr&aacute;fego em",
"unknown", "desconhecido",
"unresolved", "n&atilde;o resolvido",
"used", "usadas no servidor",
"used2", "usado no servidor",
"visitors", "visitantes",
"weekly", "semanas",
"weight", "peso",
"weighting", "pesando",
"with_at_least", "com pelo menos",
"with_less_than", "com menos que",
"with_most_accesses", "com mais acessos",
"with_the_same_title", "com o mesmo t&iacute;tulo",
"without", "sem",
"without_title", "sem t&iacute;tulo",
"wrong", "errado"
 );
